Microsoft Forms: Übersicht über das Objektmodell


Was ist die Werkzeugsammlung?

Die Werkzeugsammlung bezeichnet die verschiedenen Steuerelemente, die Sie einem Formular, einem Rahmen-Steuerelement (Frame) oder einem Page-Objekt hinzufügen können.

Sie können die Werkzeugsammlung auf unterschiedliche Weise anpassen, einschließlich der folgenden Möglichkeiten:

  • Hinzufügen von Seiten zur Werkzeugsammlung.

  • Verschieben von Steuerelementen von einer Seite der Werkzeugsammlung zu einer anderen.

  • Umbenennen von Seiten.

  • Hinzufügen von weiteren Steuerelementen, einschließlich ActiveX-Steuerelementen, zur Werkzeugsammlung.

  • Kopieren von angepassten Steuerelementen aus dem Formular in die Werkzeugsammlung.
  • Die Schaltflächen OK und Abbrechen sind z. B. besondere Befehlsschaltfläche-Steuerelemente (CommandButton). Wenn Sie der Werkzeugsammlung Vorlagen für die Schaltflächen OK und Abbrechen hinzufügen, können Sie diese problemlos anderen Formularen hinzufügen.


Anzeigen oder Ausblenden der Werkzeugsammlung

Überprüfen Sie im Menü Ansicht, ob der Befehl Werkzeugsammlung aktiviert ist. Ist der Befehl aktiviert, wird die Werkzeugsammlung angezeigt. Ist er nicht aktiviert, ist die Werkzeugsammlung ausgeblendet.

Führen Sie einen der folgenden Schritte aus:

  • Wenn die Werkzeugsammlung angezeigt werden soll, müssen Sie sicherstellen, dass der Befehl Werkzeugsammlung aktiviert ist. Ist das nicht der Fall, klicken Sie auf Werkzeugsammlung.

  • Wenn die Werkzeugsammlung ausgeblendet werden soll, müssen Sie sicherstellen, dass der Befehl Werkzeugsammlung nicht aktiviert ist. Ist er aktiviert, klicken Sie auf Werkzeugsammlung, um ihn zu deaktivieren.


Ändern der Größe der Werkzeugsammlung

  1. Bewegen Sie den Mauszeiger über den Rand oder eine Ecke der Werkzeugsammlung. Der Zeiger verwandelt sich in einen Doppelpfeil.

  2. Ziehen Sie die Werkzeugsammlung, um sie zu vergrößern oder zu verkleinern.


Hinzufügen eines Steuerelements zur Werkzeugsammlung

  1. Klicken Sie mit der rechten Maustaste auf das Symbol eines beliebigen Steuerelements in der Werkzeugsammlung oder auf einen leeren Bereich einer beliebigen Seite der Werkzeugsammlung.

  2. Wählen Sie aus dem Kontextmenü den Befehl Weitere Steuerelemente aus.

  3. Wählen Sie aus der Liste Verfügbare Steuerelemente die neuen Steuerelemente aus.

  4. Klicken Sie auf OK.


Hinzufügen eines angepassten Steuerelements zur Werkzeugsammlung

  1. Positionieren Sie ein Steuerelement in Ihrem Formular, und passen Sie es an.

    2. Wenn Sie z.B. die Schaltfläche OK erstellen möchten, positionieren Sie ein Befehlsschaltfläche-Steuerelement (CommandButton) in dem Formular, und legen Sie dann dessen Caption-Eigenschaft auf OK und dessen Default-Eigenschaft auf True fest.

  2. Wählen Sie das angepasste Steuerelement aus.

  3. Ziehen Sie das Steuerelement in die Werkzeugsammlung.

Anmerkung Wenn Sie ein Steuerelement in die Werkzeugsammlung ziehen, übertragen Sie lediglich Eigenschaftswerte. Sämtlicher Code, den Sie für dieses Steuerelement geschrieben haben, wird nicht übertragen. Sie müssen für das Symbol entweder den Code erneut schreiben oder den Code des Steuerelements im Formular in das Steuerelement in der Werkzeugsammlung kopieren.


Hinzufügen eines Steuerelements in ein Formular

Verwenden Sie eine der folgenden Methoden, um ein Steuerelement aus der Werkzeugsammlung in Ihr Formular einzufügen. Sie können diese Methoden auch verwenden, um in dem Formular ein Steuerelement in ein Rahmen-Steuerelement (Frame), ein Register-Steuerelement (TabStrip) oder ein Multiseiten-Steuerelement (MultiPage) einzufügen.

  • Klicken Sie zuerst auf ein Steuerelement in der Werkzeugsammlung und anschließend auf das Formular. Das Steuerelement wird in seiner Standardgröße angezeigt. Durch Ziehen des Steuerelements können Sie seine Größe verändern.

  • Ziehen Sie ein Steuerelement aus der Werkzeugsammlung in das Formular. Das Steuerelement wird in seiner Standardgröße angezeigt.

  • Doppelklicken Sie zuerst auf das Steuerelement in der Werkzeugsammlung, und danach klicken Sie im Formular einmal für jedes Steuerelement, das sie erstellen wollen. Wenn Sie vier Befehlsschaltflächen erstellen möchten, müssen Sie beispielsweise zuerst auf das Befehlsschaltflächen-Steuerelement (CommandButton) in der Werkzeugsammlung doppelklicken und dann viermal auf das Formular klicken.


Löschen eines Elements aus der Werkzeugsammlung

  1. Klicken Sie in der Werkzeugsammlung mit der rechten Maustaste auf das Symbol des zu löschenden Elements.

  2. Klicken Sie im Kontextmenü auf Löschen.

Anmerkung Zum Löschen von Steuerelementen können Sie Weitere Steuerelemente aus dem Kontextmenü verwenden und die Kontrollkästchen aller zu löschenden Steuerelemente deaktivieren.


Anpassen eines Symbols der Werkzeugsammlung

  1. Klicken Sie mit der rechten Maustaste auf das Symbol in der Werkzeugsammlung.

  2. Wählen Sie aus dem Kontextmenü den Befehl Anpassen aus.

  3. Führen Sie einen der folgenden Schritte aus:
    • Um die QuickInfo zu ändern, geben Sie den neuen Text für die QuickInfo ein.

    • Um das Symbol zu bearbeiten, wählen Sie den Befehl Bild bearbeiten aus. Wählen Sie dann die zu verwendende Farbe sowie das Pixel des Bildes aus, dem Sie diese Farbe zuweisen möchten.

    • Um eine neue Bitmap zuzuweisen, wählen Sie den Befehl Bild laden aus. Geben Sie dann die Datei an, die die Bitmap enthält, die Sie als Symbol verwenden möchten. Wenn Sie versuchen, ein Bild zu laden, das größer als ein Symbol ist, tritt ein Fehler auf.


Anpassen einer QuickInfo in der Werkzeugsammlung

  1. Wählen Sie das Steuerelement in der Werkzeugsammlung aus.

  2. Klicken Sie mit der rechten Maustaste auf das Steuerelement.

  3. Wählen Sie aus dem Kontextmenü den Befehl Anpassen aus. Der Befehl Anpassen enthält den Namen des Steuerelements, wie z.B. Anpassen: Bezeichnungsfeld.

  4. Geben Sie den neuen Text für die QuickInfo ein.

  5. Klicken Sie auf OK.


Festlegen der QuickInfo für eine Werkzeugsammlung-Seite

  1. Wählen Sie die Seite der Werkzeugsammlung aus.

  2. Klicken Sie mit der rechten Maustaste auf die Seite.

  3. Wählen Sie aus dem Kontextmenü den Befehl Umbenennen aus.

  4. Geben Sie den neuen Text für die QuickInfo ein.

  5. Klicken Sie auf OK.


Ändern des Namens einer Werkzeugsammlung-Seite

  1. Klicken Sie mit der rechten Maustaste auf das Register der Werkzeugsammlung-Seite, deren Namen Sie ändern möchten.

  2. Wählen Sie aus dem Kontextmenü den Befehl Umbenennen aus.

  3. Geben Sie in dem Feld Titel den zu verwendenden Namen ein.

  4. Klicken Sie auf OK.


Ändern der Reihenfolge der Werkzeugsammlung-Seiten

  1. Klicken Sie mit der rechten Maustaste auf das Register einer beliebigen Werkzeugsammlung-Seite.

  2. Wählen Sie aus dem Kontextmenü den Befehl Verschieben aus.

  3. Wählen Sie den Namen der zu verschiebenden Seite aus.

  4. Wählen Sie so lange Nach oben oder Nach unten, bis sich die Seite an der gewünschten Position innerhalb der Seitenliste befindet.

  5. Klicken Sie auf OK.


Erstellen einer neuen Werkzeugsammlung-Seite

  1. Klicken Sie mit der rechten Maustaste auf das Register einer beliebigen Werkzeugsammlung-Seite. Die neue Seite wird als äußerste rechte Seite der Werkzeugsammlung hinzugefügt.

  2. Wählen Sie den Befehl Neue Seite aus.


Löschen einer Werkzeugsammlung-Seite

  1. Klicken Sie mit der rechten Maustaste auf das Register der zu löschenden Werkzeugsammlung-Seite.

  2. Wählen Sie den Befehl Seite löschen aus. Gleichzeitig werden alle Steuerelemente dieser Seite gelöscht.


Importieren oder Exportieren einer Werkzeugsammlung-Seite

  1. Klicken Sie mit der rechten Maustaste auf das Register einer beliebigen Werkzeugsammlung-Seite. Wenn Sie eine Seite importieren, wird die neue Seite als äußerste rechte Seite der Werkzeugsammlung hinzugefügt.

  2. Führen Sie einen der folgenden Schritte aus:
    • Um eine Seite zu importieren, wählen Sie den Befehl Seite importieren aus. Wählen Sie dann den Namen der Datei aus, die die zu importierende Seite enthält.

    • Um eine Seite zu exportieren, wählen Sie den Befehl Seite exportieren aus. Geben Sie dann einen Namen für die Datei ein, in der eine Kopie der Werkzeugsammlung-Seite gespeichert werden soll. Durch das Exportieren einer Seite wird diese nicht aus der Werkzeugsammlung entfernt.
  3. Klicken Sie auf OK.


Verschieben eines Elements zu einer anderen Werkzeugsammlung-Seite

  1. Wählen Sie ein Steuerelement auf einer beliebigen Seite der Werkzeugsammlung aus.

  2. Ziehen Sie das Steuerelement auf das Register der neuen Seite. Verweilen Sie mit dem Mauszeiger über dem Register, bis die Seite im Vordergrund der Werkzeugsammlung angezeigt wird.

  3. Ziehen Sie das Steuerelement in den Hauptbereich der Seite.

Anmerkung Ist die Seite, auf der Sie das Steuerelement positionieren möchten, nicht sichtbar, so können Sie die Werkzeugsammlung verbreitern, um die Register aller Seiten anzuzeigen und dann das Steuerelement zu der gewünschten Seite ziehen zu können.


Erstellen von Formularen und Dialogfeldern mit Erweiterungen für von rechts nach links orientierten Text

Sprachspezifische Informationen

You can use the Visual Basic Editor and Microsoft Forms version 2.0 in all Microsoft Office 2000 applications to create forms and dialog boxes. Bidirectional extensions to the editor and Microsoft Forms 2.0 are provided in Office 2000 for right-to-left, left-to-right, and mixed-text usage. For a general overview of the standard tools, see the “Forms” topic in Help for the application you’re working in.

Three Microsoft Forms 2.0 properties are generally used to add bidirectional characteristics to forms and dialog boxes. These properties are listed and described in the following table.

Property | Exposed on | Affects
Alignment | Controls | Controls
TextAlign | Controls | Controls
RightToLeft | Forms | Forms and controls

These properties affect the controls listed in the following table, which are available in the Control Toolbox. You can set these properties in the Properties window in the editor or by using Visual Basic for Applications statements.

Control | Alignment | TextAlign | RightToLeft
CheckBox | X | X | X
ComboBox |  | X | X
Frame |  |  | X
Label |  | X |
ListBox |  | X | X
MultiPage |  |  | X
OptionButton | X | X |
TabStrip |  |  | X
TextBox |  | X | X
ToggleButton |  | X |

Note Context reading order is generally assigned to text in controls. This means that the reading order of displayed text strings that begin with a non-left-to-right character (for example, text strings in Arabic) will be displayed in right-to-left reading order, and text strings that begin with a left-to-right character will be displayed in left-to-right reading order.


Was ist eine Steuerelement-Info?

Eine Steuerelement-Info ist ein kurzer Ausdruck, der ein Steuerelement, ein Page- oder ein Tab-Objekt beschreibt. Die Steuerelement-Info wird angezeigt, wenn der Benutzer mit dem Mauszeiger kurz und ohne zu klicken über einem Steuerelement verweilt. Eine Steuerelement-Info ähnelt einer QuickInfo. Der Unterschied besteht darin, dass QuickInfos von Microsoft Forms zur Entwurfszeit für Entwickler, Steuerelement-Infos hingegen von Entwicklern zur Laufzeit für die Endbenutzer bereitgestellt werden.

Wenn Sie einem Multiseiten-Steuerelement (MultiPage) oder einem Register-Steuerelement (TabStrip) eine Steuerelement-Info zuweisen, werden die Steuerelement-Infos für die einzelnen Page- oder Tab-Objekte innerhalb des Multiseiten-Steuerelements oder des Register-Steuerelements nicht angezeigt.


Zuweisen einer Steuerelementinfo zu einem Steuerelement

  1. Wählen Sie das Steuerelement aus.

  2. Wählen Sie im Eigenschaftenfenster die ControlTipText-Eigenschaft aus.

    Sie können den Wert von ControlTipText auch mit Hilfe von Code festlegen.

  3. Geben Sie die Zeichenfolge ein, die Sie als Steuerelementinfo verwenden möchten.

Tipp Verwenden Sie den Befehl Umbenennen aus dem Kontextmenü des Page- oder Tab-Objekts, um einem Page- oder Tab-Objekt eine Steuerelementinfo zuzuweisen.


Zuweisen einer Steuerelementinfo zu einem Page-Objekt oder einem Tab-Objekt

  1. Wählen Sie ein einzelnes Page- oder Tab-Objekt aus.

    Stellen Sie sicher, ein Page- oder Tab-Objekt und nicht das zugehörige Multiseiten-Steuerelement (MultiPage) oder Register-Steuerelement (TabStrip) ausgewählt zu haben. Ist ein Page- oder Tab-Objekt ausgewählt, wird ein Rechteck um dessen Titel angezeigt.

  2. Klicken Sie mit der rechten Maustaste auf das ausgewählte Page- oder Tab-Objekt.

  3. Wählen Sie aus dem Kontextmenü den Befehl Umbenennen aus.

  4. Geben Sie im Feld Steuerelementinfo die Zeichenfolge ein, die Sie als Steuerelementinfo verwenden möchten.

  5. Klicken Sie auf OK.

Tipp Verwenden Sie die ControlTipText-Eigenschaft, um einem Multiseiten-Steuerelement oder einem Register-Steuerelement eine Steuerelementinfo zuzuweisen.


Was ist eine QuickInfo?

Eine QuickInfo ist eine kurze Beschreibung, normalerweise nur wenige Worte, die immer dann angezeigt wird, wenn der Benutzer den Mauszeiger kurz und ohne zu klicken über ein Steuerelement oder einen anderen Teil der Benutzeroberfläche hält. Sie können QuickInfos für Steuerelemente und für die Werkzeugsammlung anpassen.

Der Standardwert eines neuen Steuerelements, das aus einem Formular in die Werkzeugsammlung kopiert wird, ist Neu gefolgt von der Steuerelementart. So ist z. B. Neu: Befehlsschaltfläche die Standard-QuickInfo für ein angepasstes Befehlsschaltfläche-Steuerelement (CommandButton) (wie z.B. OK). Verfügt ein Steuerelement über keine zugehörige QuickInfo, ist der Standardwert Unbekannt.

Anmerkung QuickInfos sind von Microsoft Forms für Formularentwickler im Entwurfsmodus bereitgestellte Informationen. Jedes Steuerelement verfügt über die Eigenschaft ControlTipText, die es Formularentwicklern ermöglicht, Endbenutzern eine "QuickInfo" während der Anwendungsausführung anzuzeigen.


Anzeigen oder Ausblenden von QuickInfos

  1. Wählen Sie aus dem Menü Extras den Befehl Optionen aus.

  2. Wählen Sie die Registerkarte Allgemein aus.

  3. Führen Sie einen der folgenden Schritte aus:
    • Zur Anzeige der QuickInfos aktivieren Sie das Kontrollkästchen QuickInfo anzeigen.

    • Zum Ausblenden der QuickInfos deaktivieren Sie das Kontrollkästchen QuickInfo anzeigen.


Was ist ein Kontextmenü?

Ein Kontextmenü ist ein Menü, das angezeigt wird, wenn Sie mit der rechten Maustaste auf ein Objekt klicken. In Microsoft Forms verfügen die folgenden Objekte über Kontextmenüs:

  • Die Werkzeugsammlung, jede Seite der Werkzeugsammlung und jedes Element auf einer Seite der Werkzeugsammlung.

  • Einzelne Steuerelemente in einem Formular.

  • Steuerelementgruppen (mit dem Befehl Gruppieren erstellte Gruppen).

  • Container (z. B. UserForm).

  • Einzelne Page-Objekte eines Multiseiten-Steuerelements (MultiPage).

  • Einzelne Tab-Objekte eines Register-Steuerelements (TabStrip).

  • Mehrere Steuerelemente, die sich nicht in einer Gruppe befinden.

Die Befehle in einem Kontextmenü variieren in Abhängigkeit von dem ausgewählten Objekt. Wenn Sie beispielsweise mehrere Steuerelemente auswählen, die sich nicht in einer Gruppe befinden, enthält das Kontextmenü den Befehl Gruppieren, das Kontextmenü für die Werkzeugsammlung enthält diesen Befehl jedoch nicht.

Klicken Sie mit der rechten Maustaste auf das Objekt, um das Kontextmenü für ein Steuerelement oder einen Container anzuzeigen.

Weitere Informationen über das Anzeigen des Kontextmenüs für ein Multiseiten-Steuerelement oder ein Page-Objekt erhalten Sie, wenn Sie auf [image] klicken.

Weitere Informationen über das Anzeigen des Kontextmenüs für ein Register-Steuerelement oder ein Tab-Objekt erhalten Sie, wenn Sie auf [image] klicken.


Anzeigen des Kontextmenüs für ein Multiseiten-Steuerelement (MultiPage) oder ein Page-Objekt

  1. Stellen Sie sicher, dass das Formular nicht ausgeführt wird.

  2. Führen Sie einen der folgenden Schritte aus:
    • Damit das Kontextmenü eines einzelnen Page-Objekts angezeigt wird, klicken Sie mit der rechten Maustaste auf den Titel der entsprechenden Seite.

    • Damit das Kontextmenü des gesamten Multiseiten-Steuerelements (MultiPage) angezeigt wird, klicken Sie mit der rechten Maustaste auf eine beliebige Stelle des Steuerelements, jedoch nicht auf den Titel eines Page-Objekts innerhalb des Steuerelements.


Anzeigen des Kontextmenüs für ein Register-Steuerelement (TabStrip) oder ein Tab-Objekt

  1. Stellen Sie sicher, dass das Formular nicht ausgeführt wird.

  2. Führen Sie einen der folgenden Schritte aus:
    • Um das Kontextmenü für ein einzelnes Tab-Objekt anzuzeigen, wählen Sie das entsprechende Tab-Objekt aus.

    • Ist das Tab-Objekt ausgewählt, wird um seinen Titel herum ein gepunktetes Rechteck angezeigt.

      Klicken Sie mit der rechten Maustaste auf den ausgewählten Titel.

    • Um das Kontextmenü für das Register-Steuerelement (TabStrip) anzuzeigen, klicken Sie mit der rechten Maustaste auf eine beliebige Stelle in dem Steuerelement, jedoch nicht auf den Titel eines Tab-Objekts in dem Steuerelement.


Anzeigen des Kontextmenüs einer Gruppe

  1. Wählen Sie die Gruppe aus.

  2. Klicken Sie mit der rechten Maustaste auf eine beliebige Stelle innerhalb des Rechtecks, das die Gruppe umgibt.

Tipp Wenn Sie das Kontextmenü ausblenden wollen, weil Sie keinen der Befehle dieses Menüs benötigen, klicken Sie auf eine beliebige Stelle innerhalb der Gruppe, jedoch nicht auf das Kontextmenü.


Rückgängig und Wiederholen (Befehle, Microsoft Forms)

Microsoft Forms unterstützt mehrere Ebenen für das Ausführen der Befehle Rückgängig und Wiederholen. Sie können also nicht nur eine einzelne Aktion, sondern eine ganze Reihe von Aktionen rückgängig machen.

STRG+Z ist die Tastenkombination für den Befehl Rückgängig; STRG+Y ist die Tastenkombination für den Befehl Wiederholen.

Befehle zum Schichten von Steuerelementen wie In den Hintergrund oder In den Vordergrund können weder rückgängig gemacht noch wiederholt werden. Wenn Sie beispielsweise ein Objekt auswählen und im Kontextmenü auf den Befehl Ebene nach hinten klicken, können Sie diese Aktion weder rückgängig machen noch wiederholen.


Zuweisen einer Bitmap zu einem Steuerelement

Führen Sie im Eigenschaftenfenster folgende Schritte durch:

  1. Wählen Sie die Picture-Eigenschaft aus.

  2. Geben Sie im Dialogfeld Bild laden den Namen des Bildes und seinen Standort an.

Ist das Bild größer als das Steuerelement, skaliert Microsoft Forms das Bild entsprechend den Abmessungen des Steuerelements, ungeachtet dessen, ob Sie das Bild über das Eigenschaftenfenster oder per Code zugewiesen haben. Die PictureAlignment-Eigenschaft bestimmt, wie das Bild innerhalb des Steuerelements ausgerichtet wird.


Möglichkeiten, ein Bild in einem Steuerelement auszurichten

Die Picture-Eigenschaft weist einem Steuerelement eine Bitmap oder ein anderes Bild zu. Nachdem Sie dem Steuerelement das Bild zugewiesen haben, können Sie die folgenden Schritte ausführen, um das Bild in dem Steuerelement auszurichten:

  • Verwenden Sie die PictureAlignment-Eigenschaft, um das Bild innerhalb des Anzeige-Steuerelements (Image) zu zentrieren, oder richten Sie eine beliebige Ecke des Bildes an der entsprechenden Ecke des Anzeige-Steuerelements aus.

  • Verwenden Sie die PictureSizeMode-Eigenschaft, um das Bild innerhalb des Anzeige-Steuerelements abzuschneiden, zu strecken oder zu zoomen. Durch Strecken kann das Bild - anders als beim Zoomen - verzerrt werden.

  • Verwenden Sie die PictureTiling-Eigenschaft, um mehrere Kopien des Bildes innerhalb des Anzeige-Steuerelements anzuzeigen.


Löschen einer Bitmap aus einem Steuerelement

Im Eigenschaftenfenster:

  1. Markieren Sie den Wert der Picture-Eigenschaft (das Wort "Bitmap").

  2. Drücken Sie ENTF.

Im Code:

  • Geben Sie die folgende Anweisung ein: Objekt.Picture = LoadPicture("").


Verwendungsmöglichkeiten von Bildern in Anzeige-Steuerelementen (Image)

Ein Anzeige-Steuerelement (Image) ist nicht selbst ein Bild, vielmehr enthält es ein Bild, das in einer separaten Datei gespeichert wird. Sie können das Bild nicht mit den Eigenschaften des Anzeige-Steuerelements bearbeiten, aber Sie können mit diesen Eigenschaften festlegen, wie das Bild im Anzeige-Steuerelement dargestellt werden soll.

Eine interessante Verwendung des Anzeige-Steuerelements besteht darin, dass Sie es als Hintergrundbild für Ihre Anwendung nutzen können. Sie erreichen dies, indem Sie die Größe des Anzeige-Steuerelements der Größe des Formulars angleichen. Anschließend können Sie andere Steuerelemente vor dem Hintergrund positionieren.


Tipps für das Festlegen des bestimmenden Steuerelements

Sie können mit einer der folgenden Möglichkeiten das bestimmende Steuerelement festlegen, wenn Sie mehrere Steuerelemente auswählen:

  • UMSCHALT+Klicken: Das bestimmende Steuerelement ist das erste Steuerelement, das Sie mit UMSCHALT+Klicken auswählen.

  • STRG+Klicken: Das bestimmende Steuerelement ist das letzte Steuerelement, das Sie mit STRG+Klicken auswählen.

  • Objekte auswählen-Zeiger in der Werkzeugsammlung: Das bestimmende Steuerelement ist das Steuerelement, das sich am nächsten zum Mauszeiger befindet, wenn Sie mit dem Zeichnen des Rechtecks um die auszuwählenden Steuerelemente beginnen.

Wenn Sie STRG+Klicken doppelt auf einem ausgewählten Steuerelement ausführen, wird dieses Steuerelement zum bestimmenden Steuerelement.


Transparenz in Microsoft Forms

Microsoft Forms unterstützt Transparenz in zwei Bereichen: für den Hintergrund bestimmter Steuerelemente und bei Bitmaps, die von bestimmten Steuerelementen verwendet werden.

Die BackStyle-Eigenschaft bestimmt, ob ein Steuerelement transparent ist. Bei einem transparenten Steuerelement können Sie erkennen, was sich hinter dem Steuerelement auf dem Formular befindet. Dies ist hilfreich, wenn Sie einen dekorativen Hintergrund auf dem Formular verwenden und Sie den Teil dieses Hintergrundes, der hinter den Steuerelementen verborgen ist, minimieren wollen. Weitere Informationen darüber, wie Sie ein Steuerelement als transparent festlegen können, erhalten Sie, wenn Sie auf [image] klicken.

Sie können auf vielen Steuerelementen in Microsoft Forms eine Bitmap anzeigen. Bestimmte Steuerelemente unterstützen transparente Bitmaps, d.h. Bitmaps, in denen eine oder mehrere Hintergrundfarben transparent sind. Die Transparenz einer Bitmap wird nicht von einer Steuerelementeigenschaft gesteuert; sie wird von der Farbe des unteren linken Pixels des Bildes gesteuert. Microsoft Forms stellt keine Möglichkeit bereit, eine Bitmap zu bearbeiten und sie transparent zu machen; Sie müssen für diesen Zweck einen speziellen Editor zur Bildbearbeitung verwenden.

In Microsoft Forms sind Bitmaps auf folgenden Steuerelementen immer transparent:

  • Kontrollkästchen-Steuerelement (CheckBox)

  • Befehlsschaltfläche-Steuerelement (CommandButton)

  • Bezeichnungsfeld-Steuerelement (Label)

  • Optionsfeld-Steuerelement (OptionButton)

  • Umschaltfläche-Steuerelement (ToggleButton)

Transparente Bilder sehen manchmal unscharf aus. Falls Ihnen diese Darstellung nicht zusagt, können Sie das Bild auf einem Steuerelement anzeigen, das undurchsichtige Abbildungen unterstützt.

Wenn Sie eine transparente Bitmap auf einem Steuerelement verwenden, das transparente Bitmaps nicht unterstützt, so wird die Bitmap korrekt angezeigt, Sie können jedoch nicht sehen, was sich dahinter befindet. In Microsoft Forms unterstützen die folgenden Steuerelemente transparente Bitmaps nicht:

  • Formularfenster (UserForm)

  • Rahmen-Steuerelement (Frame)

  • Anzeige-Steuerelement (Image)

  • Multiseiten-Steuerelement (MultiPage)


Erstellen eines transparenten Steuerelements

  1. Positionieren Sie das zugrunde liegende Steuerelement im Formular.

  2. Zeigen Sie die Eigenschaften des Steuerelements an.

  3. Legen Sie die BackStyle-Eigenschaft auf den Wert Transparent fest.

  4. Wenn das Steuerelement die BorderStyle-Eigenschaft unterstützt, setzen Sie den Wert auf None.

Anmerkung Wenn Sie ein Steuerelement als transparent festlegen, wird die Hintergrundfarbe nicht angezeigt, d.h., die BackColor-Eigenschaft wird ignoriert. Die Einstellung der BackColor-Eigenschaft wird jedoch nicht verändert, wenn ein Steuerelement transparent ist.


Was ist ein Titel?

Ein Titel ist beschreibender Text, der direkt auf dem Steuerelement oder im Bereich um ein Steuerelement herum angezeigt wird. Die folgenden Steuerelemente können über Titel verfügen: Kontrollkästchen-Steuerelement (CheckBox), Befehlsschaltfläche-Steuerelement (CommandButton), Rahmen-Steuerelement (Frame), Bezeichnungsfeld-Steuerelement (Label), Optionsfeld-Steuerelement (OptionButton) und Umschaltfeld-Steuerelement (ToggleButton). Die Page- und Tab-Objekte, die Teil der Multiseiten-Steuerelemente (MultiPage) und Register-Steuerelemente (TabStrip) sind, können ebenfalls über Titel verfügen.


Zuweisen eines Titels

So weisen Sie einem Kontrollkästchen-Steuerelement (CheckBox), Befehlsschaltfläche-Steuerelement (CommandButton), Rahmen-Steuerelement (Frame), Bezeichnungsfeld-Steuerelement (Label), Optionsfeld-Steuerelement (OptionButton) oder einem Umschaltfeld-Steuerelement (ToggleButton) einen Titel zu:

  1. Zeigen Sie das Eigenschaftenfenster des Steuerelements an.

  2. Wählen Sie die Caption-Eigenschaft aus.

  3. Geben Sie den Text ein, den Sie als Titel verwenden möchten.

So weisen Sie einem Page- oder einem Tab-Objekt einen Titel zu:

  1. Wählen Sie das Multiseiten-Steuerelement (MultiPage) oder das Register-Steuerelement (TabStrip) aus, das das Page- bzw. das Tab-Objekt enthält.

  2. Wählen Sie das einzelne Page- oder Tab-Objekt aus. Nachdem das Page- oder Tab-Objekt ausgewählt wurde, wird ein Rechteck um seinen Titel angezeigt.

  3. Klicken Sie mit der rechten Maustaste auf das ausgewählte Multiseiten-Steuerelement oder Register-Steuerelement.

  4. Wählen Sie aus dem Kontextmenü den Befehl Umbenennen aus.

  5. Geben Sie im Feld Titel den Text ein, den Sie als Titel verwenden möchten.

  6. Klicken Sie auf OK.


Was ist ein Multiseiten-Steuerelement (MultiPage)?

Ein Multiseiten-Steuerelement (MultiPage) ist ein Steuerelement, das eine Auflistung einer oder mehrerer Seiten enthält.

Jedes Page-Objekt eines Multiseiten-Steuerelements ist ein Formular, das seine eigenen Steuerelemente enthält und als solches über ein eigenes Layout verfügen kann. Typischerweise verfügen die Seiten in einem Multiseiten-Steuerelement über Register, so dass der Benutzer die einzelnen Seiten auswählen kann.

Standardmäßig umfasst ein Multiseiten-Steuerelement zwei Seiten, genannt Page1 und Page2. Beide sind Page-Objekte, die gemeinsam die Pages-Auflistung des Multiseiten-Steuerelements darstellen. Wenn Sie weitere Seiten hinzufügen, werden diese zu Bestandteilen der gleichen Pages-Auflistung.


Was ist ein Register-Steuerelement (TabStrip)?

Ein Register-Steuerelement (TabStrip) ist ein Steuerelement, das eine Auflistung einer oder mehrerer Registerkarten enthält.

Jedes Tab-Objekt eines Register-Steuerelements ist ein eigenes Objekt, das die Benutzer auswählen können. Optisch zeichnet sich das Register-Steuerelement dadurch aus, dass es über einen Client-Bereich verfügt, der allen Registerkarten des Register-Steuerelements gemeinsam ist.

Standardmäßig enthält ein Register-Steuerelement zwei Seiten, genannt Tab1 und Tab2. Beide sind Tab-Objekte, die gemeinsam die Tabs-Auflistung des Register-Steuerelements darstellen. Wenn Sie weitere Seiten hinzufügen, werden diese Teil der gleichen Tabs-Auflistung.


Ist das Multiseiten-Steuerelement (MultiPage) oder das Register-Steuerelement (TabStrip) vorzuziehen?

Wenn Sie ein einziges Layout für die Darstellung von Daten verwenden, sollten Sie ein Register-Steuerelement (TabStrip) verwenden, so dass jede Datengruppe einem eigenen Tab-Objekt entspricht. Benötigen Sie verschiedene Layouts, um Ihre Daten anzuzeigen, sollten Sie ein Multiseiten-Steuerelement (MultiPage) verwenden, da Sie jedem Page-Objekt ein jeweils individuelles Layout zuweisen können.

Im Gegensatz zum Page-Objekt eines Multiseiten-Steuerelements ist der Clientbereich eines Register-Steuerelements kein selbständiges Formular, sondern Teil des Formulars, welches das Register-Steuerelement enthält. Der Rahmen eines Register-Steuerelements definiert einen Bereich des Formulars, den Sie mit den Registerkarten verbinden können. Wenn Sie ein Steuerelement im Clientbereich eines Register-Steuerelements positionieren, fügen Sie dem Formular, welches das Register-Steuerelement enthält, ein Steuerelement hinzu.


Zuweisen einer Zugriffstaste zu einem Page-Objekt oder einem Tab-Objekt

  1. Wählen Sie im Entwurfsmodus ein einzelnes Page- oder Tab-Objekt aus. Stellen Sie sicher, das Page- oder Tab-Objekt und nicht das zugehörige Multiseiten-Steuerelement (MultiPage) oder Register-Steuerelement (TabStrip) ausgewählt zu haben. Ist ein Page- oder Tab-Objekt ausgewählt, wird ein Rechteck um den Titel des Page- oder Tab-Objekts angezeigt.

  2. Klicken Sie mit der rechten Maustaste auf das ausgewählte Page- oder Tab-Objekt.

  3. Wählen Sie aus dem Kontextmenü den Befehl Umbenennen aus.

  4. Geben Sie im Dialogfeld Umbenennen ein einzelnes Zeichen im Feld Zugriffstaste ein.

Tipp Verwenden Sie ein Zeichen aus dem Titel des Steuerelements. Sie werden feststellen, dass das ausgewählte Zeichen im Titel des Steuerelements unterstrichen dargestellt wird.


Ändern der Reihenfolge der Seiten in einem Multiseiten-Steuerelement (MultiPage) oder einem Register-Steuerelement (TabStrip)

  1. Wählen Sie eine beliebige Seite im Multiseiten-Steuerelement (MultiPage) oder Register-Steuerelement (TabStrip) aus.

  2. Klicken Sie mit der rechten Maustaste auf den Titel der Seite.

  3. Wählen Sie aus dem Kontextmenü den Befehl Verschieben aus.

  4. Wählen Sie im Dialogfeld Verschieben das zu verschiebende Page-Objekt aus.

  5. Wählen Sie Nach oben oder Nach unten, um die Position der Seite zu ändern.

  6. Nachdem Sie alle gewünschten Änderungen ausgeführt haben, klicken Sie auf OK.

Anmerkung Sie können über das Eigenschaftenfenster auch die Index-Eigenschaft zur Änderung der Seitenreihenfolge verwenden. Der Index der ersten Seite ist 0; der Index der zweiten Seite ist 1 usw.


Tipps zur Verwendung des Textfeld-Steuerelements (TextBox)

Das Textfeld-Steuerelement (TextBox) ist ein flexibles Steuerelement, für das die folgenden Eigenschaften maßgebend sind: Text, MultiLine, WordWrap und AutoSize.

Text enthält den Text, der im Textfeld angezeigt wird.

MultiLine steuert, ob das Textfeld-Steuerelement den Text einzeilig oder mehrzeilig anzeigt. Zeilenendezeichen zeigen an, wo eine Zeile endet und eine neue beginnt. Wenn MultiLine dem Wert False entspricht, wird der Text abgeschnitten und nicht umbrochen.

WordWrap ermöglicht dem Textfeld-Steuerelement, dass Textzeilen, die länger als die Breite des Textfeld-Steuerelements sind, in kürzere und damit passende Zeilen umbrochen werden.

Verwenden Sie WordWrap nicht, beginnt das Textfeld-Steuerelement mit einer neuen Textzeile, wenn es ein Zeilenendezeichen im Text erreicht. Ist WordWrap deaktiviert, passen einige Textzeilen möglicherweise nicht vollständig in das Textfeld-Steuerelement. Das Textfeld-Steuerelement zeigt seiner Breite entsprechend einen Textteil an und schneidet den Teil ab, der über die Breite des Steuerelements hinausgeht. WordWrap ist nur anwendbar, wenn MultiLine dem Wert True entspricht.

AutoSize steuert, ob das Textfeld-Steuerelement angepasst wird, um den gesamten Text anzeigen zu können. Wird AutoSize für ein Textfeld-Steuerelement verwendet, wird die Breite des Textfeld-Steuerelements vermindert oder vergrößert, und zwar in Abhängigkeit von der Textmenge im Textfeld-Steuerelement und dem zur Anzeige des Textes verwendeten Schriftgrad.

In folgenden Situationen empfiehlt sich die Verwendung von AutoSize:

  • Anzeigen eines Titels, der eine oder mehrere Zeilen umfasst.

  • Anzeigen des Inhalts eines einzeiligen Textfeld-Steuerelements.

  • Anzeigen des Inhalts eines mehrzeiligen Textfeld-Steuerelements, das für den Benutzer schreibgeschützt angezeigt wird.

Anmerkung Vermeiden Sie die Verwendung von AutoSize für ein leeres Textfeld-Steuerelement, das ebenfalls die Eigenschaften MultiLine und WordWrap verwendet. Wenn der Benutzer Text in ein Textfeld-Steuerelement eingibt, das über diese Eigenschaften verfügt, verändert sich die Größe des Textfeld-Steuerelements automatisch; es wird zu einem langen, schmalen Feld, dessen Breite genau einem Zeichen und dessen Länge der eingegebenen Textzeile entspricht.


Darstellungsarten des Listenfeld-Steuerelements (ListBox)

Sie können zwischen zwei Darstellungsarten für ein Listenfeld-Steuerelement (ListBox) wählen. Jede Art stellt den Benutzern unterschiedliche Möglichkeiten zur Verfügung, um Elemente aus einer Liste auszuwählen.

Wird die Darstellungsart auf den Wert Plain festgelegt, befindet sich jedes Element in einer eigenen Zeile; der Benutzer wählt ein Element aus, indem er eine oder mehrere Zeilen markiert.

Wird die Darstellungsart auf den Wert Option festgelegt, wird ein Optionsfeld oder ein Kontrollkästchen zu Beginn jeder Zeile angezeigt. Mit Hilfe dieser Darstellungsart wählt der Benutzer ein Element aus, indem er das Optionsfeld oder das Kontrollkästchen aktiviert. Kontrollkästchen werden nur angezeigt, wenn die MultiSelect-Eigenschaft dem Wert Multi oder Extended entspricht.


Erstellen eines Standard-Listenfeldes

  1. Wählen Sie im Eigenschaftenfenster die ListStyle-Eigenschaft aus.

  2. Klicken Sie auf den Dropdown-Pfeil, um eine Liste der verfügbaren Darstellungsarten anzuzeigen.

  3. Wählen Sie aus der Liste die Einstellung Plain aus.


Erstellen eines Listenfeldes mit Optionsfeldern oder Kontrollkästchen

  1. Wählen Sie im Eigenschaftenfenster die ListStyle-Eigenschaft aus.

  2. Klicken Sie auf den Dropdown-Pfeil, um eine Liste der verfügbaren Darstellungsarten anzuzeigen.

  3. Wählen Sie aus der Liste die Einstellung Option aus.

Wenn die ListStyle-Eigenschaft auf Option gesetzt ist, legt die MultiSelect-Eigenschaft fest, ob die Kontrollkästchen oder Optionsfelder in der Liste angezeigt werden. Wenn die MultiSelect-Eigenschaft den Wert Single hat, werden Optionsfelder in der Liste angezeigt. Wenn die MultiSelect-Eigenschaft den Wert Multi oder Extended hat, werden Kontrollkästchen in der Liste angezeigt.


Möglichkeiten, Daten in ein Listenfeld-Steuerelement (ListBox) oder ein Kombinationsfeld-Steuerelement (ComboBox) einzufügen

Die AddItem-Methode stellt eine effektive Technik dar, um einen bestimmten Eintrag in eine Liste eines einspaltigen Listenfeld-Steuerelements (ListBox) oder Kombinationsfeld-Steuerelements (ComboBox) einzufügen. In einem mehrspaltigen Listenfeld- oder Kombinationsfeld-Steuerelement stellen jedoch die Eigenschaften List und Column eine andere Methode bereit: Sie können die Liste aus einem zweidimensionalen Datenfeld laden.


Verwendungsmöglichkeiten eines mehrspaltigen Listenfeld-Steuerelements (ListBox) oder Kombinationsfeld-Steuerelements (ComboBox)

Damit Sie die Spaltenbreite eines mehrspaltigen Listenfeld-Steuerelements (ListBox) oder Kombinationsfeld-Steuerelements (ComboBox) steuern können, legen Sie mit der ColumnWidths-Eigenschaft für alle Spalten die Breite in Punkten fest. Die Vergabe des Wertes Null für eine Spalte blendet diese Spalte bei der Anzeige aus.

Wenn Sie in einem Listenfeld-Steuerelement (ListBox) oder in einem Kombinationsfeld-Steuerelement (ComboBox) alle Spalten außer einer ausblenden möchten, können Sie die ColumnWidths-Eigenschaft der anderen Spalten auf Null setzen und die anzuzeigende Datenspalte angeben, indem Sie für diese Spalte den Standardwert der ColumnWidths-Eigenschaft beibehalten und die TextColumn-Eigenschaft verwenden. Markiert der Benutzer eine Zeile, dann wird die Text-Eigenschaft des Steuerelements auf den Wert der Spalte gesetzt, die durch die TextColumn-Eigenschaft angegeben wird. In einem Kombinationsfeld-Steuerelement zeigt das System die Spalte an, die durch die TextColumn-Eigenschaft im Textfeld des Steuerelements angegeben wird.

Durch Angeben der Spaltennummer in der BoundColumn-Eigenschaft können Sie außerdem festlegen, welche Spalte mit Werten für das Steuerelement verwendet wird, wenn der Benutzer eine Auswahl trifft.


Hinzufügen von Elementen zu einer Liste unter Verwendung der Eigenschaften List oder Column

  1. Erstellen Sie eine mehrspaltiges Listenfeld-Steuerelement (ListBox) oder Kombinationsfeld-Steuerelement (ComboBox).

  2. Erstellen Sie ein zweidimensionales Datenfeld, das die in die Liste einzufügenden Elemente enthält.

  3. Legen Sie die ColumnCount-Eigenschaft des Listenfeld-Steuerelements oder Kombinationsfeld-Steuerelements entsprechend der Anzahl der Listeneinträge fest.

  4. Führen Sie einen der folgenden Schritte aus:
    • Weisen Sie das Datenfeld als Wert der List-Eigenschaft zu. Der Inhalt des Listenfeld-Steuerelements entspricht exakt dem Inhalt des Datenfeldes.

    • Weisen Sie das Datenfeld als Wert der Column-Eigenschaft zu. Column setzt Zeilen und Spalten um, so dass jede Zeile des Listenfeld-Steuerelements mit der entsprechenden Spalte des Datenfeldes übereinstimmt.


Möglichkeiten, Einträge einer Liste zu vergleichen

Microsoft Forms stellt drei Möglichkeiten bereit, einen vom Benutzer eingegebenen Wert mit einem bestehenden Listeneintrag eines Listenfeld-Steuerelements (ListBox) oder Kombinationsfeld-Steuerelements (ComboBox) zu vergleichen:

  • None - stellt keine Unterstützung zum Vergleich von Benutzereingaben mit Listeneinträgen bereit.

  • FirstLetter - vergleicht das zuletzt eingegebene Zeichen mit dem ersten Zeichen jedes Listeneintrages. Die erste Übereinstimmung in der Liste wird markiert.

  • Complete - vergleicht die Benutzereingabe und versucht, eine exakte Übereinstimmung in den Listeneinträgen zu finden.

Das Suche nach Übereinstimmungen wird nach zwei Sekunden zurückgesetzt (nach sechs Sekunden, falls Sie die Fernostversion verwenden). Wenn Sie z. B. eine Liste der europäischen Hauptstädte haben und "LO" schnell eingeben, wird "London" gefunden. Geben Sie "LO" aber langsam ein, wird "Oslo" gefunden, da die automatische Suche zwischen der Eingabe der einzelnen Zeichen zurückgesetzt wurde.

Bei der Wahl von Complete ist es sinnvoll, die Listeneinträge alphabetisch zu sortieren. (Sie können dafür die TextColumn-Eigenschaft verwenden.) Ist die Liste nicht alphabetisch sortiert, arbeitet die Überprüfung eventuell nicht einwandfrei. Wenn die Liste z. B. Berlin, Rom und Bern in dieser Reihenfolge enthält, wird "Berlin" als komplette Übereinstimmung angesehen, wenn der Benutzer "ber" eingibt. Tatsächlich ist dieses Ergebnis jedoch nicht eindeutig, da es zwei Listeneinträge gibt, die den Benutzerangaben entsprechen. Die alphabetische Sortierung schließt diese Mehrdeutigkeiten aus.


Verwenden der Z-Reihenfolge beim Schichten von Steuerelementen

So positionieren Sie ein Steuerelement im Vordergrund oder im Hintergrund der Z-Reihenfolge:

  1. Wählen Sie die neu zu positionierenden Steuerelemente aus.

  2. Wählen Sie aus dem Menü Format den Befehl Reihenfolge aus.

  3. Wählen Sie aus dem Untermenü den Befehl In den Vordergrund oder In den Hintergrund aus.

So weisen Sie einem Steuerelement eine Position in der Z-Reihenfolge zu:

  1. Wählen Sie die neu zu positionierenden Steuerelemente aus.

  2. Wählen Sie aus dem Menü Format den Befehl Reihenfolge aus.

  3. Wählen Sie aus dem Untermenü den Befehl Ebene nach vorne oder Ebene nach hinten aus.

Anmerkung Sie können Befehle zum Schichten von Steuerelementen, wie z.B. In den Hintergrund oder In den Vordergrund, nicht rückgängig machen oder wiederholen. Wenn Sie z.B. ein Objekt auswählen und im Kontextmenü auf den Befehl Ebene nach hinten klicken, können Sie diese Aktion nicht rückgängig machen oder wiederholen.

Mit den Auswahlmöglichkeiten In den Vordergrund, Ebene nach vorne, In den Hintergrund und Ebene nach hinten im Menü können Sie die Z-Reihenfolge eines Steuerelements relativ zu anderen Steuerelementen verändern. Enthält das Formular Listenfeld- (ListBox), Rahmen- (Frame) oder Multiseiten-Steuerelemente (MultiPage), werden diese Steuerelemente automatisch an eine Position möglichst weit vorne in dem Stapel verschoben. Wird der Befehl Ebene nach hinten z.B. auf ein Listenfeld-, Rahmen- oder Multiseiten-Steuerelement angewendet, so wird das Steuerelement zwar hinter andere Listenfeld-, Rahmen- oder Multiseiten-Steuerelemente verschoben, jedoch nicht hinter andere Steuerelementtypen in dem Stapel. Die Wirkung des Befehls In den Vordergrund ist vergleichbar; wird er auf ein anderes als ein Listenfeld-, Rahmen- oder Multiseiten-Steuerelement angewendet, so wird das Steuerelement in dem Stapel möglichst weit nach vorne verschoben, es wird jedoch nicht vor ein Listenfeld-, Rahmen- oder Multiseiten-Steuerelement in dem Stapel verschoben.

Der optische Effekt ist folgender: wenn sich in einem Formular ein Listenfeld-, Rahmen- oder Multiseiten-Steuerelement sowie ein anderes beliebiges Microsoft Forms-Steuerelement an derselben Position befindet, wird das Listenfeld-, Rahmen- oder Multiseiten-Steuerelement immer vor dem anderen Steuerelement angezeigt. Befindet sich ein Listenfeld-, Rahmen- oder Multiseiten-Steuerelement an derselben Position wie ein weiteres derartiges Steuerelement, legt die Z-Reihenfolge der Steuerelemente fest, welches Steuerelement vor dem anderen angezeigt wird.


Aktive und ausgewählte Steuerelemente

Jedes Steuerelement besitzt einen aktiven und einen ausgewählten Zustand. Wenn das Steuerelement aktiv ist, arbeiten Sie mit dem Inhalt dieses Steuerelements. Wenn das Steuerelement ausgewählt ist, arbeiten Sie mit dem Steuerelement selbst.

Die meisten Steuerelemente werden automatisch ausgewählt, wenn Sie in das Formular eingefügt werden. Im Entwurfsmodus erscheinen Ziehpunkte zur Größenänderung rund um den Rand des Steuerelements, wenn das Steuerelement ausgewählt ist. Wenn Sie die Auswahl des Steuerelements aufgehoben haben, können Sie es erneut auswählen, indem Sie einmal auf das Steuerelement klicken.

Durch Klicken auf ein ausgewähltes Steuerelement wird das Steuerelement in den aktiven Zustand versetzt. Sie können nun den Titel des Steuerelements direkt bearbeiten.

Sowohl im ausgewählten als auch im aktiven Zustand können Sie ENTF, STRG+X und STRG+C als Tastenkombinationen für die Befehle Löschen, Ausschneiden bzw. Kopieren verwenden. Im ausgewählten Zustand sind diese Befehle im Kontextmenü verfügbar und beeinflussen das Steuerelement selbst. Im aktiven Zustand beeinflussen diese Befehle den Text, der innerhalb des Steuerelements ausgewählt ist. Falls kein Text ausgewählt ist, haben diese Befehle keine Wirkung. Für aktive Steuerelemente sind diese Befehle im Kontextmenü nicht verfügbar.


Ändern der Größe des Formulars

Zur Entwurfszeit:

  • Ziehen Sie den Ziehpunkt zur Größenänderung des Formulars so lange, bis das Formular die gewünschte Größe hat.

Zur Laufzeit:

  • Legen Sie die Eigenschaften Height und Width des Formulars auf die gewünschten Werte fest.


Ändern der Position des Formulars

Über die Benutzeroberfläche:

  • Ziehen Sie die Titelleiste, bis sich das Formular an der von Ihnen gewünschten Stelle befindet.

Zur Entwurfszeit:

  • Legen Sie die Eigenschaften Left und Top des Formulars auf die gewünschten Werte fest. Sie können diese Eigenschaften über das Eigenschaftenfenster oder mittels Code festlegen.


Anzeigen oder Ausblenden des Rasters

  1. Wählen Sie aus dem Menü Extras den Befehl Optionen aus.

  2. Wählen Sie die Registerkarte Allgemein aus.

  3. Führen Sie einen der folgenden Schritte aus:
    • Aktivieren Sie das Kontrollkästchen Raster anzeigen, um das Raster anzuzeigen.

    • Deaktivieren Sie das Kontrollkästchen Raster anzeigen, um das Raster auszublenden.
  4. Klicken Sie auf OK.


Auswählen der Rastergröße

  1. Wählen Sie aus dem Menü Extras den Befehl Optionen aus.

  2. Wählen Sie im Dialogfeld Optionen die Registerkarte Allgemein.

  3. Geben Sie in der Gruppe Einstellungen für Formularraster die gewünschte Größe jedes Rasterblocks an. Die Angabe kleinerer Zahlen führt zu kleineren Rasterblöcken.

Tipp Wählen Sie eine kleine Rastereinstellung, wenn Sie den Befehl Schaltflächen ausrichten zum Positionieren von Befehlsschaltflächen in Ihrer Anwendung verwenden. Dadurch können Sie die Schaltflächen näher an den Formularrändern positionieren.


Anpassen der Größe an das Raster

  1. Wählen Sie das Steuerelement aus.

  2. Wählen Sie im Menü Format den Befehl Größe an Raster anpassen.

    Microsoft Forms passt die Größe des ausgewählten Steuerelements so an, dass jede Ecke an einem Rasterpunkt ausgerichtet wird.


Anpassen der Größe

  1. Wählen Sie das Steuerelement aus.

  2. Wählen Sie im Menü Format den Befehl Größe anpassen.

    Microsoft Forms stellt die Größe des Steuerelements so ein, dass es gerade groß genug ist, sein Bild sowie den mit der Caption- oder Text-Eigenschaft zugewiesenen Text anzuzeigen.


Vergrößern oder Verkleinern aller Steuerelemente in einer Gruppe

  1. Wählen Sie die Gruppe aus.

    Ein Rechteck mit Ziehpunkten umgibt nun die Gruppe. Daran erkennen Sie, dass die Gruppe ausgewählt ist.

  2. Klicken Sie auf einen der Ziehpunkte, und ziehen Sie ihn, um die Größe des Rechtecks zu verändern.

  3. Lassen Sie die Maustaste los.

    Die Größe der einzelnen Steuerelemente wird proportional zur Verkleinerung bzw. Vergrößerung des die Gruppe umgebenden Rechtecks verändert.


Angleichen der Größe von Steuerelementen

  1. Wählen Sie alle Steuerelemente aus, deren Größe Sie angleichen möchten.

  2. Wählen Sie das bestimmende Steuerelement aus.

  3. Wählen Sie aus dem Menü Format den Befehl Größe angleichen aus.

  4. Wählen Sie aus dem Untermenü eine der folgenden Möglichkeiten aus:
    • Breite - damit alle ausgewählten Steuerelemente die gleiche Breite wie das bestimmende Steuerelement erhalten.

    • Höhe - damit alle ausgewählten Steuerelemente die gleiche Höhe wie das bestimmende Steuerelement erhalten.

    • Beides - damit alle ausgewählten Steuerelemente die gleiche Höhe und Breite wie das bestimmende Steuerelement erhalten.


Tipps für das Auswählen mehrerer Steuerelemente

Es gibt drei Möglichkeiten, um mehr als ein Steuerelement auszuwählen:

  • UMSCHALT+Klicken: Microsoft Forms erstellt ein unsichtbares Auswahlrechteck rund um die ausgewählten Steuerelemente und fügt allen Steuerelementen innerhalb dieses Rechtecks Ziehpunkte zur Größenänderung hinzu.

  • STRG+Klicken: Die Ziehpunkte zur Größenänderung werden nur um die ausgewählten Steuerelemente angezeigt, aber nicht für die Steuerelemente innerhalb des umgebenden Rechtecks. Es kann vorkommen, dass bei dieser Methode zusätzliche Steuerelemente ausgewählt werden, die sich nahe bei oder neben den ausgewählten Steuerelementen befinden. In diesem Fall sollten Sie den im Anschluss beschriebenen Zeiger Objekte auswählen verwenden.

  • Der Zeiger Objekte auswählen in der Werkzeugsammlung: Zeichnen Sie ein Rechteck über die auszuwählenden Steuerelemente. Alle Steuerelemente, die innerhalb dieses Rechtecks liegen oder es auch nur berühren, werden ausgewählt.

Wenn Sie mehrere Steuerelemente auswählen, wird eines der ausgewählten Steuerelemente zur Referenz für die anderen ausgewählten Steuerelemente. Es wird als bestimmendes Steuerelement bezeichnet.


Ausrichten von Steuerelementen

  1. Wählen Sie die auszurichtenden Steuerelemente aus.

  2. Wählen Sie das bestimmende Steuerelement aus.

  3. Wählen Sie aus dem Menü Format den Befehl Ausrichten aus.

  4. Wählen Sie aus dem Untermenü eine der folgenden Möglichkeiten aus, um den angegebenen Teil jedes ausgewählten Steuerelements an dem gleichen Teil des bestimmenden Steuerelements auszurichten:
    • Links - zur Ausrichtung des linken Randes.

    • Zentriert - zur Ausrichtung der Mitte jedes Steuerelements. Das bedeutet, dass eine vertikal gezeichnete Linie durch die Mitte des bestimmenden Steuerelements ebenfalls durch die Mitte jedes ausgewählten Steuerelements führen würde.

    • Rechts - zur Ausrichtung des rechten Randes.

    • Oben - zur Ausrichtung des oberen Randes.

    • Mitte - zur Ausrichtung der Mitte jedes Steuerelements. Das bedeutet, dass eine horizontal gezeichnete Linie durch die Mitte des bestimmenden Steuerelements ebenfalls durch die Mitte jedes ausgewählten Steuerelements führen würde.

    • Unten - zur Ausrichtung des unteren Randes.

    • Am Raster - zur Ausrichtung der oberen linken Ecke jedes ausgewählten Steuerelements an dem nächstgelegenen Rasterpunkt. Beachten Sie, dass diese Option nicht die Position des bestimmenden Steuerelements zugrunde legt.

Anmerkung Jeder Befehl in dem Menü verfügt über ein kleines Bild, das die Ausrichtung der Steuerelemente darstellt.


Ausrichten von Text in einem Steuerelement

  1. Wählen Sie im Eigenschaftenfenster die TextAlign-Eigenschaft aus.

  2. Klicken Sie auf den Dropdown-Pfeil neben dem Wert der Eigenschaft, um eine Liste der verfügbaren Auswahlmöglichkeiten anzuzeigen.

  3. Wählen Sie eine der folgenden Möglichkeiten:
    • Left - zur Ausrichtung des Textes am linken Rand des Steuerelements.

    • Right - zur Ausrichtung des Textes am rechten Rand des Steuerelements.

    • Center - zur Zentrierung des Textes relativ zur Länge des Steuerelements.

Die TextAlign-Eigenschaft ist verfügbar für die Steuerelemente: Kombinationsfeld (ComboBox), Bezeichnungsfeld (Label) und Textfeld (TextBox).


Zentrieren von Steuerelementen in einem Formular

  1. Wählen Sie die zu zentrierenden Steuerelemente oder Gruppen aus.

  2. Wählen Sie aus dem Menü Format den Befehl Im Formular zentrieren aus.

  3. Wählen Sie aus dem Untermenü einen der folgenden Befehle aus:
    • Horizontal

    • Vertikal


Anpassen der horizontalen und vertikalen Abstände zwischen Steuerelementen

  1. Wählen Sie die Steuerelemente aus, für die Sie die Abstände anpassen wollen.

  2. Wählen Sie aus dem Menü Format den Befehl Horizontaler Abstand oder Vertikaler Abstand aus.

  3. Wählen Sie aus dem Untermenü einen der folgenden Befehle aus:
    • Ausgleichen - gleicht die horizontalen und vertikalen Abstände zwischen Steuerelementen an. Die Größe des horizontalen und vertikalen Abstands variiert in Abhängigkeit von dem für die Anzeige von Steuerelementen verfügbaren Bereich sowie der kombinierten Breite aller Steuerelemente.

    • Vergrößern - vergrößert den Abstand zwischen Steuerelementen um einen Rasterblock.

    • Vermindern - verringert den Abstand zwischen Steuerelementen um einen Rasterblock.

    • Entfernen - entfernt den Abstand zwischen Steuerelementen. Die Steuerelemente überlappen nicht, grenzen aber unmittelbar aneinander an.


Anordnen von Schaltflächen

  1. Wählen Sie die anzuordnenden Befehlsschaltfläche-Steuerelemente (CommandButton) aus.

  2. Wählen Sie aus dem Menü Format den Befehl Schaltflächen ausrichten aus.

  3. Wählen Sie aus dem Untermenü einen der folgenden Befehle aus:
    • Unten - ordnet die Schaltflächen in einer an der unteren linken Ecke des Formulars beginnenden Reihe an und richtet den unteren Rand aller Schaltflächen aus.

    • Rechts - ordnet die Schaltflächen in einer an der oberen rechte Ecke des Formulars beginnenden Spalte an und richtet den rechten Rand aller Schaltflächen aus.

Verwenden Sie nach dem Anordnen der Schaltflächen aus dem Menü Format entweder die Befehle Horizontaler Abstand oder Vertikaler Abstand, um die Abstände zwischen den Schaltflächen auszugleichen.

Tipp Wählen Sie eine kleine Rastergröße aus, bevor Sie diese Befehle zum Positionieren der Schaltflächen nahe des unteren oder rechten Formularrands verwenden. Die Änderung der Rastergröße nach dem Positionieren der Schaltflächen verändert nicht deren Position.


Möglichkeiten, eine Optionsgruppe zu erstellen

Alle Optionsfeld-Steuerelemente (OptionButton) eines Containers (z. B. eines Formulars, eines Multiseiten-Steuerelements (MultiPage) oder eines Rahmen-Steuerelements (Frame)) sind standardmäßig Teil einer einzelnen Optionsgruppe. Das bedeutet, dass bei Auswahl eines Optionsfeldes automatisch alle anderen Optionsfelder des Formulars auf den Wert False gesetzt werden.

Falls Sie mehr als eine Optionsgruppe auf dem Formular benötigen, so gibt es zwei Wege, zusätzliche Gruppen zu erstellen:

  • Verwenden Sie die GroupName-Eigenschaft zur Kennzeichnung zusammenhängender Optionsfelder.

  • Fügen Sie zusammenhängende Optionsfelder in ein Rahmen-Steuerelement des Formulars ein.

Die erste Methode ist der zweiten vorzuziehen, da sie die Anzahl der in der Anwendung benötigten Steuerelemente reduziert. Dadurch wird der für Ihre Anwendung benötigte Speicherplatz vermindert, und gleichzeitig kann auf diese Weise die Leistung Ihrer Anwendung verbessert werden.

Anmerkung Ein Register-Steuerelement (TabStrip) ist kein Container. Optionsfelder im Register-Steuerelement sind in der Optionsgruppe des Formulars enthalten. Sie können die GroupName-Eigenschaft verwenden, um eine Optionsgruppe, bestehend aus Optionsfeldern auf einem Register-Steuerelement, zu erstellen.


Erstellen einer Optionsgruppe unter Verwendung der GroupName-Eigenschaft

  1. Positionieren Sie alle benötigten Optionsfeld-Steuerelemente (OptionButton) im Formular. Beachten Sie, dass Optionsfelder in einem Multiseiten-Steuerelement (MultiPage) oder Rahmen-Steuerelement (Frame) automatisch eine Optionsgruppe bilden.

  2. Bestimmen Sie die Optionsfelder für jede zu erstellende Gruppe.

  3. Geben Sie einen Wert für die Name-Eigenschaft jedes Steuerelements ein.

  4. Legen Sie die GroupName-Eigenschaft für jedes Optionsfeld einer Gruppe auf den gleichen Wert fest.


Verwendungsmöglichkeiten von Steuerelementgruppen

Eine Gruppe besteht aus mindestens zwei Steuerelementen in einem Formular, die Sie als Einheit behandeln. Sie können jedes Steuerelement des Formulars in eine Gruppe einbinden. Sobald Steuerelemente zu einer Gruppe gehören, können Sie mit der gesamten Gruppe arbeiten oder ein einzelnes Objekt auswählen.

Microsoft Forms stellt mehrere Möglichkeiten bereit, um mit Gruppen und den Steuerelementen in einer Gruppe zu arbeiten. Wenn Sie eine Gruppe ausgewählt haben, verfügen Sie über die folgenden Möglichkeiten:

  • Gleichzeitiges Vergrößern aller Steuerelemente in der Gruppe. Weitere Informationen erhalten Sie, wenn Sie auf [image] klicken.

  • Auflösen der Gruppe, so dass die Steuerelemente voneinander unabhängig sind. Weitere Informationen erhalten Sie, wenn Sie auf [image] klicken.

  • Anzeigen des Kontextmenüs der Gruppe, das den schnellen Zugriff auf Befehle ermöglicht, die die Gruppe betreffen. Weitere Informationen erhalten Sie, wenn Sie auf [image] klicken.

  • Auswählen eines einzelnen Steuerelements der Gruppe, ohne die Gruppe aufzulösen. Auf diese Weise können Sie die Eigenschafteneinstellungen dieses Steuerelements verändern, ohne ein anderes Steuerelement der Gruppe zu beeinflussen. Weitere Informationen erhalten Sie, wenn Sie auf [image] klicken.


Erstellen einer Steuerelementgruppe

  1. Wählen Sie im Formular jedes in die Gruppe einzuschließende Steuerelement aus.

  2. Wählen Sie aus dem Menü Format den Befehl Gruppieren aus.


Auflösen einer Steuerelementgruppe

  1. Wählen Sie die Gruppe aus.

  2. Wählen Sie aus dem Menü Format den Befehl Gruppierung aufheben aus.


Auswählen eines Steuerelements innerhalb einer Gruppe

  1. Wählen Sie die Gruppe aus.

  2. Wählen Sie ein einzelnes Steuerelement innerhalb der Gruppe aus. Der Rahmen um die Gruppe wird dunkler, der Rahmen um das ausgewählte Steuerelement wird heller angezeigt.

    Nun können Sie für das ausgewählte Steuerelement den Wert der Eigenschaften ändern. Alle von Ihnen vorgenommenen Änderungen wirken sich nur auf das ausgewählte Steuerelement aus.

  3. Nachdem Sie Ihre Arbeit an dem ausgewählten Steuerelement beendet haben, klicken Sie auf eine beliebige Stelle innerhalb der Gruppe, aber nicht auf das ausgewählte Steuerelement. Die Gruppe ist noch immer ausgewählt.

    Sie können nun ein anderes Steuerelement innerhalb der Gruppe auswählen oder mit anderen Aufgaben fortfahren.


Benutzerdefinierte Hilfedateien

Als Anwendungsentwickler können Sie eine benutzerdefinierte Hilfedatei verwenden, um Informationen über die Verwendungsmöglichkeiten Ihrer Formularanwendung bereitzustellen.

Zur Erstellung einer benutzerdefinierten Hilfedatei sollten Sie ein Programm verwenden, das Windows-Hilfedateien erstellen kann.

Sie können jedes Steuerelement in Ihrer Anwendung mit einem bestimmten Thema in Ihrer benutzerdefinierten Hilfedatei verknüpfen. Wenn die Anwendung ausgeführt wird, kann der Benutzer das jeweilige Hilfethema durch Auswählen des Steuerelements und Drücken von F1 anzeigen.


Zuweisen eines benutzerdefinierten Hilfethemas zu einem Steuerelement

Diese Prozedur setzt voraus, dass Sie eine benutzerdefinierte Hilfedatei erstellt und diese mit Ihrem Projekt verknüpft haben. Wie Sie die Hilfedatei mit einem Projekt verknüpfen, hängt von Ihrer jeweiligen Projektumgebung ab.

  1. Wählen Sie ein Steuerelement aus, für das Sie ein benutzerdefiniertes Hilfethema geschrieben haben.

  2. Wählen Sie im Eigenschaftenfenster die Eigenschaft HelpContextID aus.

  3. Geben Sie die Kontextkennung des entsprechenden Themas Ihrer benutzerdefinierten Hilfedatei ein.


Das Objektmodell von Microsoft Forms

Das Objektmodell von Microsoft Forms enthält die folgenden Objektarten:

  • Steuerelemente

  • Auflistungen

  • Objekte (in Auflistungen)

Jedes Element des Objektmodells von Microsoft Forms verfügt über einige Kombinationen von Eigenschaften, Ereignissen und Methoden, die Sie verwenden können, damit Ihre Anwendung einwandfrei ausgeführt werden kann.

Microsoft Forms verfügt über drei Auflistungen:

Controls-Auflistung - enthält alle Steuerelemente eines Formulars, eines Rahmen-Steuerelements (Frame) oder eines Page-Objekts.

Pages-Auflistung - enthält alle Page-Objekte eines Multiseiten-Steuerelements (MultiPage). Jedes Multiseiten-Steuerelement verfügt über seine eigene, eindeutige Pages-Auflistung.

Tabs-Auflistung - enthält alle Tab-Objekte eines Register-Steuerelements (TabStrip). Jedes Register-Steuerelement verfügt über seine eigene, eindeutige Tabs-Auflistung.


ByVal-Referenzen in Microsoft Forms

In Microsoft Forms weist das Schlüsselwort ByVal daraufhin, dass ein Argument als ein Wert übergeben wird. Dies ist die Standardbedeutung von ByVal in Visual Basic. In Microsoft Forms können Sie ByVal zusammen mit einem der Objekte ReturnBoolean, ReturnEffect, ReturnInteger oder ReturnString verwenden. In diesem Fall stellt der übergebene Wert keinen einfachen Datentyp dar, sondern einen Zeiger auf das Objekt.

Wenn ByVal mit diesen Objekten verwendet wird, verweist es auf das Objekt, und nicht auf die Methode, wie Parameter übergeben werden. Jedes der oben aufgeführten Objekte besitzt eine Value-Eigenschaft, die Sie festlegen können. Sie können diesen Wert auch an eine Funktion übergeben oder von dieser übergeben lassen. Da die Werte der Elemente des Objekts verändert werden können, führen Ereignisse zu Ergebnissen, die mit den Ergebnissen von Argumenten übereinstimmen, die als Referenz übergeben wurden, auch wenn der Parameter laut der Syntax des Ereignisses ByVal übergeben wurde.

Die Zuweisung eines Wertes zu einem Argument, das mit einem der Objekte ReturnBoolean, ReturnEffect, ReturnInteger oder ReturnString verbunden ist, unterscheidet sich nicht vom Festlegen des Wertes für ein beliebiges anderes Argument. Wenn beispielsweise die Ereignissyntax ein Cancel-Argument unter Verwendung des ReturnBoolean-Objekts erfordert, bleibt die Anweisung Cancel=True wie auch bei anderen Datentypen weiterhin gültig.


Was ist der Unterschied zwischen dem DataObject-Objekt und der Zwischenablage?

Sowohl das DataObject-Objekt als auch die Zwischenablage stellen eine Möglichkeit bereit, Daten von einem Platz an einen anderen zu verschieben. Als Anwendungsentwickler sollten Sie einige wichtige Punkte berücksichtigen, bevor Sie entweder ein DataObject-Objekt oder die Zwischenablage verwenden:

  • Sowohl in dem DataObject-Objekt als auch in der Zwischenablage können Sie mehrere Datenelemente gleichzeitig speichern, sofern jedes Datenelement ein anderes Datenformat besitzt. Speichern Sie Daten mit einem Format, das bereits verwendet wird, so werden die neuen Daten gespeichert und die alten Daten verworfen.

  • Die Zwischenablage unterstützt Bild- und Textformate. Ein DataObject-Objekt unterstützt derzeit nur Textformate.

  • Ein DataObject-Objekt existiert nur während der Ausführung Ihrer Anwendung; die Zwischenablage existiert, solange das Betriebssystem ausgeführt wird. Mit anderen Worten, Sie können Daten in der Zwischenablage ablegen und dann eine Anwendung schließen, ohne die Daten zu verlieren. Dies ist mit dem DataObject-Objekt nicht möglich. Sobald Sie die Anwendung schließen, die die Daten in einem DataObject-Objekt abgelegt hat, verlieren Sie diese Daten.

  • Ein DataObject-Objekt ist ein Standard-OLE-Objekt, die Zwischenablage jedoch nicht. Das bedeutet, dass die Zwischenablage allgemeine Verschiebeoperationen (Kopieren, Ausschneiden und Einfügen) unterstützen kann, jedoch keine Drag & Drop-Operationen. Sie müssen das DataObject-Objekt verwenden, wenn Ihre Anwendung Drag & Drop-Operationen unterstützen soll.

Tipp Sie können eigene Namen für Datenformate definieren, wenn Sie die SetText-Methode verwenden, um Daten in die Zwischenablage oder in ein DataObject-Objekt zu verschieben. Auf diese Weise wird die Unterscheidung zwischen Text, der von der Anwendung oder den Benutzern verschoben wird, erleichtert.


Möglichkeiten, die Darstellung eines Steuerelements zu ändern

Microsofts Forms enthält verschiedene Eigenschaften, mit denen Sie die Darstellung von Steuerelementen in Ihrer Anwendung festlegen können:

  • ForeColor

  • BackColor, BackStyle

  • BorderColor, BorderStyle

  • SpecialEffect

Die ForeColor-Eigenschaft bestimmt die Vordergrundfarbe. Die Vordergrundfarbe wird auf jeden mit dem Steuerelement verbundenen Text angewendet, wie z. B. den Titel oder den Inhalt des Steuerelements.

Die Eigenschaften BackColor und BackStyle werden auf den Hintergrund des Steuerelements angewendet. Der Hintergrund ist der Bereich innerhalb der Steuerelementgrenzen, wie z. B. der Bereich um den Text in einem Steuerelement, jedoch nicht der Rahmen des Steuerelements. Die BackColor-Eigenschaft bestimmt die Hintergrundfarbe. Die BackStyle-Eigenschaft legt fest, ob der Hintergrund transparent ist. Ein transparenter Steuerelementhintergrund ist sinnvoll, wenn Ihre Anwendung ein Bild als Haupthintergrund enthält und Sie dieses Bild durch das Steuerelement hindurch sehen wollen.

Die Eigenschaften BorderColor, BorderStyle und SpecialEffect werden auf den Rahmen des Steuerelements angewendet. Sie können die BorderStyle- oder die SpecialEffect-Eigenschaft zum Auswählen einer Rahmenart verwenden. Die beiden Eigenschaften können nicht gleichzeitig verwendet werden. Wenn Sie einer dieser Eigenschaften einen Wert zuweisen, setzt das System die andere Eigenschaft auf None. Mit der SpecialEffect-Eigenschaft können Sie eine von mehreren Rahmenarten wählen, sind aber bei der Farbe der Rahmen auf die Systemfarben beschränkt. Die BorderStyle-Eigenschaft unterstützt nur eine Rahmenart, lässt Sie dafür aber jede Farbe wählen, die eine gültige Einstellung für die BorderColor-Eigenschaft darstellt. Die BorderColor-Eigenschaft bestimmt die Farbe des Steuerelementrahmens und ist nur zulässig, wenn die BorderStyle-Eigenschaft zur Erstellung des Rahmens verwendet wird.


Möglichkeiten zum Schutz vertraulicher Informationen

Viele Anwendungen verwenden Daten, die nur für bestimmte Benutzer verfügbar sein sollten. Im Folgenden finden Sie einige Vorschläge, wie Sie vertrauliche Informationen in Microsoft Forms schützen können:

  • Schreiben Sie Code, der ein Steuerelement (und dessen Daten) für unberechtigte Benutzer unsichtbar macht. Die Visible-Eigenschaft macht ein Steuerelement sichtbar oder unsichtbar. Weitere Informationen über die Visible-Eigenschaft erhalten Sie, wenn Sie auf [image] klicken.

  • Schreiben Sie Code, der für den Vorder- und Hintergrund eines Steuerelements die gleiche Farbe festlegt, wenn unberechtigte Benutzer die Anwendung ausführen. So bleiben die Informationen für unberechtigte Benutzer verborgen. Die Eigenschaften ForeColor und BackColor bestimmen die Vordergrund- und die Hintergrundfarbe. Weitere Informationen über die ForeColor-Eigenschaft erhalten Sie, wenn Sie auf [image] klicken. Weitere Informationen über die BackColor-Eigenschaft erhalten Sie, wenn Sie auf [image] klicken.

  • Deaktivieren Sie das Steuerelement, wenn unberechtigte Benutzer die Anwendung ausführen. Die Enabled-Eigenschaft bestimmt, wann ein Steuerelement deaktiviert wird. Weitere Informationen über die Enabled-Eigenschaft erhalten Sie, wenn Sie auf [image] klicken.

  • Fragen Sie ein Kennwort für den Zugriff auf die Anwendung oder ein bestimmtes Steuerelement ab. Sie können Platzhalter für die Zeichen verwenden, die der Benutzer eingibt. Die PasswordChar-Eigenschaft legt die Platzhalterzeichen fest. Weitere Informationen über die PasswordChar-Eigenschaft erhalten Sie, wenn Sie auf [image] klicken.

Anmerkung Die Verwendung von Kennwörtern oder eine der anderen aufgelisteten Techniken kann die Sicherheit Ihrer Anwendung erhöhen, einen unberechtigten Zugriff auf Ihre Daten aber nicht völlig ausschließen.


Erstellen eines Steuerelements, das sich automatisch der Größe seiner Daten anpasst

Legen Sie im Eigenschaftenfenster die AutoSize-Eigenschaft auf den Wert True fest.


Zuweisen einer Zugriffstaste

  1. Wählen Sie im Entwurfsmodus das Steuerelement im Formular aus.

  2. Wählen Sie im Eigenschaftenfenster die Accelerator-Eigenschaft aus.

  3. Geben Sie als Wert für Accelerator ein einzelnes Zeichen ein.

Tipp Verwenden Sie ein Zeichen aus dem Titel des Steuerelements. Sie werden feststellen, dass das ausgewählte Zeichen im Titel des Steuerelements unterstrichen dargestellt wird.


Festlegen der Aktivierreihenfolge mit Hilfe des Dialogfeldes "Aktivierreihenfolge"

  1. Stellen Sie sicher, dass keine Steuerelemente ausgewählt sind.

  2. Klicken Sie mit der rechten Maustaste innerhalb des Formulars, jedoch nicht auf ein Steuerelement.

  3. Wählen Sie aus dem Kontextmenü den Befehl Aktivierreihenfolge aus.

  4. Wählen Sie den Namen eines Steuerelements aus, das Sie in der Aktivierreihenfolge neu positionieren möchten.

  5. Wählen Sie so lange Nach oben oder Nach unten, bis sich der Steuerelementname in der Aktivierreihenfolge an der gewünschten Position befindet.


Festlegen der Aktivierreihenfolge mit Hilfe der TabIndex-Eigenschaft

  1. Geben Sie die Aktivierreihenfolge an, die Sie für das Formular verwenden möchten.

    Die Reihenfolgenposition des ersten Steuerelements in der Aktivierreihenfolge ist 0, die Position des zweiten Steuerelements ist 1 usw.

  2. Wählen Sie ein Steuerelement in der Aktivierreihenfolge aus.

  3. Wählen Sie im Eigenschaftenfenster die TabIndex-Eigenschaft aus.

  4. Geben Sie die entsprechende Nummer für die Position des Steuerelements in der Aktivierreihenfolge ein.


AddControl-Ereignis

Tritt ein, wenn ein Steuerelement in ein Formular, in ein Rahmen-Steuerelement (Frame) oder in ein Page-Objekt eines Multiseiten-Steuerelements (MultiPage) eingefügt wird.

Syntax

Für das Rahmen-Steuerelement
Private Sub object_AddControl( )

Für das Multiseiten-Steuerelement
Private Sub object_AddControl( index As Long, ctrl As Control)

Die Syntax für das AddControl-Ereignis besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
index | Erforderlich. Der Index des Page-Objekts, das das neue Steuerelement enthalten wird.
ctrl | Erforderlich. Das hinzuzufügende Steuerelement.

Hinweise

Das AddControl-Ereignis tritt ein, wenn zur Laufzeit ein Steuerelement hinzugefügt wird. Dieses Ereignis wird nicht ausgelöst, wenn Sie zur Entwurfszeit ein Steuerelement hinzufügen oder wenn ein Formular zum ersten Mal zur Laufzeit geladen und angezeigt wird.

Als Standardaktion dieses Ereignisses wird dem angegebenen Formular, Rahmen-Steuerelement oder Multiseiten-Steuerelement ein Steuerelement hinzugefügt.

Die Add-Methode löst das AddControl-Ereignis aus.


AfterUpdate-Ereignis

Tritt ein, nachdem Daten in einem Steuerelement über die Benutzeroberfläche geändert wurden.

Syntax

Private Sub object_AfterUpdate( )

Die Syntax für das AfterUpdate-Ereignis besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Das AfterUpdate-Ereignis tritt unabhängig davon ein, ob das Steuerelement gebunden ist (dies ist der Fall, wenn die RowSource-Eigenschaft eine Datenquelle für das Steuerelement angibt). Dieses Ereignis kann nicht abgebrochen werden. Wenn Sie die Aktualisierung abbrechen möchten (also den vorherigen Wert des Steuerelements wiederherstellen möchten), verwenden Sie das BeforeUpdate-Ereignis und setzen das Argument Cancel auf den Wert True.

Das AfterUpdate-Ereignis tritt nach dem BeforeUpdate-Ereignis und vor dem Exit-Ereignis für das aktuelle Steuerelement sowie vor dem Enter-Ereignis für das nächste Steuerelement in der Aktivierreihenfolge ein.


BeforeDragOver-Ereignis

Tritt ein, wenn eine Drag & Drop-Operation durchgeführt wird.

Syntax

Für das Rahmen-Steuerelement (Frame)
Private Sub object_BeforeDragOver( ByVal Cancel As MSForms.ReturnBoolean, ctrl As Control, ByVal Data As DataObject, ByVal X As Single, ByVal Y As Single, ByVal DragState As fmDragState, ByVal Effect As MSForms.ReturnEffect, ByVal Shift As fmShiftState)

Für das Multiseiten-Steuerelement (MultiPage)
Private Sub object_BeforeDragOver( index As Long, ByVal Cancel As MSForms.ReturnBoolean, ctrl As Control, ByVal Data As DataObject, ByVal X As Single, ByVal Y As Single, ByVal DragState As fmDragState, ByVal Effect As MSForms.ReturnEffect, ByVal Shift As fmShiftState)

Für das Register-Steuerelement (TabStrip)
Private Sub object_BeforeDragOver( index As Long, ByVal Cancel As MSForms.ReturnBoolean, ByVal Data As DataObject, ByVal X As Single, ByVal Y As Single, ByVal DragState As fmDragState, ByVal Effect As MSForms.ReturnEffect, ByVal Shift As fmShiftState)

Für andere Steuerelemente
Private Sub object_BeforeDragOver( ByVal Cancel As MSForms.ReturnBoolean, ByVal Data As DataObject, ByVal X As Single, ByVal Y As Single, ByVal DragState As fmDragState, ByVal Effect As MSForms.ReturnEffect, ByVal Shift As fmShiftState)

Die Syntax für das BeforeDragOver-Ereignis besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
index | Erforderlich. Der Index eines Page-Objekts in einem Multiseiten-Steuerelement, das von der Drag & Drop-Operation betroffen ist.
Cancel | Erforderlich. Ereignisstatus. Der Wert False zeigt an, dass das Steuerelement das Ereignis verarbeiten soll (Voreinstellung). True gibt an, dass die Anwendung das Ereignis verarbeitet.
ctrl | Erforderlich. Das Steuerelement, über dem der Ziehvorgang erfolgt.
Data | Erforderlich. Daten, die in einer Drag & Drop-Operation gezogen werden. Die Daten werden in einem DataObject-Objekt gespeichert.
X, Y | Erforderlich. Die horizontalen und vertikalen Koordinaten der Position des Steuerelements. Beide Koordinaten werden in Punkten gemessen. X wird vom linken Rand des Steuerelements, Y vom oberen Rand des Steuerelements gemessen.
DragState | Erforderlich. Wert für den aktuellen Zustand der zu ziehenden Daten.
Effect | Erforderlich. Operationen, die von der Quelle der Ablegen-Operation unterstützt werden.
Shift | Erforderlich. Gibt den Zustand der Tasten UMSCHALT, STRG und ALT an.

Einstellungen

Die Einstellungen für DragState sind:

Konstante | Wert | Beschreibung
fmDragStateEnter | 0 | Der Mauszeiger befindet sich innerhalb des Zielbereichs.
fmDragStateLeave | 1 | Der Mauszeiger befindet sich außerhalb des Zielbereichs.
fmDragStateOver | 2 | Der Mauszeiger befindet sich an einer neuen Position, verbleibt jedoch im selben Zielbereich.

Die Einstellungen für Effect sind:

Konstante | Wert | Beschreibung
fmDropEffectNone | 0 | Die Quelle der Ablegen-Operation wird nicht auf das Ziel der Ablegen-Operation kopiert oder verschoben.
fmDropEffectCopy | 1 | Die Quelle der Ablegen-Operation wird auf das Ziel der Ablegen-Operation kopiert.
fmDropEffectMove | 2 | Die Quelle der Ablegen-Operation wird auf das Ziel der Ablegen-Operation verschoben.
fmDropEffectCopyOrMove | 3 | Die Quelle der Ablegen-Operation wird auf das Ziel der Ablegen-Operation kopiert oder verschoben.

Die Einstellungen für Shift sind:

Konstante | Wert | Beschreibung
fmShiftMask | 1 | UMSCHALT wurde gedrückt.
fmCtrlMask | 2 | STRG wurde gedrückt.
fmAltMask | 4 | ALT wurde gedrückt.

Hinweise

Mit diesem Ereignis können Sie überwachen, ob der Mauszeiger den Bereich eines gültigen Zieles erreicht, verlässt oder direkt über diesem verweilt. Wenn eine Drag & Drop-Operation ausgeführt wird, löst das System dieses Ereignis aus, wenn der Benutzer die Maus bewegt oder die Maustaste(n) drückt bzw. wieder loslässt. Die Position des Mauszeigers bestimmt das Zielobjekt, das dieses Ereignis empfängt. Sie können den Zustand des Mauszeigers ermitteln, indem Sie das DragState-Argument auswerten.

Wenn ein Steuerelement dieses Ereignis verarbeitet, können Sie das Effect-Argument verwenden, um die auszuführende Drag & Drop-Aktion festzulegen. Wenn Effect den Wert fmDropEffectCopyOrMove hat, unterstützt die Quelle der Ablegen-Operation die Operationen Kopieren (fmDropEffectCopy), Verschieben (fmDropEffectMove) oder Abbrechen (fmDropEffectNone).

Wenn Effect den Wert fmDropEffectCopy hat, unterstützt die Quelle der Ablegen-Operation die Operationen Kopieren oder Abbrechen (fmDropEffectNone).

Wenn Effect den Wert fmDropEffectMove hat, unterstützt die Quelle der Ablegen-Operation die Operationen Verschieben oder Abbrechen (fmDropEffectNone).

Wenn Effect den Wert fmDropEffectNone hat, unterstützt die Quelle der Ablegen-Operation eine Abbrechen-Operation.

Die meisten Steuerelemente unterstützen die Drag & Drop-Operation nicht, wenn Cancel den Wert False hat (die Voreinstellung). Mit anderen Worten, das Ziehen und Ablegen von Elementen auf dem Steuerelement wird von dem Steuerelement nicht zugelassen; außerdem löst das Steuerelement das BeforeDropOrPaste-Ereignis nicht aus. Die Steuerelemente Textfeld (TextBox) und Kombinationsfeld (ComboBox) stellen Ausnahmen dar, da sie Drag & Drop-Operationen auch unterstützen, wenn Cancel den Wert False hat.


BeforeDropOrPaste-Ereignis

Tritt ein, unmittelbar bevor der Benutzer Daten in einem Objekt ablegt oder in ein Objekt einfügt.

Syntax

Für das Rahmen-Steuerelement (Frame)
Private Sub object_BeforeDropOrPaste( ByVal Cancel As MSForms.ReturnBoolean, ctrl As Control, ByVal Action As fmAction, ByVal Data As DataObject, ByVal X As Single, ByVal Y As Single, ByVal Effect As MSForms.ReturnEffect, ByVal Shift As fmShiftState)

Für das Multiseiten-Steuerelement (MultiPage)
Private Sub object_BeforeDropOrPaste( index As Long, ByVal Cancel As MSForms.ReturnBoolean, ctrl As Control, ByVal Action As fmAction, ByVal Data As DataObject, ByVal X As Single, ByVal Y As Single, ByVal Effect As MSForms.ReturnEffect, ByVal Shift As fmShiftState)

Für das Register-Steuerelement (TabStrip)
Private Sub object_BeforeDropOrPaste( index As Long, ByVal Cancel As MSForms.ReturnBoolean, ByVal Action As fmAction, ByVal Data As DataObject, ByVal X As Single, ByVal Y As Single, ByVal Effect As MSForms.ReturnEffect, ByVal Shift As fmShiftState)

Für andere Steuerelemente
Private Sub object_BeforeDropOrPaste( ByVal Cancel As MSForms.ReturnBoolean, ByVal Action As fmAction, ByVal Data As DataObject, ByVal X As Single, ByVal Y As Single, ByVal Effect As MSForms.ReturnEffect, ByVal Shift As fmShiftState)

Die Syntax für das BeforeDropOrPaste-Ereignis besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
index | Erforderlich. Der Index eines Page-Objekts in einem Multiseiten-Steuerelement, das von dem Ablegen oder Einfügen betroffen ist.
Cancel | Erforderlich. Ereignisstatus. False zeigt an, dass das Steuerelement das Ereignis verarbeiten soll (Voreinstellung). True zeigt an, dass die Anwendung das Ereignis verarbeitet.
ctrl | Erforderlich. Das Zielsteuerelement.
Action | Erforderlich. Gibt das Ergebnis der anstehenden Drag & Drop-Operation basierend auf den aktuellen Tastatureinstellungen an.
Data | Erforderlich. Daten, die in einer Drag & Drop-Operation gezogen werden. Die Daten werden in einem DataObject-Objekt gespeichert.
X, Y | Erforderlich. Die horizontalen und vertikalen Koordinaten der Position des Mauszeigers während des Ablegens. Beide Koordinaten werden in Punkten gemessen. X wird vom linken Rand des Steuerelements, Y vom oberen Rand des Steuerelements gemessen.
Effect | Erforderlich. Wirkung der Drag & Drop-Operation auf das Zielsteuerelement.
Shift | Erforderlich. Gibt den Zustand der Tasten UMSCHALT, STRG und ALT an.

Einstellungen

Die Einstellungen für Action sind:

Konstante | Wert | Beschreibung
fmActionPaste | 2 | Das ausgewählte Objekt wird in das Ziel der Ablegen-Operation eingefügt.
fmActionDragDrop | 3 | Gibt an, dass der Benutzer das Objekt von der zugehörigen Quelle zum Ziel der Ablegen-Operation gezogen hat und es auf diesem abgelegt hat.

Die Einstellungen für Effect sind:

Konstante | Wert | Beschreibung
fmDropEffectNone | 0 | Die Quelle der Ablegen-Operation wird nicht auf das Ziel der Ablegen-Operation kopiert oder verschoben.
fmDropEffectCopy | 1 | Die Quelle der Ablegen-Operation wird auf das Ziel der Ablegen-Operation kopiert.
fmDropEffectMove | 2 | Die Quelle der Ablegen-Operation wird auf das Ziel der Ablegen-Operation verschoben.
fmDropEffectCopyOrMove | 3 | Die Quelle der Ablegen-Operation wird auf das Ziel der Ablegen-Operation kopiert oder verschoben.

Die Einstellungen für Shift sind:

Konstante | Wert | Beschreibung
fmShiftMask | 1 | UMSCHALT wurde gedrückt.
fmCtrlMask | 2 | STRG wurde gedrückt.
fmAltMask | 4 | ALT wurde gedrückt.

Hinweise

Bei einem Multiseiten-Steuerelement oder Register-Steuerelement löst Visual Basic für Applikationen dieses Ereignis aus, wenn ein Datenobjekt zu dem Steuerelement übertragen wird.

Bei anderen Steuerelementen löst das System dieses Ereignis unmittelbar vor dem Ablegen oder Einfügen aus.

Wenn ein Steuerelement dieses Ereignis verarbeitet, können Sie das Action-Argument aktualisieren, um die auszuführende Drag & Drop-Aktion festzulegen. Wenn Effect den Wert fmDropEffectCopyOrMove hat, können Sie dem Action-Argument den Wert fmDropEffectNone, fmDropEffectCopy oder fmDropEffectMove zuweisen. Wenn Effect den Wert fmDropEffectCopy oder fmDropEffectMove hat, können Sie dem Action-Argument den Wert fmDropEffectNone zuweisen. Sie können Action keinen anderen Wert zuweisen, wenn Effect den Wert fmDropEffectNone hat.


BeforeUpdate-Ereignis

Tritt ein, bevor Daten in einem Steuerelement verändert werden.

Syntax

Private Sub object_BeforeUpdate( ByVal Cancel As MSForms.ReturnBoolean)

Die Syntax für das BeforeUpdate-Ereignis besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Cancel | Erforderlich. Ereignisstatus. False zeigt an, dass das Steuerelement das Ereignis verarbeiten soll (Voreinstellung). True bricht den Aktualisierungsvorgang ab und zeigt an, dass die Anwendung das Ereignis verarbeiten soll.

Hinweise

Das BeforeUpdate-Ereignis tritt unabhängig davon ein, ob das Steuerelement gebunden ist (dies ist der Fall, wenn die RowSource-Eigenschaft eine Datenquelle für das Steuerelement angibt) oder nicht. Dieses Ereignis tritt vor den Ereignissen AfterUpdate und Exit für das Steuerelement ein (und vor dem Enter-Ereignis für das nächste Steuerelement, das den Fokus erhält).

Wenn Sie das Cancel-Argument auf den Wert True setzen, bleibt der Fokus auf dem Steuerelement, und es tritt weder das AfterUpdate-Ereignis noch das Exit-Ereignis ein.


Change-Ereignis

Tritt ein, wenn sich die Value-Eigenschaft ändert.

Syntax

Private Sub object_Change( )

Die Syntax für das Change-Ereignis besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Einstellungen

Das Change-Ereignis tritt ein, wenn sich die Einstellung der Value-Eigenschaft verändert, ungeachtet dessen, ob die Veränderung durch das Ausführen von Code oder durch eine Benutzeraktion über die Benutzeroberfläche ausgelöst wurde.

In der folgenden Aufstellung finden Sie einige Beispiele für Aktionen, die die Value-Eigenschaft ändern:

  • Klicken auf die Steuerelemente Kontrollkästchen (CheckBox), Optionsfeld (OptionButton) oder Umschaltfeld (ToggleButton).

  • Eingeben oder Auswählen eines neuen Textwertes bei den Steuerelementen Kombinationsfeld (ComboBox), Listenfeld (ListBox) oder Textfeld (TextBox).

  • Auswählen einer anderen Registerkarte in einem Register-Steuerelement (TabStrip).

  • Bewegen des Bildlauffeldes in einem Bildlaufleiste-Steuerelement (ScrollBar).

  • Klicken auf den Aufwärts- oder Abwärtspfeil eines Drehfeld-Steuerelements (SpinButton).

  • Auswählen einer anderen Seite in einem Multiseiten-Steuerelement (MultiPage).

HInweise

Die Change-Ereignisprozedur kann Daten, die in Steuerelementen angezeigt werden, synchronisieren oder koordinieren. Sie können z.B. die Change-Ereignisprozedur eines Bildlaufleiste-Steuerelements verwenden, um den Inhalt eines Textfeld-Steuerelements zu aktualisieren, das den Wert des Bildlaufleiste-Steuerelements anzeigt. Sie können eine Change-Ereignisprozedur auch verwenden, um Daten und Formeln in einem Arbeitsbereich und die Ergebnisse in einem anderen Arbeitsbereich anzuzeigen.

Anmerkung In einigen Fällen kann auch das Click-Ereignis eintreten, wenn sich die Value-Eigenschaft ändert. Die Verwendung des Change-Ereignisses ist jedoch das geeignetere Verfahren, um einen neuen Wert für eine Eigenschaft festzustellen.


Click-Ereignis

Tritt in einem der beiden folgenden Fälle ein:

  • Der Benutzer klickt mit der Maus auf ein Steuerelement.

  • Der Benutzer wählt endgültig einen Wert für ein Steuerelement aus, das mehr als einen möglichen Wert hat.

Syntax

Für die Steuerelemente Multiseiten (MultiPage) oder Register (TabStrip)
Private Sub object_Click( index As Long)

Für alle anderen Steuerelemente
Private Sub object_Click( )

Die Syntax für das Click-Ereignis besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
index | Erforderlich. Der Index der Seite oder Registerkarte in einem Multiseiten- oder Register-Steuerelement, der diesem Ereignis zugeordnet ist.

Hinweise

Von den beiden Fällen, in denen das Click-Ereignis eintritt, trifft die erste Möglichkeit auf die Steuerelemente Befehlsschaltfläche (CommandButton), Rahmen (Frame), Anzeige (Image), Bezeichnungsfeld (Label), Bildlaufleiste (ScrollBar) und Drehfeld (SpinButton) zu. Die zweite Möglichkeit trifft auf die Steuerelemente Kontrollkästchen (CheckBox), Kombinationsfeld (ComboBox), Listenfeld (ListBox), Multiseiten, Register und Umschaltfeld (ToggleButton) zu. Sie trifft weiterhin auf das Optionsfeld-Steuerelement (OptionButton) zu, wenn der Wert zu True geändert wird.

In der folgenden Aufstellung finden Sie einige Beispiele für Aktionen, die das Click-Ereignis auslösen:

  • Klicken auf einen leeren Bereich in einem Formular oder auf ein abgeblendetes Steuerelement (ein anderes als ein Listenfeld) in dem Formular.

  • Klicken auf ein Befehlsschaltfläche-Steuerelement. Wenn die Befehlsschaltfläche nicht bereits den Fokus hat, tritt das Enter-Ereignis vor dem Click-Ereignis ein.

  • Drücken der LEERTASTE, wenn ein Befehlsschaltfläche-Steuerelement den Fokus hat.

  • Klicken auf ein Steuerelement.

  • Drücken der EINGABETASTE in einem Formular, das eine Befehlsschaltfläche besitzt, deren Default-Eigenschaft auf True festgelegt ist, solange keine andere Befehlsschaltfläche den Fokus hat.

  • Drücken der ESC-TASTE in einem Formular, das eine Befehlsschaltfläche besitzt, deren Cancel-Eigenschaft auf True festgelegt ist, solange keine andere Befehlsschaltfläche den Fokus hat.

  • Drücken der Zugriffstaste eines Steuerelements.

Löst das Klicken auf ein Steuerelement das Click-Ereignis aus, haben die Ereignisse, die zum Click-Ereignis führen, folgende Reihenfolge:

  1. MouseDown

  2. MouseUp

  3. Click

Bei einigen Steuerelementen tritt das Click-Ereignis ein, wenn sich die Value-Eigenschaft ändert. Die Verwendung des Change-Ereignis ist jedoch die geeignetere Methode, um einen neuen Wert für eine Eigenschaft festzustellen. In der folgenden Aufstellung finden Sie einige Beispiele für Aktionen, die das Click-Ereignis entsprechend des neuen Wertes, der einem Steuerelement zugewiesen wird, auslösen:

  • Klicken auf eine andere Seite oder Registerkarte in einem Multiseiten- oder Register-Steuerelement. Die Value-Eigenschaft dieser Steuerelemente spiegelt das aktuelle Page- oder Tab-Objekt wider. Klicken auf die aktuelle Seite oder Registerkarte verändert den Wert des Steuerelements nicht und löst auch das Click-Ereignis nicht aus.

  • Klicken auf ein Kontrollkästchen- oder Umschaltfeld-Steuerelement. Drücken der LEERTASTE, wenn eines dieser Steuerelemente den Fokus hat. Drücken der Zugriffstaste für eines dieser Steuerelemente oder das Ändern des Steuerelementswertes im Code.

  • Ändern des Wertes eines Optionsfeld-Steuerelements auf True. Wird ein Optionsfeld-Steuerelement innerhalb einer Gruppe auf den Wert True gesetzt, werden alle anderen Optionsfelder in der Gruppe auf den Wert False festgelegt; das Click-Ereignis tritt jedoch nur für das Optionsfeld ein, dessen Wert auf den Wert True geändert wurde.

  • Auswählen eines Wertes für eine Kombinationsfeld- oder Listenfeld-Steuerelement, der eindeutig mit einem Element in der Dropdownliste des Steuerelements übereinstimmt. In einer unsortierten Liste kann beispielsweise die erste Übereinstimmung mit Zeichen, die in den Bearbeitungsbereich eingegeben werden, nicht die einzige Übereinstimmung in der Liste sein. Daher löst die Wahl eines solchen Wertes das Click-Ereignis nicht aus. In einer sortierten Liste kann der Eingabevergleich verwendet werden, um sicherzustellen, dass ein ausgewählter Wert eindeutig mit dem Text übereinstimmt, den der Benutzer eingibt.

Das Click-Ereignis wird nicht ausgelöst, wenn die Value-Eigenschaft auf Null gesetzt wird.

Anmerkung Durch Klicken wird der Wert eines Steuerelements verändert, wodurch das Click-Ereignis ausgelöst wird. Wenn Sie mit der rechten Maustaste klicken, wird der Wert des Steuerelements nicht verändert. Folglich wird das Click-Ereignis nicht ausgelöst.


DblClick-Ereignis

Tritt ein, wenn der Benutzer auf ein Objekt zeigt und anschließend zweimal schnell hintereinander mit einer Maustaste klickt.

Syntax

Für die Steuerelemente Multiseiten und Register (MultiPage und TabStrip)
Private Sub object_DblClick( index As Long, ByVal Cancel As MSForms.ReturnBoolean)

Für andere Steuerelemente
Private Sub object_DblClick( ByVal Cancel As MSForms.ReturnBoolean)

Die Syntax für das DblClick-Ereignis besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
index | Erforderlich. Die Position eines Page- oder Tab-Objekts innerhalb einer Pages- oder Tabs-Auflistung.
Cancel | Erforderlich. Ereignisstatus. False zeigt an, dass das Steuerelement das Ereignis verarbeiten soll (Voreinstellung). True zeigt an, dass die Anwendung das Ereignis verarbeitet.

Hinweise

Damit dieses Ereignis auftreten kann, müssen die beiden Klicks innerhalb der Zeitspanne auftreten, die durch die Systemeinstellung für die Doppelklickgeschwindigkeit vorgegeben ist.

Bei Steuerelementen, die das Click-Ereignis unterstützen, lautet die Reihenfolge der Ereignisse, die zum DblClick-Ereignis führen, wie folgt:

  1. MouseDown

  2. MouseUp

  3. Click

  4. DblClick

Wenn ein Steuerelement, wie z.B. das Textfeld-Steuerelement (TextBox), das Click-Ereignis nicht unterstützt, wird das Click-Ereignis aus der Reihenfolge der Ereignisse, die zum DblClick-Ereignis führen, ausgelassen.

Ist der Rückgabewert des Cancel-Arguments True, wenn der Benutzer doppelklickt, wird das zweite Klicken vom Steuerelement ignoriert. Dies ist sinnvoll, wenn das zweite Klicken die Wirkung des ersten Klickens rückgängig machen würde, wie beispielsweise beim Doppelklicken auf ein Umschaltfeld. Aufgrund des Cancel-Arguments kann das Formular das zweite Klicken ignorieren, so dass sowohl das Klicken als auch das Doppelklicken auf die Schaltfläche dieselbe Wirkung haben.


DropButtonClick-Ereignis

Tritt ein, wenn die Dropdown-Liste eingeblendet oder ausgeblendet wird.

Syntax

Private Sub object_DropButtonClick( )

Die Syntax für das DropButtonClick-Ereignis besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Sie können das DropButtonClick-Ereignis aus dem Code heraus auslösen oder indem Sie bestimmte Aktionen in der Benutzeroberfläche durchführen.

Im Code löst das Aufrufen der DropDown-Methode das DropButtonClick-Ereignis aus.

Über die Benutzeroberfläche wird das Ereignis durch eine der folgenden Aktionen ausgelöst:

  • Klicken auf die Dropdown-Schaltfläche auf dem Steuerelement.

  • Drücken von F4.

Jede der genannten Aktionen, ob im Code oder mit Hilfe der Benutzeroberfläche, führt dazu, dass die Dropdown-Liste des Steuerelements angezeigt wird. Das System löst das DropButtonClick-Ereignis aus, wenn die Dropdown-Liste ausgeblendet wird.


Enter-, Exit-Ereignisse

Das Enter-Ereignis tritt ein, bevor ein Steuerelement den Fokus von einem anderen Steuerelement im gleichen Formular erhält. Das Exit-Ereignis tritt ein, unmittelbar bevor der Fokus von einem Steuerelement auf ein anderes Steuerelement im gleichen Formular wechselt.

Syntax

Private Sub object_Enter( )

Private Sub object_Exit( ByVal Cancel As MSForms.ReturnBoolean)

Die Syntax der Ereignisse Enter und Exit besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
Cancel | Erforderlich. Ereignisstatus. False zeigt an, dass das Steuerelement das Ereignis verarbeiten soll (Voreinstellung). True zeigt an, dass die Anwendung das Ereignis verarbeitet und der Fokus auf dem aktuellen Steuerelement verbleibt.

Hinweise

Die Ereignisse Enter und Exit sind vergleichbar mit den Ereignissen GotFocus und LostFocus in Visual Basic. Anders als die Ereignisse GotFocus und LostFocus treten die Ereignisse Enter und Exit nicht ein, wenn ein Formular den Fokus erhält oder abgibt.

Angenommen, Sie wählen das Kontrollkästchen aus, das das Enter-Ereignis auslöst. Wenn Sie dann ein anderes Steuerelement im gleichen Formular auswählen, wird das Exit-Ereignis für das Kontrollkästchen ausgelöst (da der Fokus an ein anderes Objekt im gleichen Formular weitergegeben wird). Anschließend tritt das Enter-Ereignis für das zweite Steuerelement in dem Formular ein.

Da das Enter-Ereignis eintritt, bevor der Fokus an ein bestimmtes Steuerelement weitergegeben wird, können Sie eine Enter-Ereignisprozedur verwenden, um Anweisungen anzuzeigen. Sie könnten z.B. ein Makro oder eine Ereignisprozedur verwenden, um ein kleines Formular oder ein Meldungsfeld anzuzeigen, das die Art der Daten angibt, den das Steuerelement normalerweise enthält.

Anmerkung Um zu verhindern, dass das Steuerelement den Fokus abgibt, können Sie dem Cancel-Argument des Exit-Ereignisses den Wert True zuweisen.


Error-Ereignis

Tritt ein, wenn ein Steuerelement einen Fehler entdeckt und die Fehlerinformationen nicht an ein aufrufendes Programm zurückgeben kann.

Syntax

Für das Multiseiten-Steuerelement (MultiPage)
Private Sub object_Error( index As Long, ByVal Number As Integer, ByVal Description As MSForms.ReturnString, ByVal SCode As SCode, ByVal Source As String, ByVal HelpFile As String, ByVal HelpContext As Long, ByVal CancelDisplay As MSForms.ReturnBoolean)

Für andere Steuerelemente
Private Sub object_Error( ByVal Number As Integer, ByVal Description As MSForms.ReturnString, ByVal SCode As SCode, ByVal Source As String, ByVal HelpFile As String, ByVal HelpContext As Long, ByVal CancelDisplay As MSForms.ReturnBoolean)

Die Syntax für das Error-Ereignis besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
index | Erforderlich. Der Index der Seite in einem Multiseiten-Steuerelement, das diesem Ereignis zugeordnet ist.
Number | Erforderlich. Gibt einen eindeutigen Wert an, den das Steuerelement verwendet, um den Fehler zu identifizieren.
Description | Erforderlich. Eine Textbeschreibung des Fehlers.
SCode | Erforderlich. Gibt den OLE-Statuscode für den Fehler an. Die niederwertigen 16 Bits geben einen Wert an, der dem Number-Argument entspricht.
Source | Erforderlich. Die Zeichenfolge, die das Steuerelement kennzeichnet, das das Ereignis ausgelöst hat.
HelpFile | Erforderlich. Gibt einen vollständigen Pfadnamen für die Hilfedatei an, in der der Fehler beschrieben wird.
HelpContext | Erforderlich. Gibt die Kontextkennung des Hilfethemas an, die eine Beschreibung des Fehlers enthält.
CancelDisplay | Erforderlich. Gibt an, ob die Fehlerzeichenfolge in einem Meldungsfeld angezeigt werden soll.

Hinweise

Der Code, der für das Error-Ereignis geschrieben wurde, legt fest, wie das Steuerelement auf den Fehler reagiert.

Die Fähigkeit, Fehler zu verarbeiten, variiert von Anwendung zu Anwendung. Das Error-Ereignis wird ausgelöst, wenn ein Fehler auftritt, den die Anwendung nicht verarbeiten kann.


KeyDown-, KeyUp-Ereignisse

Treten nacheinander ein, wenn der Benutzer eine Taste drückt und wieder loslässt. Das KeyDown-Ereignis tritt ein, wenn der Benutzer eine Taste drückt. Das KeyUp-Ereignis tritt ein, wenn der Benutzer eine Taste loslässt.

Syntax

Private Sub object_KeyDown( ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As fmShiftState)

Private Sub object_KeyUp( ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As fmShiftState)

Die Syntax der Ereignisse KeyDown und KeyUp besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
KeyCode | Erforderlich. Eine Ganzzahl, die den Tasten-Code der Taste angibt, die gedrückt oder losgelassen wurde.
Shift | Erforderlich. Der Zustand der Tasten UMSCHALT, STRG und ALT.

Einstellungen

Die Einstellungen für Shift sind:

Konstante | Wert | Beschreibung
fmShiftMask | 1 | UMSCHALT wurde gedrückt.
fmCtrlMask | 2 | STRG wurde gedrückt.
fmAltMask | 4 | ALT wurde gedrückt.

Hinweise

Das KeyDown-Ereignis tritt ein, wenn der Benutzer in einem Formular, das gerade ausgeführt wird, auf eine Taste drückt, während dieses Formular oder eines seiner Steuerelemente den Fokus hat. Die Ereignisse KeyDown und KeyPress wechseln sich so lange gegenseitig ab, bis der Benutzer die Taste loslässt und das KeyUp-Ereignis eintritt. Das Formular oder Steuerelement mit dem Fokus empfängt alle Tastenanschläge. Ein Formular kann den Fokus nur erhalten, wenn es keine Steuerelemente enthält oder alle sichtbaren Steuerelemente deaktiviert sind.

Diese Ereignisse treten auch ein, wenn Sie einen Tastenanschlag an ein Formular oder an ein Steuerelement entweder mit der SendKeys-Aktion in einem Makro oder mit der SendKeys-Anweisung in Visual Basic senden.

Die Ereignisse KeyDown und KeyUp werden normalerweise verwendet, um Folgendes zu erkennen oder zwischen folgendem zu unterscheiden:

  • Tasten, die als Erweiterung zu den normalen Buchstaben verwendet werden, wie z.B. Funktionstasten.

  • Richtungstasten, wie z.B. POS1, ENDE, BILD-AUF, BILD-AB, NACH-OBEN, NACH-UNTEN, NACH-RECHTS, NACH-LINKS und TAB.

  • Kombinationen von Tasten und Standardzustandstasten (UMSCHALT, STRG oder ALT).

  • Dem numerischen Ziffernblock und den normalen Zifferntasten.

Die Ereignisse KeyDown und KeyUp treten unter den folgenden Umständen nicht auf:

  • Der Benutzer drückt die EINGABETASTE in einem Formular, das eine Befehlsschaltfläche enthält, deren Default-Eigenschaft auf True gesetzt wurde.

  • Der Benutzer drückt die ESC-TASTE in einem Formular, das eine Befehlsschaltfläche enthält, deren Cancel-Eigenschaft auf True gesetzt wurde.

Die Ereignisse KeyDown und KeyPress treten ein, wenn Sie eine ANSI-Taste senden oder drücken. Das KeyUp-Ereignis tritt nach einem beliebigen Ereignis für ein Steuerelement ein, das durch das Drücken oder Senden der Taste ausgelöst wurde. Wenn durch einen Tastenanschlag der Fokus von einem Steuerelement an ein anderes weitergegeben wird, tritt das KeyDown-Ereignis für das erste Steuerelement ein, während die Ereignisse KeyPress und KeyUp für das zweite Steuerelement eintreten.

Die Reihenfolge der tastaturbezogenen Ereignisse ist:

  1. KeyDown

  2. KeyPress

  3. KeyUp

Anmerkung Die Ereignisse KeyDown und KeyUp können sich nur auf ein Formular und auf Steuerelemente in einem Formular beziehen. Wenn Sie ANSI-Zeichen interpretieren oder das zu der gedrückten Taste gehörende ANSI-Zeichen ermitteln möchten, verwenden Sie das KeyPress-Ereignis.


KeyPress-Ereignis

Tritt ein, wenn der Benutzer eine ANSI-Taste drückt.

Syntax

Private Sub object_KeyPress( ByVal KeyANSI As MSForms.ReturnInteger)

Die Syntax für das KeyPress-Ereignis besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
KeyANSI | Erforderlich. Ein Wert einer Ganzzahl, der einen numerischen Standard-ANSI-Tasten-Code darstellt.

Hinweise

Das KeyPress-Ereignis tritt ein, wenn der Benutzer eine Taste drückt, die auf einem ausgeführten Formular ein darstellbares Zeichen (ein ANSI-Zeichen) ergibt, während das Formular oder ein Steuerelement in diesem Formular den Fokus hat. Dieses Ereignis kann vor oder nach dem Loslassen der Taste eintreten. Dieses Ereignis tritt auch ein, wenn Sie einen ANSI-Tastenanschlag an ein Formular oder ein Steuerelement senden und dazu entweder die SendKeys-Aktion in einem Makro oder die SendKeys-Anweisung in Visual Basic verwenden.

Ein KeyPress-Ereignis kann eintreten, wenn eine der folgenden Tasten gedrückt werden:

  • Ein beliebiges darstellbares Zeichen.

  • STRG in Kombination mit einem Zeichen aus dem Standardalphabet.

  • STRG in Kombination mit einem beliebigen Sonderzeichen.

  • RÜCKTASTE.

  • ESC.

Ein KeyPress-Ereignis tritt unter den folgenden Bedingungen nicht ein:

  • Drücken der TAB-TASTE.

  • Drücken der EINGABETASTE.

  • Drücken einer PFEILTASTE.

  • Wenn sich der Fokus aufgrund eines Tastenanschlags von einem Steuerelement auf einen anderen verschiebt.

Anmerkung Im Gegensatz zur RÜCKTASTE ist ENTF kein Teil des ANSI-Zeichensatzes. Das Löschen eines Zeichens in einem Steuerelement mit der RÜCKTASTE löst somit ein KeyPress-Ereignis aus, das Löschen eines Zeichens mit ENTF jedoch nicht.

Wenn ein Benutzer eine Taste gedrückt hält, die einen ANSI-Tasten-Code erzeugt, wiederholen sich die Ereignisse KeyDown und KeyPress im gegenseitigen Wechsel. Wenn der Benutzer die Taste loslässt, tritt das KeyUp-Ereignis ein. Das Formular oder das Steuerelement mit dem Fokus erhält alle Tastenanschläge. Ein Formular kann den Fokus nur dann haben, wenn es keine Steuerelemente enthält oder wenn alle sichtbaren Steuerelemente deaktiviert sind.

Als Standardaktion des KeyPress-Ereignisses wird der Ereignis-Code verarbeitet, der der gedrückten Taste entspricht. KeyANSI bestimmt das ANSI-Zeichen, das der gedrückten Taste oder Tastenkombination entspricht. Das KeyPress-Ereignis interpretiert die Groß-/Kleinschreibung jedes Zeichens als separate Tastencodes und somit als zwei separate Zeichen.

Um auf den aktuellen Zustand der Tastatur zu reagieren oder Tastenanschläge zu verarbeiten, die nicht vom KeyPress-Ereignis erkannt werden, wie z.B. Funktionstasten, Richtungstasten und beliebige Kombinationen dieser mit den Zustandstasten (ALT, UMSCHALT oder STRG), verwenden Sie die Ereignisprozeduren KeyDown und KeyUp.

Die Reihenfolge der tastaturbezogenen Ereignisse lautet wie folgt:

  1. KeyDown

  2. KeyPress

  3. KeyUp


Layout-Ereignis

Tritt ein, wenn die Größe eines Formulars, Rahmen-Steuerelements (Frame) oder Multiseiten-Steuerelements (MultiPage) verändert wird.

Syntax

Für das Multiseiten-Steuerelement
Private Sub object_Layout( index As Long)

Für alle anderen Steuerelemente
Private Sub object_Layout( )

Die Syntax für das Layout-Ereignis besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
index | Erforderlich. Der Index einer Seite in einem Multiseiten-Steuerelement, dessen Größe verändert wurde.

Hinweise

Als Standardaktion des Layout-Ereignisses werden die neuen Positionen von Steuerelementen berechnet und die Bildschirmausgabe aktualisiert.

Der Benutzer kann das Layout-Ereignis durch Ändern der Größe eines Steuerelements auslösen.

Bei Steuerelementen, die die AutoSize-Eigenschaft unterstützen, wird das Layout-Ereignis ausgelöst, wenn durch AutoSize die Größe des Steuerelements verändert wird. Dies geschieht, wenn der Benutzer den Wert einer Eigenschaft ändert, die die Größe eines Steuerelements beeinflusst. So kann z.B. das Vergrößern der Schrift (Font) eines Textfeld-Steuerelements (TextBox) oder Bezeichnungsfeld-Steuerelements (Label) die Abmessungen des Steuerelements deutlich verändern und ein Layout-Ereignis auslösen.


MouseDown-, MouseUp-Ereignisse

Treten ein, wenn der Benutzer mit einer Maustaste klickt. MouseDown tritt ein, wenn der Benutzer die Maustaste drückt, MouseUp tritt ein, wenn der Benutzer die Maustaste loslässt.

Syntax

Für die Steuerelemente Multiseiten und Register (MultiPage und TabStrip)
Private Sub object_MouseDown( index As Long, ByVal Button As fmButton, ByVal Shift As fmShiftState, ByVal X As Single, ByVal Y As Single)

Private Sub object_MouseUp( index As Long, ByVal Button As fmButton, ByVal Shift As fmShiftState, ByVal X As Single, ByVal Y As Single)

Für andere Steuerelemente
Private Sub object_MouseDown( ByVal Button As fmButton, ByVal Shift As fmShiftState, ByVal X As Single, ByVal Y As Single)

Private Sub object_MouseUp( ByVal Button As fmButton, ByVal Shift As fmShiftState, ByVal X As Single, ByVal Y As Single)

Die Syntax der Ereignisse MouseDown und MouseUp besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
index | Erforderlich. Der Index der Seite oder der Registerkarte in einem Multiseiten-Steuerelement oder Register-Steuerelement mit dem angegebenen Ereignis.
Button | Erforderlich. Ein Wert einer Ganzzahl, der angibt, welche Maustaste das Ereignis ausgelöst hat.
Shift | Erforderlich. Der Zustand der Tasten UMSCHALT, STRG und ALT.
X, Y | Erforderlich. Die horizontale oder vertikale Position in Punkten vom linken oder oberen Rand des Formulars, Rahmen-Steuerelements (Frame) oder Page-Objekts.

Einstellungen

Die Einstellungen für Button sind:

Konstante | Wert | Beschreibung
fmButtonLeft | 1 | Die linke Taste wurde gedrückt.
FmButtonRight | 2 | Die rechte Taste wurde gedrückt.
FmButtonMiddle | 4 | Die mittlere Taste wurde gedrückt.

Die Einstellungen für Shift sind:

Wert | Beschreibung
1 | UMSCHALT wurde gedrückt.
2 | STRG wurde gedrückt.
3 | UMSCHALT und STRG wurden gedrückt.
4 | ALT wurde gedrückt.
5 | ALT und UMSCHALT wurden gedrückt.
6 | ALT und STRG wurden gedrückt.
7 | ALT, UMSCHALT und STRG wurden gedrückt.

Sie können einzelne Zustandstasten erkennen, indem Sie die folgenden Konstanten verwenden:

Konstante | Wert | Beschreibung
fmShiftMask | 1 | Maske zum Erkennen von UMSCHALT.
fmCtrlMask | 2 | Maske zum Erkennen von STRG.
fmAltMask | 4 | Maske zum Erkennen von ALT.

Hinweise

Bei einem Multiseiten-Steuerelement tritt das MouseDown-Ereignis ein, wenn der Benutzer eine Maustaste über einem Steuerelement drückt.

Bei einem Register-Steuerelement bezeichnet das index-Argument die Registerkarte, auf die der Benutzer geklickt hat. Ein Index mit dem Wert -1 gibt an, dass der Benutzer nicht auf eine Registerkarte geklickt hat. Wenn sich z.B. keine Registerkarten in der oberen rechten Ecke des Steuerelements befinden, wird durch das Klicken in der oberen rechten Ecke der Index auf -1 gesetzt.

Für ein Formular kann der Benutzer die Ereignisse MouseDown und MouseUp auslösen, indem er eine Maustaste in einem leeren Bereich, in einem Datensatzselektor oder auf einer Bildlaufleiste in diesem Formular drückt und wieder loslässt.

Die Reihenfolge der mausbezogenen Ereignisse lautet wie folgt:

  1. MouseDown

  2. MouseUp

  3. Click

  4. DblClick

  5. MouseUp

MouseDown- oder MouseUp-Ereignisprozeduren geben Aktionen an, die durchgeführt werden, wenn eine Maustaste gedrückt oder losgelassen wird. Die Ereignisse MouseDown und MouseUp ermöglichen Ihnen, zwischen der linken, rechten und mittleren Maustaste zu unterscheiden. Sie können auch Code für Maus-Tasten-Kombinationen schreiben, die die Zustandstasten UMSCHALT, STRG und ALT verwenden.

Wenn eine Maustaste gedrückt wird, während sich der Zeiger über einem Formular oder Steuerelement befindet, wird die Maus von diesem Objekt "gefangen", d.h., dieses Objekt erhält alle Mausereignisse bis einschließlich zum letzten MouseUp-Ereignis. Dies impliziert, dass die X- und Y-Koordinaten des Mauszeigers, die von einem Mausereignis zurückgegeben werden, nicht immer innerhalb der Grenzen des Objekts liegen müssen, das diese Ereignisse erhält.

Wenn die Maustasten nacheinander gedrückt werden, erhält das Objekt, das die Maus "fängt", alle folgenden Mausereignisse, bis alle Maustasten losgelassen wurden.

Verwenden Sie das Shift-Argument, um den Zustand der Tasten UMSCHALT, STRG und ALT zu ermitteln, wenn das MouseDown- oder MouseUp-Ereignis eingetreten ist. Wenn z.B. sowohl STRG als auch ALT gedrückt sind, hat Shift den Wert 6.


MouseMove-Ereignis

Tritt ein, wenn der Benutzer die Maus bewegt.

Syntax

Für die Steuerelemente Multiseiten und Register (MultiPage und TabStrip)
Private Sub object_MouseMove( index As Long, ByVal Button As fmButton, ByVal Shift As fmShiftState, ByVal X As Single, ByVal Y As Single)

Für andere Steuerelemente
Private Sub object_MouseMove( ByVal Button As fmButton, ByVal Shift As fmShiftState, ByVal X As Single, ByVal Y As Single)

Die Syntax für das MouseMove-Ereignis besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
index | Erforderlich. Der Index der Seite oder der Registerkarte in einem Multiseiten-Steuerelement oder Register-Steuerelement, das diesem Ereignis zugeordnet ist.
Button | Erforderlich. Ein Wert einer ganzen Zahl, der den Zustand der Maustasten kennzeichnet.
Shift | Erforderlich. Gibt den Zustand der Tasten UMSCHALT, STRG und ALT an.
X, Y | Erforderlich. Die horizontale oder vertikale Position in Punkten vom linken oder oberen Rand des Steuerelements aus gemessen.

Einstellungen

Das index-Argument gibt an, über welcher Seite oder Registerkarte geklickt wurde. Der Wert -1 gibt an, dass der Benutzer auf keine der Seiten oder Registerkarten geklickt hat.

Die Einstellungen für Button sind:

Wert | Beschreibung
0 | Es wurde keine Maustaste gedrückt.
1 | Die linke Maustaste wurde gedrückt.
2 | Die rechte Maustaste wurde gedrückt.
3 | Die rechte und die linke Maustaste wurden gedrückt.
4 | Die mittlere Maustaste wurde gedrückt.
5 | Die mittlere und die linke Maustaste wurden gedrückt.
6 | Die mittlere und die rechte Maustaste wurden gedrückt.
7 | Alle drei Maustasten wurden gedrückt.

Die Einstellungen für Shift sind:

Wert | Beschreibung
1 | UMSCHALT wurde gedrückt.
2 | STRG wurde gedrückt.
3 | UMSCHALT und STRG wurden gedrückt.
4 | ALT wurde gedrückt.
5 | ALT und UMSCHALT wurden gedrückt.
6 | ALT und STRG wurden gedrückt.
7 | ALT, UMSCHALT und STRG wurden gedrückt.

Sie können einzelne Zustandstasten erkennen, indem Sie die folgenden Konstanten verwenden:

Konstante | Wert | Beschreibung
fmShiftMask | 1 | Maske zum Erkennen von UMSCHALT.
fmCtrlMask | 2 | Maske zum Erkennen von STRG.
fmAltMask | 4 | Maske zum Erkennen von ALT.

Hinweise

Das MouseMove-Ereignis bezieht sich auf Formulare, Steuerelemente in einem Formular und Bezeichnungsfelder.

MouseMove-Ereignisse werden fortlaufend ausgelöst, während sich der Mauszeiger über Objekte bewegt. Solange kein anderes Objekt die Maus "gefangen" hat, erkennt ein Objekt ein MouseMove-Ereignis immer dann, wenn die Maus sich innerhalb der zugehörigen Begrenzung befindet.

Das Verschieben eines Formulars kann auch ein MouseMove-Ereignis auslösen, sogar wenn die Maus nicht bewegt wird. MouseMove-Ereignisse werden ausgelöst, wenn das Formular unter dem Mauszeiger verschoben wird. Wenn ein Makro oder eine Ereignisprozedur ein Formular als Reaktion auf ein MouseMove-Ereignis verschiebt, kann das Ereignis fortlaufend MouseMove-Ereignisse (eine Ereigniskette) auslösen.

Wenn sich zwei Steuerelemente sehr nah beieinander befinden und Sie den Mauszeiger schnell über den Zwischenraum bewegen, kann es sein, dass das MouseMove-Ereignis für diesen Zwischenraum nicht eintritt. In diesem Fall müssen Sie möglicherweise in beiden Steuerelementen auf das MouseMove-Ereignis reagieren.

Sie können den Wert verwenden, der im Button-Argument zurückgegeben wird, um den Zustand der Maustasten zu erkennen.

Verwenden Sie das Shift-Argument, um den Zustand von UMSCHALT, STRG und ALT zu erkennen, wenn das MouseMove-Ereignis eingetreten ist. Wenn z.B. sowohl STRG als auch ALT gedrückt sind, hat Shift den Wert 6.

Anmerkung Sie können MouseDown- und MouseUp-Ereignisprozeduren verwenden, um auf Ereignisse zu reagieren, die durch das Drücken und Loslassen von Maustasten ausgelöst wurden.


RemoveControl-Ereignis

Tritt ein, wenn ein Steuerelement aus dem Container gelöscht wird.

Syntax

Für ein Multiseiten-Steuerelement (MultiPage)
Private Sub object_RemoveControl( index As Long, ctrl As Control)

Für alle anderen Steuerelemente
Private Sub object_RemoveControl( ctrl As Control)

Die Syntax für das RemoveControl-Ereignis besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
index | Erforderlich. Der Index der Seite in einem Multiseiten-Steuerelement, die das gelöschte Steuerelement enthielt.
ctrl | Erforderlich. Das gelöschte Steuerelement.

Hinweise

Dieses Ereignis tritt ein, wenn ein Steuerelement aus dem Formular gelöscht wird. Es tritt nicht ein, wenn ein Steuerelement aus dem Speicher entfernt wird, weil ein entsprechendes Formular geschlossen wurde.


Scroll-Ereignis

Tritt ein, wenn das Bildlauffeld erneut positioniert wird.

Syntax

Für ein Bildlaufleiste-Steuerelement (ScrollBar)
Private Sub object_Scroll( )

Für ein Multiseiten-Steuerelement (MultiPage)
Private Sub object_Scroll( index As Long, ActionX As fmScrollAction, ActionY As fmScrollAction, ByVal RequestDx As Single, ByVal RequestDy As Single, ByVal ActualDx As MSForms.ReturnSingle, ByVal ActualDy As MSForms.ReturnSingle)

Für ein Rahmen-Steuerelement (Frame)
Private Sub object_Scroll( ActionX As fmScrollAction, ActionY As fmScrollAction, ByVal RequestDx As Single, ByVal RequestDy As Single, ByVal ActualDx As MSForms.ReturnSingle, ByVal ActualDy As MSForms.ReturnSingle)

Die Syntax für das Scroll-Ereignis besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
index | Erforderlich. Der Index der Seite in einem Multiseiten-Steuerelement, der diesem Ereignis zugeordnet ist.
ActionX | Erforderlich. Die Aktion, die in der horizontalen Richtung aufgetreten ist.
ActionY | Erforderlich. Die Aktion, die in der vertikalen Richtung aufgetreten ist.
RequestDx | Erforderlich. Die Entfernung in Punkten, um die Sie das Bildlauffeld in die horizontale Richtung bewegen möchten.
RequestDy | Erforderlich. Die Entfernung in Punkten, um die Sie das Bildlauffeld in die vertikale Richtung bewegen möchten.
ActualDx | Erforderlich. Die Entfernung in Punkten, um die das Bildlauffeld in die horizontale Richtung bewegt wurde.
ActualDy | Erforderlich. Die Entfernung in Punkten, um die das Bildlauffeld in die vertikale Richtung bewegt wurde.

Einstellungen

Die Einstellungen für ActionX und ActionY sind:

Konstante | Wert | Beschreibung
fmScrollActionNoChange | 0 | Es trat keine Veränderung auf.
fmScrollActionLineUp | 1 | Kleine Aufwärtsbewegung auf einer vertikalen Bildlaufleiste, bzw. kleine Linksbewegung auf einer horizontalen Bildlaufleiste. Das Bewegen des Bildlauffeldes ist gleichbedeutend mit dem Drücken der NACH-OBEN-TASTE oder der NACH-LINKS-TASTE auf der Tastatur, um die Bildlaufleiste zu bewegen.
fmScrollActionLineDown | 2 | Kleine Abwärtsbewegung auf einer vertikalen Bildlaufleiste bzw. kleine Rechtsbewegung auf einer horizontalen Bildlaufleiste. Das Bewegen des Bildlauffeldes ist gleichbedeutend mit dem Drücken der NACH-UNTEN-TASTE oder der NACH-RECHTS-TASTE auf der Tastatur, um die Bildlaufleiste zu bewegen.
fmScrollActionPageUp | 3 | Eine Seite nach oben auf einer vertikalen Bildlaufleiste bzw. eine Seite nach links auf einer horizontalen Bildlaufleiste. Das Bewegen des Bildlauffeldes ist gleichbedeutend mit dem Drücken der BILD-AUF-TASTE auf der Tastatur, um die Bildlaufleiste zu bewegen.
fmScrollActionPageDown | 4 | Eine Seite nach unten auf einer vertikalen Bildlaufleiste bzw. eine Seite nach rechts auf einer horizontalen Bildlaufleiste. Das Bewegen des Bildlauffeldes ist gleichbedeutend mit dem Drücken der BILD-AB-TASTE auf der Tastatur, um die Bildlaufleiste zu bewegen.
fmScrollActionBegin | 5 | Der obere Bereich einer vertikalen Bildlaufleiste bzw. der linke Rand einer horizontalen Bildlaufleiste.
fmScrollActionEnd | 6 | Der untere Bereich einer vertikalen Bildlaufleiste bzw. der rechte Rand einer horizontalen Bildlaufleiste.
fmScrollActionPropertyChange | 8 | Der Wert der ScrollTop- oder ScrollLeft-Eigenschaft wurde verändert. Die Richtung und der Umfang der Bewegung hängen davon ab, welche Eigenschaft verändert wurde und welchen neuen Wert die Eigenschaft hat.
fmScrollActionControlRequest | 9 | Ein Steuerelement veranlasst den zugehörigen Container, einen Bildlauf durchzuführen. Der Umfang der Bewegung hängt von dem jeweiligen Steuerelement und dem betroffenen Container ab.
fmScrollActionFocusRequest | 10 | Der Benutzer hat zu einem anderen Steuerelement gewechselt. Der Umfang der Bewegung hängt von der Position des ausgewählten Steuerelements ab. Im Allgemeinen wird das ausgewählte Steuerelement so verschoben, dass es für den Benutzer vollständig sichtbar ist.

Hinweise

Mit einem Formular, einem Rahmen-Steuerelement oder einem Page-Objekt verbundene Scroll-Ereignisse geben die folgenden Argumente zurück: ActionX, ActionY, ActualX und ActualY. ActionX und ActionY geben die Aktion an, die eingetreten ist. ActualX und ActualY geben die Distanz an, um die das Bildlauffeld bewegt wurde.

Als Standardaktion wird die neue Position des Bildlauffeldes berechnet und anschließend ein Bildlauf zu dieser Position durchgeführt.

Ein Scroll-Ereignis kann ausgelöst werden, indem eine Scroll-Methode in einem Formular, Rahmen-Steuerelement oder Page-Objekt aufgerufen wird. Scroll-Ereignisse können durch das Bewegen des Bildlauffeldes erzeugt werden.

Das mit dem eigenständigen Bildlaufleiste-Steuerelement (ScrollBar) verknüpfte Scroll-Ereignis zeigt an, dass der Benutzer das Bildlauffeld in eine der beiden möglichen Richtungen bewegt hat. Dieses Ereignis wird nicht ausgelöst, wenn der Wert des Bildlaufleiste-Steuerelements durch den Code geändert wird oder dadurch, dass der Benutzer auf einen Bereich des Bildlaufleiste-Steuerelements klickt, jedoch nicht auf das Bildlauffeld.


SpinDown-, SpinUp-Ereignisse

SpinDown tritt ein, wenn der Benutzer auf den unteren oder linken Drehfeldpfeil klickt. SpinUp tritt ein, wenn der Benutzer auf den oberen oder rechten Drehfeldpfeil klickt.

Syntax

Private Sub object_SpinDown( )

Private Sub object_SpinUp( )

Die Syntax für das SpinDown-Ereignis und für das SpinUp-Ereignis besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Das SpinDown-Ereignis verringert den Wert der Value-Eigenschaft. Das SpinUp-Ereignis erhöht den Wert der Value-Eigenschaft.


Zoom-Ereignis

Tritt ein, wenn der Wert der Zoom-Eigenschaft verändert wird.

Syntax

Für ein Rahmen-Steuerelement (Frame)
Private Sub object_Zoom( Percent As Integer)

Für ein Multiseiten-Steuerelement (MultiPage)
Private Sub object_Zoom( index As Long, Percent As Integer)

Die Syntax für das Zoom-Ereignis besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
index | Erforderlich. Der Index der Seite in einem Multiseiten-Steuerelement, die diesem Ereignis zugeordnet ist.
Percent | Erforderlich. Der Prozentsatz, auf den das Formular vergrößert/verkleinert werden soll. Die gültigen Werte liegen im Bereich von 10% bis 400%.

Hinweise

Der Wert der Zoom-Eigenschaft gibt an, wie sich die Größe des Formulars oder des Page-Objekts verändert. Der Wert der Eigenschaft bestimmt, wie sich die Größe des Steuerelements gemessen an der aktuellen Größe verändern soll. Werte, die kleiner als 100 sind, verkleinern die Anzeige des Formulars, und Werte, die größer als 100 sind, vergrößern die Anzeige des Formulars.

Sie können diese Eigenschaft auf eine beliebige Ganzzahl von 10 bis 400 festlegen.


Add-Methode

Fügt ein Tab- oder Page-Objekt in ein Register-Steuerelement (TabStrip) oder Multiseiten-Steuerelement (MultiPage) ein oder fügt ein Steuerelement durch die zugehörige Ressource-ID (ProgID) zu einer Seite oder einem Formular hinzu.

Syntax

Für die Steuerelemente Multiseiten und Register (MultiPage und TabStrip)
Set Object = object.Add( [ Name [, Caption [, index]]])

Für andere Steuerelemente
Set Control = object.Add( ProgID [, Name [, Visible]])

Die Syntax für die Add-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
Name | Optional. Gibt den Namen des Objekts an, das hinzugefügt wird. Wenn kein Name angegeben ist, generiert das System basierend auf den Regeln der Anwendung, in der das Formular verwendet wird, einen Standardnamen.
Caption | Optional. Gibt die Beschriftung an, die für eine Registerkarte oder ein Steuerelement angezeigt werden soll. Wenn keine Beschriftung angegeben wird, generiert das System basierend auf den Regeln der Anwendung, in der das Formular verwendet wird, einen Standardnamen.
index | Optional. Bezeichnet die Position einer Seite oder Registerkarte innerhalb einer Pages- oder Tabs-Auflistung. Wenn kein Index angegeben wird, hängt das System die Seite oder Registerkarte am Ende der Pages- oder Tabs-Auflistung an und weist den entsprechenden Indexwert zu.
ProgID | Erforderlich. Ressource-ID (Programmatic ID). Eine Folge von Zeichen ohne Leerzeichen, die eine Objektklasse bezeichnet. Die Standardsyntax für ProgID ist <Vendor>.<Component>.<Version>. ProgID wird einem Klassenbezeichner (CLSID) zugeordnet.
Visible | Optional. Hat den Wert True, wenn das Objekt sichtbar ist (Voreinstellung), und False, wenn das Objekt ausgeblendet ist.

Einstellungen

Die ProgID-Werte für einzelne Steuerelemente sind:

Kontrollkästchen | Forms.CheckBox.1
Kombinationsfeld | Forms.ComboBox.1
Befehlsschaltfläche | Forms.CommandButton.1
Rahmen | Forms.Frame.1
Abbildung | Forms.Image.1
Bezeichnungsfeld | Forms.Label.1
Listenfeld | Forms.ListBox.1
Multiseiten | Forms.MultiPage.1
Optionsfeld | Forms.OptionButton.1
Bildlaufleiste | Forms.ScrollBar.1
Drehfeld | Forms.SpinButton.1
Register | Forms.TabStrip.1
Textfeld | Forms.TextBox.1
Umschaltfeld | Forms.ToggleButton.1

Hinweise

Bei einem Multiseiten-Steuerelement gibt die Add-Methode ein Page-Objekt zurück. Bei einem Register-Steuerelement wird ein Tab-Objekt zurückgegeben. Der Indexwert für das erste Page- oder Tab-Objekt einer Auflistung ist 0, der Wert für das zweite Page- oder Tab-Objekt ist 1 usw.

Bei der Controls-Auflistung eines Objekts gibt die Add-Methode entsprechend dem angegebenen Wert für ProgID ein Steuerelement zurück. Das AddControl-Ereignis tritt ein, nachdem das Steuerelement hinzugefügt wurde.

Sie können der Controls-Auflistung eines Benutzerformulars zur Entwurfszeit ein Steuerelement hinzufügen. Allerdings müssen Sie hierzu die Designer-Eigenschaft der Microsoft Visual Basic for Applications Extensibility Library verwenden. Die Designer-Eigenschaft gibt das UserForm-Objekt zurück.

Die folgende Syntax gibt die Text-Eigenschaft des angegebenen Steuerelements zurück:

userform1.thebox.text

Bei einem zur Laufzeit hinzugefügten Steuerelement müssen Sie, um auf die Eigenschaften dieses Steuerelements zu verweisen, die Syntax mit Ausrufezeichen verwenden. Zur Rückgabe der Text-Eigenschaft eines Steuerelements verwenden Sie beispielsweise die folgende Syntax:

userform1!thebox.text

Anmerkung Sie können die Name-Eigenschaft eines Steuerelements zur Laufzeit nur dann ändern, wenn Sie dieses Steuerelement zur Laufzeit mit der Add-Methode hinzugefügt haben.


AddItem-Methode

Fügt der Liste in einem einspaltigen Listenfeld-Steuerelement (ListBox) oder Kombinationsfeld-Steuerelement (ComboBox) ein Element hinzu. In einem mehrspaltigen Listenfeld- oder Kombinationsfeld-Steuerelement werden der Liste dagegen Zeilen hinzugefügt.

Syntax

Variant = object.AddItem [ item [, varIndex]]

Die Syntax für die AddItem-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Item | Optional. Gibt das hinzuzufügende Element oder die hinzuzufügende Zeile an. Die Nummer des ersten Elements oder der ersten Zeile ist 0, die Nummer des zweiten Elements oder der zweiten Zeile ist 1 usw.
varIndex | Optional. Eine ganze Zahl, die die Position innerhalb des Objekts angibt, an der das neue Element oder die neue Zeile positioniert wird.

Hinweise

Wenn Sie einen gültigen Wert für varIndex angeben, positioniert die AddItem-Methode das Element oder die Zeile an dieser Position innerhalb der Liste. Wenn Sie varIndex nicht angeben, fügt die Methode das Element oder die Zeile am Ende der Liste an.

Der Wert für varIndex darf nicht größer als der Wert der ListCount-Eigenschaft sein.

In einem mehrspaltigen Listenfeld-Steuerelement oder Kombinationsfeld-Steuerelement fügt die AddItem-Eigenschaft eine ganze Zeile hinzu, d.h., jeder Spalte des Steuerelements wird ein Element hinzugefügt. Verwenden Sie die List- oder Column-Eigenschaft, und geben Sie außerdem die Zeile und Spalte des Elements an, wenn Sie einem Element einen Wert zuweisen wollen, das sich in einer anderen als der ersten Spalte befindet.

Wenn das Steuerelement an Daten gebunden ist, schlägt die AddItem-Methode fehl.

Anmerkung Sie können einem Kombinationsfeld- oder Listenfeld-Steuerelement mehrere Zeilen gleichzeitig hinzufügen, wenn Sie die List-Eigenschaft verwenden.


Clear-Methode

Entfernt alle Objekte aus einem Objekt oder einer Auflistung.

Syntax

object.Clear

Die Syntax für die Clear-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Bei einem Multiseiten-Steuerelement (MultiPage) oder Register-Steuerelement (TabStrip) löscht die Clear-Methode einzelne Seiten oder Registerkarten.

Bei einem Listenfeld-Steuerelement (ListBox) oder Kombinationsfeld-Steuerelement (ComboBox) löscht Clear alle Einträge in der Liste.

Bei einer Controls-Auflistung löscht Clear alle Steuerelemente, die zur Laufzeit mit der Add-Methode erstellt wurden. Bei Steuerelementen, die zur Entwurfszeit erstellt wurden, verursacht Clear einen Fehler.

Wenn das Steuerelement an Daten gebunden ist, schlägt die Clear-Methode fehl.


Copy-Methode

Kopiert den Inhalt eines Objekts in die Zwischenablage.

Syntax

object.Copy

Die Syntax für die Copy-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Der ursprüngliche Inhalt verbleibt in dem Objekt.

Welcher Inhalt tatsächlich kopiert wird, hängt von dem jeweiligen Objekt ab. Die Copy-Methode kopiert z.B. in einem Page-Objekt die momentan ausgewählten Steuerelemente. In einem Textfeld-Steuerelement (TextBox) oder Kombinationsfeld-Steuerelement (ComboBox) wird der momentan ausgewählte Text kopiert.

Bei Verwendung von Copy in einem Formular, einem Rahmen-Steuerelement (Frame) oder Page-Objekt wird das momentan aktive Steuerelement kopiert.


Cut-Methode

Entfernt ausgewählte Informationen aus einem Objekt und legt sie in der Zwischenablage ab.

Syntax

object.Cut

Die Syntax für die Cut-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

In einem Kombinationsfeld-Steuerelement (ComboBox) oder Textfeld-Steuerelement (TextBox) entfernt die Cut-Methode den im Steuerelement markierten Text und kopiert ihn in die Zwischenablage. Diese Methode setzt nicht voraus, dass das Steuerelement den Fokus hat.

In einem Page-Objekt oder einem Rahmen-Steuerelement (Frame) sowie in einem Formular entfernt Cut die gegenwärtig ausgewählten Steuerelemente und kopiert sie in die Zwischenablage. Diese Methode entfernt nur Steuerelemente, die zur Laufzeit erstellt wurden.


DropDown-Methode

Zeigt den Listenbereich eines Kombinationsfeld-Steuerelements (ComboBox) an.

Syntax

object.DropDown

Die Syntax für die DropDown-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Verwenden Sie die DropDown-Methode, um die Liste in einem Kombinationsfeld zu öffnen.


GetFormat-Methode

Gibt eine Ganzzahl zurück, die anzeigt, ob das DataObject-Objekt Daten in einem bestimmten Format enthält.

Syntax

Boolean = object.GetFormat( format)

Die Syntax für die GetFormat-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
format | Erforderlich. Eine Ganzzahl oder eine Zeichenfolge, die ein bestimmtes Format angibt, das in dem DataObject-Objekt vorhanden sein kann. Wenn das angegebene Format in dem DataObject-Objekt vorhanden ist, gibt die GetFormat-Methode den Wert True zurück.

Einstellungen

Die Einstellungen für format sind:

Wert | Beschreibung
1 | Textformat.
Eine Zeichenfolge oder eine beliebige Ganzzahl außer 1. | Ein benutzerdefiniertes Format für ein DataObject-Objekt, das mit der SetText-Methode an das DataObject-Objekt übergeben wurde.

Hinweise

Die GetFormat-Methode sucht in der aktuellen Formatliste des DataObject-Objekts nach einem Format. Wenn das Format im DataObject-Objekt enthalten ist, gibt GetFormat den Wert True zurück, andernfalls wird der Wert False zurückgegeben.

DataObject unterstützt zurzeit nur Textformate.


GetFromClipboard-Methode

Kopiert Daten aus der Zwischenablage in ein DataObject-Objekt.

Syntax

String = object.GetFromClipboard( )

Die Syntax für die GetFromClipboard-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiger Objektname.

Hinweise

Das DataObject-Objekt kann mehrere Datenelemente enthalten, aber jedes Element muss ein anderes Format haben. Das DataObject-Objekt könnte z.B. ein Textelement und ein Element in einem benutzerdefinierten Format enthalten, es kann jedoch nicht zwei Textelemente enthalten.


GetText-Methode

Ruft unter Verwendung des angegebenen Formats eine Textzeichenfolge aus dem DataObject-Objekt ab.

Syntax

String = object.GetText( [ format])

Die Syntax der GetText-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
format | Optional. Eine Zeichenfolge oder eine Ganzzahl, die das Format der aus dem DataObject-Objekt abzurufenden Daten angibt.

Einstellungen

Die Einstellungen für format sind:

Wert | Beschreibung
1 | Textformat.
Eine Zeichenfolge oder eine beliebige ganze Zahl, außer 1 | Ein benutzerdefiniertes DataObject-Format wird von der SetText-Methode an das DataObject übergeben.

Hinweise

Das DataObject-Objekt unterstützt mehrere Formate, aber es unterstützt nur ein Datenelement eines gegebenen Formats. Das DataObject-Objekt könnte z. B. ein Textelement und ein Element in einem benutzerdefinierten Format enthalten, es kann jedoch nicht zwei Textelemente enthalten.

Wenn kein Format angegeben wird, fordert die GetText-Methode Informationen im Textformat vom DataObject.


Item-Methode

Gibt ein Element einer Auflistung zurück, entweder mit Position oder mit Namen.

Syntax

Set Object = object.Item( collectionindex)

Die Syntax für die Item-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
collectionindex | Erforderlich. Die Position oder der Index eines Elements innerhalb einer Auflistung.

Einstellungen

Der Wert für collectionindex kann entweder eine Zeichenfolge oder eine Ganzzahl sein. Wenn der Wert eine Zeichenfolge ist, muss diese ein gültiger Elementname sein. Wenn der Wert eine Ganzzahl ist, ist der Minimalwert 0 und der Maximalwert die Anzahl der Elemente in der Auflistung minus 1.

Hinweise

Wenn ein ungültiger Index oder Name angegeben wird, tritt ein Fehler auf.


Move-Methode

Verschiebt ein Formular oder Steuerelement oder verschiebt alle Steuerelemente in der Controls-Auflistung.

Syntax

Für ein Formular oder Steuerelement
object.Move( [Left [, Top [, Width [, Height [, Layout]]]]])

Für die Controls-Auflistung
object.Move( X, Y)

Die Syntax für die Move-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
Left | Optional. Ein Wert in Punkten und mit einfacher Genauigkeit, der die horizontale Koordinate für den linken Rand des Objekts angibt.
Top | Optional. Ein Wert in Punkten und mit einfacher Genauigkeit, der die vertikale Koordinate für den oberen Rand des Objekts angibt.
Width | Optional. Ein Wert in Punkten und mit einfacher Genauigkeit, der die Breite des Objekts angibt.
Height | Optional. Ein Wert in Punkten und mit einfacher Genauigkeit, der die Höhe des Objekts angibt.
Layout | Optional. Ein boolescher Wert, der angibt, ob das Layout-Ereignis für das übergeordnete Objekt des Steuerelements, das der Verschiebung folgt, ausgelöst werden soll. Der Standardwert ist False.
X, Y | Erforderlich. Ein Wert in Punkten mit einfacher Genauigkeit, der die Veränderung der aktuellen horizontalen und vertikalen Position für jedes Steuerelement in der Controls-Auflistung anzeigt.

Einstellungen

Die maximalen und minimalen Werte der Argumente Left, Top, Width, Height, X und Y variieren je nach Anwendung.

Hinweise

Für ein Formular oder Steuerelement können Sie eine Auswahl an eine bestimmte Stelle relativ zu den Rändern des Formulars, das die Auswahl enthält, verschieben.

Sie können benannte Argumente verwenden oder die Argumente durch ihre Position angeben. Wenn Sie benannte Argumente verwenden, können Sie die Argumente in beliebiger Reihenfolge angeben. Andernfalls müssen Sie die Argumente in der gezeigten Reihenfolge angeben und durch Kommas voneinander trennen, um die relative Position von nicht angegebenen Argumenten anzuzeigen. Alle nicht angegebenen Argumente bleiben unverändert.

Für eine Controls-Auflistung können Sie alle Steuerelemente in dieser Auflistung von ihrer aktuellen Position auf einem Formular, einem Rahmen-Steuerelement (Frame) oder Page-Objekt um eine bestimmte Strecke verschieben.


Paste-Methode

Überträgt den Inhalt der Zwischenablage in ein Objekt.

Syntax

object.Paste

Die Syntax für die Paste-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Daten, die in ein Kombinationsfeld-Steuerelement (ComboBox) oder in ein Textfeld-Steuerelement (TextBox) eingefügt werden, werden als Text interpretiert.

Wenn die Paste-Methode mit einem Formular verwendet wird, können Sie ein beliebiges Objekt in dieses Formular einfügen.


PutInClipboard-Methode

Verschiebt Daten aus einem DataObject-Objekt in die Zwischenablage.

Syntax

object.PutInClipboard

Die Syntax für die PutInClipboard-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Die PutInClipboard-Methode ersetzt den Inhalt der Zwischenablage durch den Inhalt von DataObject im Textformat.


RedoAction-Methode

Kehrt die Wirkung der letzten Rückgängig-Operation um.

Syntax

Boolean = object.RedoAction

Die Syntax für die RedoAction-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Die Wiederholen-Operation kehrt die letzte Rückgängig-Operation um, dies muss jedoch nicht unbedingt die zuletzt durchgeführte Aktion sein. Es können nicht alle Aktionen rückgängig gemacht werden.

Wenn Sie z.B. Text in ein Textfeld-Steuerelement (TextBox) eingefügt und danach den Befehl Rückgängig gewählt haben, um den Text zu entfernen, können Sie den Befehl Wiederholen wählen, um den Text wieder einzufügen.

Anmerkung Wenn die CanRedo-Eigenschaft den Wert False hat, steht der Befehl Wiederholen in der Benutzeroberfläche nicht zur Verfügung, und die RedoAction-Methode ist im Code nicht gültig.

RedoAction gibt True zurück, falls der Aufruf erfolgreich war.


Remove-Methode

Entfernt ein Element aus einer Auflistung oder entfernt ein Steuerelement aus einem Rahmen-Steuerelement (Frame), einem Page-Objekt oder einem Formular.

Syntax

object.Remove( collectionindex)

Die Syntax für die Remove-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
collectionindex | Erforderlich. Die Position (der Index) eines Elements innerhalb einer Auflistung. Es werden sowohl numerische als auch Zeichenfolgenwerte akzeptiert. Wenn der Wert eine Zahl ist, ist der Minimalwert 0 und der Maximalwert die Anzahl der Elemente in der Auflistung minus 1. Wenn der Wert eine Zeichenfolge ist, muss diese einem gültigen Elementnamen entsprechen.

Hinweise

Diese Methode löscht jedes Steuerelement, das zur Laufzeit hinzugefügt wurde. Der Versuch, ein Steuerelement zu löschen, das zur Entwurfszeit hinzugefügt wurde, führt jedoch zu einem Fehler.


RemoveItem-Methode

Entfernt eine Zeile aus der Liste eines Listenfeldes oder Kombinationsfeldes.

Syntax

Boolean = object.RemoveItem index

Die Syntax für die RemoveItem-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
index | Erforderlich. Gibt die zu löschende Zeile an. Die Nummer der ersten Zeile ist 0, die Nummer der zweiten Zeile ist 1 usw.

Diese Methode entfernt keine Zeile aus der Liste, wenn das Listenfeld-Steuerelement (ListBox) an eine Datenbank gebunden ist (dies ist dann der Fall, wenn die RowSource-Eigenschaft eine Datenquelle für das Listenfeld-Steuerelement angibt).


Repaint-Methode

Aktualisiert die Anzeige durch erneute Ausgabe des Formulars oder der Seite.

Syntax

Boolean = object.Repaint

Die Syntax für die Repaint-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Die Repaint-Methode ist hilfreich, wenn sich der Inhalt oder das Erscheinungsbild eines Objekts signifikant verändert hat und Sie nicht warten möchten, bis das System den Bereich automatisch neu zeichnet.


Scroll-Methode

Verschiebt die Bildlaufleiste auf einem Objekt.

Syntax

object.Scroll( [ ActionX [, ActionY]])

Die Syntax für die Scroll-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
ActionX | Optional. Gibt die Aktion für die horizontale Richtung an.
ActionY | Optional. Gibt die Aktion für die vertikale Richtung an.

Einstellungen

ActionX und ActionY haben folgende Einstellungen:

Konstante | Wert | Beschreibung
fmScrollActionNoChange | 0 | Nicht in die angegebene Richtung verschieben.
fmScrollActionLineUp | 1 | Auf einer vertikalen Bildlaufleiste nach oben oder auf einer horizontalen Bildlaufleiste nach links verschieben. Diese Aktion entspricht dem Drücken der NACH-OBEN- oder der NACH-LINKS-TASTE auf der Tastatur, um das Bildlauffeld zu verschieben.
fmScrollActionLineDown | 2 | Auf einer vertikalen Bildlaufleiste nach unten oder auf einer horizontalen Bildlaufleiste nach rechts verschieben. Diese Aktion ist gleichbedeutend mit dem Drücken der NACH-RECHTS- oder der NACH-UNTEN-TASTE auf der Tastatur, um das Bildlauffeld zu verschieben.
fmScrollActionPageUp | 3 | Auf einer vertikalen Bildlaufleiste um eine Seite nach oben oder auf einer horizontalen Bildlaufleiste um eine Seite nach links verschieben. Diese Aktion entspricht dem Drücken der BILD-AUF-TASTE auf der Tastatur, um das Bildlauffeld zu verschieben.
fmScrollActionPageDown | 4 | Auf einer vertikalen Bildlaufleiste um eine Seite nach unten oder auf einer horizontalen Bildlaufleiste um eine Seite nach rechts verschieben. Diese Aktion entspricht dem Drücken der BILD-AB-TASTE auf der Tastatur, um das Bildlauffeld zu verschieben.
fmScrollActionBegin | 5 | Zum oberen Ende einer vertikalen Bildlaufleiste oder zum linken Ende einer horizontalen Bildlaufleiste verschieben.
fmScrollActionEnd | 6 | Zum unteren Ende einer vertikalen Bildlaufleiste oder zum rechten Ende einer horizontalen Bildlaufleiste verschieben.

Hinweise

Die Scroll-Methode ist für Bildlaufleisten auf einem Formular, einem Frame-Objekt oder einem Page-Objekt vorgesehen, dessen Größe den Anzeigebereich überschreitet. Diese Methode gilt nicht für das eigenständige ScrollBar-Objekt oder für Bildlaufleisten, die auf einem TextBox-Objekt angezeigt werden.


SetDefaultTabOrder-Methode

Legt die TabIndex-Eigenschaft jedes Steuerelements auf einem Formular mit einer Standard-Aktivierreihenfolge fest, so dass die Steuerelemente von oben nach unten und von links nach rechts angeordnet werden.

Syntax

object.SetDefaultTabOrder

Die Syntax für die SetDefaultTabOrder-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

In Microsoft Forms wird die Aktivierreihenfolge ausgehend von dem Steuerelement in der oberen linken Ecke und dann nach rechts gehend festgelegt. Steuerelemente, die sich nah am linken Rand des Formulars befinden, erhalten eine vordere Position in der Aktivierreihenfolge. Falls mehrere Steuerelemente dieselbe Entfernung vom linken Rand des Formulars haben, werden die Werte der Aktivierreihenfolge von oben nach unten zugewiesen.


SetFocus-Methode

Setzt den Fokus auf die angegebene Objektinstanz.

Syntax

object.SetFocus

Die Syntax für die SetFocus-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Wenn der Fokus nicht gesetzt werden kann, kehrt er zum vorherigen Objekt zurück, und es wird ein Fehler ausgelöst.

Als Standardeinstellung aktiviert das Setzen des Fokus auf ein Steuerelement nicht das Fenster des Steuerelements. Es findet auch keine Positionierung über anderen Steuerelementen statt.

Die SetFocus-Methode ist sowohl für ein leeres Rahmen-Steuerelement (Frame) gültig als auch für ein Rahmen-Steuerelement, das andere Steuerelemente enthält. Ein leeres Rahmen-Steuerelement erhält selbst den Fokus, und alle nachfolgenden Tastaturereignisse verweisen auf das Rahmen-Steuerelement. In einem Rahmen-Steuerelement, das andere Steuerelemente enthält, erhält das erste Steuerelement im Rahmen-Steuerelement den Fokus, und alle nachfolgenden Tastaturereignisse verweisen auf das Steuerelement, das den Fokus hat.


SetText-Methode

Kopiert eine Zeichenfolge unter Verwendung eines bestimmten Formats in ein DataObject-Objekt.

Syntax

object.SetText( StoreData [, format])

Die Syntax für die SetText-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
StoreData | Erforderlich. Definiert die im DataObject zu speichernden Daten.
format | Optional. Eine Ganzzahl oder Zeichenfolge, die das Format von Speicherdaten angibt. Beim Abrufen von Daten aus dem DataObject-Objekt können die abzurufenden Datenelemente über das Format erkannt werden.

Einstellungen

Die Einstellungen für format sind:

Wert | Beschreibung
1 | Textformat.
Eine Zeichenfolge oder eine ganze Zahl, außer 1. | Ein benutzerdefiniertes DataObject-Format.

Hinweise

Daten werden im DataObject entsprechend dem zugehörigen Format gespeichert. Wenn der Benutzer eine Zeichenfolge angibt, wird der Text unter dem angegebenen Format im DataObject gespeichert.

Wenn das DataObject Daten enthält, die dasselbe Format wie die neuen Daten haben, ersetzen die neuen Daten die bereits im DataObject vorhandenen. Haben die neuen Daten ein neues Format, werden die neuen Daten und das neue Format den bereits vorhandenen Daten im DataObject hinzugefügt.

Wenn kein Format angegeben wird, weist die SetText-Methode der Zeichenfolge das Textformat zu. Wenn ein neues Format angegeben ist, verzeichnet das DataObject mit dem System das neue Format.


StartDrag-Methode

Startet eine Drag & Drop-Operation für ein DataObject-Objekt.

Syntax

fmDropEffect=Object.StartDrag([Effect as fmDropEffect])

Die Syntax für die StartDrag-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
Object | Erforderlich. Ein gültiges Objekt.
Effect | Optional. Auswirkung der Ablegen-Operation auf das Zielsteuerelement.

Einstellungen

Die Einstellungen für Effect sind:

Konstante | Wert | Beschreibung
fmDropEffectNone | 0 | Die Quelle der Ablegen-Operation wird nicht auf das Ziel der Ablegen-Operation kopiert oder verschoben.
fmDropEffectCopy | 1 | Die Quelle der Ablegen-Operation wird auf das Ziel der Ablegen-Operation kopiert.
fmDropEffectMove | 2 | Die Quelle der Ablegen-Operation wird auf das Ziel der Ablegen-Operation verschoben.
fmDropEffectCopyOrMove | 3 | Die Quelle der Ablegen-Operation wird auf das Ziel der Ablegen-Operation kopiert oder verschoben.

Hinweise

Die Ablegen-Aktion beginnt an der aktuellen Mauszeigerposition mit dem aktuellen Tastaturstatus und endet, wenn der Benutzer die Maustaste loslässt. Die Wirkung der Drag & Drop-Operation hängt davon ab, welche Wirkung für das Ziel der Ablegen-Operation gewählt wurde.

Das MouseMove-Ereignis eines Steuerelements könnte z.B. einen Aufruf der StartDrag-Methode enthalten. Wenn der Benutzer auf das Steuerelement klickt und die Maus bewegt, verändert sich der Mauszeiger, um anzuzeigen, ob Effect für das Ziel der Ablege-Operation gültig ist.


UndoAction-Methode

Kehrt die Wirkung der letzten Aktion um, die den Befehl Rückgängig unterstützt.

Syntax

Boolean = object.UndoAction

Die Syntax für die UndoAction-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Der Befehl Rückgängig der Benutzeroberfläche verwendet die UndoAction-Methode. Wenn Sie z.B. Text in ein Textfeld-Steuerelement (TextBox) einfügen, können Sie UndoAction verwenden, um diesen Text zu entfernen und den vorherigen Inhalt des Textfeldes wiederherzustellen.

Nicht alle Benutzeraktionen können rückgängig gemacht werden. Wenn eine Aktion nicht rückgängig gemacht werden kann, ist der Befehl Rückgängig nach dieser Aktion nicht verfügbar.

Anmerkung Wenn die CanUndo-Eigenschaft den Wert False hat, ist der Befehl Rückgängig der Benutzeroberfläche nicht verfügbar, und UndoAction ist im Code nicht zulässig.

Wenn UndoAction für ein Formular ausgeführt wird, sind alle Änderungen am aktuellen Datensatz verloren. Wenn UndoAction für ein Steuerelement ausgeführt wird, ist nur das Steuerelement selbst betroffen.

Sie müssen diese Methode anwenden, bevor das Formular oder Steuerelement aktualisiert wird. Sie können diese Methode in die Prozedur für das BeforeUpdate-Ereignis eines Formulars oder das Change-Ereignis eines Steuerelements einschließen.

UndoAction ist eine Alternative zur Verwendung der SendKeys-Anweisung, um den Wert von ESC an eine Ereignisprozedur zu übergeben.


ZOrder-Methode

Positioniert das Objekt am Anfang oder am Ende der Z-Reihenfolge.

Syntax

object.ZOrder( [ zPosition])

Die Syntax für die ZOrder-Methode besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
zPosition | Optional. Die Position eines Steuerelements, am Anfang oder am Ende der Z-Reihenfolge des Containers.

Einstellungen

Die Einstellungen für zPosition sind:

Konstante | Wert | Beschreibung
fmTop | 0 | Legt für das Steuerelement eine Position am Anfang der Z-Reihenfolge fest. Das Steuerelement wird über anderen Steuerelementen (Voreinstellung) angezeigt.
fmBottom | 1 | Legt für das Steuerelement eine Position am Ende der Z-Reihenfolge fest. Das Steuerelement wird unterhalb anderer Steuerelemente angezeigt.

Hinweise

Die Z-Reihenfolge bestimmt, wie Fenster und Steuerelemente gestapelt werden, wenn diese dem Benutzer präsentiert werden. Elemente am Ende der Z-Reihenfolge werden durch Elemente, die weiter am Anfang stehen, verdeckt. Elemente am Anfang der Z-Reihenfolge überdecken die weiter am Ende stehenden Elemente. Wenn das Argument zPosition nicht angegeben wird, wird das Objekt in den Vordergrund gestellt.

Im Entwurfsmodus wird die Z-Reihenfolge durch die Befehle In den Vordergrund oder In den Hintergrund festgelegt. In den Vordergrund ist gleichbedeutend mit der ZOrder-Methode und dem Setzen des Objekts an den Anfang der Z-Reihenfolge. In den Hintergrund entspricht der ZOrder-Methode und dem Setzen des Objekts an das Ende der Z-Reihenfolge.

Diese Methode hat keine Auswirkungen auf den Inhalt oder die Reihenfolge der Steuerelemente in der Controls-Auflistung.

Anmerkung Befehle zum Schichten von Steuerelementen, wie z.B. In den Hintergrund oder In den Vordergrund können nicht rückgängig gemacht oder wiederholt werden. Wenn Sie beispielsweise ein Objekt auswählen und im Kontextmenü auf Ebene nach hinten klicken, können Sie diese Aktion weder wiederholen noch rückgängig machen.


Anzeige-Steuerelement (Image)

Zeigt ein Bild auf einem Formular an.

Hinweise

Mit Hilfe des Anzeige-Steuerelements (Image) können Sie ein Bild als Teil der Daten eines Formulars anzeigen. So können Sie z. B. ein Anzeige-Steuerelement verwenden, um das Foto eines Angestellten auf einem Personalformular anzuzeigen.

Das Anzeige-Steuerelement ermöglicht es Ihnen, ein Bild zuzuschneiden, zu zoomen, zu verkleinern oder zu vergrößern. Der Inhalt des Bildes kann jedoch nicht bearbeitet werden. So können Sie z. B. das Anzeige-Steuerelement nicht verwenden, um die Farben eines Bildes zu ändern, das Bild transparent zu machen oder die Darstellung des Bildes zu verbessern. Für diese Zwecke benötigen Sie spezielle Bildbearbeitungsprogramme.

Das Anzeige-Steuerelement unterstützt die folgenden Dateiformate:

  • *.bmp

  • *.cur

  • *.gif

  • *.ico

  • *.jpg

  • *.wmf

Anmerkung Sie können ein Bild auch mit einem Bezeichnungsfeld-Steuerelement (Label) anzeigen. Ein Bezeichnungsfeld-Steuerelement ermöglicht es Ihnen jedoch nicht, das Bild zuzuschneiden, zu zoomen, zu vergrößern oder zu verkleinern.

Das Standardereignis für das Anzeige-Steuerelement ist das Click-Ereignis.


Befehlsschaltfläche-Steuerelement (CommandButton)

Beginnt, beendet oder unterbricht eine Aktion oder eine Abfolge von Aktionen.

Bemerkungen

Das Makro oder die Ereignisprozedur, das/die dem Click-Ereignis des Befehlsschaltfläche-Steuerelements (CommandButton) zugeordnet ist, legt das Verhalten der Befehlsschaltfläche fest. Sie können zum Beispiel ein Befehlsschaltfläche-Steuerelement erstellen, das ein weiteres Formular öffnet. Auf einem Befehlsschaltfläche-Steuerelement können Sie Text, ein Bild oder beides anzeigen.

Die Standardeigenschaft für das Befehlsschaltfläche-Steuerelement ist die Value-Eigenschaft.

Das Standardereignis für das Befehlsschaltfläche-Steuerelement ist das Click-Ereignis.


Bezeichnungsfeld-Steuerelement (Label)

Zeigt einen beschreibenden Text an.

Hinweise

Ein Bezeichnungsfeld-Steuerelement (Label) auf einem Formular zeigt einen beschreibenden Text an, z. B. Titel, Beschriftungen, Bilder oder kurze Anleitungen. So können beispielsweise Etiketten für ein Adressbuch ein Bezeichnungsfeld-Steuerelement für den Namen, die Straße oder die Stadt enthalten. Ein Bezeichnungsfeld-Steuerelement zeigt keine Werte aus einer Datenquelle oder Ausdrücke an. Es ist immer ungebunden und verändert sich auch beim Wechseln von einem Datensatz zum nächsten nicht.

Die Standardeigenschaft für das Bezeichnungsfeld-Steuerelement ist die Caption-Eigenschaft.

Das Standardereignis für das Bezeichnungsfeld-Steuerelement ist das Click-Ereignis.


Bildlaufleiste-Steuerelement (ScrollBar)

Gibt den Wert eines anderen Steuerelements in Abhängigkeit von der Position des Bildlauffeldes zurück oder legt diesen Wert fest.

Hinweise

Ein Bildlaufleiste-Steuerelement (ScrollBar) ist ein eigenständiges Steuerelement, das Sie auf einem Formular positionieren können. Es sieht genau so aus wie die Bildlaufleiste in bestimmten Objekten, z. B. in einem Listenfeld-Steuerelement (ListBox), oder wie der Dropdownbereich eines Kombinationsfeld-Steuerelements (ComboBox). Im Gegensatz zu diesen Elementen ist das eigenständige Bildlaufleiste-Steuerelement jedoch kein integraler Bestandteil irgendeines anderen Steuerelements.

Wenn Sie das Bildlaufleiste-Steuerelement verwenden möchten, um den Wert eines anderen Steuerelements abzurufen oder einzustellen, müssen Sie Code für die Ereignisse oder Methoden des Bildlaufleiste-Steuerelements schreiben. Soll das Bildlaufleiste-Steuerelement z. B. verwendet werden, um den Wert eines Textfeld-Steuerelements (TextBox) zu aktualisieren, können Sie Code schreiben, der die Value-Eigenschaft des Bildlaufleiste-Steuerelements liest und dann die Value-Eigenschaft des Textfeld-Steuerelements festlegt.

Die Standardeigenschaft für das Bildlaufleiste-Steuerelement ist die Value-Eigenschaft.

Das Standardereignis für das Bildlaufleiste-Steuerelement ist das Change-Ereignis.

Anmerkung Sie können ein horizontales oder vertikales Bildlaufleiste-Steuerelement erstellen, indem Sie die Ziehpunkte zur Größenänderung in horizontaler oder vertikaler Richtung auf dem Formular ziehen.


Controls-Auflistung

Schließt alle Steuerelemente ein, die in einem Objekt enthalten sind.

Hinweise

Jedes Steuerelement in der Controls-Auflistung besitzt einen eindeutigen Index, dessen Wert entweder einer ganzen Zahl oder einer Zeichenfolge entsprechen kann. Der Indexwert des ersten Steuerelements in einer Auflistung ist 0, der Wert des zweiten Steuerelements ist 1 usw. Dieser Wert zeigt an, in welcher Reihenfolge die Steuerelemente der Auflistung hinzugefügt wurden.

Handelt es sich bei dem Index um eine Zeichenfolge, stellt diese den Namen des Steuerelements dar. Der Name eines Steuerelements wird ebenfalls durch die Name-Eigenschaft eines Steuerelements angegeben.

Mit der Controls-Auflistung können Sie die einzelnen Steuerelemente durchnummerieren oder zählen und ihre Eigenschaften festlegen. So können Sie z. B. die Controls-Auflistung eines bestimmten Formulars durchnummerieren und für die Height-Eigenschaft jedes Steuerelements einen bestimmten Wert einstellen.

Anmerkung Zum Durchnummerieren einer Auflistung empfiehlt sich die For Each...Next-Anweisung.


DataObject-Objekt

Eine Stelle zum Ablegen von formatierten Textdaten, die bei Übertragungsoperationen verwendet wird. Das Objekt enthält auch eine Liste der Formate, mit denen die im DataObject-Objekt gespeicherten Textbestandteile formatiert sind.

Hinweise

Ein DataObject-Objekt kann einen Textbestandteil im Textformat der Zwischenablage enthalten sowie jeweils einen Textbestandteil in jedem weiteren Format, z. B. in benutzerdefinierten Formaten.

Ein DataObject-Objekt unterscheidet sich von der Zwischenablage. Ein DataObject-Objekt unterstützt Befehle in Verbindung mit der Zwischenablage sowie Drag & Drop-Aktionen für Text. Wenn Sie eine Operation beginnen, bei der die Zwischenablage verwendet wird (z. B. GetText), oder eine Drag & Drop-Operation, werden die von dieser Operation betroffenen Daten in ein DataObject-Objekt verschoben.

Die Funktionsweise des DataObject-Objekts entspricht der Funktionsweise der Zwischenablage. Wenn Sie eine Textzeichenfolge in ein DataObject-Objekt kopieren, speichert das DataObject-Objekt diese Textzeichenfolge. Wenn Sie nun eine zweite Zeichenfolge in demselben Format in das DataObject-Objekt kopieren, wird die erste Textzeichenfolge im DataObject-Objekt verworfen und stattdessen eine Kopie der zweiten Zeichenfolge im DataObject-Objekt gespeichert. Das Objekt speichert jeweils ein Textstück eines bestimmten Formats, wobei es sich immer um den Text der letzten Operation handelt.


Drehfeld-Steuerelement (SpinButton)

Erhöht oder vermindert den Wert einer Zahl.

Bemerkungen

Wenn Sie auf ein Drehfeld-Steuerelement (SpinButton) klicken, wird nur der Wert des Drehfeld-Steuerelements geändert. Sie können Code schreiben, der das Drehfeld-Steuerelement verwendet, um den angezeigten Wert eines anderen Steuerelements zu aktualisieren. So können Sie z.B. ein Drehfeld-Steuerelement verwenden, um den Monat, den Tag oder das Jahr eines angezeigten Datums zu ändern. Sie können das Drehfeld-Steuerelement auch verwenden, um durch einen Wertebereich oder eine Liste von Elementen zu blättern oder um den Wert, der in einem Textfeld-Steuerelement angezeigt wird, zu ändern.

Sie zeigen einen Wert, der mit dem Drehfeld-Steuerelement aktualisiert wurde, an, indem Sie den Wert des Drehfeld-Steuerelements dem angezeigten Teil eines Steuerelements zuweisen, z.B. der Caption-Eigenschaft eines Bezeichnungsfeld-Steuerelements (Label) oder der Text-Eigenschaft eines Textfeld-Steuerelements (TextBox). Sie können ein horizontales oder vertikales Drehfeld-Steuerelement erstellen, indem Sie die Ziehpunkte zur Größenänderung des Drehfeld-Steuerelements in horizontaler oder vertikaler Richtung auf dem Formular ziehen.

Die Standardeigenschaft für das Drehfeld-Steuerelement ist die Value-Eigenschaft.

Das Standardereignis für das Drehfeld-Steuerelement ist das Change-Ereignis.


Font-Objekt

Definiert die Merkmale des Textes, der von einem Steuerelement oder einem Formular verwendet wird.

Hinweise

Jedes Steuerelement oder Formular verfügt über ein eigenes Font-Objekt, so dass die Textmerkmale unabhängig von den Merkmalen für ein anderes Steuerelement oder Formular definiert werden können. Mit den schriftartbezogenen Eigenschaften können Sie die Schriftart angeben, Text fett oder unterstrichen formatieren oder die Größe des Textes anpassen.

Anmerkung Die Schrifteigenschaften eines Formulars oder Containers bestimmen die Standardschriftattribute der Steuerelemente, die Sie auf dem Formular platzieren.

Die Standardeigenschaft für das Font-Objekt ist die Name-Eigenschaft. Enthält die Name-Eigenschaft eine Null-Zeichenfolge, dann wird für das Font-Objekt die Standardschriftart des Systems verwendet.


Kontrollkästchen-Steuerelement (CheckBox)

Zeigt an, ob ein Element ausgewählt wurde oder nicht.

Hinweise

Verwenden Sie ein Kontrollkästchen-Steuerelement (CheckBox), um dem Benutzer die Wahl zwischen zwei Werten wie Ja/Nein, True/False oder Ein/Aus zu geben. Wenn der Benutzer ein Kontrollkästchen-Steuerelement aktiviert, wird ein besonderes Zeichen (z. B. ein X) angezeigt, und die aktuelle Einstellung ist Ja, True oder Ein. Wenn der Benutzer das Kontrollkästchen-Steuerelement nicht aktiviert, ist es leer, und die Einstellung ist Nein, False oder Aus. Je nach dem Wert der TripleState-Eigenschaft kann ein Kontrollkästchen-Steuerelement auch den Wert Null haben.

Wenn ein Kontrollkästchen-Steuerelement (CheckBox) an eine Datenquelle gebunden ist, wird bei Änderung der Einstellung der Wert der Quelle geändert. Ein nicht verfügbares Kontrollkästchen-Steuerelement zeigt den aktuellen Wert an, ist aber abgeblendet und lässt keine Änderungen des Wertes über die Benutzeroberfläche zu.

Sie können Kontrollkästchen-Steuerelemente auch innerhalb eines Gruppenfeldes anordnen und auf diese Weise dem Benutzer die Möglichkeit geben, ein oder mehrere Elemente aus einer Gruppe verwandter Elemente auszuwählen. Sie können z. B. ein Bestellformular erstellen, das eine Liste verfügbarer Elemente enthält, denen jeweils ein Kontrollkästchen-Steuerelement zugeordnet ist. Der Benutzer kann durch Aktivieren des entsprechenden Kontrollkästchen-Steuerelements ein oder mehrere bestimmte Elemente auswählen.

Die Standardeigenschaft für das Kontrollkästchen-Steuerelement ist die Value-Eigenschaft.

Das Standardereignis für das Kontrollkästchen-Steuerelement ist das Click-Ereignis.

Anmerkung Auch das Listenfeld-Steuerelement (ListBox) ermöglicht es Ihnen, ausgewählte Optionen mit einer Markierung zu kennzeichnen. Je nach Anwendung können Sie das Listenfeld-Steuerelement anstelle einer Gruppe von Kontrollkästchen-Steuerelementen verwenden.


Kombinationsfeld-Steuerelement (ComboBox)

Ein Kombinationsfeld-Steuerelement (ComboBox) kombiniert die Merkmale eines Textfeld-Steuerelements (TextBox) und eines Listenfeld-Steuerelements (ListBox). Der Benutzer kann entweder einen neuen Wert wie in ein Textfeld-Steuerelement eingeben oder einen vorhandenen Wert wie bei einem Listenfeld-Steuerelement auswählen.

Hinweise

Wenn ein Kombinationsfeld-Steuerelement an eine Datenquelle gebunden ist, fügt das Kombinationsfeld-Steuerelement den vom Benutzer eingegebenen oder ausgewählten Wert in die Datenquelle ein. Wenn ein mehrspaltiges Kombinationsfeld-Steuerelement an die Datenquelle gebunden ist, bestimmt die BoundColumn-Eigenschaft, welcher Wert in der angebundenen Datenquelle gespeichert wird.

Die Liste in einem Kombinationsfeld-Steuerelement besteht aus mehreren Zeilen mit Daten. Jede Zeile kann eine oder mehrere Spalten umfassen, welche mit oder ohne Überschrift angezeigt werden können. Je nach Anwendung werden Spaltenüberschriften mitunter nur begrenzt oder auch gar nicht unterstützt.

Die Standardeigenschaft für das Kombinationsfeld-Steuerelement ist die Value-Eigenschaft.

Das Standardereignis für das Kombinationsfeld-Steuerelement ist das Change-Ereignis.

Anmerkung Wenn mehrere Zeilen gleichzeitig angezeigt werden sollen, verwenden Sie am besten ein Listenfeld-Steuerelement anstelle eines Kombinationsfeld-Steuerelements. Wenn Sie ein Kombinationsfeld-Steuerelement verwenden und die Werte auf die in der Liste enthaltenen Einträge beschränken möchten, können Sie die Style-Eigenschaft des Kombinationsfeld-Steuerelements setzen, so dass das Steuerelement wie ein Dropdownlistenfeld aussieht.


Listenfeld-Steuerelement (ListBox)

Zeigt eine Liste von Werten an, aus der Sie einen oder mehrere Werte auswählen können.

Hinweise

Wenn das Listenfeld-Steuerelement (ListBox) an eine Datenquelle gebunden ist, speichert es den ausgewählten Wert in dieser Datenquelle.

Das Listenfeld-Steuerelement kann entweder als Liste, als Gruppe von Optionsfeld-Steuerelementen (OptionButton) oder als Gruppe von Kontrollkästchen-Steuerelementen (CheckBox) angezeigt werden.

Die Standardeigenschaft für das Listenfeld-Steuerelement ist die Value-Eigenschaft.

Das Standardereignis für das Listenfeld-Steuerelement ist das Click-Ereignis.

Anmerkung In einem Dropdownlistenfeld-Steuerelement kann kein Text abgelegt werden.


Multiseiten-Steuerelement (MultiPage)

Zeigt mehrere Bildschirme mit Informationen als einzelne Gruppe an.

Hinweise

Ein Multiseiten-Steuerelement (MultiPage) ist hilfreich, wenn Sie mit größeren Mengen an Informationen arbeiten, die unterschiedlichen Kategorien zugeordnet werden können. Sie können z. B. ein Multiseiten-Steuerelement verwenden, um Informationen aus einer Bewerbungsmappe anzuzeigen. Eine Seite könnte beispielsweise persönliche Informationen wie Name und Adresse enthalten, eine andere Seite würde frühere Arbeitgeber auflisten und eine dritte Seite Zeugnisse und Referenzen. Mit dem Multiseiten-Steuerelement können Sie verwandte Informationen optisch kombinieren, während der einfache Zugriff auf den gesamten Datensatz weiterhin möglich ist.

Neue Seiten werden ganz rechts eingefügt und nicht direkt neben der gegenwärtig ausgewählten Seite.

Anmerkung Das Multiseiten-Steuerelement ist ein Container einer Pages-Auflistung, die jeweils ein oder mehrere Page-Objekte enthält.

Die Standardeigenschaft für das Multiseiten-Steuerelement ist die Value-Eigenschaft, die den Index des derzeit aktiven Page-Objekts in der Pages-Auflistung des Multiseiten-Steuerelements zurückgibt.

Das Standardereignis für das Multiseiten-Steuerelement ist das Change-Ereignis.


Optionsfeld-Steuerelement (OptionButton)

Zeigt an, ob ein Element in einer Gruppe von Wahlmöglichkeiten ausgewählt wurde oder nicht.

Hinweise

Verwenden Sie ein Optionsfeld-Steuerelement (OptionButton), um anzuzeigen, ob ein einzelnes Element innerhalb einer Gruppe ausgewählt wurde. Beachten Sie, dass sich die Optionsfeld-Steuerelemente innerhalb eines Rahmen-Steuerelements (Frame) gegenseitig ausschließen.

Wenn ein Optionsfeld-Steuerelement an eine Datenquelle gebunden ist, kann das Optionsfeld-Steuerelement den Wert dieser Datenquelle entweder als Ja/Nein, True/False oder Ein/Aus anzeigen. Wenn der Benutzer das Optionsfeld-Steuerelement auswählt, ist die aktuelle Einstellung Ja, True oder Ein. Wenn der Benutzer das Optionsfeld-Steuerelement nicht auswählt, ist die Einstellung Nein, False oder Aus. Ein Optionsfeld-Steuerelement in einer Anwendung zur Lagerverwaltung kann beispielsweise anzeigen, ob ein Artikel noch im Sortiment geführt wird. Ist das Optionsfeld-Steuerelement an eine Datenquelle gebunden, führt eine Änderung der Einstellung zu einer Änderung des Wertes in der Datenquelle. Ein nicht verfügbares Optionsfeld-Steuerelement ist abgeblendet und zeigt keinen Wert an.

Je nach dem Wert der TripleState-Eigenschaft kann das Optionsfeld-Steuerelement auch den Wert Null annehmen.

Sie können ein Optionsfeld-Steuerelement auch innerhalb eines Gruppenfeldes verwenden, um ein oder mehrere verwandte Elemente auszuwählen. So können Sie z. B. ein Bestellformular mit einer Liste verfügbarer Produkte entwerfen, bei dem jedem Produkt ein Optionsfeld-Steuerelement vorangestellt ist. Der Benutzer kann nun ein bestimmtes Produkt auswählen, indem er das entsprechende Optionsfeld-Steuerelement aktiviert.

Die Standardeigenschaft für das Optionsfeld-Steuerelement ist die Value-Eigenschaft.

Das Standardereignis für das Optionsfeld-Steuerelement ist das Click-Ereignis.


Page-Objekt

Eine Seite eines Multiseiten-Steuerelements (MultiPage) und ein einzelnes Element einer Pages-Auflistung.

Hinweise

Jedes Page-Objekt enthält einen eigenen Satz von Steuerelementen, und die darin enthaltenen Informationen hängen nicht unbedingt von anderen Seiten der Auflistung ab. Ein Page-Objekt übernimmt einige Eigenschaften von seinem Container. Der Wert jeder übernommenen Eigenschaft wird durch den Container bestimmt.

Ein Page-Objekt hat innerhalb einer Pages-Auflistung einen eindeutigen Namen und einen eindeutigen Indexwert. Sie können auf ein Page-Objekt entweder anhand des Namens oder des Indexwertes des Objekts verweisen. Der Index des ersten Page-Objekts in einer Auflistung ist 0, der Index des zweiten Page-Objekts ist 1 usw. Wenn zwei Page-Objekte denselben Namen haben, müssen Sie auf jedes dieser Page-Objekte mit seinem Indexwert verweisen. Wird im Code auf den Namen verwiesen, so wird nur auf das erste Page-Objekt mit diesem Namen zugegriffen.

Der Standardname für das erste Page-Objekt ist Page1, der Standardname für das zweite Page-Objekt ist Page2.


Pages-Auflistung

Eine Pages-Auflistung enthält alle Seiten eines Multiseiten-Steuerelements (MultiPage).

Hinweise

Jede Pages-Auflistung bietet die Funktionen für die Verwaltung der Seitenanzahl in der Auflistung und für die Kennzeichnung der gegenwärtig verwendeten Seite.

Ein Page-Objekt hat innerhalb einer Pages-Auflistung einen eindeutigen Namen und einen eindeutigen Indexwert. Sie können auf ein Page-Objekt entweder anhand des Namens oder des Indexwertes des Objekts verweisen. Der Index des ersten Page-Objekts in einer Auflistung ist 0, der Index des zweiten Page-Objekts ist 1 usw. Der Standardname für das erste Page-Objekt ist Page1, der Standardname für das zweite Page-Objekt ist Page2.

Der Standardwert einer Pages-Auflistung bezeichnet das aktuelle Page-Objekt einer Auflistung.


Register-Steuerelement (TabStrip)

Zeigt mehrere, inhaltlich miteinander verbundene Steuerelemente als eine optische Gruppe an.

Hinweise

Mit dem Register-Steuerelement (TabStrip) können Sie inhaltlich zusammenhängende Steuerelemente in Gruppen mit jeweils unterschiedlichen Informationen zusammenstellen und anzeigen.

Die Steuerelemente können z. B. Informationen über den Tagesplan einer Gruppe von Mitarbeitern darstellen, wobei jeder Satz von Informationen einem bestimmten Mitarbeiter zugeordnet ist. Richten Sie den Titel jeder Registerkarte so ein, dass er den Namen eines Mitarbeiters wiedergibt. Anschließend können Sie Code schreiben, durch den die Steuerelemente beim Klicken auf die Registerkarte aktualisiert werden, so dass sie stets Informationen zu der auf der Registerkarte angegebenen Person anzeigen.

Anmerkung Das Register-Steuerelement wird als Container einer Tabs-Auflistung implementiert, die ihrerseits eine Gruppe von Tab-Objekten enthält.

Die Standardeigenschaft für das Register-Steuerelement ist die SelectedItem-Eigenschaft.

Das Standardereignis für das Register-Steuerelement ist das Change-Ereignis.


Rahmen-Steuerelement (Frame)

Erstellt eine funktionelle und optische Gruppe von Steuerelementen.

Hinweise

Da sich Optionsfeld-Steuerelemente in einem Rahmen-Steuerelement (Frame) gegenseitig ausschließen, können Sie ein Rahmen-Steuerelement verwenden, um eine Optionsgruppe zu erstellen. Sie können ein Rahmen-Steuerelement auch verwenden, um Steuerelemente zu gruppieren, die inhaltlich zusammengehören. Beispielsweise können Sie in einer Anwendung, die Kundenbestellungen verarbeitet, ein Rahmen-Steuerelement verwenden, um Name, Adresse und Kontonummer des Kunden in einer Gruppe zusammenzufassen.

Sie können ein Rahmen-Steuerelement auch zur Erstellung einer Gruppe von Umschaltfeldern verwenden. Diese schließen sich aber nicht gegenseitig aus.

Das Standardereignis für das Rahmen-Steuerelement ist das Click-Ereignis.


Tab-Objekt

Ein Tab-Objekt ist ein einzelnes Element einer Tabs-Auflistung.

Hinweise

Ein Tab-Objekt wird als Rechteck angezeigt, das aus einer größeren Rechteckfläche heraustritt, oder als Schaltfläche, die an eine Rechteckfläche angrenzt.

Im Gegensatz zu einem Page-Objekt enthält ein Tab-Objekt keine Steuerelemente. Steuerelemente, die sich innerhalb des durch ein Register-Steuerelement (TabStrip) eingegrenzten Bereichs befinden, sind im Formular enthalten, wie das Register-Steuerelement selbst.

Jedes Tab-Objekt verfügt über einen eigenen Satz von Eigenschaften, jedoch nicht über Methoden oder Ereignisse. Sie müssen Ereignisse des entsprechenden Register-Steuerelements verwenden, um die Verarbeitung eines einzelnen Tab-Objekts auszulösen.

Jedes Tab-Objekt hat innerhalb der Auflistung einen eindeutigen Namen und einen eindeutigen Indexwert. Sie können auf ein Tab-Objekt entweder anhand des Namens oder des Indexwertes des Objekts verweisen. Der Index des ersten Tab-Objekts ist 0, der Index des zweiten Tab-Objekts ist 1 usw. Wenn zwei Tab-Objekte denselben Namen haben, müssen Sie auf jedes dieser Tab-Objekte mit seinem Indexwert verweisen. Wird im Code auf den Namen verwiesen, so wird nur auf das erste Tab-Objekt mit diesem Namen zugegriffen.


Tabs-Auflistung

Eine Tabs-Auflistung enthält alle Tab-Objekte eines Register-Steuerelements (TabStrip).

Hinweise

Jede Tabs-Auflistung bietet die Funktionen zur Verwaltung der Anzahl der Registerkarten in der Auflistung und zur Kennzeichnung der derzeit verwendeten Registerkarte.

Der Standardwert der Tabs-Auflistung bezeichnet das aktuelle Tab-Objekt einer Auflistung.

Ein Tab-Objekt hat innerhalb einer Tabs-Auflistung einen eindeutigen Namen und einen eindeutigen Indexwert. Sie können auf ein Tab-Objekt entweder anhand des Namens oder des Indexwertes des Objekts verweisen. Der Indexwert entspricht der laufenden Position des Tab-Objekts innerhalb der Auflistung. Der Index des ersten Tab-Objekts in einer Auflistung ist 0, der Index des zweiten Tab-Objekts ist 1 usw.


Textfeld-Steuerelement (TextBox)

Zeigt Informationen an, die der Benutzer eingegeben hat oder die aus einem strukturierten Satz von Daten stammen.

Hinweise

Ein Textfeld-Steuerelement (TextBox) ist ein Steuerelement, das meist zum Anzeigen von Informationen dient, die vom Benutzer eingegeben wurden. Es kann darüber hinaus eine Zusammenstellung von Daten anzeigen, z. B. eine Tabelle, einen Fragebogen, ein Arbeitsblatt oder das Ergebnis einer Berechnung. Wenn ein Textfeld-Steuerelement an eine Datenquelle gebunden ist, führt eine Änderung des Inhalts des Textfeld-Steuerelements dazu, dass der Wert in der gebundenen Datenquelle ebenfalls geändert wird.

Das Formatieren eines beliebigen Textbestandteils in einem Textfeld-Steuerelement wirkt sich auf den gesamten Text in diesem Steuerelement aus. Wird beispielsweise die Schriftart oder der Schriftgrad eines beliebigen Zeichens in dem Steuerelement geändert, dann wirkt sich diese Änderung auf alle Zeichen in diesem Steuerelement aus.

Die Standardeigenschaft für das Textfeld-Steuerelement ist die Value-Eigenschaft.

Das Standardereignis für das Textfeld-Steuerelement ist das Change-Ereignis.


Umschaltfeld-Steuerelement (ToggleButton)

Zeigt an, ob ein Element ausgewählt wurde oder nicht.

Hinweise

Verwenden Sie das Umschaltfeld-Steuerelement (ToggleButton), um anzuzeigen, ob ein Element ausgewählt wurde. Wenn ein Umschaltfeld-Steuerelement an eine Datenquelle gebunden ist, zeigt es den aktuellen Wert dieser Datenquelle entweder als Ja/Nein, True/False, Ein/Aus oder eine andere Auswahl aus zwei Möglichkeiten an. Wenn der Benutzer das Umschaltfeld-Steuerelement auswählt, ist die aktuelle Einstellung Ja, True oder Ein. Wenn der Benutzer das Umschaltfeld-Steuerelement nicht auswählt, ist die aktuelle Einstellung Nein, False oder Aus. Ist das Umschaltfeld-Steuerelement an eine Datenquelle gebunden, dann bewirkt die Änderung der Einstellung, dass der Wert der Datenquelle ebenfalls geändert wird. Ein nicht verfügbares Umschaltfeld-Steuerelement zeigt einen Wert an, ist jedoch abgeblendet, so dass keine Änderungen über die Benutzeroberfläche möglich sind.

Sie können ein Umschaltfeld-Steuerelement auch innerhalb eines Rahmen-Steuerelements (Frame) verwenden, um ein oder mehrere Gruppen verwandter Elemente auszuwählen. So können Sie z. B. ein Bestellformular mit einer Liste verfügbarer Produkte entwerfen, auf dem jedem Produkt ein Umschaltfeld-Steuerelement vorangestellt ist. Der Benutzer kann nun ein bestimmtes Produkt auswählen, indem er das entsprechende Umschaltfeld-Steuerelement auswählt.

Die Standardeigenschaft für das Umschaltfeld-Steuerelement ist die Value-Eigenschaft.

Das Standardereignis für das Umschaltfeld-Steuerelement ist das Click-Ereignis.


UserForm-Fenster


Accelerator-Eigenschaft

Legt die Zugriffstaste für ein Steuerelement fest oder ruft diese ab.

Syntax

object.Accelerator [= String]

Die Syntax für die Accelerator-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Die Taste, die als Zugriffstaste verwendet wird.

Hinweise

Sie weisen eine Zugriffstaste zu, indem Sie ein einzelnes Zeichen für die Accelerator-Eigenschaft eingeben. Sie können Accelerator im Eigenschaftenfenster des Steuerelements oder im Code festlegen. Wenn der Wert dieser Eigenschaft mehr als ein Zeichen enthält, wird das erste Zeichen in der Zeichenfolge für Accelerator verwendet.

Wenn eine Zugriffstaste verwendet wird, gibt es keine sichtbare Rückmeldung (außer dem Fokus), die anzeigt, dass das Steuerelement das Click-Ereignis ausgelöst hat. Wenn z. B. die Zugriffstaste auf ein Befehlsschaltfläche-Steuerelement (CommandButton) angewendet wird, sieht der Benutzer nicht, dass die Schaltfläche in der Benutzeroberfläche gedrückt wird. Die Schaltfläche erhält jedoch den Fokus, wenn der Benutzer die Zugriffstaste drückt.

Wenn die Zugriffstaste auf ein Bezeichnungsfeld-Steuerelement (Label) angewendet wird, wechselt der Fokus zu dem Steuerelement, das dem Bezeichnungsfeld-Steuerelement in der Aktivierreihenfolge folgt, und nicht zum Bezeichnungsfeld-Steuerelement selbst.


ActiveControl-Eigenschaft

Kennzeichnet das Steuerelement mit dem Fokus und ermöglicht dessen Bearbeitung.

Syntax

object.ActiveControl

Die Syntax für die ActiveControl-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Die ActiveControl-Eigenschaft ist schreibgeschützt und wird festgelegt, wenn Sie ein Steuerelement in der Oberfläche auswählen. Sie können ActiveControl als Ersatz für den Namen des aktiven Steuerelements verwenden, wenn Sie Eigenschaften festlegen oder Methoden aufrufen.


Alignment-Eigenschaft

Gibt die Position eines Steuerelements relativ zum zugehörigen Titel an.

Syntax

object.Alignment [= fmAlignment]

Die Syntax für die Alignment-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmAlignment | Optional. Position des Titels.

Einstellungen

Die Einstellungen für fmAlignment sind:

Konstante | Wert | Beschreibung
fmAlignmentLeft | 0 | Positioniert den Titel links vom Steuerelement.
fmAlignmentRight | 1 | Positioniert den Titel rechts vom Steuerelement (Voreinstellung).

Hinweise

Der Titeltext für ein Steuerelement ist links ausgerichtet.

Anmerkung Das Umschaltfeld-Steuerelement (ToggleButton) verfügt zwar ebenfalls über die Alignment-Eigenschaft, sie ist jedoch deaktiviert. Sie können für das Umschaltfeld-Steuerelement keinen Wert für diese Eigenschaft festlegen oder zurückgeben.


AutoSize-Eigenschaft

Gibt an, ob ein Objekt seine Größe automatisch ändert, um den gesamten Inhalt anzuzeigen.

Syntax

object.AutoSize [= Boolean]

Die Syntax für die AutoSize-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob die Größe des Steuerelements verändert wurde.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Ändert die Größe eines Objekts automatisch, um den gesamten Inhalt anzuzeigen.
False | Hält die Größe des Steuerelements konstant. Der Inhalt wird abgeschnitten, wenn dieser den Bereich des Steuerelements übersteigt (Voreinstellung).

Hinweise

Bei Steuerelementen mit Titeln gibt die AutoSize-Eigenschaft an, ob das Steuerelement seine Größe automatisch anpasst, um den ganzen Titel anzuzeigen.

Bei Steuerelementen ohne Titel gibt diese Eigenschaft an, ob das Steuerelement seine Größe automatisch anpasst, um die ganzen Informationen anzuzeigen, die in diesem Steuerelement gespeichert sind. In einem Kombinationsfeld-Steuerelement (ComboBox) führt z.B. das Festlegen von AutoSize auf den Wert True dazu, dass die Breite der Anzeigefläche automatisch so festgelegt wird, dass diese mit der Länge des aktuellen Textes übereinstimmt.

Bei einem einzeiligen Textfeld führt das Festlegen von AutoSize auf den Wert True dazu, dass die Breite der Anzeigefläche automatisch auf die Länge des Textes im Textfeld festgelegt wird.

Bei einem mehrzeiligen Textfeld, das keinen Text enthält, führt das Festlegen von AutoSize auf den Wert True dazu, dass der Text automatisch als Spalte dargestellt wird. Die Breite der Textspalte wird so angepasst, dass der breiteste Buchstabe dieser Schriftgröße passt. Die Höhe der Textspalte wird so festgelegt, dass der gesamte Text des Textfeld-Steuerelements (TextBox) angezeigt werden kann.

Bei einem mehrzeiligen Textfeld, das Text enthält, führt das Setzen von AutoSize auf den Wert True automatisch zu einer vertikalen Erweiterung des Textfeld-Steuerelements, so dass der gesamte Text angezeigt werden kann. Die Breite des Textfeld-Steuerelements verändert sich nicht.

Anmerkung Wenn Sie die Größe eines Steuerelements manuell verändern, während AutoSize den Wert True hat, wird durch die manuelle Änderung die zuvor mit AutoSize festgelegte Größe überschrieben.


AutoTab-Eigenschaft

Gibt an, ob eine automatische Aktivierung erfolgt, wenn ein Benutzer die maximal zulässige Zeichenanzahl in einem Textfeld-Steuerelement (TextBox) oder im Textfeldteil eines Kombinationsfeld-Steuerelements (ComboBox) eingibt.

Syntax

object.AutoTab [= Boolean]

Die Syntax für die AutoTab-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob eine automatische Aktivierung erfolgt.

Einstellungen

Boolean kann folgende Einstellungen haben:

Wert Beschreibung

True | Aktivierung erfolgt.
False | Aktivierung unterbleibt (Standardeinstellung).

Hinweise

Die MaxLength-Eigenschaft gibt die maximal zulässige Anzahl der Zeichen in einem Textfeld-Steuerelement (TextBox) oder im Textfeldteil eines Kombinationsfeld-Steuerelements (ComboBox) an.

Sie können die AutoTab-Eigenschaft für ein Textfeld-Steuerelement (TextBox) oder ein Kombinationsfeld-Steuerelement (ComboBox) eines Formulars angeben, in dem normalerweise eine feste Anzahl an Zeichen eingegeben wird. Sobald der Benutzer die maximal zulässige Zeichenanzahl eingegeben hat, wechselt der Fokus automatisch zum nächsten Steuerelement in der Aktivierungsreihenfolge. Angenommen, ein Textfeld-Steuerelement zeigt fünfstellige Lagerbestandsnummern an. In diesem Fall können Sie mit Hilfe der MaxLength-Eigenschaft die maximal zulässige Anzahl der Zeichen für dieses Textfeld-Steuerelement festlegen und mit der AutoTab-Eigenschaft angeben, dass der Fokus nach Eingabe von fünf Zeichen automatisch zum nächsten Steuerelement wechselt.

Ob die AutoTab-Eigenschaft unterstützt wird, hängt von der Anwendung ab. Nicht alle Container unterstützen diese Eigenschaft.


AutoWordSelect-Eigenschaft

Gibt an, ob ein Wort oder ein Zeichen die Basiseinheit ist, um eine Auswahl zu erweitern.

Syntax

object.AutoWordSelect [= Boolean]

Die Syntax für die AutoWordSelect-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt die Basiseinheit an, die verwendet wird, um eine Auswahl zu erweitern.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Verwendet ein Wort als Basiseinheit (Voreinstellung).
False | Verwendet ein Zeichen als Basiseinheit.

Hinweise

Die AutoWordSelect-Eigenschaft gibt an, wie die Auswahl im Bearbeitungsbereich eines Textfeld- oder Kombinationsfeld-Steuerelements erweitert oder verkürzt wird.

Wenn der Benutzer die Einfügemarke in die Mitte eines Wortes setzt und die Auswahl erweitert, während AutoWordSelect den Wert True hat, beinhaltet die Auswahl anschließend das ganze Wort.


BackColor-Eigenschaft

Gibt die Hintergrundfarbe des Objekts an.

Syntax

object.BackColor [= Long]

Die Syntax für die BackColor-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Ein Wert oder eine Konstante, der/die die Hintergrundfarbe eines Objekts festlegt.

Einstellungen

Sie können eine beliebige Ganzzahl verwenden, die eine gültige Farbe darstellt. Sie können eine Farbe auch anhand der RGB-Funktion mit Rot-, Grün- und Blaukomponenten angeben. Der Wert jeder Farbkomponente ist eine Ganzzahl im Bereich von 0 bis 255. Sie können z. B. Seegrün als die Ganzzahl 4966415 oder als die Rot-, Grün- und Blaukomponenten 15, 200, 75 angeben.

Hinweise

Sie können die Hintergrundfarbe eines Objekts nur sehen, wenn die BackStyle-Eigenschaft auf fmBackStyleOpaque festgelegt ist.


BackStyle-Eigenschaft

Gibt den Hintergrundstil für ein Objekt zurück bzw. legt diesen fest.

Syntax

object.BackStyle [= fmBackStyle]

Die Syntax für die BackStyle-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmBackStyle | Optional. Gibt den Hintergrund für das Steuerelement an.

Einstellungen

fmBackStyle kann folgende Einstellungen haben:

Konstante | Wert | Beschreibung
fmBackStyleTransparent | 0 | Der Hintergrund ist transparent.
fmBackStyleOpaque | 1 | Der Hintergrund ist undurchsichtig (Standardeinstellung).

Hinweise

Die BackStyle-Eigenschaft bestimmt, ob ein Steuerelement transparent ist. Wenn BackStyle auf fmBackStyleOpaque gesetzt ist, ist das Steuerelement nicht transparent, d. h. Sie können in einem Formular keine Objekte sehen, die sich hinter diesem Steuerelement befinden. Ist BackStyle auf fmBackStyleTransparent gesetzt, dann ist das Steuerelement durchsichtig, d. h. Sie können durch das Steuerelement hindurch auf alle dahinter befindlichen Objekte sehen.

Anmerkung Die BackStyle-Eigenschaft hat keinen Einfluss auf die Transparenz von Bitmaps. Sie müssen einen Bildeditor wie z. B. Paintbrush verwenden, um eine Bitmap transparent zu machen. Bitmaps werden nicht in allen Steuerelementen unterstützt.


Bold-, Italic-, Size-, StrikeThrough-, Underline-, Weight-Eigenschaften

Geben die sichtbaren Attribute von Text auf einem angezeigten oder gedruckten Formular an.

Syntax

object.Bold [= Boolean]

object.Italic [= Boolean]

object.Size [= Currency]

object.StrikeThrough [= Boolean]

object.Underline [= Boolean]

object.Weight [= Integer]

Die Syntax der Eigenschaften Bold, Italic, Size, StrikeThrough, Underline und Weight besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
Boolean | Optional. Gibt den Schriftstil an.
Currency | Optional. Eine Zahl, die die Schriftgröße angibt.
Integer | Optional. Gibt den Schriftstil an.

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Der Text hat die angegebenen Attribute (fett, kursiv, Größe, durchgestrichen, unterstrichen oder Stärke).
False | Der Text hat nicht die angegebenen Attribute (Voreinstellung).

Die Weight-Eigenschaft akzeptiert Werte im Bereich von 0 bis 1000. Der Wert 0 erlaubt dem System, den bestmöglichen Wert für die Stärke zu wählen. Ein Wert im Bereich von 1 bis 1000 gibt einen bestimmten Wert für die Stärke vor, wobei 1 den hellsten Typ und 1000 den dunkelsten Typ repräsentiert.

Hinweise

Diese Eigenschaften definieren die sichtbaren Merkmale von Text. Die Bold-Eigenschaft bestimmt, ob Text normal oder fett formatiert ist. Die Italic-Eigenschaft bestimmt, ob Text normal oder kursiv formatiert ist. Die Size-Eigenschaft bestimmt den Schriftgrad des angezeigten Textes in Punkt. Die Underline-Eigenschaft bestimmt, ob Text unterstrichen ist. Die StrikeThrough-Eigenschaft bestimmt, ob Text durchgestrichen erscheint. Die Weight-Eigenschaft legt die Stärke des Schrifttyps fest.

Die Darstellung der Schriftart auf dem Bildschirm und in gedruckter Form kann sich je nach verwendetem Computer oder Drucker unterscheiden. Wenn Sie eine Schriftart auswählen, die Ihr System nicht mit den angegebenen Attributen anzeigen kann oder die nicht installiert ist, wird diese Schriftart vom Betriebssystem durch eine ähnliche Schriftart ersetzt. Diese Ersatzschriftart ist der ursprünglich angeforderten Schriftart so ähnlich wie möglich.

Das Ändern des Wertes von Bold verändert auch den Wert von Weight. Das Festlegen von Bold auf den Wert True legt Weight auf den Wert 700 fest, das Festlegen von Bold auf den Wert False legt Weight auf den Wert 400 fest. Andererseits führt das Festlegen von Weight auf einen Wert größer als 550 dazu, dass Bold auf den Wert True festgelegt wird, und das Festlegen von Weight auf den Wert 550 oder weniger führt dazu, dass Bold auf den Wert False festgelegt wird.

Die Standardpunktgröße wird vom Betriebssystem festgelegt.


BorderColor-Eigenschaft

Gibt die Farbe eines Objektrahmens an.

Syntax

object.BorderColor [= Long]

Die Syntax für die BorderColor-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Ein Wert oder eine Konstante, der/die die Rahmenfarbe eines Objekts bestimmt.

Einstellungen

Sie können eine beliebige Ganzzahl verwenden, die eine gültige Farbe darstellt. Sie können eine Farbe auch mit der RGB-Funktion mit Rot-, Grün- und Blaukomponenten angeben. Der Wert jeder Farbkomponente ist eine Ganzzahl im Bereich von 0 bis 255. Sie können z. B. Seegrün als die Ganzzahl 4966415 oder als die RGB-Farbkomponenten 15, 200, 75 angeben.

Hinweise

Sie können die BorderColor-Eigenschaft nur verwenden, wenn die BorderStyle-Eigenschaft auf einen anderen Wert als fmBorderStyleNone festgelegt ist.

BorderStyle verwendet BorderColor, um die Rahmenfarben zu definieren. Die SpecialEffect-Eigenschaft verwendet ausschließlich Systemfarben, um die zugehörigen Rahmenfarben zu definieren. Bei Windows-Betriebssystemen werden die Einstellungen für die Systemfarben in der Systemsteuerung auf der Registerkarte Darstellung im Dialogfeld Anzeige gespeichert. Bei Windows NT 4.0 oder höher werden die Einstellungen für die Systemfarben in der Systemsteuerung im Dialogfeld Farben gespeichert.


BorderStyle-Eigenschaft

Gibt den Typ des Rahmens an, der von einem Steuerelement oder einem Formular verwendet wird.

Syntax

object.BorderStyle [= fmBorderStyle]

Die Syntax für die BorderStyle-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmBorderStyle | Optional. Gibt den Rahmenstil an.

Einstellungen

Die Einstellungen für fmBorderStyle sind:

Konstante | Wert | Beschreibung
fmBorderStyleNone | 0 | Das Steuerelement hat keinen sichtbaren Rahmen.
fmBorderStyleSingle | 1 | Das Steuerelement hat einen Rahmen, der aus einer Linie besteht (Voreinstellung).

Der Standardwert für ein Kombinationsfeld-Steuerelement (ComboBox), Rahmen-Steuerelement (Frame), Bezeichnungsfeld-Steuerelement (Label), Listenfeld-Steuerelement (ListBox) oder Textfeld-Steuerelement (TextBox) ist 0 (Kein). Der Standardwert für ein Anzeige-Steuerelement (Image) ist 1 (Einfach).

Hinweise

Bei Rahmen-Steuerelementen wird die BorderStyle-Eigenschaft ignoriert, wenn die SpecialEffect-Eigenschaft den Wert Kein hat.

Sie können sowohl BorderStyle als auch SpecialEffect verwenden, um den Rahmen für ein Steuerelement anzugeben, jedoch nicht beide gleichzeitig. Wenn Sie einen Wert ungleich 0 für eine dieser Eigenschaften angeben, legt das System den Wert der jeweils anderen Eigenschaft auf 0 fest. Wenn Sie z.B. BorderStyle auf den Wert fmBorderStyleSingle festlegen, legt das System den Wert von SpecialEffect auf 0 (Flach) fest. Wenn Sie einen von 0 abweichenden Wert für SpecialEffect angeben, legt das System BorderStyle auf 0 fest.

BorderStyle verwendet BorderColor, um die Farben der zugehörigen Rahmen festzulegen.


BoundColumn-Eigenschaft

Bezeichnet die Quelle der Daten in einem mehrspaltigen Kombinationsfeld-Steuerelement (ComboBox) oder Listenfeld-Steuerelement (ListBox).

Syntax

object.BoundColumn [= Variant]

Die Syntax für die BoundColumn-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Variant | Optional. Zeigt an, wie der Wert für BoundColumn ausgewählt wird.

Einstellungen

Die Einstellungen für Variant sind:

Wert | Beschreibung
0 | Weist dem Steuerelement den Wert der ListIndex-Eigenschaft zu.
1 oder höher | Weist dem Steuerelement den Wert der angegebenen Spalte zu. Spalten werden beim Verwenden dieser Eigenschaft beginnend mit 1 nummeriert (Voreinstellung).

Hinweise

Wenn der Benutzer eine Zeile in einem mehrspaltigen Listenfeld-Steuerelement oder Kombinationsfeld-Steuerelement wählt, gibt die BoundColumn-Eigenschaft an, welches Element dieser Zeile als Wert des Steuerelements gespeichert wird. Wenn z. B. jede Zeile 8 Elemente enthält und BoundColumn den Wert 3 hat, speichert das System die Informationen in der dritten Spalte der momentan ausgewählten Zeile als Wert des Objekts.

Sie können dem Benutzer einen bestimmten Satz von Daten anzeigen, jedoch andere, dem Objekt zugeordnete Werte speichern, indem Sie die Eigenschaften BoundColumn und TextColumn verwenden. TextColumn gibt die Datenspalte an, die im Textfeldbereich eines Kombinationsfeld-Steuerelements angezeigt wird, sowie den Wert, der in der Text-Eigenschaft gespeichert wird. BoundColumn gibt die Spalte der zugeordneten Datenwerte an, die für das Steuerelement gespeichert werden. Sie können z. B. ein mehrspaltiges Listenfeld-Steuerelement einrichten, das die Namen von Feiertagen in einer Spalte und die Termine für die Feiertage in einer zweiten Spalte enthält. Sie zeigen dem Benutzer die Namen der Feiertage an, indem Sie die erste Spalte als TextColumn angeben. Sie speichern die Termine der Feiertage, indem Sie die zweite Spalte als BoundColumn angeben. Wenn Sie die Termine der Feiertage verbergen möchten, setzen Sie die ColumnWidths-Eigenschaft der zweiten Spalte auf den Wert 0.

Wenn das Steuerelement an eine Datenquelle gebunden ist, wird der Wert der Spalte, der durch BoundColumn angegeben wird, in der durch die ControlSource-Eigenschaft angegebenen Datenquelle gespeichert.

Durch Abrufen des ListIndex-Wertes wird die Nummer der ausgewählten Zeile zurückgegeben. Wenn Sie z. B. die Zeile des ausgewählten Objekts ermitteln möchten, legen Sie BoundColumn auf 0 fest, um dem Steuerelement die Nummer der ausgewählten Zeile zuzuweisen. Sie müssen einen aktuellen Wert abrufen und dürfen keinen zuvor gespeicherten Wert verwenden, wenn Sie auf eine Liste verweisen, deren Inhalt sich ändern könnte.

Die Nummerierung der in den Eigenschaften Column, List und ListIndex gespeicherten Werte beginnt mit 0, d. h., der Wert des ersten Elements (Spalte oder Zeile) ist 0, der Wert des zweiten Elements ist 1 usw. Dies bedeutet, dass Sie auf den in dieser Spalte gespeicherten Wert mit dem Ausdruck Column(2) zugreifen können, wenn BoundColumn auf den Wert 3 festgelegt ist.


BoundValue-Eigenschaft

Enthält den Wert eines Steuerelements, wenn das Steuerelement den Fokus erhält.

Syntax

object.BoundValue [= Variant]

Die Syntax für die BoundValue-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Variant | Optional. Der aktuelle Status oder Inhalt des Steuerelements.

Einstellungen

Steuerelement | Beschreibung
Kontrollkästchen | Ein ganzzahliger Wert, der anzeigt, ob das Element ausgewählt wurde.
 | Null Zeigt an, dass sich das Element im Nullzustand befindet, d. h. es ist weder ausgewählt, noch wurde der Wert gelöscht.
 | -1 True. Element ist ausgewählt.
 | 0 False. Wert des Elements wurde gelöscht.
Optionsfeld | Siehe Kontrollkästchen.
Umschaltfeld | Siehe Kontrollkästchen.
Bildlaufleiste | Eine Ganzzahl in einem Bereich, der durch die Eigenschaften Max und Min angegeben wurde.
Drehfeld | Siehe Bildlaufleiste.
Kombinationsfeld, Listenfeld | Der Wert der BoundColumn-Eigenschaft der momentan ausgewählten Zeilen.
Befehlsschaltfläche | Immer False.
Multiseiten | Eine Ganzzahl, die die momentan aktive Seite bezeichnet.
 | Null (0) bezeichnet die erste Seite. Der Maximalwert ist um 1 geringer als die Gesamtanzahl der Seiten.
Textfeld | Der Text im Bearbeitungsbereich.

Hinweise

BoundValue wird auf das Steuerelement angewendet, das den Fokus hat.

Die Inhalte der Eigenschaften BoundValue und Value sind in den meisten Fällen identisch. Wenn der Benutzer ein Steuerelement bearbeitet, so dass ein Wert geändert wird, sind die Inhalte von BoundValue und Value so lange verschieden, bis die Änderung endgültig ist.

Das Ändern des Wertes eines Steuerelements hat mehrere Auswirkungen. Wenn der Benutzer z.B. den Text in einem Textfeld-Steuerelement (TextBox) ändert, tritt Folgendes ein:

  1. Das Change-Ereignis wird ausgelöst. Zu diesem Zeitpunkt enthält die Value-Eigenschaft den neuen Text, und die BoundValue-Eigenschaft enthält den alten Text.

  2. Das BeforeUpdate-Ereignis wird ausgelöst.

  3. Das AfterUpdate-Ereignis wird ausgelöst. Die Werte für BoundValue und Value sind nun wieder identisch und enthalten den neuen Text.

BoundValue kann nicht mit einem Listenfeld für Mehrfachauswahl verwendet werden.


Cancel-Eigenschaft

Gibt einen Wert zurück oder legt einen Wert fest, der anzeigt, ob eine Befehlsschaltfläche in einem Formular die Schaltfläche Abbrechen ist.

Syntax

object.Cancel [= Boolean]

Die Syntax für die Cancel-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob das Objekt die Schaltfläche Abbrechen ist.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Das Befehlsschaltfläche-Steuerelement (CommandButton) ist die Schaltfläche Abbrechen.
False | Das Befehlsschaltfläche-Steuerelement ist nicht die Schaltfläche Abbrechen (Voreinstellung).

Hinweise

Eine Befehlsschaltfläche oder ein Objekt, das sich wie eine Befehlsschaltfläche verhält, kann als Standardbefehlsschaltfläche festgelegt werden. Bei OLE-Container-Steuerelementen (nur Windows) steht die Cancel-Eigenschaft nur für Objekte zur Verfügung, die sich wie Befehlsschaltflächen verhalten.

Nur eine Befehlsschaltfläche in einem Formular kann die Schaltfläche Abbrechen sein. Das Festlegen von Cancel auf den Wert True für eine Befehlsschaltfläche setzt Cancel für alle anderen Objekte in diesem Formular automatisch auf False. Wenn die Cancel-Eigenschaft einer Befehlsschaltfläche auf True gesetzt und das Formular das aktive Formular ist, kann der Benutzer die Befehlsschaltfläche auswählen, indem er darauf klickt, ESC drückt oder die EINGABETASTE drückt, während die Schaltfläche den Fokus hat.

Cancel wird normalerweise verwendet, damit die Benutzer nichtabgeschlossene Änderungen abbrechen und den vorhergehenden Zustand des Formulars wiederherstellen können.

Sie sollten die Schaltfläche Abbrechen in Formularen, die Operationen unterstützen, die nicht rückgängig gemacht werden können (z. B. Löschoperationen), zur Standardschaltfläche machen. Dazu setzen Sie sowohl die Cancel-Eigenschaft als auch die Default-Eigenschaft auf True.


CanPaste-Eigenschaft

Gibt an, ob die Zwischenablage Daten enthält, die das Objekt unterstützt.

Syntax

object.CanPaste

Die Syntax für die CanPaste-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Rückgabewerte

Die Rückgabewerte der CanPaste-Eigenschaft sind:

Wert | Beschreibung
True | Das Objekt unterhalb des Mauszeigers kann Informationen erhalten, die aus der Zwischenablage eingefügt werden (Voreinstellung).
False | Das Objekt unterhalb des Mauszeigers kann keine Informationen erhalten, die aus der Zwischenablage eingefügt werden.

Hinweise

Die CanPaste-Eigenschaft ist schreibgeschützt.

Wenn die Daten der Zwischenablage ein Format haben, das vom aktuellen Zielobjekt nicht unterstützt wird, hat die CanPaste-Eigenschaft den Wert False. Wenn Sie z. B. versuchen, eine Bitmap in ein Objekt einzufügen, das nur Text unterstützt, hat CanPaste den Wert False.


CanRedo-Eigenschaft

Zeigt an, ob die letzte Rückgängig-Operation umgekehrt werden kann.

Syntax

object.CanRedo

Die Syntax für die CanRedo-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Rückgabewerte

Die Rückgabewerte der CanRedo-Eigenschaft sind:

Wert | Beschreibung
True | Die letzte Rückgängig-Operation kann umgekehrt werden.
False | Die letzte Rückgängig-Operation kann nicht umgekehrt werden.

Hinweise

Die CanRedo-Eigenschaft ist schreibgeschützt.

Eine Aktion zu wiederholen, bedeutet, eine Rückgängig-Operation umzukehren; es wird nicht unbedingt die letzte Benutzeraktion wiederholt.

Die folgenden Benutzeraktionen verdeutlichen die Verwendung der Befehle Rückgängig und Wiederholen:

  1. Ändern Sie die Einstellung eines Optionsfeldes.

  2. Geben Sie Text in ein Textfeld ein.

  3. Klicken Sie auf Rückgängig. Der Text verschwindet aus dem Textfeld.

  4. Klicken Sie auf Rückgängig. Die Einstellung des Optionsfeldes wird zurückgesetzt.

  5. Klicken Sie auf Wiederholen. Der Wert des Optionsfeldes wird verändert.

  6. Klicken Sie auf Wiederholen. Der Text wird wieder im Textfeld angezeigt.


CanUndo-Eigenschaft

Bestimmt, ob die letzte Benutzeraktion rückgängig gemacht werden kann.

Syntax

object.CanUndo

Die Syntax für die CanUndo-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Rückgabewerte

Die Rückgabewerte der CanUndo-Eigenschaft sind:

Wert | Beschreibung
True | Die letzte Benutzeraktion kann rückgängig gemacht werden.
False | Die letzte Benutzeraktion kann nicht rückgängig gemacht werden.

Hinweise

Die CanUndo-Eigenschaft ist schreibgeschützt.

Viele Benutzeraktionen können mit dem Befehl Rückgängig rückgängig gemacht werden. Die CanUndo-Eigenschaft bestimmt, ob die letzte Aktion rückgängig gemacht werden kann.


Caption-Eigenschaft

Beschreibender Text, der auf einem Objekt angezeigt wird, um es zu bezeichnen oder zu beschreiben.

Syntax

object.Caption [= String]

Die Syntax für die Caption-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Ein Zeichenfolgenausdruck, der den als Titel angezeigten Text ergibt.

Einstellungen

Die Standardeinstellung für ein Steuerelement ist ein eindeutiger Name, der vom Steuerelementtyp abhängt. CommandButton1 ist z.B. der Standardtitel für die erste Befehlsschaltfläche in einem Formular.

Hinweise

Der Text bezeichnet oder beschreibt das Objekt, dem er zugeordnet ist. Bei Schaltflächen und Bezeichnungsfeldern gibt die Caption-Eigenschaft den Text an, der in diesem Steuerelement angezeigt wird. Bei Page- und Tab-Objekten wird der Text angegeben, der als Registerkartentitel angezeigt wird.

Wenn der Titel eines Steuerelements zu lang ist, wird er am Ende abgeschnitten. Wenn der Titel eines Formulars für die Titelleiste zu lang ist, wird der Titel mit Auslassungspunkten angezeigt.

Die ForeColor-Eigenschaft des Steuerelements bestimmt die Farbe des Titeltextes.

Tipp Wenn ein Steuerelement sowohl die Caption- als auch die AutoSize-Eigenschaft unterstützt und AutoSize auf den Wert True festgelegt wird, dann wird die Größe des Steuerelements automatisch so angepasst, dass der gesamte Titel angezeigt werden kann.


ClientHeight-, ClientLeft-, ClientTop-, ClientWidth-Eigenschaften

Definieren die Abmessungen und die Position des Anzeigebereichs eines Register-Steuerelements (TabStrip).

Syntax

object.ClientHeight [ =Single]

object.ClientLeft [ =Single]

object.ClientTop [ =Single]

object.ClientWidth [ =Single]

Die Syntax für die Eigenschaften ClientHeight, ClientLeft, ClientTop und ClientWidth besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Single | Optional. Bei ClientHeight und ClientWidth wird die Höhe oder Breite des Anzeigebereichs in Punkten angegeben. Bei ClientLeft und ClientTop wird die Entfernung vom oberen oder linken Rand des Containers um das Register-Steuerelement in Punkt angegeben.

Hinweise

Zur Laufzeit speichern ClientLeft, ClientTop, ClientHeight und ClientWidth automatisch die Koordinaten und Abmessungen des Innenbereichs des Register-Steuerelements, der von Objekten des Register-Steuerelements gemeinsam genutzt wird.


Column-Eigenschaft

Gibt ein oder mehrere Elemente in einem Listenfeld-Steuerelement (ListBox) oder Kombinationsfeld-Steuerelement (ComboBox) an.

Syntax

object.Column( column, row ) [= Variant]

Die Syntax für die Column-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
column | Optional. Eine Ganzzahl im Bereich von 0 bis zur Gesamtanzahl der Spalten -1.
row | Optional. Eine Ganzzahl im Bereich von 0 bis zur Gesamtanzahl der Zeilen -1.
Variant | Optional. Gibt einen einzelnen Wert, eine Spalte von Werten oder ein zweidimensionales Datenfeld an, das in ein Listenfeld-Steuerelement oder in ein Kombinationsfeld-Steuerelement geladen werden soll.

Einstellungen

Wenn Sie sowohl die Spalten- als auch die Zeilenwerte angeben, liest oder schreibt Column ein bestimmtes Element.

Wenn Sie nur den Spaltenwert angeben, liest oder schreibt die Column-Eigenschaft die angegebene Spalte in die aktuelle Zeile des Objekts. Listenfeld1.Column (3) liest oder schreibt z.B. die dritte Spalte in Listenfeld1.

Column gibt einen Wert vom Typ Variant vom Cursor zurück. Wenn ein integrierter Cursor den Wert für Variant bereitstellt (z. B. bei Verwendung der AddItem-Methode), ist der Wert eine Zeichenfolge. Wenn ein externer Cursor den Wert für Variant bereitstellt, ist die Formatierung der Daten nicht im Wert für Variant eingeschlossen.

Hinweise

Sie können Column verwenden, um den Inhalt eines Kombinationsfeldes oder Listenfeldes einem anderen Steuerelement, z.B. einem Textfeld, zuzuweisen. Sie können z.B. die ControlSource-Eigenschaft eines Textfeldes auf den Wert in der zweiten Spalte eines Listenfeldes festlegen.

Nimmt der Benutzer keine Auswahl vor, wenn Sie auf eine Spalte in einem Kombinationsfeld oder in einem Listenfeld verweisen, so hat Column die Einstellung Null. Sie können diesen Zustand mit der IsNull-Funktion überprüfen.

Sie können Column auch verwenden, um ein vollständiges zweidimensionales Datenfeld von Werten in ein Steuerelement zu kopieren. Durch diese Syntax kann eine Liste von Auswahlmöglichkeiten rasch geladen werden, anstatt dass jedes einzelne Element der Liste mit AddItem geladen werden muss.

Anmerkung Beim Kopieren von Daten eines zweidimensionalen Datenfeldes vertauscht Column den Inhalt des Datenfeldes beim Übertragen in das Steuerelement, so dass der Inhalt von ListBox1.Column(X, Y) dem Inhalt von Testdatenfeld(Y, X) entspricht. Sie können auch List verwenden, um ein Datenfeld zu kopieren, ohne den Inhalt zu vertauschen.


ColumnCount-Eigenschaft

Gibt die Anzahl der Spalten an, die in einem Listenfeld oder in einem Kombinationsfeld angezeigt werden sollen.

Syntax

object.ColumnCount [= Long]

Die Syntax für die ColumnCount-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Gibt die Anzahl der anzuzeigenden Spalten an.

Hinweise

Wenn Sie die ColumnCount-Eigenschaft für ein Listenfeld auf einem Personalformular auf den Wert 3 festlegen, kann eine Spalte die Nachnamen, eine andere die Vornamen und die dritte Spalte die Personalnummern enthalten.

Wenn ColumnCount auf 0 gesetzt wird, werden keine Spalten angezeigt. Wird die Eigenschaft auf -1 gesetzt, dann werden alle verfügbaren Spalten angezeigt. Bei ungebundenen Datenquellen liegt die Obergrenze bei 10 Spalten (0 bis 9).

Sie können die ColumnWidths-Eigenschaft verwenden, um die Breite der Spalten festzulegen, die im Steuerelement angezeigt werden.


ColumnHeads-Eigenschaft

Zeigt eine einzelne Zeile von Spaltenüberschriften für Listenfelder, Kombinationsfelder und Objekte an, die Spaltenüberschriften akzeptieren.

Syntax

object.ColumnHeads [= Boolean]

Die Syntax für die ColumnHeads-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob die Spaltenüberschriften angezeigt werden.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Die Spaltenüberschriften werden angezeigt.
False | Die Spaltenüberschriften werden nicht angezeigt (Voreinstellung).

Überschriften werden in Kombinationsfeldern nur dann angezeigt, wenn die Dropdown-Liste angezeigt wird.

Hinweise

Wenn das System die erste Zeile von Datenelementen als Spaltenüberschriften verwendet, können diese nicht ausgewählt werden.


ColumnWidths-Eigenschaft

Gibt die Breite der einzelnen Spalten in einem Kombinationsfeld- oder Listenfeld-Steuerelement mit mehreren Spalten an.

Syntax

object.ColumnWidths [= String]

Die Syntax der ColumnWidths-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Legt die Spaltenbreite in Punkt fest. Ist String -1 oder leer, dann wird die Breite berechnet. Bei dem Wert 0 wird die Spalte ausgeblendet. Wenn Sie eine andere Maßeinheit verwenden möchten, geben Sie diese mit ein. Durch einen Wert größer als 0 geben Sie die genaue Spaltenbreite an.

Einstellungen

Um die Spalteneinträge voneinander zu trennen, verwenden Sie ein Semikolon (;) als Listentrennzeichen. Verwenden Sie in Windows das Listentrennzeichen, das in der Systemsteuerung von Windows im Dialogfeld Eigenschaften von Ländereinstellungen auf der Registerkarte Zahlen angegeben ist, um diesen Wert zu ändern.

Die ColumnWidths-Eigenschaft kann für einzelne oder alle Spalten leer sein. Diese Einstellung legen Sie fest, indem Sie ein Listentrennzeichen ohne voranstehenden Wert eingeben.

Wenn Sie auf der Eigenschaftenseite –1 angeben, ist der angezeigte Wert auf der Eigenschaftenseite leer.

Wenn ColumnWidths leer oder –1 ist, wird die Spaltenbreite berechnet, indem die Breite des Steuerelements gleichmäßig auf alle Spalten der Liste aufgeteilt wird. Überschreitet die Summe der angegebenen Spaltenbreiten die Gesamtbreite des Steuerelements, wird die Liste innerhalb des Steuerelements linksbündig angeordnet und eine oder mehrere der ganz rechts befindlichen Spalten werden nicht angezeigt. Der Benutzer kann dann mit Hilfe der horizontalen Bildlaufleiste durch die Liste blättern und die ganz rechts befindlichen Spalten anzeigen lassen.

Die minimale berechnete Spaltenbreite ist 72 Punkt (2,54 cm). Wenn Sie Spalten mit geringerer Breite erstellen möchten, müssen Sie die Breite eigens angeben.

Spaltenbreiten werden in Punkt gemessen, wenn nicht anders angegeben. Um eine andere Maßeinheit zu verwenden, geben Sie diese zusammen mit dem Wert ein. In den folgenden Beispielen werden Spaltenbreiten in unterschiedlichen Maßeinheiten angegeben. Es wird außerdem beschrieben, wie die verschiedenen Einstellungen bei einem dreispaltigen Listenfeld mit einer Breite von 10,16 cm aussehen würden.

Einstellung | Wirkung
90;72;90 | Die erste Spalte ist 90 Punkt breit (3,18 cm), die zweite 72 Punkt (2,54 cm), die dritte 90 Punkt (3,18 cm).
6 cm;0;6 cm | Die erste Spalte ist 6 cm breit. Die zweite Spalte ist ausgeblendet. Die dritte Spalte ist ebenfalls 6 cm breit. Da die dritte Spalte teilweise sichtbar ist, wird eine horizontale Bildlaufleiste angezeigt.
1,5 in;0;2,5 in | Die erste Spalte ist 1,5 Zoll breit, die zweite Spalte ist ausgeblendet. Die dritte Spalte ist 2,5 Zoll breit.
2 in;;2 in | Die erste Spalte ist 2 Zoll breit, die zweite 1 Zoll (Standardwert), die dritte 2 Zoll. Da die dritte Spalte nur zur Hälfte sichtbar ist, wird eine horizontale Bildlaufleiste angezeigt.
(Leer) | Alle drei Spalten haben die gleiche Breite (3,38 cm).

Hinweise

In einem Kombinationsfeld-Steuerelement (ComboBox) wird die Spalte angezeigt, die durch die TextColumn-Eigenschaft im Textfeldteil des Steuerelements angegeben wird.


ControlSource-Eigenschaft

Gibt die Datenposition an, mit der die Value-Eigenschaft eines Steuerelements festgesetzt oder gespeichert wird. Die ControlSource-Eigenschaft akzeptiert auch Tabellenblattbereiche aus Microsoft Excel.

Syntax

object.ControlSource [= String]

Die Syntax für die ControlSource-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Gibt die Tabellenblattzelle an, die mit der Value-Eigenschaft eines Steuerelements verknüpft ist.

Hinweise

Die ControlSource-Eigenschaft kennzeichnet eine Zelle oder ein Feld; sie enthält nicht die Daten, die in der Zelle oder in dem Feld gespeichert sind. Wenn Sie die Value-Eigenschaft des Steuerelements ändern, wird die Änderung automatisch in der verknüpften Zelle oder dem verknüpften Feld wiedergegeben. Gleichermaßen wird automatisch die Veränderung in der Value-Eigenschaft des Steuerelements wiedergegeben, wenn Sie den Wert der verknüpften Zelle oder des Feldes ändern.

Wird ein weiteres Steuerelement für die ControlSource-Eigenschaft festgelegt, erzeugt dies einen Fehler.

Der Standardwert für ControlSource ist eine leere Zeichenfolge. Wenn die ControlSource-Eigenschaft einen anderen Wert als eine leere Zeichenfolge enthält, wird eine verknüpfte Zelle oder ein verknüpftes Feld erkannt. Der Inhalt dieser Zelle oder dieses Feldes wird automatisch in die Value-Eigenschaft kopiert, wenn das Steuerelement geladen wird.

Anmerkung Wenn die Value-Eigenschaft den Wert Null hat, wird an der durch ControlSource identifizierten Position kein Wert angezeigt.


ControlTipText-Eigenschaft

Gibt den Text an, der angezeigt wird, wenn der Benutzer den Mauszeiger eine Weile über ein Steuerelement hält, ohne zu klicken.

Syntax

object.ControlTipText [= String]

Die Syntax für die ControlTipText-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Der Text, der angezeigt wird, wenn der Benutzer den Mauszeiger über ein Steuerelement hält.

Hinweise

Die ControlTipText-Eigenschaft ermöglicht es Ihnen, dem Benutzer Informationen zu einem Steuerelement in einem ausgeführten Formular zu geben. Die Eigenschaft kann zur Entwurfszeit festgelegt werden, wird jedoch nur zur Laufzeit vom Steuerelement angezeigt.

Der Standardwert von ControlTipText ist eine leere Zeichenfolge. Wenn als Wert für ControlTipText eine leere Zeichenfolge festgelegt ist, ist für dieses Steuerelement keine Steuerelementinfo verfügbar.


Count-Eigenschaft

Gibt die Anzahl der Objekte in einer Auflistung zurück.

Syntax

object.Count

Die Syntax für die Count-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Die Count-Eigenschaft ist schreibgeschützt.

Der Indexwert für die erste Seite oder Registerkarte einer Auflistung ist Null, der Wert für die zweite Seite oder Registerkarte ist 1 usw. Wenn ein Multiseiten-Steuerelement (MultiPage) zwei Seiten enthält, sind die Indizes der Seiten 0 und 1, und Count hat den Wert 2.


CurLine-Eigenschaft

Gibt die aktuelle Zeile eines Steuerelements an.

Syntax

object.CurLine [= Long]

Die Syntax für die CurLine-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Gibt die aktuelle Zeile eines Steuerelements an.

Hinweise

Die aktuelle Zeile eines Steuerelements ist die Zeile, die die Einfügemarke enthält. Die Nummer der ersten Zeile ist Null.

Die CurLine-Eigenschaft ist gültig, wenn das Steuerelement den Fokus hat.


CurTargetX-Eigenschaft

Ruft die bevorzugte horizontale Position der Einfügemarke in einem mehrzeiligen Textfeld-Steuerelement (TextBox) oder Kombinationsfeld-Steuerelement (ComboBox) ab.

Syntax

object.CurTargetX

Die Syntax für die CurTargetX-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Rückgabewerte

Die CurTargetX-Eigenschaft ruft die bevorzugte Position, gemessen in HIMETRIC-Einheiten, ab. Eine HIMETRIC-Einheit entspricht 0,0001 Metern.

Hinweise

Die Zielposition wird relativ zum linken Rand des Steuerelements angegeben. Wenn eine Zeile kürzer ist, als der Wert der CurTargetX-Eigenschaft vorgibt, können Sie die Einfügemarke am Ende der Zeile positionieren. Der Wert von CurTargetX ändert sich, wenn der Benutzer die Einfügemarke setzt oder wenn die CurX-Eigenschaft festgelegt wird. CurTargetX ist schreibgeschützt.

Der Rückgabewert ist gültig, wenn das Objekt den Fokus hat.

Sie können CurTargetX und CurX verwenden, um die Einfügemarke zu bewegen, während der Benutzer durch den Inhalt eines mehrzeiligen Textfeld- oder Kombinationsfeld-Steuerelements blättert. Wenn der Benutzer die Einfügemarke auf eine andere Textzeile setzt, indem er einen Bildlauf durch den Inhalt des Objekts durchführt, gibt CurTargetX die bevorzugte Position für die Einfügemarke an. CurX wird auf diesen Wert gesetzt, wenn die Textzeile länger ist als der Wert von CurTargetX. Andernfalls wird CurX auf das Zeilenende des Textes gesetzt.


CurX-Eigenschaft

Gibt die aktuelle horizontale Position der Einfügemarke in einem mehrzeiligen Textfeld-Steuerelement (TextBox) oder Kombinationsfeld-Steuerelement (ComboBox) an.

Syntax

object.CurX [= Long]

Die Syntax für die CurX-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Zeigt die aktuelle Position in Form von HIMETRIC-Einheiten an. Eine HIMETRIC-Einheit entspricht 0,0001 Metern.

Hinweise

Die CurX-Eigenschaft wird von mehrzeiligen Textfeld- oder Kombinationsfeld-Steuerelementen unterstützt. Der Rückgabewert ist gültig, wenn das Objekt den Fokus hat.

Sie können CurTargetX und CurX verwenden, um die Einfügemarke zu positionieren, während der Benutzer einen Bildlauf durch den Inhalt eines mehrzeiligen Textfeld-Steuerelements oder Kombinationsfeld-Steuerelements durchführt. Wird durch diesen Bildlauf in einem Objekt die Einfügemarke in eine andere Textzeile verschoben, so gibt CurTargetX die bevorzugte Position der Einfügemarke an. CurX wird auf diesen Wert gesetzt, wenn die Textzeile länger ist als der Wert von CurTargetX. Andernfalls wird CurX auf das Zeilenende des Textes gesetzt.


Cycle-Eigenschaft

Gibt an, welche Aktion durchgeführt werden soll, wenn der Benutzer das letzte Steuerelement eines Rahmen-Steuerelements (Frame) oder Page-Objekts verlässt.

Syntax

object.Cycle [= fmCycle]

Die Syntax für die Cycle-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmCycle | Optional. Gibt an, ob der Zyklus Steuerelemente einschließt, die in ein Rahmen-Steuerelement oder Multiseiten-Steuerelement (MultiPage) eingebettet sind.

Einstellungen

Die Einstellungen für fmCycle sind:

Konstante | Wert | Beschreibung
fmCycleAllForms | 0 | Durchläuft die Steuerelemente auf dem Formular und die Steuerelemente der Rahmen- und Multiseiten-Steuerelemente, die gegenwärtig in diesem Formular angezeigt werden.
fmCycleCurrentForm | 2 | Durchläuft die Steuerelemente in dem Formular, dem Rahmen- oder dem Multiseiten-Steuerelement. Der Fokus bleibt im Formular, Rahmen-Steuerelement oder Multiseiten-Steuerelement, bis er explizit auf ein Steuerelement außerhalb des Formulars, Rahmen-Steuerelements oder Multiseiten-Steuerelements gesetzt wird.

Wenn Sie als Wert für Cycle keine Ganzzahl festlegen, wird der Wert auf die nächste ganze Zahl gerundet.

Hinweise

Die Aktivierreihenfolge bezeichnet die Reihenfolge, in der die Steuerelemente den Fokus erhalten, wenn sich der Benutzer mit der TAB-TASTE durch ein Formular oder Unterformular bewegt. Die Cycle-Eigenschaft bestimmt, welche Aktion durchgeführt werden soll, wenn ein Benutzer beim letzten Steuerelement in der Aktivierreihenfolge die TAB-TASTE drückt.

Die Einstellung fmCycleAllForms setzt den Fokus auf das erste Steuerelement des nächsten Rahmen-Steuerelements oder Multiseiten-Steuerelements in dem Formular, wenn der Benutzer beim letzten Steuerelement in der Aktivierreihenfolge die TAB-TASTE drückt.

Die Einstellung fmCycleCurrentForm setzt den Fokus auf das erste Steuerelement des gleichen Formulars, Rahmen-Steuerelements oder Multiseiten-Steuerelements, wenn der Benutzer beim letzten Steuerelement in der Aktivierreihenfolge die TAB-TASTE drückt.


Default-Eigenschaft

Legt die Standardbefehlsschaltfläche eines Formulars fest.

Syntax

object.Default [= Boolean]

Die Syntax für die Default-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob die Befehlsschaltfläche die Standardbefehlsschaltfläche ist.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Das Befehlsschaltfläche-Steuerelement (CommandButton) ist die Standardschaltfläche.
False | Das Befehlsschaltfläche-Steuerelement ist nicht die Standardschaltfläche (Voreinstellung).

Hinweise

Eine Befehlsschaltfläche oder ein Objekt, das sich wie eine Befehlsschaltfläche verhält, kann als Standardbefehlsschaltfläche festgelegt werden. Nur jeweils ein Objekt in einem Formular kann die Standardbefehlsschaltfläche sein. Sobald die Default-Eigenschaft für ein Objekt auf den Wert True gesetzt wird, wird diese Eigenschaft für alle anderen Objekte in dem Formular automatisch auf False gesetzt.

Die Standardbefehlsschaltfläche auf einem aktiven Formular kann ausgewählt werden, indem der Benutzer auf die Schaltfläche klickt oder die EINGABETASTE drückt, wenn kein anderes Befehlsschaltfläche-Steuerelement den Fokus hat. Wird die EINGABETASTE gedrückt, wenn kein anderes Befehlsschaltfläche-Steuerelement den Fokus hat, dann wird außerdem das KeyUp-Ereignis für die Standardbefehlsschaltfläche ausgelöst.

Default wird für OLE-Container-Steuerelemente (nur Windows) bereitgestellt, die sich wie Befehlsschaltfläche-Steuerelemente verhalten.

Tipp Es empfiehlt sich, die Schaltfläche Abbrechen zur Standardschaltfläche in Formularen zu machen, die Operationen unterstützen, die nicht rückgängig gemacht werden können (z. B. Löschoperationen). Setzen Sie hierzu sowohl die Cancel-Eigenschaft als auch die Default-Eigenschaft auf True.


Delay-Eigenschaft

Gibt die Dauer der Verzögerung für die Ereignisse SpinUp, SpinDown und Change in einem Drehfeld-Steuerelement (SpinButton) oder Bildlaufleiste-Steuerelement (ScrollBar) an.

Syntax

object.Delay [= Long]

Die Syntax für die Delay-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Die zeitliche Verzögerung zwischen den Ereignissen in Millisekunden.

Hinweise

Die Delay-Eigenschaft beeinflusst die Zeitdauer zwischen aufeinander folgenden SpinUp-, SpinDown- und Change-Ereignissen, die ausgelöst werden, wenn der Benutzer auf ein Drehfeld-Steuerelement oder auf ein Bildlaufleiste-Steuerelement klickt und die Maustaste gedrückt hält. Das erste Ereignis wird sofort ausgelöst. Die Verzögerung bis zum zweiten Auftreten des Ereignisses ist fünfmal so groß, wie der für Delay angegebene Wert. Durch diese anfängliche Verzögerung kann somit leicht ein einzelnes Ereignis anstatt einer ganzen Folge von Ereignissen erzeugt werden.

Nach der anfänglichen Verzögerung entspricht das Intervall zwischen den Ereignissen dem Wert, der für Delay angegeben ist.

Der Standardwert für Delay beträgt 50 Millisekunden. Dies bedeutet, dass das Objekt das zweite Ereignis 250 Millisekunden nach dem ersten Ereignis (fünfmal der angegebene Wert) und jedes nachfolgende Ereignis nach weiteren 50 Millisekunden auslöst.


DragBehavior-Eigenschaft

Gibt an, ob das System die Drag & Drop-Funktion für ein Textfeld-Steuerelement (TextBox) oder Kombinationsfeld-Steuerelement (ComboBox) aktiviert.

Syntax

object.DragBehavior [= fmDragBehavior]

Die Syntax für die DragBehavior-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmDragBehavior | Optional. Gibt an, ob die Drag & Drop-Funktion aktiviert ist.

Einstellungen

Die Einstellungen für fmDragBehavior sind:

Konstante | Wert | Beschreibung
fmDragBehaviorDisabled | 0 | Eine Drag & Drop-Aktion ist nicht zulässig (Voreinstellung).
fmDragBehaviorEnabled | 1 | Eine Drag & Drop-Aktion ist zulässig.

Hinweise

Wenn die DragBehavior-Eigenschaft aktiviert ist, wird durch Ziehen in ein Textfeld oder in ein Kombinationsfeld eine Drag & Drop-Operation für den ausgewählten Text gestartet. Wenn DragBehavior deaktiviert ist, führt das Ziehen in ein Textfeld oder in ein Kombinationsfeld dazu, dass Text ausgewählt wird.

Der Dropdown-Bereich eines Kombinationsfeld-Steuerelements unterstützt Drag & Drop-Prozesse nicht, außerdem unterstützt er auch die Auswahl von Listenelementen innerhalb des Textes nicht.

Die DragBehavior-Eigenschaft ist wirkungslos in einem Kombinationsfeld-Steuerelement, dessen Style-Eigenschaft auf fmStyleDropDownList gesetzt ist.

Anmerkung Sie können die Wirkungsweise der Eigenschaften EnterFieldBehavior und DragBehavior kombinieren und auf diese Weise eine Vielzahl von Darstellungsarten für Textfelder erstellen.


DrawBuffer-Eigenschaft

Gibt die Anzahl der Pixel an, die in einem Speicher für nicht angezeigte Bildschirmdaten zur Wiedergabe eines Rahmens reserviert werden.

Syntax

object.DrawBuffer [= value]

Teil | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
value | Eine ganze Zahl von 16.000 bis 1.048.576, die der maximalen Anzahl der Pixel entspricht, die das Objekt an den Speicher für nicht angezeigte Bildschirmdaten übergeben kann.

Hinweise

Die DrawBuffer-Eigenschaft gibt die maximale Anzahl der Pixel an, die mit einem Mal ausgegeben werden, während auf dem Bildschirm neu gezeichnet wird. Der aktuell vom Objekt verwendete Speicher hängt von der Bildschirmauflösung der Anzeige ab. Wenn für DrawBuffer ein hoher Wert festgelegt wird, wird die Wiedergabe langsamer. Ein hoher Puffer ist nur dann von Nutzen, wenn sich mehrere große Abbildungen überlappen.

Verwenden Sie das Eigenschaftenfenster, um den Wert der DrawBuffer-Eigenschaft anzugeben.


DropButtonStyle-Eigenschaft

Gibt das Symbol an, das auf der Dropdownschaltfläche eines Kombinationsfeld-Steuerelements (ComboBox) angezeigt wird.

Syntax

object.DropButtonStyle [= fmDropButtonStyle]

Die Syntax für die DropButtonStyle-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmDropButtonStyle | Optional. Die Darstellung der Dropdown-Schaltfläche.

Einstellungen

Die Einstellungen für fmDropButtonStyle sind:

Konstante | Wert | Beschreibung
fmDropButtonStylePlain | 0 | Zeigt eine leere Schaltfläche ohne Symbol an.
fmDropButtonStyleArrow | 1 | Zeigt einen Abwärtspfeil an (Voreinstellung).
fmDropButtonStyleEllipsis | 2 | Zeigt Auslassungspunkte (...) an.
fmDropButtonStyleReduce | 3 | Zeigt eine horizontale Linie vergleichbar dem Unterstrich-Zeichen an.

Hinweise

Die empfohlene Einstellung, um Elemente in einer Liste anzuzeigen, ist fmDropButtonStyleArrow. Wenn Sie die Dropdown-Schaltfläche auf eine andere Art verwenden möchten, wie z.B. zum Anzeigen eines Dialogfeldes, geben Sie fmDropButtonStyleEllipsis, fmDropButtonStylePlain oder fmDropButtonStyleReduce an, und fangen Sie das DropButtonClick-Ereignis auf.


Enabled-Eigenschaft

Gibt an, ob ein Steuerelement den Fokus erhalten und auf vom Benutzer ausgelöste Ereignisse reagieren kann.

Syntax

object.Enabled [= Boolean]

Die Syntax für die Enabled-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob das Objekt auf vom Benutzer ausgelöste Ereignisse reagieren kann.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Das Steuerelement kann den Fokus erhalten und auf vom Benutzer ausgelöste Ereignisse reagieren. Ebenso kann mittels Code auf das Steuerelement zugegriffen werden (Voreinstellung).
False | Der Benutzer kann nicht mit der Maus, durch Drücken von Tasten, Zugriffstasten oder Tastenkombinationen auf das Steuerelement einwirken. Auf das Steuerelement kann jedoch weiterhin mittels Code zugegriffen werden.

Hinweise

Verwenden Sie die Enabled-Eigenschaft, um Steuerelemente zu aktivieren oder zu deaktivieren. Ein deaktiviertes Steuerelement wird abgeblendet angezeigt, ein aktiviertes Steuerelement jedoch nicht. Wenn ein Steuerelement eine Bitmap anzeigt, ist diese ebenfalls abgeblendet, sobald das Steuerelement abgeblendet ist. Wenn die Enabled-Eigenschaft des Anzeige-Steuerelements (Image) den Wert False hat, löst das Steuerelement keine Ereignisse aus, aber es wird nicht abgeblendet angezeigt.

Die Eigenschaften Enabled und Locked können folgendermaßen kombiniert werden:

  • Wenn Enabled und Locked beide den Wert True haben, kann das Steuerelement den Fokus erhalten und wird in dem Formular normal (nicht abgeblendet) angezeigt. Der Benutzer kann Daten in das Steuerelement kopieren, diese jedoch nicht bearbeiten.

  • Wenn Enabled den Wert True und Locked den Wert False hat, kann das Steuerelement den Fokus erhalten und wird in dem Formular normal angezeigt. Der Benutzer kann Daten in das Steuerelement kopieren und diese bearbeiten.

  • Wenn Enabled den Wert False und Locked den Wert True hat, kann das Steuerelement nicht den Fokus erhalten und ist in dem Formular abgeblendet. Der Benutzer kann weder Daten in das Steuerelement kopieren, noch kann er diese Daten bearbeiten.

  • Wenn Enabled und Locked beide den Wert False haben, kann das Steuerelement den Fokus nicht erhalten und ist in dem Formular abgeblendet. Der Benutzer kann weder Daten in das Steuerelement kopieren, noch kann er diese Daten bearbeiten.

Sie können die Einstellungen der Eigenschaften Enabled und TabStop kombinieren, um zu verhindern, dass der Benutzer eine Befehlsschaltfläche mit der TAB-TASTE auswählen kann, während er jedoch nach wie vor auf diese Schaltfläche klicken kann. Wird TabStop auf False gesetzt, dann wird die Befehlsschaltfläche nicht in der Aktivierreihenfolge angezeigt. Wird jedoch Enabled auf True gesetzt, kann der Benutzer weiterhin auf die Befehlsschaltfläche klicken, vorausgesetzt, TakeFocusOnClick hat den Wert True.

Wenn der Benutzer mit der TAB-TASTE in ein aktiviertes Multiseiten-Steuerelement (MultiPage) oder Register-Steuerelement (TabStrip) wechselt, erhält die erste Seite oder die erste Registerkarte in diesem Steuerelement den Fokus. Wenn die erste Seite oder die erste Registerkarte eines Multiseiten-Steuerelements oder Register-Steuerelements deaktiviert ist, erhält die erste aktivierte Seite oder Registerkarte dieses Steuerelements den Fokus. Wenn alle Seiten oder Registerkarten eines Multiseiten-Steuerelements oder Register-Steuerelements deaktiviert sind, ist auch das Steuerelement deaktiviert und kann den Fokus nicht erhalten.

Wenn ein Rahmen-Steuerelement (Frame) deaktiviert ist, sind alle darin enthaltenen Steuerelemente deaktiviert.

Das Klicken auf ein deaktiviertes Listenfeld-Steuerelement (ListBox) löst nicht das Click-Ereignis aus.


EnterFieldBehavior-Eigenschaft

Gibt das Auswahlverhalten an, wenn der Fokus auf ein Textfeld-Steuerelement (TextBox) oder Kombinationsfeld-Steuerelement (ComboBox) verschoben wird.

Syntax

object.EnterFieldBehavior [= fmEnterFieldBehavior]

Die Syntax für die EnterFieldBehavior-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmEnterFieldBehavior | Optional. Das gewünschte Auswahlverhalten.

Einstellungen

Die Einstellungen für fmEnterFieldBehavior sind:

Konstante | Wert | Beschreibung
fmEnterFieldBehaviorSelectAll | 0 | Wählt den gesamten Inhalt des Bearbeitungsbereichs aus, wenn das Steuerelement aktiviert wird (Voreinstellung).
fmEnterFieldBehaviorRecallSelection | 1 | Verändert die Auswahl nicht. Dies ist daran zu erkennen, dass die Auswahl verwendet wird, die gültig war, als das Steuerelement zuletzt aktiv war.

Hinweise

Die EnterFieldBehavior-Eigenschaft bestimmt, wie Text ausgewählt wird, wenn das Steuerelement den Fokus nicht durch die SetFocus-Methode erhält, sondern wenn der Benutzer den Fokus mit Hilfe der TAB-TASTE auf das Steuerelement setzt. Bei der SetFocus-Methode werden die Inhalte des Steuerelements nicht ausgewählt, und die Einfügemarke wird nach dem letzten Zeichen im Bearbeitungsbereich des Steuerelements angezeigt.


EnterKeyBehavior-Eigenschaft

Definiert, welche Wirkung das Drücken der EINGABETASTE in einem Textfeld-Steuerelement (TextBox) hat.

Syntax

object.EnterKeyBehavior [= Boolean]

Die Syntax für die EnterKeyBehavior-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, welche Wirkung das Drücken der EINGABETASTE hat.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Durch Drücken der EINGABETASTE wird eine neue Zeile erzeugt.
False | Durch Drücken der EINGABETASTE wird der Fokus zum nächsten Objekt in der Aktivierreihenfolge verschoben (Voreinstellung).

Hinweise

Die Eigenschaften EnterKeyBehavior und MultiLine sind eng miteinander verbunden. Die weiter oben beschriebenen Werte können nur angewendet werden, wenn MultiLine den Wert True hat. Wenn MultiLine den Wert False hat, wird durch Drücken der EINGABETASTE immer der Fokus zum nächsten Steuerelement in der Aktivierreihenfolge bewegt, unabhängig vom Wert von EnterKeyBehavior.

Welche Wirkung durch das Drücken von STRG+EINGABETASTE erzielt wird, hängt ebenfalls vom Wert von MultiLine ab. Wenn MultiLine den Wert True hat, wird durch Drücken von STRG+EINGABETASTE eine neue Zeile erzeugt, unabhängig vom Wert von EnterKeyBehavior. Wenn MultiLine den Wert False hat, hat das Drücken von STRG+EINGABETASTE keine Auswirkung.


ForeColor-Eigenschaft

Gibt die Vordergrundfarbe eines Objekts an.

Syntax

object.ForeColor [= Long]

Die Syntax für die ForeColor-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Ein Wert oder eine Konstante, der/die die Vordergrundfarbe eines Objekts bestimmt.

Einstellungen

Sie können eine beliebige ganze Zahl verwenden, die eine gültige Farbe darstellt. Sie können eine Farbe auch angeben, indem Sie die RGB-Funktion mit Rot-, Grün- und Blaukomponenten verwenden. Der Wert jeder Farbkomponente ist eine ganze Zahl im Bereich von 0 bis 255. Sie können z. B. Seegrün durch die ganze Zahl 4966415 oder durch die RGB-Farbkomponenten 15, 200, 75 angeben.

Hinweise

Verwenden Sie die ForeColor-Eigenschaft für Steuerelemente in Formularen, damit diese leicht lesbar sind oder eine spezielle Aussage vermitteln. Wenn ein Textfeld z.B. den Lagerbestand von Waren enthält, können Sie die Farbe des Textes ändern, sobald der Lagerbestand derart fällt, dass die Ware nachbestellt werden muss.

Bei einem Bildlaufleiste-Steuerelement (ScrollBar) oder Drehfeld-Steuerelement (SpinButton) legt ForeColor die Farbe der Pfeile fest. Bei einem Rahmen-Steuerelement (Frame) ändert ForeColor die Farbe des Titels. Bei einem Font-Objekt bestimmt ForeColor die Farbe des Textes.


GroupName-Eigenschaft

Erstellt eine Gruppe von sich gegenseitig ausschließenden Optionsfeld-Steuerelementen (OptionButton).

Syntax

object.GroupName [= String]

Die Syntax der GroupName-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Optionsfeld-Steuerelement.
String | Optional. Der Name der Gruppe, in der das Optionsfeld-Steuerelement enthalten ist. Verwenden Sie für alle Steuerelemente in der Gruppe dieselbe Einstellung. Die Standardeinstellung ist eine leere Zeichenfolge.

Hinweise

Sie können eine Gruppe von sich gegenseitig ausschließenden Optionsfeld-Steuerelementen erstellen, indem Sie die Optionsfelder in einem Rahmen-Steuerelement (Frame) auf ihrem Formular positionieren oder die GroupName-Eigenschaft verwenden. Die Verwendung der GroupName-Eigenschaft ist aus folgenden Gründen wirkungsvoller:

  • Sie müssen nicht für jede Gruppe ein Rahmen-Steuerelement einfügen. Indem Sie das Rahmen-Steuerelement nicht verwenden, reduzieren Sie die Anzahl der Steuerelemente auf dem Formular. Dadurch verbessert sich die Leistung, und die Größe des Formulars wird reduziert.

  • Sie verfügen über eine höhere Entwurfsflexibilität. Wenn Sie zur Erstellung einer Gruppe ein Rahmen-Steuerelement verwenden, müssen sich alle Optionsfelder innerhalb dieses Steuerelements befinden. Wenn Sie mehr als eine Gruppe erstellen möchten, müssen Sie für jede Gruppe ein Rahmen-Steuerelement einfügen. Wenn Sie stattdessen zur Erstellung einer Gruppe die GroupName-Eigenschaft verwenden, kann die Gruppe Optionsfelder enthalten, die sich an einer beliebigen Stelle des Formulars befinden. Wenn Sie mehr als eine Gruppe erstellen möchten, müssen Sie für jede Gruppe einen eindeutigen Namen angeben. Auch in diesem Fall können Sie die einzelnen Steuerelemente an jeder beliebigen Stelle des Formulars platzieren.

  • Sie können Optionsfelder mit transparentem Hintergrund erstellen, was die visuelle Darstellung ihres Formulars verbessern kann. Das Rahmen-Steuerelement ist kein transparentes Steuerelement.

Ungeachtet dessen, für welche Methode zur Erstellung von Optionsfeldgruppen Sie sich entscheiden, werden durch Klicken auf eines der Optionsfelder in der Gruppe die anderen Felder in der Gruppe auf den Wert False gesetzt. Alle Optionsfelder, die innerhalb eines einzelnen Containers dieselbe GroupName-Eigenschaft haben, schließen sich gegenseitig aus. In unterschiedlichen Containern können Sie denselben Gruppennamen verwenden. Dadurch werden jedoch zwei Gruppen (eine in jedem Container) statt einer Gruppe erstellt, die beide Container enthält.

Wenn das Formular beispielsweise mehrere Optionsfelder enthält sowie ein Multiseiten-Steuerelement (MultiPage), das ebenfalls mehrere Optionsfelder einschließt, bilden die Optionsfelder auf dem Multiseiten-Steuerelement eine Gruppe und die Optionsfelder auf dem Formular eine andere Gruppe. Die beiden Gruppen beeinflussen sich gegenseitig nicht. Wird die Einstellung eines Optionsfeldes auf dem Multiseiten-Steuerelement verändert, hat dies keinen Einfluss auf die Optionsfelder des Formulars.


Height-, Width-Eigenschaften

Die Höhe oder Breite eines Objekts in Punkt.

Syntax

object.Height [= Single]

object.Width [= Single]

Die Syntax für die Eigenschaften Height und Width besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Single | Optional. Ein numerischer Ausdruck, der die Abmessungen eines Objekts angibt.

Hinweise

Die Eigenschaften Height und Width werden automatisch aktualisiert, wenn Sie ein Steuerelement verschieben oder dessen Größe ändern. Wenn Sie die Größe eines Steuerelements ändern, speichert die Height- oder Width-Eigenschaft die neue Höhe oder Breite, und die Eigenschaften OldHeight oder OldWidth speichern die ursprüngliche Höhe und Breite. Wenn Sie für die Left- oder Top-Eigenschaft einen Wert angeben, der kleiner als Null ist, wird dieser Wert verwendet, um die Höhe oder Breite des Steuerelements zu berechnen, ein Teil des Steuerelements wird jedoch nicht in dem Formular sichtbar sein.

Wenn Sie ein Steuerelement von einem Teil eines Formulars zu einem anderen verschieben, ändert sich die Einstellung von Height oder Width nur, wenn Sie beim Verschieben die Größe des Steuerelements verändern. Die Einstellungen der Eigenschaften Left und Top des Steuerelements ändern sich, um die neue Position des Steuerelements relativ zu den Rändern des Formulars wiederzugeben, das das Steuerelement enthält.

Der Wert, der Height oder Width zugewiesen ist, muss größer oder gleich Null sein. Für die meisten Systeme liegt der empfohlene Wertebereich zwischen 0 und +32.767. Höhere Werte sind möglich, dies hängt jedoch von der Konfiguration Ihres Systems ab.


HelpContextID-Eigenschaft

Die HelpContextID-Eigenschaft verknüpft ein bestimmtes Hilfethema in einer benutzerdefinierten Microsoft Windows-Hilfedatei mit einem bestimmten Steuerelement.

Syntax

object.HelpContextID [= Long]

Die Syntax für die HelpContextID-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Eine positive ganze Zahl gibt die Kontextkennung eines Hilfethemas in der Hilfedatei an, die mit dem Objekt verbunden ist. Null zeigt an, dass kein Hilfethema mit dem Objekt verbunden ist (Voreinstellung). Dieser Wert muss einer gültigen Kontextkennung in der angegebenen Hilfedatei entsprechen.

Hinweise

Das Thema, das durch die HelpContextID-Eigenschaft angegeben wird, steht dem Benutzer zur Verfügung, wenn ein Formular ausgeführt wird. Um das Thema anzuzeigen, muss der Benutzer entweder das Steuerelement auswählen oder den Fokus auf das Steuerelement setzen und dann F1 drücken.

Die HelpContextID-Eigenschaft verweist auf ein Thema in einer benutzerdefinierten Hilfedatei, die Sie erstellt haben, um Ihr Formular oder Ihre Anwendung zu beschreiben. In Visual Basic ist die benutzerdefinierte Hilfedatei eine Eigenschaft des Projekts.


HideSelection-Eigenschaft

Gibt an, ob ausgewählter Text hervorgehoben bleibt, wenn ein Steuerelement nicht den Fokus hat.

Syntax

object.HideSelection [= Boolean]

Die Syntax für die HideSelection-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob der ausgewählte Text hervorgehoben bleibt, auch wenn das Steuerelement nicht den Fokus hat.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Ausgewählter Text ist nicht hervorgehoben, solange das Steuerelement nicht den Fokus hat (Voreinstellung).
False | Ausgewählter Text wird immer hervorgehoben angezeigt.

Hinweise

Sie können die HideSelection-Eigenschaft verwenden, um die Hervorhebung von Text beizubehalten, auch wenn ein anderes Formular oder Dialogfeld den Fokus erhält, z. B. während einer Rechtschreibprüfung.


IMEMode-Eigenschaft

Gibt den Standardmodus zur Laufzeit des Input Method Editor (IME) für ein Steuerelement an. Diese Eigenschaft betrifft nur Anwendungen, die für den Fernen Osten geschrieben wurden, und wird von anderen Anwendungen ignoriert.

Syntax

object.IMEMode [= fmIMEMode]

Die Syntax für die IMEMode-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmIMEMode | Optional. Der Modus des Input Method Editors (IME).

Einstellungen

Die Einstellungen für fmIMEMode sind:

Konstante | Wert | Beschreibung
fmIMEModeNoControl | 0 | Keine Steuerung des IME (Voreinstellung).
fmIMEModeOn | 1 | IME an.
fmIMEModeOff | 2 | IME aus. Englischer Modus.
fmIMEModeDisable | 3 | IME aus. Der Benutzer kann den IME nicht mit der Tastatur aktivieren.
fmIMEModeHiragana | 4 | IME an mit Hiragana-Modus in voller Breite.
fmIMEModeKatakana | 5 | IME an mit Katakana-Modus in voller Breite.
fmIMEModeKatakanaHalf | 6 | IME an mit Katakana-Modus in halber Breite.
fmIMEModeAlphaFull | 7 | IME an mit alphanumerischem Modus in voller Breite.
fmIMEModeAlpha | 8 | IME an mit alphanumerischem Modus in halber Breite.
fmIMEModeHangulFull | 9 | IME an mit Hangul-Modus in voller Breite.
fmIMEModeHangul | 10 | IME an mit Hangul-Modus in halber Breite.

Die Einstellung fmIMEModeNoControl zeigt an, dass der Modus des IME sich nicht ändert, wenn das Steuerelement zur Laufzeit den Fokus erhält. Bei jedem anderen Wert ist der Modus für IME auf den Wert gesetzt, der durch die IMEMode-Eigenschaft angegeben ist, wenn das Steuerelement zur Laufzeit den Fokus erhält.

Hinweise

Es gibt zwei Möglichkeiten, um den Modus des IME festzulegen, zum einen mittels der Symbolleiste des IME, zum anderen mit Hilfe der IMEMode-Eigenschaft eines Steuerelements, die den aktuellen Modus des IME festlegt oder zurückgibt. Diese Eigenschaft ermöglicht eine dynamische Steuerung des IME aus dem Code heraus.

Im folgenden Beispiel wird erklärt, wie IMEMode mit der Symbolleiste des IME zusammenarbeitet. Angenommen, Sie haben ein Formular entworfen, das die Elemente TextBox1 und CheckBox1 enthält. Sie haben TextBox1.IMEMode auf den Wert 0 und CheckBox1.IMEMode auf den Wert 1 festgelegt. Im Entwurfsmodus haben Sie die IME-Symbolleiste verwendet, um den Modus 2 für den IME festzulegen.

Wenn Sie das Formular ausführen, beginnt der IME in Modus 2. Wenn Sie auf TextBox1 klicken, ändert sich der IME-Modus nicht, da der Wert von IMEMode für dieses Steuerelement 0 ist. Wenn Sie auf CheckBox1 klicken, ändert sich der Modus des IME auf 1, da der Wert IMEMode für dieses Steuerelement 1 ist. Wenn Sie erneut auf TextBox1 klicken, bleibt der IME in Modus 1 (IMEMode hat den Wert 0, somit verbleibt der IME in der letzten Einstellung).

Sie können IMEMode jedoch außer Kraft setzen. Angenommen, Sie klicken z.B. auf CheckBox1, und der IME wechselt in den Modus 1, wie es durch IMEMode für das Kontrollkästchen-Steuerelement (CheckBox) definiert ist. Wenn Sie anschließend die IME-Symbolleiste verwenden, um den IME in Modus 3 zu versetzen, wird der IME immer auf Modus 3 gesetzt, sobald Sie auf das Steuerelement klicken. Der Wert der Eigenschaft wird nicht verändert, die Eigenschaft wird lediglich außer Kraft gesetzt, bis das Formular das nächste Mal ausgeführt wird.


Index-Eigenschaft

Die Position eines Tab-Objekts innerhalb einer Tabs-Auflistung oder eines Page-Objekts in einer Pages-Auflistung.

Syntax

object.Index [= Integer]

Die Syntax für die Index-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Integer | Optional. Der Index des momentan ausgewählten Tab-Objekts.

Hinweise

Die Index-Eigenschaft gibt die Reihenfolge an, in der Registerkarten angezeigt werden. Das Ändern des Wertes von Index ändert sichtbar die Reihenfolge von Page-Objekten in einem Multiseiten-Steuerelement (MultiPage) oder von Tab-Objekten in einem Register-Steuerelement (TabStrip). Der Indexwert für die erste Seite oder die erste Registerkarte ist Null, der Indexwert für die zweite Seite oder die zweite Registerkarte ist 1 usw.

In einem Multiseiten-Steuerelement verweist Index sowohl auf ein Page-Objekt als auch auf das Tab-Objekt der Seite. In einem Register-Steuerelement verweist Index nur auf die Registerkarte.


InsideHeight-, InsideWidth-Eigenschaften

InsideHeight gibt die Höhe des Client-Bereichs innerhalb eines Formulars in Punkt zurück. InsideWidth gibt die Breite des Client-Bereichs innerhalb eines Formulars in Punkt zurück.

Syntax

object.InsideHeight

object.InsideWidth

Die Syntax für die Eigenschaften InsideHeight und InsideWidth besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Die Eigenschaften InsideHeight und InsideWidth sind schreibgeschützt. Wenn der Bereich eine Bildlaufleiste enthält, schließt der zurückgegebene Wert nicht die Höhe oder Breite der Bildlaufleiste ein.


IntegralHeight-Eigenschaft

Zeigt an, ob ein Listenfeld-Steuerelement (ListBox) oder Textfeld-Steuerelement (TextBox) ganze Textzeilen oder Teile von Zeilen in einer Liste anzeigt.

Syntax

object.IntegralHeight [= Boolean]

Die Syntax für die IntegralHeight-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob die Liste Teile von Textzeilen anzeigt.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Die Größe der Liste wird angepasst, damit die Elemente vollständig angezeigt werden (Voreinstellung).
False | Die Größe der Liste wird nicht angepasst, auch wenn das Element zu groß ist, um vollständig angezeigt zu werden.

Hinweise

Die IntegralHeight-Eigenschaft bezieht sich auf die Höhe der Liste, so wie sich die AutoSize-Eigenschaft auf die Breite der Liste bezieht.

Wenn IntegralHeight den Wert True hat, wird die Größe des Listenfeldes bei Bedarf automatisch angepasst, um vollständige Zeilen anzuzeigen. Wenn der Wert False ist, behält die Liste eine feste Größe. Wenn ein Element größer als der verfügbare Platz in der Liste ist, wird das Element nicht vollständig angezeigt.


KeepScrollBarsVisible-Eigenschaft

Gibt an, ob Bildlaufleisten sichtbar bleiben, wenn sie nicht benötigt werden.

Syntax

object.KeepScrollBarsVisible [= fmScrollBars]

Die Syntax für die KeepScrollBarsVisible-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmScrollBars | Optional. Gibt an, wo Bildlaufleisten angezeigt werden.

Einstellungen

Die Einstellungen für fmScrollBars sind:

Konstante | Wert | Beschreibung
fmScrollBarsNone | 0 | Zeigt keine Bildlaufleisten an.
fmScrollBarsHorizontal | 1 | Zeigt eine horizontale Bildlaufleiste an.
fmScrollBarsVertical | 2 | Zeigt eine vertikale Bildlaufleiste an.
fmScrollBarsBoth | 3 | Zeigt sowohl eine horizontale als auch eine vertikale Bildlaufleiste an (Voreinstellung).

Hinweise

Wenn der sichtbare Bereich groß genug ist, um alle Steuerelemente auf einem Objekt (z.B. einem Page-Objekt oder Formular) anzuzeigen, sind keine Bildlaufleisten erforderlich. Die KeepScrollBarsVisible-Eigenschaft legt fest, ob die Bildlaufleisten sichtbar bleiben, wenn sie nicht benötigt werden.

Sind die Bildlaufleisten sichtbar, wenn sie nicht erforderlich sind, werden sie in der normalen Größe angezeigt, und das Bildlauffeld füllt die gesamte Breite oder Höhe der Bildlaufleiste.


LargeChange-Eigenschaft

Gibt an, wie weit sich das Bildlauffeld weiterbewegt, wenn der Benutzer auf den Bereich der Bildlaufleiste zwischen dem Bildlauffeld und dem Bildlaufpfeil klickt.

Syntax

object.LargeChange [= Long]

Die Syntax für die LargeChange-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Eine Ganzzahl, die die Größe der Änderung der Value-Eigenschaft angibt.

Hinweise

Die LargeChange-Eigenschaft betrifft nur das Bildlaufleiste-Steuerelement (ScrollBar). Die Bildlaufleisten in anderen Steuerelementen wie z.B. einem Textfeld-Steuerelement (TextBox) oder einem Dropdown-Kombinationsfeld-Steuerelement (ComboBox) sind davon nicht betroffen.

Der Wert der LargeChange-Eigenschaft ist der Wert, um den sich die Value-Eigenschaft des Bildlaufleiste-Steuerelements ändert, wenn der Benutzer auf den Bereich zwischen dem Bildlauffeld und dem Bildlaufpfeil klickt. Die Bewegung erfolgt immer in Richtung des Bereichs, auf den der Benutzer klickt. In einem horizontalen Bildlaufleiste-Steuerelement wird z.B. durch Klicken auf den Bereich links vom Bildlauffeld das Bildlauffeld nach links bewegt. In einem vertikalen Bildlaufleiste-Steuerelement wird durch Klicken auf den Bereich oberhalb vom Bildlauffeld das Bildlauffeld nach oben bewegt.

LargeChange hat keine Einheiten. Jede Ganzzahl stellt eine gültige Einstellung für LargeChange dar. Der empfohlene Wertebereich liegt zwischen -32.767 und +32.767, und der Wert muss zwischen den Werten der Eigenschaften Max und Min des Bildlaufleiste-Steuerelements liegen.


LayoutEffect-Eigenschaft

Gibt an, ob ein Steuerelement während einer Veränderung des Layouts verschoben wurde.

Syntax

object.LayoutEffect

Die Syntax für die LayoutEffect-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Rückgabewerte

Die LayoutEffect-Eigenschaft hat die folgenden Rückgabewerte:

Konstante | Wert | Beschreibung
fmLayoutEffectNone | 0 | Das Steuerelement wurde nicht verschoben.
FmLayoutEffectInitiate | 1 | Das Steuerelement wurde verschoben.

Hinweise

Die LayoutEffect-Eigenschaft ist schreibgeschützt und nur im Layout-Ereignis verfügbar. Das Layout-Ereignis wird durch die Move-Methode ausgelöst, wenn das Layout-Argument den Wert True hat.

Das Layout-Ereignis wird nicht ausgelöst, wenn Sie die Einstellung der Eigenschaften Left, Top, Height oder Width eines Steuerelements ändern.

Das Layout-Ereignis legt LayoutEffect für jedes Steuerelement fest, das in eine Verschiebeoperation miteinbezogen wurde. Wenn Sie z.B. eine Gruppe von Steuerelementen verschieben, wird LayoutEffect für jedes Steuerelement festgelegt.


Left-, Top-Eigenschaften

Der Abstand zwischen einem Steuerelement und dem linken oder oberen Rand des Formulars, das das Steuerelement enthält.

Syntax

object.Left [= Single]

Objekt.Top [= Single]

Die Syntax für die Eigenschaften Left und Top besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Single | Optional. Ein numerischer Ausdruck, der die Koordinaten eines Objekts angibt.

Einstellungen

Wenn die Eigenschaften Left oder Top auf den Wert 0 gesetzt werden, wird der Rand des Steuerelements am linken oder oberen Rand des zugehörigen Containers platziert.

Hinweise

Für die meisten Systeme liegt der empfohlene Wertebereich für Left und Top zwischen -32.767 und +32.767. In Abhängigkeit von der Konfiguration Ihres Systems können auch andere Werte möglich sein. Bei einem Kombinationsfeld-Steuerelement (ComboBox) beziehen sich die Werte von Left und Top auf den Textbereich des Steuerelements, nicht auf den Listenbereich. Wenn Sie ein Steuerelement verschieben oder dessen Größe ändern, wird die neue Einstellung für Left automatisch im Eigenschaftenfenster eingetragen. Wenn Sie ein Formular drucken, wird die horizontale oder vertikale Position des Steuerelements durch die entsprechende Einstellung von Left oder Top bestimmt.


LineCount-Eigenschaft

Gibt die Anzahl von Textzeilen in einem Textfeld-Steuerelement (TextBox) oder Kombinationsfeld-Steuerelement (ComboBox) zurück.

Syntax

object.LineCount

Die Syntax für die LineCount-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Die LineCount-Eigenschaft ist schreibgeschützt.

Anmerkung Für ein Kombinationsfeld-Steuerelement wird die Zeilenanzahl 1 zurückgegeben.


List-Eigenschaft

Gibt die Listeneinträge eines Listenfeld-Steuerelements (ListBox) oder Kombinationsfeld-Steuerelements (ComboBox) zurück oder legt diese fest.

Syntax

object.List( row, column ) [= Variant]

Die Syntax für die List-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
row | Erforderlich. Eine Ganzzahl im Bereich von 0 bis zu der Anzahl der Elemente in der Liste - 1.
column | Erforderlich. Eine Ganzzahl im Bereich von 0 bis zu der Anzahl der Spalten - 1.
Variant | Optional. Der Inhalt des angegebenen Eintrags im Listenfeld-Steuerelement oder Kombinationsfeld-Steuerelement.

Einstellungen

Die Zeilen- und Spaltennummerierung beginnt mit dem Wert 0, d.h., die Zeilennummer der ersten Zeile in der Liste ist Null, die Spaltennummer der ersten Spalte ist Null. Die Nummer der zweiten Zeile oder Spalte ist 1 usw.

Hinweise

Die List-Eigenschaft kann mit den Eigenschaften ListCount und ListIndex kombiniert werden. Verwenden Sie List, um auf Listenelemente zuzugreifen. Eine Liste ist ein Datenfeld vom Typ Variant, und jedes Element in der Liste hat eine Zeilennummer und eine Spaltennummer.

Im Anfangszustand enthalten das Kombinationsfeld- und das Listenfeld-Steuerelement eine leere Liste.

Anmerkung Sie geben Elemente an, die Sie in einem Kombinationsfeld- oder Listenfeld-Steuerelement anzeigen möchten, indem Sie die AddItem-Methode verwenden. Um Elemente zu entfernen, verwenden Sie die RemoveItem-Methode.

Verwenden Sie List, um ein komplettes zweidimensionales Datenfeld mit Werten in ein Steuerelement zu kopieren. Verwenden Sie AddItem, um ein eindimensionales Datenfeld oder ein einzelnes Element zu laden.


ListCount-Eigenschaft

Gibt die Anzahl der Listeneinträge in einem Steuerelement zurück.

Syntax

object.ListCount

Die Syntax der ListCount-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Die ListCount-Eigenschaft ist schreibgeschützt. ListCount ist die Anzahl der Zeilen, durch die Sie blättern können. ListRows gibt an, wie viel Zeilen maximal gleichzeitig angezeigt werden können. ListCount ist stets um eins größer als der größte Wert für die ListIndex-Eigenschaft, da Indexnummern mit 0 beginnen und die Zählung der Elemente bei 1 beginnt. Ist kein Element ausgewählt, dann ist ListCount 0, und ListIndex ist –1.


ListIndex-Eigenschaft

Bezeichnet das momentan ausgewählte Element in einem Listenfeld-Steuerelement (ListBox) oder Kombinationsfeld-Steuerelement (ComboBox).

Syntax

object.ListIndex [= Variant]

Die Syntax für die ListIndex-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Variant | Optional. Das momentan ausgewählte Element im Steuerelement.

Hinweise

Die ListIndex-Eigenschaft enthält einen Index der ausgewählten Zeile in einer Liste. Die Werte von ListIndex liegen im Bereich von -1 bis zur Gesamtanzahl der Zeilen in einer Liste - 1 (d.h. ListCount - 1). Wenn keine Zeilen ausgewählt sind, gibt ListIndex den Wert -1 zurück. Wenn der Benutzer eine Zeile in einem Listenfeld-Steuerelement oder Kombinationsfeld-Steuerelement auswählt, legt das System den Wert für ListIndex fest. Der Wert für ListIndex der ersten Zeile in einer Liste ist 0, der Wert der zweiten Zeile ist 1 usw.

Anmerkung Wenn Sie die MultiSelect-Eigenschaft verwenden, um ein Listenfeld-Steuerelement zu erstellen, das eine Mehrfachauswahl ermöglicht, gibt die Selected-Eigenschaft des Listenfeld-Steuerelements (anstatt der ListIndex-Eigenschaft) die ausgewählten Zeilen an. Die Selected-Eigenschaft ist ein Datenfeld, das so viele Werte enthält, wie sich Zeilen im Listenfeld-Steuerelement befinden. Für jede Zeile im Listenfeld hat Selected den Wert True, wenn die Zeile ausgewählt ist, und False, wenn die Zeile nicht ausgewählt ist. In einem Listenfeld-Steuerelement, das eine Mehrfachauswahl zulässt, gibt ListIndex den Index der Zeile zurück, die den Fokus hat, unabhängig davon, ob diese Zeile momentan ausgewählt ist.

Der Wert von ListIndex ist auch verfügbar, wenn die BoundColumn-Eigenschaft für ein Kombinationsfeld oder Listenfeld auf den Wert 0 gesetzt wird. Wenn BoundColumn den Wert 0 hat, enthält die zugrunde liegende Datenquelle, an die das Kombinationsfeld oder Listenfeld gebunden ist, den gleichen Wert für den Listenindex wie ListIndex.


ListRows-Eigenschaft

Gibt die maximale Anzahl der in einer Liste anzuzeigenden Zeilen an.

Syntax

object.ListRows [= Long]

Die Syntax für die ListRows-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Eine Ganzzahl, die die maximale Anzahl der Zeilen bestimmt. Der Standardwert ist 8.

Hinweise

Wenn die Anzahl der Elemente in der Liste den Wert der ListRows-Eigenschaft überschreitet, wird am rechten Rand des Bereichs des Listenfeldes oder Kombinationsfeldes eine Bildlaufleiste angezeigt.


ListStyle-Eigenschaft

Gibt die Darstellungsart der Liste in einem Listenfeld-Steuerelement (ListBox) oder Kombinationsfeld-Steuerelement (ComboBox) an.

Syntax

object.ListStyle [= fmListStyle]

Die Syntax für die ListStyle-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmListStyle | Optional. Die Darstellungsart der Liste.

Einstellungen

Die Einstellungen für fmListStyle sind:

Konstante | Wert | Beschreibung
fmListStylePlain | 0 | Die Darstellungsart entspricht einem regulären Listenfeld, in dem der Hintergrund der Elemente hervorgehoben ist.
fmListStyleOption | 1 | Zeigt Optionsfelder oder Kontrollkästchen für eine Liste mit Mehrfachauswahl an (Voreinstellung). Wenn der Benutzer ein Element aus einer Gruppe auswählt, wird das diesem Element zugeordnete Optionsfeld ausgewählt, und für die Optionsfelder der andere Elemente in dieser Gruppe wird die Auswahl aufgehoben.

Hinweise

Die ListStyle-Eigenschaft ermöglicht es Ihnen, die Darstellung eines Listenfeld- oder Kombinationsfeld-Steuerelements zu ändern. Durch Festlegen einer von fmListStylePlain abweichenden Einstellung können Sie den Inhalt jedes Steuerelements wie eine Gruppe einzelner Elemente darstellen, wobei jedes Element optisch hervorgehoben wird, wenn es ausgewählt ist.

Wenn das Steuerelement nur eine Einfachauswahl unterstützt (d. h., wenn die MultiSelect-Eigenschaft den Wert fmMultiSelectSingle hat), kann der Benutzer ein Element der Gruppe auswählen. Wenn das Steuerelement Mehrfachauswahlen unterstützt, kann der Benutzer zwei oder mehr Elemente der Gruppe auswählen.


ListWidth-Eigenschaft

Gibt die Breite der Liste in einem Kombinationsfeld-Steuerelement (ComboBox) an.

Syntax

object.ListWidth [= Variant]

Die Syntax für die ListWidth-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Variant | Optional. Die Breite der Liste. Der Wert Null dient dazu, die Breite der Liste an das Kombinationsfeld-Steuerelement anzupassen. Der Standardwert dient dazu, die Breite der Liste an die Länge des Textes im Steuerelement anzupassen.

Hinweise

Wenn Sie eine mehrspaltige Liste anzeigen möchten, geben Sie einen Wert ein, der dafür sorgt, dass die Liste breit genug ist, um alle Spalten im Steuerelement anzuzeigen.

Tipp Stellen Sie beim Erstellen von Kombinationsfeldern sicher, dass genügend Platz zum Anzeigen Ihrer Daten und für eine vertikale Bildlaufleiste zur Verfügung steht.


Locked-Eigenschaft

Gibt an, ob ein Steuerelement bearbeitet werden kann.

Syntax

object.Locked [= Boolean]

Die Syntax für die Locked-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob das Steuerelement bearbeitet werden kann.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Sie können den Wert nicht bearbeiten.
False | Sie können den Wert bearbeiten (Voreinstellung).

Hinweise

Wenn ein Steuerelement gesperrt und aktiviert ist, kann es weiterhin sowohl Ereignisse auslösen als auch den Fokus erhalten.


MatchEntry-Eigenschaft

Gibt einen Wert zurück oder legt einen Wert fest, der anzeigt, wie ein Listenfeld-Steuerelement (ListBox) oder Kombinationsfeld-Steuerelement (ComboBox) die zugehörige Liste durchsucht, wenn der Benutzer Zeichen eingibt.

Syntax

object.MatchEntry [= fmMatchEntry]

Die Syntax für die MatchEntry-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmMatchEntry | Optional. Die Regel, die verwendet wird, um nach Übereinstimmungen in der Liste zu suchen.

Einstellungen

Die Einstellungen für fmMatchEntry sind:

Konstante | Wert | Beschreibung
fmMatchEntryFirstLetter | 0 | Basisabgleich. Das Steuerelement sucht nach dem nächsten Eintrag, der mit dem eingegebenen Zeichen beginnt. Bei wiederholtem Eingeben des gleichen Buchstabens werden nacheinander alle Einträge durchlaufen, die mit diesem Buchstaben beginnen.
fmMatchEntryComplete | 1 | Erweiterter Abgleich. Sobald ein Zeichen eingegeben wird, sucht das Steuerelement nach einem Eintrag, der mit allen eingegebenen Zeichen übereinstimmt (Voreinstellung).
fmMatchEntryNone | 2 | Kein Abgleich.

Hinweise

Die MatchEntry-Eigenschaft durchsucht Einträge der TextColumn-Eigenschaft eines Listenfeld- oder Kombinationsfeld-Steuerelements.

Das Steuerelement durchsucht die durch TextColumn angegebene Spalte nach einem Eintrag, der mit der Eingabe des Benutzers übereinstimmt. Wenn eine Übereinstimmung gefunden wird, wird die entsprechende Zeile markiert, der Inhalt der Spalte wird angezeigt, und der Inhalt der BoundColumn-Eigenschaft wird zum Wert des Steuerelements. Wenn die Übereinstimmung eindeutig ist, wird durch das Auffinden der Übereinstimmung das Click-Ereignis ausgelöst.

Das Steuerelement löst das Click-Ereignis dann aus, wenn der Benutzer eine Abfolge von Zeichen eingegeben hat, die exakt mit einem Eintrag in der Liste übereinstimmen. Während der Benutzer Zeichen eingibt, wird die Eingabe mit der aktuellen Zeile und mit der nächsten Zeile in der Liste verglichen. Wenn die Eingabe nur mit der aktuellen Zeile übereinstimmt, ist die Übereinstimmung eindeutig.

In Microsoft Forms gilt dies unabhängig davon, ob die Liste sortiert ist oder nicht. Dies bedeutet, dass das Steuerelement die Reihenfolge der Elemente in der Liste zugrundelegt, um den ersten Eintrag zu finden, der mit der Eingabe übereinstimmt. So löst z.B. das Eingeben von entweder "abc" oder "bc" für die folgende Liste das Click-Ereignis aus:

abcde
bcdef
abcxyz
bchij

Beachten Sie, dass in beiden Fällen der übereinstimmende Eintrag nicht eindeutig ist. Da er sich jedoch eindeutig von dem jeweils folgenden Eintrag unterscheidet, wird die Übereinstimmung vom Steuerelement als eindeutig interpretiert, und das Click-Ereignis wird ausgelöst.


MatchFound-Eigenschaft

Gibt an, ob der Text, den ein Benutzer in einem Kombinationsfeld-Steuerelement (ComboBox) eingegeben hat, mit einem Eintrag in der Liste übereinstimmt.

Syntax

object.MatchFound

Die Syntax der MatchFound-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Rückgabewerte

Die MatchFound-Eigenschaft gibt folgende Werte zurück:

Wert Beschreibung

True | Der Inhalt der Value-Eigenschaft stimmt mit einem der Einträge in der Liste überein.
False | Der Inhalt von Value stimmt mit keinem der Einträge in der Liste überein (Standardwert).

Hinweise

Die MatchFound-Eigenschaft ist schreibgeschützt. Sie ist nicht anwendbar, wenn die MatchEntry-Eigenschaft auf fmMatchEntryNone gesetzt ist.


MatchRequired-Eigenschaft

Gibt an, ob ein Wert, der im Textbereich eines Kombinationsfeld-Steuerelements (ComboBox) eingegeben wird, mit einem Eintrag im vorhandenen Listenbereich des Steuerelements übereinstimmen muss. Der Benutzer kann nichtübereinstimmende Werte eingeben, kann das Steuerelement jedoch erst dann verlassen, wenn ein übereinstimmender Wert eingegeben wurde.

Syntax

object.MatchRequired [= Boolean]

Die Syntax für die MatchRequired-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob der eingegebene Text mit einem vorhandenen Element in der Liste übereinstimmen muss.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Der eingegebene Text muss mit einem vorhandenen Listenelement übereinstimmen.
False | Der eingegebene Text kann von allen vorhandenen Listeneinträgen abweichen (Voreinstellung).

Hinweise

Wenn die MatchRequired-Eigenschaft den Wert True hat, kann der Benutzer das Kombinationsfeld-Steuerelement erst dann verlassen, wenn der eingegebene Text mit einem Eintrag in der vorhandenen Liste übereinstimmt. MatchRequired stellt die Integrität der Liste dadurch sicher, dass nur die Auswahl eines vorhandenen Eintrags möglich ist.

Anmerkung Nicht alle Container erzwingen die Eingabe von Werten, die bereits in der Liste enthalten sind.


Max-, Min-Eigenschaften

Geben die Werte an, die als Maximal- und Minimalwert für die Value-Eigenschaft eines Bildlaufleiste-Steuerelements (ScrollBar) oder Drehfeld-Steuerelements (SpinButton) akzeptiert werden.

Syntax

object.Max [= Long]

object.Min [= Long]

Die Syntax für die Eigenschaften Max und Min besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Ein numerischer Ausdruck, der die maximale oder minimale Einstellung der Value-Eigenschaft angibt.

Hinweise

Durch das Klicken auf ein Drehfeld-Steuerelement oder das Verschieben des Bildlauffeldes in einem Bildlaufleiste-Steuerelement wird die Value-Eigenschaft des Steuerelements verändert.

Der Wert für die Max-Eigenschaft entspricht der niedrigsten Position auf einem vertikalen Bildlaufleiste-Steuerelement oder der äußerst rechten Position auf einem horizontalen Bildlaufleiste-Steuerelement. Der Wert für die Min-Eigenschaft entspricht der höchsten Position auf einem vertikalen Bildlaufleiste-Steuerelement oder der äußerst linken Position auf einem horizontalen Bildlaufleiste-Steuerelement.

Eine beliebige Ganzzahl ist als Einstellung für diese Eigenschaft zulässig. Der empfohlene Wertebereich liegt zwischen -32.767 und +32.767. Der Standardwert ist 1.

Anmerkung Min und Max verweisen auf Positionen auf dem Bildlaufleiste-Steuerelement, nicht auf relative Werte, d. h., der Wert von Max könnte niedriger sein als der Wert von Min. Wenn dies der Fall ist, wird durch das Verschieben in Richtung der Position Max (unten) der Wert von Value verringert, durch das Verschieben in Richtung der Position Min (oben) wird der Wert von Value erhöht.


MaxLength-Eigenschaft

Gibt die maximale Anzahl der Zeichen an, die ein Benutzer in ein Textfeld-Steuerelement (TextBox) oder Kombinationsfeld-Steuerelement (ComboBox) eingeben kann.

Syntax

object.MaxLength [= Long]

Die Syntax für die MaxLength-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Eine Ganzzahl, die die zulässige Anzahl von Zeichen angibt.

Hinweise

Das Festlegen der MaxLength-Eigenschaft auf den Wert 0 zeigt an, dass es keine Begrenzung abgesehen von Speicherbeschränkungen gibt.


MouseIcon-Eigenschaft

Weist einem Objekt ein benutzerdefiniertes Symbol zu.

Syntax

object.MouseIcon = LoadPicture( pathname )

Die Syntax für die MouseIcon-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
pathname | Erforderlich. Ein Zeichenfolgenausdruck, der den Pfad und Dateinamen der Datei angibt, die das benutzerdefinierte Symbol enthält.

Hinweise

Die MouseIcon-Eigenschaft ist gültig, wenn die MousePointer-Eigenschaft auf den Wert 99 festgelegt ist. Das Maussymbol eines Objekts ist das Bild, das angezeigt wird, wenn der Benutzer die Maus über dieses Objekt bewegt.

Sie weisen dem Mauszeiger ein Bild zu, indem Sie entweder der MouseIcon-Eigenschaft ein Bild zuweisen oder mit Hilfe der LoadPicture-Funktion ein Bild aus einer Datei laden.


MousePointer-Eigenschaft

Gibt den Zeigertyp an, der angezeigt wird, wenn sich die Maus über einem bestimmten Objekt befindet.

Syntax

object.MousePointer [= fmMousePointer]

Die Syntax für die MousePointer-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmMousePointer | Optional. Die von Ihnen gewünschte Form für den Mauszeiger.

Einstellungen

Die Einstellungen für fmMousePointer sind:

Konstante | Wert | Beschreibung
fmMousePointerDefault | 0 | Standardzeiger. Das Bild wird durch das Objekt bestimmt (Voreinstellung).
fmMousePointerArrow | 1 | Pfeil
fmMousePointerCross | 2 | Fadenkreuz
fmMousePointerIBeam | 3 | I-Cursor
fmMousePointerSizeNESW | 6 | Doppelpfeil, der nach rechts oben und links unten zeigt.
fmMousePointerSizeNS | 7 | Doppelpfeil, der nach oben und unten zeigt.
fmMousePointerSizeNWSE | 8 | Doppelpfeil, der nach links oben und rechts unten zeigt.
fmMousePointerSizeWE | 9 | Doppelpfeil, der nach links und rechts zeigt.
fmMousePointerUpArrow | 10 | Pfeil nach oben
fmMousePointerHourglass | 11 | Sanduhr
fmMousePointerNoDrop | 12 | "Nicht verfügbar"-Symbol (Kreis mit diagonaler Linie) über dem gezogenen Objekt. Weist auf ein ungültiges Ziel für eine Ablegen-Operation hin.
fmMousePointerAppStarting | 13 | Pfeil mit einer Sanduhr.
fmMousePointerHelp | 14 | Pfeil mit einem Fragezeichen.
fmMousePointerSizeAll | 15 | Verschieben-Cursor (Pfeile, die nach oben, unten, rechts und links zeigen).
fmMousePointerCustom | 99 | Verwendet das Symbol, das durch die MouseIcon-Eigenschaft angegeben wird.

Hinweise

Verwenden Sie die MousePointer-Eigenschaft, wenn Sie Änderungen der Funktionalität anzeigen möchten, während der Mauszeiger über die Steuerelemente in einem Formular bewegt wird. So ist beispielsweise die Sanduhr-Einstellung (11) hilfreich, um anzuzeigen, dass der Benutzer auf das Ende eines Vorgangs oder einer Operation warten muss.

Einige Symbole ändern sich in Abhängigkeit von den Systemeinstellungen, z. B. Symbole, die mit einem bestimmten Schema für das Desktop verknüpft sind.


MultiLine-Eigenschaft

Gibt an, ob ein Steuerelement mehrere Textzeilen akzeptieren und anzeigen kann.

Syntax

object.MultiLine [= Boolean]

Die Syntax für die MultiLine-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob das Steuerelement mehr als eine Textzeile unterstützt.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Der Text wird über mehrere Zeilen angezeigt (Voreinstellung).
False | Der Text wird nicht über mehrere Zeilen angezeigt.

Hinweise

Ein mehrzeiliges Textfeld-Steuerelement (TextBox) erlaubt feste Zeilenumbrüche und richtet die Anzahl der Zeilen entsprechend der Textmenge aus, die einzupassen ist. Falls erforderlich, kann ein mehrzeiliges Steuerelement über vertikale Bildlaufleisten verfügen.

Ein einzeiliges Textfeld-Steuerelement erlaubt keine festen Zeilenumbrüche und verwendet keine vertikalen Bildlaufleisten.

Bei einzeiligen Steuerelementen wird der Wert der WordWrap-Eigenschaft ignoriert.

Anmerkung Wenn Sie die MultiLine-Eigenschaft in einem mehrzeiligen Textfeld-Steuerelement auf den Wert False setzen, werden alle Zeichen in dem Textfeld-Steuerelement in einer Zeile zusammengefasst (einschließlich der nichtdruckbaren Zeichen, wie z.B. Wagenrücklauf- oder Zeilenvorschubzeichen).


MultiRow-Eigenschaft

Gibt an, ob das Steuerelement über mehr als eine Reihe von Registerkarten verfügt.

Syntax

object.MultiRow [= Boolean]

Die Syntax für die MultiRow-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob das Steuerelement über mehr als eine Reihe von Registerkarten verfügt.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Mehr als eine Reihe von Registerkarten ist zulässig.
False | Registerkarten sind auf eine Reihe beschränkt (Voreinstellung).

Hinweise

Die Breite und Anzahl der Registerkarten bestimmt die Anzahl der Reihen. Wird die Größe des Steuerelements verändert, so ändert sich auch die Anzahl der Reihen. Auf diese Weise können Entwickler die Größe des Steuerelements verändern und sicherstellen, dass die Registerkarten so angeordnet werden, dass sie in das Steuerelement passen. Wenn die MultiRow-Eigenschaft den Wert False hat und die Breite der Registerkarten die Breite des Steuerelements überschreitet, werden Teile der Registerkarten abgeschnitten.

Wenn MultiRow den Wert False hat und Registerkarten abgeschnitten sind, befindet sich auf dem Register-Steuerelement (TabStrip) eine kleine Bildlaufleiste, um einen Bildlauf zu weiteren Registerkarten oder Seiten durchzuführen.


MultiSelect-Eigenschaft

Zeigt an, ob das Objekt eine Mehrfachauswahl zulässt.

Syntax

object.MultiSelect [= fmMultiSelect]

Die Syntax für die MultiSelect-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmMultiSelect | Optional. Gibt den Auswahlmodus an, den das Steuerelement verwendet.

Einstellungen

Die Einstellungen für fmMultiSelect sind:

Konstante | Wert | Beschreibung
fmMultiSelectSingle | 0 | Es kann nur ein Element ausgewählt werden (Voreinstellung).
fmMultiSelectMulti | 1 | Drücken der LEERTASTE oder Klicken wählt ein Element aus der Liste aus, bzw. hebt die Auswahl auf.
fmMultiSelectExtended | 2 | Durch gleichzeitiges Drücken der UMSCHALTTASTE und Klicken mit der Maus oder gleichzeitiges Drücken der UMSCHALTTASTE und der Pfeiltasten wird die Auswahl von dem zuvor ausgewählten Element auf das aktuelle Element erweitert. Durch gleichzeitiges Drücken der STRG-TASTE und Klicken mit der Maus wird ein Element ausgewählt bzw. die Auswahl wieder aufgehoben.

Hinweise

Wenn die MultiSelect-Eigenschaft auf fmMultiSelectExtended oder fmMultiSelectSimple festgelegt ist, müssen Sie die Selected-Eigenschaft des Listenfeldes verwenden, um die ausgewählten Elemente zu bestimmen. Die Value-Eigenschaft des Steuerelements hat außerdem immer den Wert Null.

Die ListIndex-Eigenschaft gibt den Index der Zeile mit dem Tastaturfokus zurück.


Name-Eigenschaft

Gibt den Namen eines Steuerelements oder eines Objekts oder den Namen einer Schriftart an, die mit einem Font-Objekt verknüpft ist.

Syntax

Für Font-Objekte
Font.Name [= String]

Für alle anderen Steuerelemente und Objekte
object.Name [= String]

Die Syntax für die Name-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Der Name, den Sie der Schriftart oder dem Steuerelement zuweisen möchten.

Einstellungen

Richtlinien für die Zuweisung einer Zeichenfolge zur Name-Eigenschaft, z. B. die maximale Länge des Namens, sind von Anwendung zu Anwendung verschieden.

Hinweise

Der Standardwert von Name besteht bei Objekten aus dem Klassennamen des Objekts, gefolgt von einer ganzen Zahl. Der Standardname für das erste Textfeld-Steuerelement (TextBox), das Sie auf einem Formular anlegen, ist z. B. TextBox1. Der Standardname für das zweite Textfeld-Steuerelement ist TextBox2.

Sie können die Name-Eigenschaft für ein Steuerelement im Eigenschaftenfenster des Steuerelements oder, im Fall von Steuerelementen, die zur Laufzeit hinzugefügt werden, mit Hilfe von Programmanweisungen festlegen. Wenn Sie zur Entwurfszeit ein Steuerelement hinzufügen, können Sie die Name-Eigenschaft zur Laufzeit nicht verändern.

Jedes Steuerelement, das einem Formular zur Entwurfszeit hinzugefügt wurde, muss einen eindeutigen Namen haben.

Bei Font-Objekten gibt Name eine bestimmte Schriftart an, die im Textabschnitt eines Steuerelements, Objekts oder Formulars zu verwenden ist. Die Darstellung einer Schriftart auf dem Bildschirm und in gedruckter Form kann je nach verwendetem Computer und Drucker unterschiedlich sein. Wenn Sie eine Schriftart auswählen, die Ihr System nicht anzeigen kann oder die nicht installiert ist, ersetzt das Betriebssystem die gewünschte Schriftart durch eine ähnliche Schriftart.


Object-Eigenschaft

Setzt die Standardeigenschaft oder -methode außer Kraft, falls ein neues Steuerelement eine Eigenschaft oder Methode mit dem gleichen Namen verwendet.

Syntax

object.Object[.property |.method]

Die Syntax für die Object-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Der Name eines Objekts, das Sie der Microsoft Forms-Werkzeugsammlung hinzugefügt haben.
property | Optional. Eine benutzerdefinierte Eigenschaft, deren Name mit der Eigenschaft übereinstimmt, die denselben Namen wie eine Standardeigenschaft in Microsoft Forms hat.
method | Optional. Eine Methode, die denselben Namen wie eine Standardmethode in Microsoft Forms hat.

Hinweise

Die Object-Eigenschaft ist schreibgeschützt.

Wenn Sie ein neues Steuerelement zur Microsoft Forms-Werkzeugsammlung hinzufügen, ist es möglich, dass das hinzugefügte Steuerelement eine Eigenschaft oder Methode enthält, die denselben Namen wie eine Standardeigenschaft oder -methode in Microsoft Forms trägt. Die Object-Eigenschaft führt dazu, dass die Eigenschaft oder Methode des hinzugefügten Steuerelements Vorrang vor der Standardeigenschaft oder -methode erhält.


OldHeight-, OldWidth-Eigenschaften

Geben die vorherige Höhe oder Breite des Steuerelements in Punkt zurück.

Syntax

object.OldHeight

Objekt.OldWidth

Die Syntax für die Eigenschaften OldHeight und OldWidth besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Die Eigenschaften OldHeight und OldWidth sind schreibgeschützt.

Die Eigenschaften OldHeight und OldWidth werden automatisch aktualisiert, wenn Sie ein Steuerelement verschieben oder dessen Größe verändern. Wenn Sie die Größe eines Steuerelements verändern, speichern die Eigenschaften Height und Width die neue Höhe und Breite, und OldHeight und OldWidth speichern die vorherige Höhe und Breite.

Diese Eigenschaften sind nur in Layout-Ereignissen gültig.


OldLeft-, OldTop-Eigenschaften

Geben den Abstand zwischen der vorherigen Position eines Steuerelements und der linken oder oberen Ecke des Formulars, das dieses Steuerelement enthält, in Punkt zurück.

Syntax

object.OldLeft

object.OldTop

Die Syntax für die Eigenschaften OldLeft und OldTop besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Die Eigenschaften OldLeft und OldTop sind schreibgeschützt.

Die Eigenschaften OldLeft und OldTop werden automatisch aktualisiert, wenn Sie ein Steuerelement verschieben oder dessen Größe verändern. Wenn Sie ein Steuerelement verschieben, speichern die Eigenschaften Left und Top den neuen Abstand zwischen dem Steuerelement und dem linken bzw. oberen Rand des Containers, und OldLeft und OldTop speichern den vorherigen Wert von Left und Top.

OldLeft und OldTop sind nur für das Layout-Ereignis gültig.


Orientation-Eigenschaft

Gibt an, ob ein Drehfeld-Steuerelement (SpinButton) oder ein Bildlaufleiste-Steuerelement (ScrollBar) vertikal oder horizontal ausgerichtet wird.

Syntax

object.Orientation [= fmOrientation]

Die Syntax für die Orientation-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmOrientation | Optional. Ausrichtung des Steuerelements.

Einstellungen

Die Einstellungen für fmOrientation sind:

Konstante | Wert | Beschreibung
fmOrientationAuto | –1 | Bestimmt automatisch die Ausrichtung des Steuerelements (Voreinstellung), basierend auf dessen Abmessungen.
fmOrientationVertical | 0 | Steuerelement wird vertikal ausgerichtet.
fmOrientationHorizontal | 1 | Steuerelement wird horizontal ausgerichtet.

Hinweise

Wenn Sie die automatische Ausrichtung festlegen, bestimmen die Höhe und Breite des Steuerelements, ob es vertikal oder horizontal angezeigt wird. Wenn das Steuerelement z.B. breiter als hoch ist, wird es horizontal angezeigt, wenn es höher als breit ist, dann wird es vertikal angezeigt.


Parent-Eigenschaft

Gibt den Namen eines Formulars, eines Objekts oder einer Auflistung zurück, das bzw. die ein bestimmtes Steuerelement, Objekt oder eine bestimmte Auflistung enthält.

Syntax

object.Parent

Die Syntax für die Parent-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Die Parent-Eigenschaft ist schreibgeschützt.

Verwenden Sie die Parent-Eigenschaft, um auf die Eigenschaften, Methoden oder Steuerelemente eines übergeordneten Objekts zugreifen zu können.

Diese Eigenschaft ist bei Anwendungen nützlich, in denen Objekte als Argumente übergeben werden. Sie können z. B. eine Steuerelementvariable an eine allgemeine Prozedur in einem Modul übergeben und Parent verwenden, um auf das übergeordnete Formular zugreifen zu können.


PasswordChar-Eigenschaft

Gibt an, ob Platzhalterzeichen anstelle der tatsächlich in einem Textfeld-Steuerelement (TextBox) eingegebenen Zeichen angezeigt werden.

Syntax

object.PasswordChar [= String]

Die Syntax für die PasswordChar-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Ein Zeichenfolgenausdruck, der das Platzhalterzeichen angibt.

Hinweise

Sie können die PasswordChar-Eigenschaft verwenden, um wichtige Informationen, z. B. Kennwörter oder Sicherheitscodes, zu schützen. Der Wert von PasswordChar ist das Zeichen, das in einem Steuerelement anstelle des Zeichens angezeigt wird, das der Benutzer tatsächlich eingibt. Wenn Sie kein Zeichen angeben, zeigt das Steuerelement das Zeichen an, das der Benutzer eingibt.


Picture-Eigenschaft

Gibt die Bitmap an, die auf einem Objekt angezeigt werden soll.

Syntax

object.Picture = LoadPicture( pathname )

Die Syntax für die Picture-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
pathname | Erforderlich. Der vollständige Pfad zu einer Bilddatei.

Hinweise

Wenn Sie ein Formular entwerfen, können Sie die Eigenschaftenseite des Steuerelements verwenden, um der Picture-Eigenschaft eine Bitmap zuzuweisen. Wenn Sie ein Formular ausführen, müssen Sie die LoadPicture-Funktion verwenden, um Picture eine Bitmap zuzuweisen.

Wenn Sie ein Bild, das einem Steuerelement zugewiesen ist, entfernen möchten, klicken Sie auf den Wert der Picture-Eigenschaft in der Eigenschaftenseite und drücken dann ENTF. Das Drücken der RÜCKTASTE entfernt das Bild nicht.

Anmerkung Verwenden Sie für Steuerelemente mit Titeln die PicturePosition-Eigenschaft, um anzugeben, wo das Bild im Objekt angezeigt werden soll. Verwenden Sie die PictureSizeMode-Eigenschaft, um zu bestimmen, wie das Bild das Objekt füllt.

Transparente Bilder sehen manchmal unscharf aus. Falls Ihnen dieses Aussehen nicht zusagt, zeigen Sie das Bild auf einem Steuerelement an, das undurchsichtige Abbildungen unterstützt. Das Anzeige-Steuerelement (Image) und das Multiseiten-Steuerelement (MultiPage) unterstützen undurchsichtige Darstellungen.


PictureAlignment-Eigenschaft

Gibt die Position eines Hintergrundbildes an.

Syntax

object.PictureAlignment [= fmPictureAlignment]

Die Syntax für die PictureAlignment-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmPictureAlignment | Optional. Die Position, an der das Bild im Steuerelement ausgerichtet werden soll.

Einstellungen

Die Einstellungen für fmPictureAlignment sind:

Konstante | Wert | Beschreibung
fmPictureAlignmentTopLeft | 0 | Die obere linke Ecke.
fmPictureAlignmentTopRight | 1 | Die obere rechte Ecke.
fmPictureAlignmentCenter | 2 | Die Mitte.
fmPictureAlignmentBottomLeft | 3 | Die untere linke Ecke.
fmPictureAlignmentBottomRight | 4 | Die untere rechte Ecke.

Hinweise

Die PictureAlignment-Eigenschaft gibt an, welche Ecke des Bildes mit der Ecke des Steuerelements oder des Containers identisch ist, in dem das Bild verwendet wird.

Wenn Sie z. B. PictureAlignment auf fmPictureAlignmentTopLeft setzen, stimmt die linke obere Ecke des Bildes mit der linken oberen Ecke des Steuerelements oder Containers überein. Wenn Sie PictureAlignment auf fmPictureAlignmentCenter setzen, wird das Bild mittig, relativ zur Höhe und zur Breite des Steuerelements oder Containers, ausgerichtet.

Wenn Sie eine Abbildung in einem Steuerelement oder Container anordnen, wirkt sich die Einstellung von PictureAlignment auf die Art der Anordnung aus. Wenn PictureAlignment z. B. auf fmPictureAlignmentUpperLeft gesetzt ist, wird die erste Kopie der Abbildung in der linken oberen Ecke des Steuerelements oder Containers dargestellt, und weitere Kopien werden in jeder Zeile von links nach rechts angeordnet. Ist PictureAlignment auf fmPictureAlignmentCenter gesetzt, wird die erste Kopie der Abbildung in der Mitte des Steuerelements oder Containers dargestellt, und weitere Kopien der Abbildungen werden links und rechts davon dargestellt, um jede Zeile zu vervollständigen. Es werden weitere Zeilen hinzugefügt, um das Steuerelement oder den Container zu füllen.

Anmerkung Die Einstellung der PictureSizeMode-Eigenschaft auf fmSizeModeStretch setzt die Einstellung von PictureAlignment außer Kraft. Wenn PictureSizeMode auf fmSizeModeStretch gesetzt ist, füllt das Bild das gesamte Steuerelement oder den gesamten Container.


PicturePosition-Eigenschaft

Gibt die Position des Bildes relativ zu seiner Beschriftung an.

Syntax

object.PicturePosition [= fmPicturePosition]

Die Syntax für die PicturePosition-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmPicturePosition | Optional. Gibt an, wie das Bild im Container ausgerichtet wird.

Einstellungen

Die Einstellungen für fmPicturePosition sind:

Konstante | Wert | Beschreibung
fmPicturePositionLeftTop | 0 | Das Bild wird links von der Beschriftung angezeigt. Die Beschriftung wird mit dem oberen Rand des Bildes ausgerichtet.
fmPicturePositionLeftCenter | 1 | Das Bild wird links von der Beschriftung angezeigt. Die Beschriftung wird mittig, relativ zum Bild, ausgerichtet.
fmPicturePositionLeftBottom | 2 | Das Bild wird links von der Beschriftung angezeigt. Die Beschriftung wird mit dem unteren Rand des Bildes ausgerichtet.
fmPicturePositionRightTop | 3 | Das Bild wird rechts von der Beschriftung angezeigt. Die Beschriftung wird mit dem oberen Rand des Bildes ausgerichtet.
fmPicturePositionRightCenter | 4 | Das Bild wird rechts von der Beschriftung angezeigt. Die Beschriftung wird mittig, relativ zum Bild, ausgerichtet.
fmPicturePositionRightBottom | 5 | Das Bild wird rechts von der Beschriftung angezeigt. Die Beschriftung wird mit dem unteren Rand des Bildes ausgerichtet.
fmPicturePositionAboveLeft | 6 | Das Bild wird über der Beschriftung angezeigt. Die Beschriftung wird mit dem linken Rand des Bildes ausgerichtet.
fmPicturePositionAboveCenter | 7 | Das Bild wird über der Beschriftung angezeigt. Die Beschriftung wird unter dem Bild zentriert (Voreinstellung).
fmPicturePositionAboveRight | 8 | Das Bild wird über der Beschriftung angezeigt. Die Beschriftung wird mit dem rechten Rand des Bildes ausgerichtet.
fmPicturePositionBelowLeft | 9 | Das Bild wird unter der Beschriftung angezeigt. Die Beschriftung wird mit dem linken Rand des Bildes ausgerichtet.
fmPicturePositionBelowCenter | 10 | Das Bild wird unter der Beschriftung angezeigt. Die Beschriftung wird mittig über dem Bild ausgerichtet.
fmPicturePositionBelowRight | 11 | Das Bild wird unter der Beschriftung angezeigt. Die Beschriftung wird am rechten Rand des Bildes ausgerichtet.
fmPicturePositionCenter | 12 | Das Bild wird in der Mitte des Steuerelements angezeigt. Die Beschriftung wird horizontal und vertikal über dem Bild zentriert.

Hinweise

Das Bild und der Titel werden als Einheit auf dem Steuerelement zentriert. Wenn kein Titel vorhanden ist, ist die Position des Bildes relativ zur Mitte des Steuerelements.

Wenn die Picture-Eigenschaft kein Bild angibt, wird diese Eigenschaft ignoriert.


PictureSizeMode-Eigenschaft

Gibt an, wie das Hintergrundbild in einem Steuerelement, Formular oder auf einer Seite angezeigt wird.

Syntax

object.PictureSizeMode [= fmPictureSizeMode]

Die Syntax für die PictureSizeMode-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmPictureSizeMode | Optional. Die auszuführende Aktion, wenn das zu verwendende Bild und das Formular oder Seite, die das Bild enthalten, nicht die gleiche Größe haben.

Einstellungen

Die Einstellungen für fmPictureSizeMode sind:

Konstante | Wert | Beschreibung
fmPictureSizeModeClip | 0 | Schneidet den Teil des Bildes ab, der größer ist als das Formular oder die Seite (Voreinstellung).
fmPictureSizeModeStretch | 1 | Dehnt das Bild, um das Formular oder die Seite auszufüllen. Diese Einstellung verzerrt das Bild sowohl in vertikaler als auch in horizontaler Richtung.
fmPictureSizeModeZoom | 3 | Vergrößert das Bild, verzerrt das Bild aber weder in vertikaler noch in horizontaler Richtung.

Hinweise

Die Einstellung fmPictureSizeModeClip gibt an, dass Sie das Bild in seiner ursprünglichen Größe und Skalierung anzeigen möchten. Wenn das Formular oder die Seite kleiner ist als das Bild, zeigt diese Einstellung nur den Teil des Bildes, der auf das Formular oder die Seite passt.

Die Einstellungen fmPictureSizeModeStretch und fmPictureSizeModeZoom vergrößern beide das Bild, aber fmPictureSizeModeStretch verursacht Verzerrungen. Die Einstellung fmPictureSizeModeStretch vergrößert das Bild vertikal und horizontal, bis das Bild die entsprechenden Ränder des Containers oder Steuerelements erreicht. Die Einstellung fmPictureSizeModeZoom vergrößert das Bild, bis entweder die vertikalen oder die horizontalen Ränder des Containers oder Steuerelements erreicht sind. Wenn das Bild zuerst die horizontalen Ränder erreicht, bleibt der übrige Abstand zu den vertikalen Rändern unausgefüllt. Wenn es zuerst die vertikalen Ränder erreicht, bleibt der übrige Abstand zu den horizontalen Rändern unausgefüllt.


PictureTiling-Eigenschaft

Ermöglicht es Ihnen, ein Bild in einem Formular oder auf einer Seite anzuordnen.

Syntax

object.PictureTiling [= Boolean]

Die Syntax für die PictureTiling-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob ein Bild als Hintergrund gekachelt dargestellt wird.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Das Bild wird als Hintergrund gekachelt dargestellt.
False | Das Bild wird als Hintergrund nicht gekachelt dargestellt. (Voreinstellung).

Hinweise

Wenn ein Bild kleiner ist als das Formular oder die Seite, die das Bild enthält, können Sie das Bild im Formular oder in der Seite mehrfach anordnen.

Das Anordnungsmuster hängt von der aktuellen Einstellung der Eigenschaften PictureAlignment und PictureSizeMode ab. Wenn PictureAlignment z. B. auf fmPictureAlignmentTopLeft gesetzt ist, beginnt das Anordnungsmuster in der linken oberen Ecke und wiederholt das Bild im Formular oder in der Seite über die ganze Breite und über die ganze Höhe des Formulars bzw. der Seite. Wenn PictureSizeMode auf fmPictureSizeModeClip gesetzt ist, schneidet das Anordnungsmuster die letzte Kachel ab, wenn diese nicht vollständig auf das Formular oder die Seite passt.


ProportionalThumb-Eigenschaft

Gibt an, ob sich die Größe des Bildlauffeldes proportional zum Bildlaufbereich verhält oder immer konstant ist.

Syntax

object.ProportionalThumb [= Boolean]

Die Syntax für die ProportionalThumb-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob das Bildlauffeld proportional oder fest ist.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Das Bildlauffeld ist in der Größe proportional zum Bildlaufbereich (Voreinstellung).
False | Das Bildlauffeld hat eine feste Größe.

Hinweise

Die Größe eines proportionalen Bildlauffeldes repräsentiert grafisch den Prozentsatz des Objekts, der im Fenster sichtbar ist. Wenn z. B. 75% eines Objekts sichtbar sind, nimmt das Bildlauffeld Dreiviertel des Bildlaufbereichs in der Bildlaufleiste ein.

Wenn das Bildlauffeld eine feste Größe hat, bestimmt das System die zugehörige Größe basierend auf der Höhe und Breite der Bildlaufleiste.


RightToLeft-Eigenschaft (Microsoft Forms)

Sprachspezifische Informationen

Specifies whether a given form supports bidirectional characteristics.

Syntax

expression.RightToLeft [=value]

Remarks

RightToLeft is a new property of the Microsoft Forms 2.0 form that the specified control is placed on; it’s not a property of the control. Note, however, that RightToLeft affects both the form and any controls that are placed on it. The following table describes the two possible settings for this property.

Setting | Value
False | 0
True | 1

Microsoft Forms 2.0 controls that have the ability to exhibit bidirectional characteristics do so when the RightToLeft property of the form is set to True. When this property is set to False, forms and controls do not exhibit bidirectional characteristics. Bidirectional features of the RightToLeft property are listed in the following table.

Microsoft Forms 2.0 components | RightToLeft = True behavior
All forms and controls | The vertical scroll bar (if present) is on the left side of the form or control. The initial thumb location of the horizontal scroll bar is the rightmost position, and the rightmost portion of information is displayed.
Form | The title bar caption is right-aligned.
Frame control | The caption is placed in the upper-right corner of the frame.
TabStrip control and MultiPage control | Tabs are displayed in order from right to left for specific TabOrientation settings (that is, the first tab begins at the right boundary of the control). For TabOrientation = Top, tabs are displayed from right to left along the top edge of the control. For TabOrientation = Bottom, tabs are displayed from right to left along the bottom edge of the control. Note If the total width of all tabs exceeds the width of the control and MultiRow = False, tabs are displayed from right to left as if MultiRow = True.

Important If you add Microsoft Forms 2.0 controls to a container surface that’s not a Microsoft Forms 2.0 form (for example, if you add a TabStrip control directly to an Arabic Word document), the control will behave as if the container has a RightToLeft property that’s set to False.

Note The VerticalScrollBarSide property described in Help has been replaced by the RightToLeft property described in this topic. Keep in mind that although you can use references to VerticalScrollBarSide in Visual Basic for Applications statements, the property is inoperative.


RowSource-Eigenschaft

Gibt die Quelle an, die eine Liste für ein Kombinationsfeld-Steuerelement (ComboBox) oder Listenfeld-Steuerelement (ListBox) zur Verfügung stellt.

Syntax

object.RowSource [= String]

Die Syntax für die RowSource-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Die Quelle der Liste für das Kombinationsfeld-Steuerelement oder das Listenfeld-Steuerelement.

Hinweise

Die RowSource-Eigenschaft akzeptiert Bereiche von Tabellenblättern von Microsoft Excel.


ScrollBars-Eigenschaft

Gibt an, ob ein Steuerelement, Formular oder eine Seite vertikale Bildlaufleisten, horizontale Bildlaufleisten oder beides besitzt.

Syntax

object.ScrollBars [= fmScrollBars]

Die Syntax für die ScrollBars-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmScrollBars | Optional. Gibt an, wo Bildlaufleisten angezeigt werden sollen.

Einstellungen

Die Einstellungen für fmScrollBars sind:

Konstante | Wert | Beschreibung
fmScrollBarsNone | 0 | Zeigt keine Bildlaufleisten an (Voreinstellung).
fmScrollBarsHorizontal | 1 | Zeigt eine horizontale Bildlaufleiste an.
fmScrollBarsVertical | 2 | Zeigt eine vertikale Bildlaufleiste an.
fmScrollBarsBoth | 3 | Zeigt sowohl eine horizontale als auch eine vertikale Bildlaufleiste an.

Hinweise

Wenn jedoch die KeepScrollBarsVisible-Eigenschaft den Wert True hat, ist jede beliebige Bildlaufleiste auf einem Formular oder auf einer Seite immer sichtbar, unabhängig davon, ob der Inhalt des Objekts innerhalb der Grenzen des Objekts dargestellt werden kann.

Falls sichtbar, schränkt eine Bildlaufleiste das zugehörige Bildlauffeld auf den sichtbaren Bereich der Bildlaufleiste ein. Ebenso wird die Bildlaufposition nach Bedarf angepasst, damit die gesamte Bildlaufleiste sichtbar bleibt. Der Bereich einer Bildlaufleiste ändert sich, wenn sich der Wert der ScrollBars-Eigenschaft, die Bildlaufschrittweite oder die sichtbare Größe ändert.

Wenn eine Bildlaufleiste nicht sichtbar ist, können Sie die zugehörige Bildlaufposition auf einen beliebigen Wert festlegen. Negative Werte und Werte größer als der größte Wert für die Bildlaufleiste sind gültig.

Bei einem einzeiligen Steuerelement können Sie eine horizontale Bildlaufleiste mit Hilfe der Eigenschaften ScrollBars und AutoSize anzeigen. Bildlaufleisten werden den folgenden Regeln entsprechend ausgeblendet oder angezeigt:

  1. Wenn ScrollBars auf den Wert fmScrollBarsNone festgelegt ist, wird keine Bildlaufleiste angezeigt.

  2. Wenn ScrollBars auf den Wert fmScrollBarsHorizontal oder fmScrollBarsBoth festgelegt ist, zeigt das Steuerelement eine horizontale Bildlaufleiste an, sofern der Text länger als der Bearbeitungsbereich ist und das Steuerelement genügend Platz bietet, um die Bildlaufleiste unterhalb des Bearbeitungsbereichs anzuzeigen.

  3. Wenn AutoSize den Wert True hat, ändert sich die Größe des Steuerelements selbständig, um das Hinzufügen einer Bildlaufleiste zu ermöglichen, es sei denn, das Steuerelement hat (fast) seine maximale Größe erreicht.

Bei einem mehrzeiligen Textfeld-Steuerelement (TextBox) können Sie Bildlaufleisten mit den Eigenschaften ScrollBars, WordWrap und AutoSize anzeigen. Bildlaufleisten werden den folgenden Regeln entsprechend ausgeblendet oder angezeigt:

  1. Wenn ScrollBars auf den Wert fmScrollBarsNone festgelegt ist, wird keine Bildlaufleiste angezeigt.

  2. Wenn ScrollBars auf den Wert fmScrollBarsVertical oder fmScrollBarsBoth festgelegt ist, zeigt das Steuerelement eine vertikale Bildlaufleiste an, sofern der Text länger als der Bearbeitungsbereich ist und das Steuerelement genügend Platz bietet, die Bildlaufleiste am rechten Rand des Bearbeitungsbereichs anzuzeigen.

  3. Wenn WordWrap den Wert True hat, zeigt das mehrzeilige Steuerelement keine horizontale Bildlaufleiste an. Die meisten mehrzeiligen Steuerelemente verwenden keine horizontale Bildlaufleiste.

  4. Ein mehrzeiliges Steuerelement kann eine horizontale Bildlaufleiste anzeigen, wenn folgende Bedingungen gleichzeitig erfüllt sind:
    • Der Bearbeitungsbereich enthält ein Wort, das länger ist als die Breite dieses Bereichs.

    • Für das Steuerelement sind horizontale Bildlaufleisten aktiviert.

    • Das Steuerelement verfügt über genügend Platz, um die Bildlaufleiste unterhalb des Bearbeitungsbereichs anzuzeigen.

    • Die WordWrap-Eigenschaft wurde auf den Wert False festgelegt.


ScrollHeight-, ScrollWidth-Eigenschaften

Geben die Höhe und die Breite des gesamten Bereichs, der durch Bewegen der Bildlaufleisten des Steuerelements, des Formulars oder der Seite betrachtet werden kann, in Punkt an.

Syntax

object.ScrollHeight [= Single]

Objekt.ScrollWidth [= Single]

Die Syntax für die Eigenschaften ScrollHeight und ScrollWidth besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Single | Optional. Die Höhe oder Breite des Bereichs, für den ein Bildlauf durchgeführt werden kann.


ScrollLeft-, ScrollTop-Eigenschaften

Geben die Entfernung des linken oder oberen Randes des sichtbaren Formulars vom linken oder oberen Rand des logischen Formulars, des Steuerelements oder der Seite in Punkt an.

Syntax

object.ScrollLeft [= Single]

object.ScrollTop [= Single]

Die Syntax für die Eigenschaften ScrollLeft und ScrollTop besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Single | Optional. Die Entfernung vom Rand des Formulars.

Hinweise

Der kleinste Wert ist Null. Der größte Wert ist die Differenz aus dem Wert der ScrollWidth-Eigenschaft und dem Wert der Width-Eigenschaft für das Formular oder die Seite.


Selected-Eigenschaft

Setzt den Auswahlstatus von Elementen in einem Listenfeld-Steuerelement (ListBox) oder gibt ihn zurück.

Syntax

object.Selected( index ) [= Boolean]

Die Syntax für die Selected-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
index | Erforderlich. Eine ganze Zahl im Bereich von 0 bis zur Anzahl der Elemente in der Liste - 1.
Boolean | Optional. Gibt an, ob ein Element ausgewählt ist.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Das Element ist ausgewählt.
False | Das Element ist nicht ausgewählt.

Hinweise

Die Selected-Eigenschaft ist hilfreich, wenn Benutzer die Möglichkeit zur Mehrfachauswahl haben. Sie können diese Eigenschaft verwenden, um die ausgewählten Zeilen in einem Listenfeld mit Mehrfachauswahl zu ermitteln. Sie können diese Eigenschaft auch verwenden, um Zeilen in einer Liste aus dem Code heraus auszuwählen oder die Auswahl aufzuheben.

Der Standardwert dieser Eigenschaft basiert auf dem aktuellen Auswahlstatus des Listenfeld-Steuerelements.

Bei Listenfeldern mit Einfachauswahl werden die Eigenschaften Value oder ListIndex zum Abrufen und Festlegen der Auswahl empfohlen. In diesem Fall gibt ListIndex den Index des ausgewählten Elements zurück. Bei einer Mehrfachauswahl gibt ListIndex jedoch den Index der Zeile zurück, die sich innerhalb des Fokusrechtecks befindet, unabhängig davon, ob die Zeile tatsächlich ausgewählt ist.

Wenn die MultiSelect-Eigenschaft eines Listenfeld-Steuerelements auf den Wert None festgelegt ist, kann die Selected-Eigenschaft nur für eine Zeile auf den Wert True festgelegt werden.

Das Eingeben eines Wertes, der sich nicht im Indexbereich befindet, löst keinen Fehler aus, jedoch wird für kein Element in der Liste eine Eigenschaft festgelegt.


SelectedItem-Eigenschaft

Gibt das momentan ausgewählte Tab- oder Page-Objekt zurück.

Syntax

object.SelectedItem

Die Syntax für die SelectedItem-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Register-Steuerelement (TabStrip) oder Multiseiten-Steuerelement (MultiPage).

Hinweise

Die SelectedItem-Eigenschaft ist schreibgeschützt. Verwenden Sie SelectedItem, um das momentan ausgewählte Tab- oder Page-Objekt aus dem Programm heraus zu steueren. Sie können z.B. SelectedItem verwenden, um Eigenschaften eines Tab- oder Page-Objekts Werte zuzuweisen.


SelectionMargin-Eigenschaft

Gibt an, ob der Benutzer eine Textzeile durch Klicken im Bereich links vom Text markieren kann.

Syntax

object.SelectionMargin [= Boolean]

Die Syntax für die SelectionMargin-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob das Klicken am Rand eine Textzeile markiert.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Das Klicken am Rand markiert Text (Voreinstellung).
False | Das Klicken am Rand markiert keinen Text.

Hinweise

Wenn die SelectionMargin-Eigenschaft den Wert True hat, belegt der Auswahlrand eine dünne Linie entlang des linken Rands des Bearbeitungsbereichs eines Steuerelements. Wenn der Wert False ist, kann der gesamte Bearbeitungsbereich Text speichern.

Wenn die SelectionMargin-Eigenschaft auf den Wert True festgelegt ist, während ein Steuerelement gedruckt wird, wird auch der Auswahlrand gedruckt.


SelLength-Eigenschaft

Die Anzahl der Zeichen, die in einem Textfeld oder im Textbereich eines Kombinationsfeldes ausgewählt sind.

Syntax

object.SelLength [= Long]

Die Syntax für die SelLength-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Ein numerischer Ausdruck, der die Anzahl der ausgewählten Zeichen angibt. Für SelLength und SelStart liegt der gültige Wertebereich zwischen 0 und der Gesamtzahl von Zeichen im Bearbeitungsbereich eines Kombinationsfeld-Steuerelements (ComboBox) oder Textfeld-Steuerelements (TextBox).

Hinweise

Die SelLength-Eigenschaft ist immer gültig, auch wenn das Steuerelement nicht den Fokus hat. Das Festlegen von SelLength auf einen Wert kleiner als Null verursacht einen Fehler. Der Versuch, SelLength auf einen Wert zu setzen, der größer als die Anzahl der verfügbaren Zeichen in einem Steuerelement ist, führt dazu, dass SelLength auf einen Wert gesetzt wird, der der Anzahl der Zeichen in dem Steuerelement entspricht.

Anmerkung Das Ändern des Wertes der SelStart-Eigenschaft hebt jede existierende Auswahl in dem Steuerelement auf, positioniert eine Einfügemarke im Text und legt SelLength auf Null fest.

Der Standardwert Null bedeutet, dass momentan kein Text ausgewählt ist.


SelStart-Eigenschaft

Bestimmt den Anfang des ausgewählten Textes oder die Position der Einfügemarke, wenn kein Text ausgewählt ist.

Syntax

object.SelStart [= Long]

Die Syntax für die SelStart-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Ein numerischer Ausdruck, der den Anfang des ausgewählten Textes angibt. Für SelLength und SelStart liegt der gültige Wertebereich zwischen 0 und der Gesamtzahl an Zeichen im Bearbeitungsbereich eines Kombinationsfeld-Steuerelements (ComboBox) oder Textfeld-Steuerelements (TextBox).

Hinweise

Die SelStart-Eigenschaft ist immer gültig, auch wenn das Steuerelement nicht den Fokus hat. Das Festlegen von SelStart auf einen Wert kleiner als Null verursacht einen Fehler. Der Versuch, SelStart auf einen Wert zu setzen, der größer als die Anzahl der verfügbaren Zeichen in einem Steuerelement ist, führt dazu, dass SelStart auf einen Wert gesetzt wird, der der Anzahl der Zeichen in dem Steuerelement entspricht.

Das Ändern des Wertes der SelStart-Eigenschaft hebt jede existierende Auswahl in dem Steuerelement auf, positioniert eine Einfügemarke im Text und setzt SelLength auf Null.


SelText-Eigenschaft

Gibt den ausgewählten Text eines Steuerelements zurück oder legt diesen fest.

Syntax

object.SelText [= String]

Die Syntax für die SelText-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Ein Zeichenfolgenausdruck, der den ausgewählten Text enthält.

Hinweise

Wenn im Bearbeitungsbereich des Steuerelements keine Zeichen ausgewählt sind, gibt die SelText-Eigenschaft eine Null-Zeichenfolge zurück. Diese Eigenschaft ist gültig, unabhängig davon, ob das Steuerelement den Fokus hat.


ShowDropButtonWhen-Eigenschaft

Gibt an, wann eine Dropdown-Schaltfläche für ein Kombinationsfeld-Steuerelement (ComboBox) oder Textfeld-Steuerelement (TextBox) angezeigt werden soll.

Syntax

object.ShowDropButtonWhen [= fmShowDropButtonWhen]

Die Syntax für die ShowDropButtonWhen-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmShowDropButtonWhen | Optional. Die Umstände, unter denen die Dropdown-Schaltfläche sichtbar ist.

Einstellungen

Die Einstellungen für fmShowDropButtonWhen sind:

Konstante | Wert | Beschreibung
fmShowDropButtonWhenNever | 0 | Die Dropdown-Schaltfläche wird unter keinen Umständen angezeigt.
fmShowDropButtonWhenFocus | 1 | Die Dropdown-Schaltfläche wird angezeigt, wenn das Steuerelement den Fokus hat.
fmShowDropButtonWhenAlways | 2 | Die Dropdown-Schaltfläche wird immer angezeigt.

Der Standardwert für ein Kombinationsfeld-Steuerelement ist fmShowDropButtonWhenAlways; für ein Textfeld-Steuerelement ist der Standardwert fmShowDropButtonWhenNever.


SmallChange-Eigenschaft

Gibt den Umfang der Bewegung an, wenn der Benutzer auf einen Bildlaufpfeil in einem Bildlaufleiste-Steuerelement (ScrollBar) oder Drehfeld-Steuerelement (SpinButton) klickt.

Syntax

object.SmallChange [= Long]

Die Syntax für die SmallChange-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Eine Ganzzahl, die die Größe der Änderung der Value-Eigenschaft angibt.

Hinweise

Die SmallChange-Eigenschaft hat keine Einheiten.

Eine beliebige Ganzzahl wird als Einstellung für diese Eigenschaft akzeptiert. Der empfohlene Wertebereich liegt zwischen -32.767 und +32.767. Der Standardwert ist 1.


SpecialEffect-Eigenschaft

Gibt die Art der Darstellung eines Objekts an.

Syntax

Für Kontrollkästchen-, Optionsfeld- oder Umschaltfeld-Steuerelemente (CheckBox, OptionButton oder ToggleButton)
object.SpecialEffect [= fmButtonEffect]

Für andere Steuerelemente
object.SpecialEffect [= fmSpecialEffect]

Die Syntax für die SpecialEffect-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmButtonEffect | Optional. Die gewünschte Darstellung für ein Kontrollkästchen-, Optionsfeld- oder Umschaltfeld-Steuerelement.
fmSpecialEffect | Optional. Die gewünschte Darstellungsart eines Objekts, das kein Kontrollkästchen-, Optionsfeld- oder Umschaltfeld-Steuerelement ist.

Einstellungen

Die Einstellungen für fmSpecialEffect sind:

Konstante | Wert | Beschreibung
fmSpecialEffectFlat | 0 | Das Objekt erscheint flach, hebt sich vom umgebenden Formular durch einen Rahmen, eine Farbänderung oder beides ab. Dies ist für das Anzeige-Steuerelement (Image) und Bezeichnungsfeld-Steuerelement (Label) die Voreinstellung und für alle Steuerelemente gültig.
fmSpecialEffectRaised | 1 | Das Objekt ist am oberen und linken Rand hervorgehoben und hat am unteren und rechten Rand einen Schatten. Diese Einstellung ist für Kontrollkästchen und Optionsfelder nicht gültig.
fmSpecialEffectSunken | 2 | Das Objekt hat am oberen und linken Rand einen Schatten; der untere und rechte Rand sind heller. Das Steuerelement und der zugehörige Rahmen erscheinen wie in das Formular "eingelassen", das dieses Steuerelement enthält. Dies ist die Voreinstellung für das Kontrollkästchen- und das Optionsfeld-Steuerelement und ist für alle Steuerelemente gültig (Voreinstellung).
fmSpecialEffectEtched | 3 | Der Rahmen erscheint in die Ränder des Steuerelements "eingemeißelt". Diese Einstellung ist für Kontrollkästchen und Optionsfelder nicht gültig.
fmSpecialEffectBump | 6 | Das Objekt ist am unteren und rechten Rand hervorgehoben und erscheint am oberen und linken Rand flach. Diese Einstellung ist für Kontrollkästchen und Optionsfelder nicht gültig.

Bei einem Rahmen-Steuerelement (Frame) ist der Standardwert fmSpecialEffectSunken.

Beachten Sie, dass nur fmSpecialEffectFlat und fmSpecialEffectSunken (0 und 2) als Werte für das Kontrollkästchen-, Optionsfeld- und Umschaltfeld-Steuerelement zulässig sind. Für andere Steuerelemente sind alle aufgeführten Werte zulässig.

Hinweise

Sie können entweder die SpecialEffect- oder die BorderStyle-Eigenschaft verwenden, um die Darstellungsart der Ränder für ein Steuerelement anzugeben, jedoch nicht beide Eigenschaften. Wenn Sie einen Wert für eine dieser Eigenschaften angeben, der ungleich Null ist, legt das System den Wert der anderen Eigenschaft auf Null fest. Wenn Sie z.B. SpecialEffect auf den Wert fmSpecialEffectRaised festlegen, legt das System BorderStyle auf den Wert Null (fmBorderStyleNone) fest.

Bei einem Rahmen-Steuerelement wird BorderStyle ignoriert, wenn SpecialEffect den Wert fmSpecialEffectFlat hat.

SpecialEffect verwendet die Systemfarben, um die zugehörigen Rahmen zu definieren.

Anmerkung Obwohl die SpecialEffect-Eigenschaft für das Umschaltfeld-Steuerelement vorhanden ist, kann diese Eigenschaft nicht verwendet werden. Bei einem Umschaltfeld-Steuerelement können Sie für diese Eigenschaft weder einen Wert setzen noch zurückgeben.


Style-Eigenschaft

Bei einem Kombinationsfeld-Steuerelement (ComboBox) gibt diese Eigenschaft an, wie der Benutzer den Wert des Steuerelements wählen oder festlegen kann. Bei einem Multiseiten-Steuerelement (MultiPage) und einem Register-Steuerelement (TabStrip) bezeichnet diese Eigenschaft den Stil der Tab-Objekte in diesem Steuerelement.

Syntax

Für Kombinationsfeld-Steuerelemente
object.Style [= fmStyle]

Für Multiseiten- und Register-Steuerelemente
object.Style [= fmTabStyle]

Die Syntax für die Style-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmStyle | Optional. Gibt an, wie der Benutzer den Wert eines Kombinationsfeld-Steuerelements festlegt.
fmTabStyle | Optional. Gibt den Stil einer Registerkarte in einem Multiseiten-Steuerelement oder Register-Steuerelement an.

Einstellungen

Die Einstellungen für fmStyle sind:

Konstante | Wert | Beschreibung
fmStyleDropDownCombo | 0 | Das Kombinationsfeld-Steuerelement verhält sich wie ein Dropdown-Kombinationsfeld. Der Benutzer kann einen Wert im Bearbeitungsbereich eingeben oder einen Wert aus der Dropdown-Liste auswählen (Voreinstellung).
fmStyleDropDownList | 2 | Das Kombinationsfeld-Steuerelement verhält sich wie ein Listenfeld. Der Benutzer muss einen Wert aus der Liste auswählen.

Die Einstellungen für fmTabStyle sind:

Konstante | Wert | Beschreibung
fmTabStyleTabs | 0 | Zeigt Registerkarten auf der Registerleiste an (Voreinstellung).
fmTabStyleButtons | 1 | Zeigt Schaltflächen auf der Registerleiste an.
fmTabStyleNone | 2 | Die Registerleiste wird nicht angezeigt.


TabFixedHeight-, TabFixedWidth-Eigenschaften

Geben die feste Höhe oder Breite der Registerkarten in Punkt zurück oder legen diese fest.

Syntax

object.TabFixedHeight [= Single]

object.TabFixedWidth [= Single]

Die Syntax für die Eigenschaften TabFixedHeight und TabFixedWidth besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Single | Optional. Die Anzahl der Punkte der Höhe oder Breite der Registerkarten in einem Register-Steuerelement (TabStrip) oder Multiseiten-Steuerelement (MultiPage).

Einstellungen

Wenn der Wert 0 ist, wird die Breite der Registerkarten automatisch so eingestellt, dass jede Registerkarte ausreichend Platz für den zugehörigen Inhalt bietet und sich jede Reihe von Registerkarten über die gesamte Breite des Steuerelements erstreckt.

Wenn der Wert größer als 0 ist, haben alle Registerkarten die gleiche Breite entsprechend der Einstellung in der Eigenschaft.

Hinweise

Die Minimalgröße beträgt 4 Punkte.


TabIndex-Eigenschaft

Gibt die Position eines einzelnen Objekts in der Aktivierreihenfolge des Formulars an.

Syntax

object.TabIndex [= Integer]

Die Syntax für die TabIndex-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Integer | Optional. Eine ganze Zahl von 0 bis zur Anzahl der Steuerelemente auf dem Formular mit einer TabIndex-Eigenschaft - 1. Wird TabIndex ein Wert kleiner als 0 zugewiesen, wird ein Fehler ausgelöst. Wenn Sie TabIndex einen Wert zuweisen, der größer als der größte Indexwert ist, setzt das System den Wert auf den größten erlaubten Wert zurück.

Hinweise

Der Indexwert des ersten Objekts in der Aktivierreihenfolge ist Null.


TabKeyBehavior-Eigenschaft

Bestimmt, ob Tabulatoren im Bearbeitungsbereich erlaubt sind.

Syntax

object.TabKeyBehavior [= Boolean]

Die Syntax für die TabKeyBehavior-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, welche Wirkung das Drücken der TAB-TASTE hat.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Das Drücken von TAB-TASTE fügt ein Tabulatorzeichen im Bearbeitungsbereich ein.
False | Das Drücken von TAB-TASTE bewegt den Fokus zum nächsten Objekt in der Aktivierreihenfolge (Voreinstellung).

Hinweise

Die Eigenschaften TabKeyBehavior und MultiLine sind eng miteinander verbunden. Die oben beschriebenen Werte können nur verwendet werden, wenn MultiLine den Wert True hat. Wenn MultiLine den Wert False hat, führt das Drücken der TAB-TASTE immer dazu, dass der Fokus zum nächsten Steuerelement in der Aktivierreihenfolge wechselt, unabhängig vom Wert von TabKeyBehavior.

Welche Wirkung das Drücken von STRG+TAB-TASTE hat, hängt ebenfalls vom Wert von MultiLine ab. Wenn MultiLine den Wert True hat, führt das Drücken von STRG+TAB-TASTE dazu, dass unabhängig vom Wert von TabKeyBehavior eine neue Zeile erzeugt wird. Wenn MultiLine den Wert False hat, hat das Drücken von STRG+TAB-TASTE keine Wirkung.


TabOrientation-Eigenschaft

Gibt die Position der Registerkarten in einem Multiseiten-Steuerelement (MultiPage) oder Register-Steuerelement (TabStrip) an.

Syntax

object.TabOrientation [= fmTabOrientation]

Die Syntax für die TabOrientation-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmTabOrientation | Optional. Gibt die Position an, an der die Registerkarten angezeigt werden.

Einstellungen

Die Einstellungen für fmTabOrientation sind:

Konstante | Wert | Beschreibung
fmTabOrientationTop | 0 | Die Registerkarten werden im oberen Bereich des Steuerelements angezeigt (Voreinstellung).
fmTabOrientationBottom | 1 | Die Registerkarten werden im unteren Bereich des Steuerelements angezeigt.
fmTabOrientationLeft | 2 | Die Registerkarten werden im linken Bereich des Steuerelements angezeigt.
fmTabOrientationRight | 3 | Die Registerkarten werden im rechten Bereich des Steuerelements angezeigt.

Hinweise

Wenn Sie TrueType-Schriftarten verwenden, wird der Text gedreht, sobald die TabOrientation-Eigenschaft auf den Wert fmTabOrientationLeft oder fmTabOrientationRight festgelegt ist. Wenn Sie Bitmap-Schriftarten verwenden, wird der Text nicht gedreht.


TabStop-Eigenschaft

Zeigt an, ob ein Objekt den Fokus erhalten kann, wenn der Benutzer die TAB-TASTE drückt.

Syntax

object.TabStop [= Boolean]

Die Syntax für die TabStop-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob das Objekt durch Drücken der TAB-TASTE den Fokus erhalten kann.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Bestimmt, dass das Objekt den Fokus erhalten kann (Voreinstellung).
False | Übergeht das Objekt wenn der Benutzer die TAB-TASTE drückt, jedoch bleibt die Position des Objekts, die durch die TabIndex-Eigenschaft festgelegt ist, in der aktuellen Aktivierreihenfolge erhalten.


Tag-Eigenschaft

Speichert zusätzliche Informationen über ein Objekt.

Syntax

object.Tag [= String]

Die Syntax für die Tag-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Ein Zeichenfolgenausdruck, der das Objekt bezeichnet. Der Standardwert ist eine Null-Zeichenfolge ("").

Hinweise

Verwenden Sie die Tag-Eigenschaft, um einem Objekt eine kennzeichnende Zeichenfolge zuzuweisen, ohne die Einstellungen oder Attribute anderer Eigenschaften zu verändern.

Sie können Tag z.B. verwenden, um die Identität eines Formulars oder Steuerelements zu überprüfen, das als Variable an eine Prozedur übergeben wurde.


TakeFocusOnClick-Eigenschaft

Gibt an, ob ein Steuerelement den Fokus erhält.

Syntax

object.TakeFocusOnClick [= Boolean]

Die Syntax für die TakeFocusOnClick-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob ein Steuerelement den Fokus erhält, wenn darauf geklickt wird.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Die Schaltfläche erhält den Fokus, wenn darauf geklickt wird (Voreinstellung).
False | Die Schaltfläche erhält nicht den Fokus, wenn darauf geklickt wird.

Hinweise

Die TakeFocusOnClick-Eigenschaft definiert nur, was passiert, wenn der Benutzer auf ein Steuerelement klickt. Wenn der Benutzer mit der TAB-TASTE zu diesem Steuerelement wechselt, erhält dieses Steuerelement unabhängig vom Wert von TakeFocusOnClick den Fokus.

Verwenden Sie diese Eigenschaft, um Aktionen abzuschließen, die Auswirkungen auf ein Steuerelement haben, ohne dass das Steuerelement den Fokus verliert. Angenommen, Sie möchten, dass Ihr Formular ein Textfeld-Steuerelement (TextBox) und ein Befehlsschaltfläche-Steuerelement (CommandButton) enthält, mit dem die Rechtschreibung von Text überprüft wird. Sie möchten nun Text im Textfeld auswählen, anschließend auf die Befehlsschaltfläche klicken und schließlich die Rechtschreibprüfung ausführen, ohne dass das Textfeld-Steuerelement den Fokus abgibt. Sie erreichen dies, indem Sie die TakeFocusOnClick-Eigenschaft des Befehlsschaltfläche-Steuerelements auf False setzen.


Text-Eigenschaft

Gibt den Text in einem Textfeld-Steuerelement (TextBox) zurück oder legt den Text fest. Ändert die ausgewählte Zeile in einem Kombinationsfeld-Steuerelement (ComboBox) oder in einem Listenfeld-Steuerelement (ListBox).

Syntax

object.Text [= String]

Die Syntax für die Text-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Ein Zeichenfolgenausdruck, der Text angibt. Der Standardwert ist eine Null-Zeichenfolge ("").

Hinweise

Bei einem Textfeld-Steuerelement wird jeder Wert, den Sie der Text-Eigenschaft zuweisen, auch der Value-Eigenschaft zugewiesen.

Bei einem Kombinationsfeld-Steuerelement können Sie die Text-Eigenschaft verwenden, um die Werte des Steuerelements zu aktualisieren. Wenn der Wert der Text-Eigenschaft mit einem vorhandenen Listeneintrag übereinstimmt, wird der Wert der ListIndex-Eigenschaft (der Index der aktuellen Zeile) auf die Zeile gesetzt, die mit der Text-Eigenschaft übereinstimmt. Wenn der Wert der Text-Eigenschaft mit keiner Zeile übereinstimmt, wird der Wert der ListIndex-Eigenschaft auf -1 gesetzt.

Bei einem Listenfeld-Steuerelement muss der Wert der Text-Eigenschaft mit einem vorhandenen Listeneintrag übereinstimmen. Die Angabe eines Wertes, der mit keinem Listeneintrag übereinstimmt, verursacht einen Fehler.

Die Text-Eigenschaft kann nicht verwendet werden, um den Wert einer Eingabe in ein Kombinationsfeld-Steuerelement oder Listenfeld-Steuerelement zu ändern. Verwenden Sie für diesen Zweck die Column- oder die List-Eigenschaft.

Die ForeColor-Eigenschaft bestimmt die Textfarbe.


TextAlign-Eigenschaft

Gibt an, wie Text in einem Steuerelement ausgerichtet wird.

Syntax

object.TextAlign [= fmTextAlign]

Die Syntax für die TextAlign-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmTextAlign | Optional. Gibt an, wie Text in dem Steuerelement ausgerichtet wird.

Einstellungen

Die Einstellungen für fmTextAlign sind:

Konstante | Wert | Beschreibung
fmTextAlignLeft | 1 | Richtet das erste Zeichen des angezeigten Textes am linken Rand des Anzeige- oder des Bearbeitungsbereichs des Steuerelements aus (Voreinstellung).
fmTextAlignCenter | 2 | Zentriert den Text im Anzeige- oder im Bearbeitungsbereich des Steuerelements.
fmTextAlignRight | 3 | Richtet das letzte Zeichen des angezeigten Textes am rechten Rand des Anzeige- oder des Bearbeitungsbereichs des Steuerelements aus.

Hinweise

Bei einem Kombinationsfeld-Steuerelement (ComboBox) hat die TextAlign-Eigenschaft lediglich Auswirkungen auf den Bearbeitungsbereich, aber keine Auswirkungen auf die Ausrichtung des Textes in der Liste. Bei eigenständigen Bezeichnungsfeldern bestimmt TextAlign die Ausrichtung der Beschriftung des Bezeichnungsfeldes.


TextColumn-Eigenschaft

Gibt die Spalte in einem Kombinationsfeld-Steuerelement (ComboBox) oder Listenfeld-Steuerelement (ListBox) an, die in der Text-Eigenschaft gespeichert werden soll, wenn der Benutzer eine Zeile markiert.

Syntax

object.TextColumn [= Variant]

Die Syntax für die TextColumn-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Variant | Optional. Die anzuzeigende Spalte.

Einstellungen

Die Werte für die TextColumn-Eigenschaft liegen im Bereich zwischen –1 und der Anzahl der Spalten in der Liste. Der TextColumn-Wert für die erste Spalte ist 1, der Wert für die zweite Spalte ist 2 usw. Wird TextColumn auf 0 gesetzt, dann werden die ListIndex-Werte angezeigt. Wenn TextColumn –1 ist, wird die erste Spalte angezeigt, deren ColumnWidths-Wert größer als 0 ist.

Hinweise

In einem Kombinationsfeld-Steuerelement wird die Spalte angezeigt, die durch die TextColumn-Eigenschaft im Textfeldteil des Steuerelements angegeben wird.

Wählt der Benutzer eine Zeile in einem Kombinationsfeld-Steuerelement (ComboBox) oder einem Listenfeld-Steuerelement (ListBox) aus, dann wird die zu TextColumn gehörige Spalte in der Text-Eigenschaft gespeichert. Angenommen, Sie richten ein mehrspaltiges Listenfeld-Steuerelement (ListBox) ein, das die Namen von Feiertagen in einer Spalte und die Termine für Feiertage in einer zweiten Spalte enthält. Um dem Benutzer die Namen der Feiertage anzuzeigen, geben Sie die erste Spalte als TextColumn an. Sollen die Termine der Feiertage gespeichert werden, geben Sie die zweite Spalte als BoundColumn an. Wenn die Termine der Feiertage ausgeblendet werden sollen, setzen Sie die ColumnWidths-Eigenschaft der zweiten Spalte auf 0.

Wenn sich die Text-Eigenschaft eines Kombinationsfeld-Steuerelements (ComboBox) ändert (z. B., wenn ein Benutzer einen Eintrag in dem Steuerelement eingibt), wird der neue Text mit der Datenspalte verglichen, die durch TextColumn angegeben wird.


TextLength-Eigenschaft

Gibt die Länge des Textes im Bearbeitungsbereich eines Textfeld-Steuerelements (TextBox) oder Kombinationsfeld-Steuerelements(ComboBox) als die Anzahl der enthaltenen Zeichen zurück.

Syntax

object.TextLength

Die Syntax für die TextLength-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Die TextLength-Eigenschaft ist schreibgeschützt. Bei einem mehrzeiligen Textfeld-Steuerelement beinhaltet TextLength Zeilenvorschub- und Wagenrücklaufzeichen (LF und CR).


TopIndex-Eigenschaft

Legt das Element fest, das in der obersten Position der Liste angezeigt wird, oder gibt dieses zurück.

Syntax

object.TopIndex [= Variant]

Die Syntax für die TopIndex-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Variant | Optional. Die Nummer des Listenelements, das an der obersten Position angezeigt wird. Der Standardwert ist 0 oder das erste Element in der Liste.

Einstellungen

Gibt den Wert -1 zurück, wenn die Liste leer ist oder nicht angezeigt wird.


TransitionEffect-Eigenschaft

Gibt den zu verwendenden optischen Übergangseffekt an, wenn von einer Seite zu einer anderen gewechselt wird.

Syntax

object.TransitionEffect [= fmTransitionEffect]

Die Syntax für die TransitionEffect-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmTransitionEffect | Optional. Der gewünschte Übergangseffekt beim Wechseln der Seiten.

Einstellungen

Die Einstellungen für fmTransitionEffect sind:

Konstante | Wert | Beschreibung
fmTransitionEffectNone | 0 | Kein spezieller Effekt (Voreinstellung).
fmTransitionEffectCoverUp | 1 | Die neue Seite überdeckt die alte Seite und bewegt sich von unten nach oben.
fmTransitionEffectCoverRightUp | 2 | Die neue Seite überdeckt die alte Seite und bewegt sich von der unteren linken Ecke zur rechten oberen Ecke.
fmTransitionEffectCoverRight | 3 | Die neue Seite überdeckt die alte Seite und bewegt sich vom linken Rand zum rechten Rand.
fmTransitionEffectCoverRightDown | 4 | Die neue Seite überdeckt die alte Seite und bewegt sich von der oberen linken Ecke zur unteren rechten Ecke.
fmTransitionEffectCoverDown | 5 | Die neue Seite überdeckt die alte Seite und bewegt sich von oben nach unten.
fmTransitionEffectCoverLeftDown | 6 | Die neue Seite überdeckt die alte Seite und bewegt sich von der oberen rechten Ecke zur unteren linken Ecke.
fmTransitionEffectCoverLeft | 7 | Die neue Seite überdeckt die alte Seite und bewegt sich von rechts nach links.
fmTransitionEffectCoverLeftUp | 8 | Die neue Seite überdeckt die alte Seite und bewegt sich von der unteren rechten Ecke zur oberen linken Ecke.
fmTransitionEffectPushUp | 9 | Die neue Seite schiebt die alte Seite aus dem Blickfeld und bewegt sich von unten nach oben.
fmTransitionEffectPushRight | 10 | Die neue Seite schiebt die alte Seite aus dem Blickfeld und bewegt sich von links nach rechts.
fmTransitionEffectPushDown | 11 | Die neue Seite schiebt die alte Seite aus dem Blickfeld und bewegt sich von oben nach unten.
fmTransitionEffectPushLeft | 12 | Die neue Seite schiebt die alte Seite aus dem Blickfeld und bewegt sich von rechts nach links.

Hinweise

Verwenden Sie die TransitionPeriod-Eigenschaft, um die Dauer eines Übergangseffekts anzugeben.


TransitionPeriod-Eigenschaft

Gibt die Dauer eines Übergangseffekts in Millisekunden an.

Syntax

object.TransitionPeriod [= Long]

Die Syntax für die TransitionPeriod-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Gibt die Dauer an, bis der Übergang von einer Seite zu einer anderen beendet ist.

Hinweise

Eine beliebige Ganzzahl von Null bis 10000 ist eine gültige Einstellung für diese Eigenschaft. Das Festlegen der TransitionPeriod-Eigenschaft auf den Wert Null deaktiviert den Übergangseffekt. Das Festlegen von TransitionPeriod auf den Wert 10000 erzeugt einen Übergang mit der Dauer von 10 Sekunden.


TripleState-Eigenschaft

Bestimmt, ob ein Benutzer über die Benutzeroberfläche den Zustand Null (Zwischenzustand) für ein Kontrollkästchen-Steuerelement (CheckBox) oder ein Umschaltfeld-Steuerelement (ToggleButton) angeben kann.

Syntax

object.TripleState [= Boolean]

Die Syntax für die TripleState-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob das Steuerelement den Nullzustand unterstützt.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Die Schaltfläche hat drei Zustände.
False | Die Schaltfläche unterstützt nur die Werte True und False (Voreinstellung).

Hinweise

Die TripleState-Eigenschaft ist zwar für das Optionsfeld-Steuerelement (OptionButton) vorhanden, die Eigenschaft ist jedoch deaktiviert. Gleichgültig, welchen Wert TripleState hat, können Sie das Steuerelement nicht über die Benutzeroberfläche auf Null setzen.

Wenn die TripleState-Eigenschaft den Wert True hat, kann ein Benutzer zwischen den Werten Null, True und False wählen. Der Nullwert führt dazu, dass die Schaltfläche schattiert dargestellt wird.

Wenn TripleState den Wert False hat, kann der Benutzer zwischen True und False wählen.

Ein Steuerelement, das auf Null gesetzt wurde, löst das Click-Ereignis nicht aus.

Unabhängig von der Einstellung der Eigenschaft kann dem Kontrollkästchen-Steuerelement und dem Umschaltfeld-Steuerelement der Wert Null immer aus dem Programm heraus zugewiesen werden, so dass das Steuerelement anschließend abgeblendet dargestellt wird.


Value-Eigenschaft

Gibt den Zustand oder Inhalt eines angegebenen Steuerelements an.

Syntax

object.Value [= Variant]

Die Syntax für die Value-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Variant | Optional. Der Zustand oder Inhalt des Steuerelements.

Einstellungen

Steuerelement | Beschreibung
Kontrollkästchen | Ein ganzzahliger Wert, der anzeigt, ob das Element ausgewählt ist.
 | Null Zeigt an, dass das Element in einem Nullzustand ist, es wurde also weder ausgewählt, noch wurde die Auswahl aufgehoben.
 | -1 True. Element ist ausgewählt.
 | 0 False. Die Auswahl dieses Elements ist aufgehoben.
Optionsfeld | Siehe Kontrollkästchen.
Umschaltfeld | Siehe Kontrollkästchen
Bildlaufleiste | Eine ganze Zahl zwischen den in den Eigenschaften Max und Min angegebenen Werten.
Drehfeld | Siehe Bildlaufleiste.
Kombinationsfeld, Listenfeld | Der Wert in der BoundColumn-Eigenschaft der momentan ausgewählten Zeilen.
Befehlsschaltfläche | Immer False.
Multiseiten | Eine ganze Zahl, die die momentan aktive Seite angibt.
 | Null (0) zeigt die erste Seite an. Der maximale Wert entspricht der Anzahl der Seiten -1.
Textfeld | Der Text im Bearbeitungsbereich.

Hinweise

Wenn man bei einem Befehlsschaltfläche-Steuerelement (CommandButton) die Value-Eigenschaft in einem Makro oder in einer Prozedur auf True setzt, wird das Click-Ereignis der Schaltfläche ausgelöst.

Wenn Sie bei einem Kombinationsfeld-Steuerelement (ComboBox) die Inhalte der Value-Eigenschaft ändern, werden die Werte von BoundColumn nicht geändert. Wenn Sie in einem Kombinationsfeld-Steuerelement Einträge hinzufügen oder löschen möchten, können Sie die Methoden AddItem oder RemoveItem verwenden.

Value kann nicht mit einem Listenfeld mit Mehrfachauswahl verwendet werden.


VerticalScrollbarSide-Eigenschaft

Gibt an, ob eine vertikale Bildlaufleiste auf der rechten oder auf der linken Seite eines Formulars oder einer Seite erscheint.

Syntax

object.VerticalScrollbarSide [= fmVerticalScrollbarSide]

Die Syntax für die VerticalScrollbarSide-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
FmVerticalScrollbarSide | Optional. Gibt an, wo die Bildlaufleiste angezeigt werden soll.

Einstellungen

Die Einstellungen für fmVerticalScrollbarSide sind:

Konstante | Wert | Beschreibung
fmVerticalScrollbarSideRight | 0 | Zeigt die Bildlaufleiste auf der rechten Seite an (Voreinstellung).
fmVerticalScrollBarSideLeft | 1 | Zeigt die Bildlaufleiste auf der linken Seite an.

Hinweise

Die VerticalScrollBarSide-Eigenschaft ist besonders dann nützlich, wenn das Formular in einer Umgebung verwendet wird, in der von rechts nach links gelesen wird.


Visible-Eigenschaft

Gibt an, ob ein Objekt sichtbar oder ausgeblendet ist.

Syntax

object.Visible [= Boolean]

Die Syntax für die Visible-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob das Objekt sichtbar oder ausgeblendet ist.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Das Objekt ist sichtbar (Voreinstellung).
False | Das Objekt ist ausgeblendet.

Hinweise

Verwenden Sie die Visible-Eigenschaft, um den Zugriff auf Informationen zu steuern, ohne diese anzuzeigen. Sie können z. B. den Wert eines Steuerelements auf einem ausgeblendeten Formular als Kriterium für eine Abfrage verwenden.

Alle Steuerelemente sind zur Entwurfszeit sichtbar.


WordWrap-Eigenschaft

Gibt an, ob der Inhalt eines Steuerelements am Zeilenende automatisch umbrochen wird.

Syntax

object.WordWrap [= Boolean]

Die Syntax für die WordWrap-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob das Steuerelement vergrößert wird, um den ganzen Text anzuzeigen.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Der Text wird umbrochen (Voreinstellung).
False | Der Text wird nicht umbrochen.

Hinweise

Bei Steuerelementen, die sowohl die MultiLine-Eigenschaft als auch die WordWrap-Eigenschaft unterstützen, wird WordWrap ignoriert, wenn MultiLine auf False gesetzt ist.


Zoom-Eigenschaft

Gibt an, um wie viel die Größe eines angezeigten Objektes geändert werden soll.

Syntax

object.Zoom [= Integer]

Die Syntax für die Zoom-Eigenschaft besteht aus folgenden Teilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Integer | Optional. Gibt den Prozentsatz an, um den das angezeigte Bild vergrößert oder verkleinert werden soll.

Hinweise

Der Wert der Zoom-Eigenschaft gibt einen Prozentsatz für die Vergrößerung oder Verkleinerung eines Bildes an, um den die Anzeige des Bildes verändert werden soll. Gültig sind Werte von 10 bis 400. Der angegebene Wert ist ein Prozentsatz der Originalgröße des Objekts. Demnach bedeutet eine Einstellung von 400, dass Sie das Bild auf das Vierfache seiner ursprünglichen Größe (oder um 400 Prozent) vergrößern möchten, wohingegen eine Einstellung von 10 bedeutet, dass Sie das Bild auf ein Zehntel seiner ursprünglichen Größe (oder auf 10 Prozent) verkleinern möchten.


Weitere Steuerelemente (Dialogfeld)

  1. Wählen Sie in dem Listenfeld Verfügbare Steuerelemente das Steuerelement oder die Steuerelemente aus, die Sie der Werkzeugsammlung hinzufügen wollen.

  2. Klicken Sie auf OK.

Tipp Durch Auswählen der entsprechenden Optionen in der Gruppe Anzeigen können Sie die unter Verfügbare Steuerelemente angezeigte Liste filtern.


Steuerelement anpassen (Dialogfeld)

Dieses Dialogfeld enthält die aktuelle QuickInfo (der Wert der ControlTipText-Eigenschaft) und das Symbol, das dieses Steuerelement in der Werkzeugsammlung darstellt. Sie können die mit diesem Steuerelement verbundene ControlTipText-Eigenschaft definieren oder ändern sowie das in der Werkzeugsammlung angezeigte Symbol ändern.

So definieren oder bearbeiten Sie die QuickInfo für das ausgewählte Steuerelement:

  • Geben Sie einen neuen Wert im Feld QuickInfo-Text ein.

So bearbeiten Sie das Symbol:

  1. Wählen Sie die Befehlsschaltfläche Bild bearbeiten aus.

  2. Verwenden Sie das Dialogfeld Bild bearbeiten, um das Symbol wie gewünscht zu verändern.

So laden Sie ein anderes Symbol:

  1. Wählen Sie die Befehlsschaltfläche Bild laden aus.

  2. Wählen Sie aus dem Dialogfeld Bild laden eine Bilddatei aus.

  3. Klicken Sie auf OK, um die neuen Einstellungen anzuwenden.


Seitenreihenfolge/Aktivierreihenfolge (Dialogfelder)

So ändern Sie die Position einer Seite oder einer Registerkarte:

  1. Wählen Sie den Namen des zu verschiebenden Page- oder Tab-Objekts aus.

  2. Klicken Sie so lange auf die Schaltfläche Nach oben bzw. Nach unten, bis sich das ausgewählte Element an der gewünschten Position befindet.

  3. Klicken Sie auf OK, wenn sich alle Elemente an der von Ihnen gewünschten Position befinden.


Umbenennen (Dialogfeld)

Dieses Dialogfeld enthält die Felder Zugriffstaste, Titel und Steuerelement-Info, über die die Eigenschaften Accelerator, Caption und ControlTipText für eine einzelne Seite oder Registerkarte, die den Fokus hat, festgelegt werden können. Für die aktuelle Werkzeugsammlung-Seite können Sie in diesem Dialogfeld die Caption- und die Accelerator-Eigenschaft festlegen oder aktualisieren.

Die Zugriffstaste ist eine Taste auf der Tastatur, die der Benutzer gleichzeitig mit der ALT-TASTE drückt, um den Fokus auf ein Page- oder Tab-Objekt zu verschieben. Der Titel ist der Text innerhalb des Registerbereichs eines Page- oder Tab-Objekts oder der aktuellen Werkzeugsammlung-Seite. Die Steuerelement-Info (festgelegt mit der ControlTipText-Eigenschaft) ist eine kurze Beschreibung eines Steuerelements, die angezeigt wird, wenn der Benutzer mit dem Mauszeiger ohne zu klicken über einem Steuerelement verweilt. Eine QuickInfo ist eine kurze Beschreibung eines Steuerelements, die angezeigt wird, wenn der Benutzer mit dem Mauszeiger ohne zu klicken über der aktuellen Werkzeugsammlung-Seite verweilt.

So legen Sie eine Zugriffstaste für das Page- oder Tab-Objekt fest:

  • Geben Sie ein einzelnes Zeichen im Feld Zugriffstaste ein.

So benennen Sie das Page- oder Tab-Objekt um:

  • Geben Sie einen neuen Titel im Feld Titel ein.

So definieren Sie die Steuerelement-Info für das Page- oder Tab-Objekt:

  • Geben Sie einen neuen Wert im Feld Steuerelement-Info ein.

So definieren Sie die QuickInfo für die aktuelle Werkzeugsammlung-Seite:

  • Geben Sie einen neuen Wert im Feld Steuerelement-Info ein.

Anmerkung Klicken Sie auf OK, um der Seite, der Registerkarte oder der Werkzeugsammlung-Seite die neuen Werte zuzuweisen.


Beispiel für Click-Ereignis, Befehlsschaltfläche-Steuerelement, Accelerator-Eigenschaft und Caption-Eigenschaft

In diesem Beispiel werden die Eigenschaften Accelerator und Caption eines Befehlsschaltflächen-Steuerelements (CommandButton) jedes Mal geändert, wenn der Benutzer entweder mit der Maus auf die Schaltfläche klickt oder die Schaltfläche mit der Zugriffstaste aktiviert. Das Click-Ereignis enthält den Code, der die Eigenschaften Accelerator und Caption ändert.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie den Code in den Bereich Deklarationen eines Formulars, das ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1 enthält.

Private Sub UserForm_Initialize()
    CommandButton1.Accelerator  = "C"
    'Set Accelerator key to COMMAND + C
End Sub

Private Sub CommandButton1_Click ()
    If CommandButton1.Caption = "OK" Then
        'Check caption, then change it.
        CommandButton1.Caption = "Clicked"
        CommandButton1.Accelerator  = "C"
        'Set Accelerator key to COMMAND + C
    Else
        CommandButton1.Caption = "OK"
        CommandButton1.Accelerator  = "O"
        'Set Accelerator key to COMMAND + O
    End If
End Sub


Beispiel für Page-Objekt, Pages-Auflistung, Multiseiten-Steuerelement und SelectedItem-Eigenschaft

Im folgenden Beispiel wird auf unterschiedliche Weise auf eine einzelne Seite eines Multiseiten-Steuerelements (MultiPage) zugegriffen:

  • Mit Hilfe der Pages-Auflistung und eines numerischen Indexes.

  • Mit Hilfe der Pages-Auflistung und eines Zeichenfolgenindexes.

  • Mit Hilfe der Pages-Auflistung und der Item-Methode.

  • Mit Hilfe des Namens der betreffenden Seite im Multiseiten-Steuerelement (MultiPage).

  • Mit Hilfe der SelectedItem-Eigenschaft.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss ein Multiseiten-Steuerelement (MultiPage) mit dem Namen MultiPage1 enthalten.

Private Sub UserForm_Initialize()
    Dim PageName As String

    For i = 0 To MultiPage1.Count - 1
        'Use index (numeric or string)
        MsgBox "MultiPage1.Pages(i).Caption = " _
            & MultiPage1.Pages(i).Caption
        MsgBox "MultiPage1.Pages.Item(i).Caption = " _
            & MultiPage1.Pages.Item(i).Caption

        PageName = MultiPage1.Pages(i).Name
        MsgBox "PageName = " & PageName

        MsgBox "MultiPage1.Pages(PageName)" _
            & ".Caption = "_
            & MultiPage1.Pages(PageName).Caption
        MsgBox "MultiPage1.Pages.Item(PageName)" _
            & ".Caption = " & MultiPage1.Pages  _
            .Item(PageName).Caption

        'Use Page object without referring to
          'Pages collection
        If i = 0 Then
            MsgBox "MultiPage1.Page1.Caption= " _
                    & MultiPage1.Page1.Caption
        ElseIf i = 1 Then
            MsgBox "MultiPage1.Page2.Caption = " _
                    & MultiPage1.Page2.Caption
        End If

        'Use SelectedItem Property
        MultiPage1.Value = i
        MsgBox "MultiPage1.SelectedItem.Caption = " _
            & MultiPage1.SelectedItem.Caption
    Next i
End Sub


Beispiel für SelectedItem-Eigenschaft, Register-Steuerelement, Tab-Objekt und Tabs-Auflistung

Im folgenden Beispiel wird auf unterschiedliche Weise auf eine einzelne Registerkarte eines Register-Steuerelements (TabStrip) zugegriffen:

  • Mit Hilfe der Tabs-Auflistung und eines numerischen Indexes.

  • Mit Hilfe der Tabs-Auflistung und eines Zeichenfolgenindexes.

  • Mit Hilfe der Tabs-Auflistung und der Item-Methode.

  • Mit Hilfe des Namens des betreffenden Tab-Objekts.

  • Mit Hilfe der SelectedItem-Eigenschaft.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss ein Register-Steuerelement (TabStrip) mit dem Namen TabStrip1 enthalten.

Private Sub UserForm_Initialize()
    Dim TabName As String

    For i = 0 To TabStrip1.Count - 1
        'Using index (numeric or string)
        MsgBox "TabStrip1.Tabs(i).Caption = " _
            & TabStrip1.Tabs(i).Caption
        MsgBox "TabStrip1.Tabs.Item(i).Caption = " _
            & TabStrip1.Tabs.Item(i).Caption

        TabName = TabStrip1.Tabs(i).Name
        MsgBox "TabName = " & TabName

        MsgBox "TabStrip1.Tabs(TabName).Caption = " _
            & TabStrip1.Tabs(TabName).Caption
        MsgBox "TabStrip1.Tabs.Item(TabName)_
            .Caption = " _
            & TabStrip1.Tabs.Item(TabName).Caption

        'Use Tab object without referring to Tabs
          'collection
        If i = 0 Then
            MsgBox "TabStrip1.Tab1.Caption = " _
                    & TabStrip1.Tab1.Caption
        ElseIf i = 1 Then
            MsgBox "TabStrip1.Tab2.Caption = " _
                    & TabStrip1.Tab2.Caption
        EndIf

        'Use SelectedItem Property
        TabStrip1.Value = i
        MsgBox "TabStrip1.SelectedItem.Caption = " _
            & TabStrip1.SelectedItem.Caption
    Next i
End Sub


Beispiel für Enter-Ereignis, Exit-Ereignis und ActiveControl-Eigenschaft

Im folgenden Beispiel wird die ActiveControl-Eigenschaft in einer Subroutine eingesetzt, die die vom Benutzer verwendeten Steuerelemente registriert. Das Enter-Ereignis für die einzelnen Steuerelemente ruft die Subroutine TraceFocus auf. Diese identifiziert das Steuerelement, das jeweils den Fokus hat.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss folgende Steuerelemente enthalten:

  • Ein Bildlaufleiste-Steuerelement (ScrollBar) mit dem Namen ScrollBar1.

  • Ein Listenfeld-Steuerelement (ListBox) mit dem Namen ListBox1.

  • Zwei Optionsfeld-Steuerelemente (OptionButton) mit den Namen OptionButton1 und OptionButton2.

  • Ein Rahmen-Steuerelement (Frame) mit dem Namen Frame1.
Dim MyControl As Control

Private Sub TraceFocus()
    ListBox1.AddItem ActiveControl.Name
    ListBox1.List(ListBox1.ListCount - 1, 1) = _
        ActiveControl.TabIndex
End Sub

Private Sub UserForm_Initialize()
    ListBox1.ColumnCount = 2
    ListBox1.AddItem "Controls Visited"
    ListBox1.List(0, 1) = "Control Index"
End Sub

Private Sub Frame1_Enter()
    TraceFocus
End Sub

Private Sub ListBox1_Enter()
    TraceFocus
End Sub

Private Sub OptionButton1_Enter()
    TraceFocus
End Sub

Private Sub OptionButton2_Enter()
    TraceFocus
End Sub

Private Sub ScrollBar1_Enter()
    TraceFocus
End Sub


Beispiel für AddControl-Ereignis und Add-Methode

Im folgenden Beispiel wird die Add-Methode verwendet, um einem Formular zur Laufzeit ein Steuerelement hinzuzufügen, und das AddControl-Ereignis wird als Bestätigung verwendet, dass das Steuerelement hinzugefügt worden ist.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1.
Dim Mycmd as Control
Private Sub CommandButton1_Click()

    Set Mycmd = Controls.Add("MSForms.CommandButton.1") ', CommandButton2, Visible)
    Mycmd.Left = 18
    Mycmd.Top = 150
    Mycmd.Width = 175
    Mycmd.Height = 20
    Mycmd.Caption = "This is fun." & Mycmd.Name

End Sub

Private Sub UserForm_AddControl(ByVal Control As _
    MSForms.Control)
    Label1.Caption = "Control was Added."
End Sub


Beispiel für Page-Objekt, Multiseiten-Steuerelement sowie Add-, Clear- und Remove-Methode

Im folgenden Beispiel wird mit Hilfe der Methoden Add, Clear und Remove ein Steuerelement zur Laufzeit einem Page-Objekt eines Multiseiten-Steuerelements (MultiPage) hinzugefügt und aus diesem entfernt.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Multiseiten-Steuerelement ( MultiPage) mit dem Namen MultiPage1.

  • Drei Befehlsschaltfläche-Steuerelemente (CommandButton) mit den Namen CommandButton1, 2 und 3.
Dim MyTextBox As Control

Private Sub CommandButton1_Click()
Set MyTextBox = MultiPage1.Pages(0).Controls.Add("MSForms" _
    & ".TextBox.1", "MyTextBox", Visible)
End Sub

Private Sub CommandButton2_Click()
    MultiPage1.Pages(0).Controls.Clear
End Sub

Private Sub CommandButton3_Click()
    If MultiPage1.Pages(0).Controls.Count > 0  Then
        MultiPage1.Pages(0).Controls.Remove "MyTextBox"
    End If
End Sub

Private Sub UserForm_Initialize()
    CommandButton1.Caption = "Add control"
    CommandButton2.Caption = "Clear controls"
    CommandButton3.Caption = "Remove control"
End Sub


Beispiel für Alignment-Eigenschaft

Im folgenden Beispiel wird die Alignment-Eigenschaft in Verbindung mit mehreren Optionsfeld-Steuerelementen (OptionButton) veranschaulicht. In diesem Beispiel kann der Benutzer die Ausrichtung ändern, indem er auf ein Umschaltfeld-Steuerelement (ToggleButton) klickt.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss folgende Steuerelemente enthalten:

  • Zwei Optionsfeld-Steuerelemente (OptionButton) mit den Namen OptionButton1 und OptionButton2.

  • Ein Umschaltfeld-Steuerelement (ToggleButton) mit dem Namen ToggleButton1.
Private Sub UserForm_Initialize()
    OptionButton1.Alignment = fmAlignmentLeft
    OptionButton2.Alignment = fmAlignmentLeft

    OptionButton1.Caption = "Alignment with AutoSize"
    OptionButton2.Caption = "Choice 2"
    OptionButton1.AutoSize = True
    OptionButton2.AutoSize = True

    ToggleButton1.Caption = "Left Align"
    ToggleButton1.WordWrap = True
    ToggleButton1.Value = True
End Sub

Private Sub ToggleButton1_Click()
    If ToggleButton1.Value = True Then
        ToggleButton1.Caption = "Left Align"
        OptionButton1.Alignment = fmAlignmentLeft
        OptionButton2.Alignment = fmAlignmentLeft
    Else
        ToggleButton1.Caption = "Right Align"
        OptionButton1.Alignment = fmAlignmentRight
        OptionButton2.Alignment = fmAlignmentRight
    End If
End Sub


Beispiel für Textfeld-Steuerelement sowie AutoSize-Eigenschaft und Text-Eigenschaft

Im folgenden Beispiel wird die Wirkung der AutoSize-Eigenschaft bei einem einzeiligen und einem mehrzeiligen Textfeld-Steuerelement (TextBox) veranschaulicht. Der Benutzer kann Text in einem der beiden Textfeld-Steuerelemente eingeben und AutoSize unabhängig vom Inhalt der Textfeld-Steuerelemente aktivieren oder deaktivieren. In diesem Codebeispiel wird außerdem die Text-Eigenschaft verwendet.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss folgende Steuerelemente enthalten:

  • Zwei Textfeld-Steuerelemente (TextBox) mit den Namen TextBox1 und TextBox2.

  • Ein Umschaltfeld-Steuerelement (ToggleButton) mit dem Namen ToggleButton1.
Private Sub UserForm_Initialize()
    TextBox1.Text = "Single-line TextBox. " _
        & "Type your text here."

    TextBox2.MultiLine = True
    TextBox2.Text = "Multi-line TextBox. Type " _
        & "your text here. Use CTRL+ENTER to start " _
        & "a new line."

    ToggleButton1.Value = True
    ToggleButton1.Caption = "AutoSize On"
    TextBox1.AutoSize = True
    TextBox2.AutoSize = True
End Sub

Private Sub ToggleButton1_Click()
    If ToggleButton1.Value = True Then
        ToggleButton1.Caption = "AutoSize On"
        TextBox1.AutoSize = True
        TextBox2.AutoSize = True
    Else
        ToggleButton1.Caption = "AutoSize Off"
        TextBox1.AutoSize = False
        TextBox2.AutoSize = False
    End If
End Sub


Beispiel für Font-Objekt sowie die Eigenschaften Bold, Italic, Size, StrikeThrough, Underline und Weight

Im folgenden Beispiel werden ein Font-Objekt sowie die Eigenschaften Bold, Italic, Size, StrikeThrough, Underline und Weight für Schriftarten veranschaulicht. Sie können die Schriftarteneigenschaften eines Objekts direkt oder anhand eines Alias verändern, wie im unten stehenden Beispiel gezeigt.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1.

  • Vier Umschaltfeld-Steuerelemente (ToggleButton) mit den Namen ToggleButton1, 2, 3 und 4.

  • Ein weiteres Bezeichnungsfeld-Steuerelement (Label) und ein Textfeld-Steuerelement (TextBox) mit den Namen Label2 bzw. TextBox1.
Dim MyFont As StdFont

Private Sub ToggleButton1_Click()
    If ToggleButton1.Value = True Then
        MyFont.Bold = True
          'Using MyFont alias to control font
        ToggleButton1.Caption = "Bold On"
        MyFont.Size = 22
          'Increase the font size
    Else
        MyFont.Bold = False
        ToggleButton1.Caption = "Bold Off"
        MyFont.Size = 8
          'Return font size to initial size
    End If

    TextBox1.Text = Str(MyFont.Weight)
     'Bold and Weight are related
End Sub

Private Sub ToggleButton2_Click()
    If ToggleButton2.Value = True Then
        Label1.Font.Italic = True
          'Using Label1.Font directly
        ToggleButton2.Caption = "Italic On"
    Else
        Label1.Font.Italic = False
        ToggleButton2.Caption = "Italic Off"
    End If
End Sub

Private Sub ToggleButton3_Click()
    If ToggleButton3.Value = True Then
   Label1.Font.Strikethrough = True
   'Using Label1.Font directly
        ToggleButton3.Caption = "StrikeThrough On"
    Else
        Label1.Font.Strikethrough = False
        ToggleButton3.Caption = "StrikeThrough Off"
    End If
End Sub

Private Sub ToggleButton4_Click()
    If ToggleButton4.Value = True Then
        MyFont.Underline = True
          'Using MyFont alias for Label1.Font
        ToggleButton4.Caption = "Underline On"
    Else
        Label1.Font.Underline = False
        ToggleButton4.Caption = "Underline Off"
    End If
End Sub

Private Sub UserForm_Initialize()
    Set MyFont = Label1.Font

    ToggleButton1.Value = True
    ToggleButton1.Caption = "Bold On"

    Label1.AutoSize = True        'Set size of Label1
    Label1.AutoSize = False

    ToggleButton2.Value = False
    ToggleButton2.Caption = "Italic Off"

    ToggleButton3.Value = False
    ToggleButton3.Caption = "StrikeThrough Off"

    ToggleButton4.Value = False
    ToggleButton4.Caption = "Underline Off"

    Label2.Caption = "Font Weight"
    TextBox1.Text = Str(Label1.Font.Weight)
    TextBox1.Enabled = False
End Sub


Beispiel für die Eigenschaften BackColor, BackStyle, BorderColor, BorderStyle, ForeColor und SpecialEffect

Im folgenden Beispiel werden die Eigenschaften BorderStyle und SpecialEffect veranschaulicht, wobei jeder Rahmen angezeigt wird, der durch diese Eigenschaften verfügbar ist. Das Beispiel zeigt außerdem, wie Farbeinstellungen mit Hilfe der Eigenschaften BackColor, BackStyle, BorderColor und ForeColor gesteuert werden.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Sechs Textfeld-Steuerelemente (TextBox) mit den Namen TextBox1 bis TextBox6.

  • Zwei Umschaltfeld-Steuerelemente (ToggleButton) mit den Namen ToggleButton1 und ToggleButton2.
Private Sub UserForm_Initialize()
'Initialize each TextBox with a border style or special effect,
'and foreground and background colors

'TextBox1 initially uses a borderstyle
TextBox1.Text = "BorderStyle-Single"
TextBox1.BorderStyle = fmBorderStyleSingle
TextBox1.BorderColor = RGB(255, 128, 128)
'Color - Salmon
TextBox1.ForeColor = RGB(255, 255, 0)
'Color - Yellow
TextBox1.BackColor = RGB(0, 128, 64)
'Color - Green #2

'TextBoxes 2 through 6 initially use special effects
TextBox2.Text = "Flat"
TextBox2.SpecialEffect = fmSpecialEffectFlat
TextBox2.ForeColor = RGB(64, 0, 0)
'Color - Brown
TextBox2.BackColor = RGB(0, 0, 255)
'Color - Blue

'Ensure the background style for TextBox2 is initially
'opaque.
TextBox2.BackStyle = fmBackStyleOpaque

TextBox3.Text = "Etched"
TextBox3.SpecialEffect = fmSpecialEffectEtched
TextBox3.ForeColor = RGB(128, 0, 255)
'Color - Purple
TextBox3.BackColor = RGB(0, 255, 255)
'Color - Cyan

'Define BorderColor for later use (when borderstyle=fmBorderStyleSingle)
TextBox3.BorderColor = RGB(0, 0, 0)
'Color - Black

TextBox4.Text = "Bump"
TextBox4.SpecialEffect = fmSpecialEffectBump
TextBox4.ForeColor = RGB(255, 0, 255)
'Color - Magenta
TextBox4.BackColor = RGB(0, 0, 100)
'Color - Navy blue

TextBox5.Text = "Raised"
TextBox5.SpecialEffect = fmSpecialEffectRaised
TextBox5.ForeColor = RGB(255, 0, 0)
'Color - Red
TextBox5.BackColor = RGB(128, 128, 128)
'Color - Gray

TextBox6.Text = "Sunken"
TextBox6.SpecialEffect = fmSpecialEffectSunken
TextBox6.ForeColor = RGB(0, 64, 0)
'Color - Olive
TextBox6.BackColor = RGB(0, 255, 0)
'Color - Green #1

ToggleButton1.Caption = "Swap styles"
ToggleButton2.Caption = "Transparent/Opaque " _
    & "background"
End Sub

Private Sub ToggleButton1_Click()

'Swap borders between TextBox1 and TextBox3
If ToggleButton1.Value = True Then
    'Change TextBox1 from BorderStyle to Etched
    TextBox1.Text = "Etched"
    TextBox1.SpecialEffect = fmSpecialEffectEtched

    'Change TextBox3 from Etched to BorderStyle
    TextBox3.Text = "BorderStyle-Single"
    TextBox3.BorderStyle = fmBorderStyleSingle
Else
    'Change TextBox1 back to BorderStyle
    TextBox1.Text = "BorderStyle-Single"
    TextBox1.BorderStyle = fmBorderStyleSingle

    'Change TextBox3 back to Etched
    TextBox3.Text = "Etched"
    TextBox3.SpecialEffect = fmSpecialEffectEtched
End If
End Sub
Private Sub ToggleButton2_Click()
'Set background to Opaque or Transparent
If ToggleButton2.Value = True Then
    'Change TextBox2 to a transparent background
    TextBox2.BackStyle = fmBackStyleTransparent
Else
    'Change TextBox2 back to opaque background
    TextBox2.BackStyle = fmBackStyleOpaque
End If
End Sub


Beispiel für Listenfeld-Steuerelement und BoundColumn-Eigenschaft

Im folgenden Beispiel wird gezeigt, wie die BoundColumn-Eigenschaft den Wert eines Listenfeld-Steuerelements (ListBox) beeinflusst. Der Benutzer kann den Wert des Listenfeld-Steuerelements entweder auf den Indexwert der angegebenen Zeile setzen oder auf eine bestimmte Datenspalte in dem Listenfeld-Steuerelement.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Listenfeld-Steuerelement (ListBox) mit dem Namen ListBox1.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1.

  • Drei Optionsfeld-Steuerelemente (OptionButton) mit den Namen OptionButton1, 2 und 3.
Private Sub UserForm_Initialize()
    ListBox1.ColumnCount = 2

    ListBox1.AddItem "Item 1, Column 1"
    ListBox1.List(0, 1) = "Item 1, Column 2"
    ListBox1.AddItem "Item 2, Column 1"
    ListBox1.List(1, 1) = "Item 2, Column 2"

    ListBox1.Value = "Item 1, Column 1"

    OptionButton1.Caption = "List Index"
    OptionButton2.Caption = "Column 1"
    OptionButton3.Caption = "Column 2"
    OptionButton2.Value = True
End Sub

Private Sub OptionButton1_Click()
    ListBox1.BoundColumn = 0
    Label1.Caption = ListBox1.Value
End Sub

Private Sub OptionButton2_Click()
    ListBox1.BoundColumn = 1
    Label1.Caption = ListBox1.Value
End Sub

Private Sub OptionButton3_Click()
    ListBox1.BoundColumn = 2
    Label1.Caption = ListBox1.Value
End Sub

Private Sub ListBox1_Click()
    Label1.Caption = ListBox1.Value
End Sub


Beispiel für DblClick-Ereignis, CanPaste-Eigenschaft sowie Paste- und Copy-Methode

Im folgenden Beispiel wird mit Hilfe der CanPaste-Eigenschaft und der Paste-Methode ein Kombinationsfeld-Steuerelement (ComboBox) aus der Zwischenablage in ein Page-Objekt eines Multiseiten-Steuerelements (MultiPage) eingefügt. Außerdem werden die Methoden SetFocus und Copy verwendet, um ein Steuerelement aus dem Formular in die Zwischenablage zu kopieren.

Der Benutzer klickt auf CommandButton1, um das Kombinationsfeld-Steuerelement (ComboBox) in die Zwischenablage zu kopieren. Er doppelklickt (mit Hilfe des DblClick-Ereignisses) auf CommandButton1, um das Kombinationsfeld-Steuerelement in das Multiseiten-Steuerelement (MultiPage) einzufügen.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit dem Namen ComboBox1.

  • Ein Multiseiten-Steuerelement (MultiPage) mit dem Namen MultiPage1.

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.

Anmerkung Dieses Beispiel enthält auch eine Subroutine, die das Einfügen von Text in ein Steuerelement veranschaulicht.

Private Sub UserForm_Initialize()
    ComboBox1.AddItem "It's a beautiful day!"

    CommandButton1.Caption = "Copy ComboBox to " _
        & "Clipboard"
    CommandButton1.AutoSize = True
End Sub

Private Sub MultiPage1_DblClick(ByVal Index As Long, _
    ByVal Cancel As MSForms.ReturnBoolean)
    If MultiPage1.Pages(MultiPage1.Value).CanPaste = _
        True
     Then
        MultiPage1.Pages(MultiPage1.Value).Paste
    Else
        TextBox1.Text = "Can't Paste"
    End If
End Sub

Private Sub CommandButton1_Click()
        UserForm1.ComboBox1.SetFocus
        UserForm1.Copy
End Sub

'Code for pasting text into a control
'Private Sub ComboBox1_DblClick(ByVal Cancel As _
    MSForms.ReturnBoolean)
'   If ComboBox1.CanPaste = True Then
'        ComboBox1.Paste
'    Else
'        TextBox1.Text = "Can't Paste"
'    End If

'End Sub


Beispiel für die Eigenschaften CanUndo und CanRedo sowie die Methoden UndoAction und RedoAction

Im folgenden Beispiel wird gezeigt, wie die Textbearbeitung in einem Textfeld oder im Textbereich eines Kombinationsfeld-Steuerelements (ComboBox) rückgängig gemacht oder wiederholt werden kann. Dieser Code prüft, ob eine Rückgängigmachen- oder Wiederholen-Operation erfolgen kann und führt dann die entsprechende Aktion aus. Dabei werden die Eigenschaften CanUndo und CanRedo sowie die Methoden UndoAction und RedoAction verwendet.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit dem Namen ComboBox1.

  • Zwei Befehlsschaltfläche-Steuerelemente (CommandButton) mit den Namen CommandButton1 und CommandButton2.
Private Sub CommandButton1_Click()
    If UserForm1.CanUndo = True Then
        UserForm1.UndoAction
        MsgBox "Undid IT"
    Else
        MsgBox "No undo performed."
    End If
End Sub

Private Sub CommandButton2_Click()
    If UserForm1.CanRedo = True Then
        UserForm1.RedoAction
        MsgBox "Redid IT"
    Else
        MsgBox "No redo performed."
    End If
End Sub

Private Sub UserForm_Initialize()
    TextBox1.Text = "Type your text here."

    ComboBox1.ColumnCount = 3
    ComboBox1.AddItem "Choice 1, column 1"
    ComboBox1.List(0, 1) = "Choice 1, column 2"
    ComboBox1.List(0, 2) = "Choice 1, column 3"

    CommandButton1.Caption = "Undo"
    CommandButton2.Caption = "Redo"
End Sub


Beispiel für Listenfeld-Steuerelement sowie die Eigenschaften Column, ColumnCount und List

Im folgenden Beispiel werden ein zweidimensionales Datenfeld mit Daten sowie mit Hilfe der Eigenschaften Column und List zwei Listenfeld-Steuerelemente (ListBox) geladen. Beachten Sie, dass die Column-Eigenschaft die Datenfeldelemente während des Ladens transponiert.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss zwei Listenfeld-Steuerelemente (ListBox) mit den Namen ListBox1 und ListBox2 enthalten.

Dim MyArray(6,3)

Private Sub UserForm_Initialize()
    Dim i As Single
     'The 1-st list box contains 3 data columns
    ListBox1.ColumnCount = 3
    'The 2nd box contains 6 data columns
     ListBox2.ColumnCount = 6

    'Load integer values into first column of MyArray
    For i = 0 To 5
        MyArray(i, 0) = i
    Next i

    'Load columns 2 and three of MyArray
    MyArray(0, 1) = "Zero"
    MyArray(1, 1) = "One"
    MyArray(2, 1) = "Two"
    MyArray(3, 1) = "Three"
    MyArray(4, 1) = "Four"
    MyArray(5, 1) = "Five"

    MyArray(0, 2) = "Zero"
    MyArray(1, 2) = "Un ou Une"
    MyArray(2, 2) = "Deux"
    MyArray(3, 2) = "Trois"
    MyArray(4, 2) = "Quatre"
    MyArray(5, 2) = "Cinq"

    'Load data into ListBox1 and ListBox2
    ListBox1.List() = MyArray
    ListBox2.Column() = MyArray

End Sub


Beispiel für Listenfeld-Steuerelement sowie die Eigenschaften ColumnCount und ColumnWidths

Im folgenden Beispiel werden anhand der ColumnWidths-Eigenschaft die Spaltenbreiten in einem mehrspaltigen Listenfeld-Steuerelement (ListBox) geändert. Dabei werden drei Textfeld-Steuerelemente (TextBox) verwendet, um die einzelnen Spaltenbreiten anzugeben, und die Maßeinheiten der einzelnen Textfeld-Steuerelemente werden mit Hilfe des Exit-Ereignisses angegeben.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Listenfeld-Steuerelement (ListBox) mit dem Namen ListBox1.

  • Drei Textfeld-Steuerelemente (TextBox) mit den Namen TextBox1, 2 und 3.

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.

Geben Sie den Wert 0 ein, um eine Spalte auszublenden.

Dim MyArray(2, 3) As String

Private Sub CommandButton1_Click()
    'ColumnWidths requires a value for each column
    'separated by semicolons
    ListBox1.ColumnWidths = TextBox1.Text & ";" _
        & TextBox2.Text & ";" & TextBox3.Text
End Sub
Private Sub TextBox1_Exit(ByVal Cancel As _
    MSForms.ReturnBoolean)
    'ColumnWidths accepts points (no units), inches
    'or centimeters; make inches the default
    If Not (InStr(TextBox1.Text, "in") > 0 Or _
     InStr(TextBox1.Text, "cm") > 0) Then
        TextBox1.Text = TextBox1.Text & " in"
    End If
End Sub
Private Sub TextBox2_Exit(ByVal Cancel As _
    MSForms.ReturnBoolean)
    'ColumnWidths accepts points (no units), inches
    'or centimeters; make inches the default
    If Not (InStr(TextBox2.Text, "in") > 0 Or _
     InStr(TextBox2.Text, "cm") > 0) Then
        TextBox2.Text = TextBox2.Text & " in"
    End If
End Sub
Private Sub TextBox3_Exit(ByVal Cancel as MSForms.ReturnBoolean)
    'ColumnWidths accepts points (no units), inches or
    'centimeters; make inches the default
    If Not (InStr(TextBox3.Text, "in") > 0 Or _
     InStr(TextBox3.Text, "cm") > 0) Then
        TextBox3.Text = TextBox3.Text & " in"
    End If
End Sub
Private Sub UserForm_Initialize()
Dim i, j, Rows As Single

ListBox1.ColumnCount = 3
Rows = 2

For j = 0 To ListBox1.ColumnCount - 1
    For i = 0 To Rows - 1
        MyArray(i, j) = "Row " & i & ", Column " & j
    Next i
Next j
'Load MyArray into ListBox1
ListBox1.List() = MyArray
'1-inch columns initially
TextBox1.Text = "1 in"
TextBox2.Text = "1 in"
TextBox3.Text = "1 in"
End Sub


Beispiel für Controls-Auflistung und Move-Methode

Im folgenden Beispiel wird mit Hilfe einer For Each...Next-Schleife auf einzelne Steuerelemente aus der Controls-Auflistung zugegriffen. Wenn der Benutzer auf CommandButton1 klickt, werden die anderen Steuerelemente mit Hilfe der Move-Methode in einer Spalte entlang des linken Formularrands platziert.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1 und mehrere andere Steuerelemente enthalten.

Dim CtrlHeight As Single
Dim CtrlTop As Single
Dim CtrlGap As Single

Private Sub CommandButton1_Click()
    Dim MyControl As Control
    CtrlTop = 5

    For Each MyControl In Controls
        If MyControl.Name = "CommandButton1" Then
            'Don't move or resize this control.
        Else
            'Move method using named arguments
        MyControl.Move Top:=CtrlTop, _
            Height:=CtrlHeight, Left:=5

        'Move method using unnamed arguments (left,
        'top, width, height)
        'MyControl.Move 5, CtrlTop, ,CtrlHeight

            'Calculate top coordinate for next control
            CtrlTop = CtrlTop + CtrlHeight + CtrlGap
        End If
    Next

End Sub
Private Sub UserForm_Initialize()
    CtrlHeight = 20
    CtrlGap = 5

    CommandButton1.Caption = "Click to move controls"
    CommandButton1.AutoSize = True
    CommandButton1.Left = 120
    CommandButton1.Top = CtrlTop
End Sub


Beispiel für Move-Methode

Das folgende Beispiel veranschaulicht das Verschieben aller Steuerelemente in einem Formular mit Hilfe der Move-Methode und der Controls-Auflistung. Der Benutzer klickt auf das Befehlsschaltfläche-Steuerelement (CommandButton), um die Steuerelemente zu verschieben.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1 und mehrere andere Steuerelemente enthalten.

Private Sub CommandButton1_Click()
    'Move each control on the form right 25 points
     'and up 25 points.
Controls.Move 25, -25
End Sub


Beispiel für Page-Objekt, Befehlsschaltfläche- und Multiseiten-Steuerelement sowie ControlTipText-Eigenschaft

Im folgenden Beispiel wird die ControlTipText-Eigenschaft für drei Befehlsschaltfläche-Steuerelemente (CommandButton) und zwei Page-Objekte in einem Multiseiten-Steuerelement (MultiPage) definiert.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Multiseiten-Steuerelement (MultiPage) mit dem Namen MultiPage1.

  • Drei Befehlsschaltfläche-Steuerelemente (CommandButton) mit den Namen CommandButton1, 2 und 3.

Anmerkung Für ein einzelnes Page-Objekt eines Multiseiten-Steuerelements (MultiPage) wird ControlTipText aktiviert, wenn das Multiseiten-Steuerelement oder ein Steuerelement auf der aktuellen Seite des Multiseiten-Steuerelements den Fokus hat.

Private Sub UserForm_Initialize()
    MultiPage1.Page1.ControlTipText = "Here in page 1"
    MultiPage1.Page2.ControlTipText = "Now in page 2"

    CommandButton1.ControlTipText = "And now here's"
    CommandButton2.ControlTipText = "a tip from"
    CommandButton3.ControlTipText = "your controls!"
End Sub


Beispiel für Listenfeld-Steuerelement sowie die Eigenschaften BoundColumn, ControlSource und RowSource

Im folgenden Beispiel wird ein Bereich von Tabellenblattzellen in einem Listenfeld-Steuerelement (ListBox) verwendet und, wenn der Benutzer eine Zeile in der Liste auswählt, der Zeilenindex in einer anderen Tabellenblattzelle angezeigt. Hierbei werden die Eigenschaften RowSource, BoundColumn und ControlSource eingesetzt.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss ein Listenfeld-Steuerelement (ListBox) mit dem Namen ListBox1 enthalten. Geben Sie im Tabellenblatt Daten in den Zellen A1:E4 ein. Stellen Sie außerdem sicher, dass die Zelle A6 keine Daten enthält.

Private Sub UserForm_Initialize()

ListBox1.ColumnCount = 5
ListBox1.RowSource = "a1:e4"

ListBox1.ControlSource = "a6"
'Place the ListIndex into cell a6
ListBox1.BoundColumn = 0
End Sub


Beispiel für Count-Eigenschaft

Im folgenden Beispiel wird die Count-Eigenschaft der Controls-Auflistung für das Formular sowie die Count-Eigenschaft angezeigt, die die Anzahl der Seiten und der Registerkarten jedes Multiseiten- (MultiPage) und Register-Steuerelements (TabStrip) angibt.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular kann beliebig viele Steuerelemente enthalten, wobei folgende Einschränkungen gelten:

  • Die Namen von Multiseiten-Steuerelementen (MultiPage) müssen mit "MultiPage" beginnen.

  • Die Namen von Register-Steuerelementen (TabStrip) müssen mit "TabStrip" beginnen.

Anmerkung Sie können einem Multiseiten-Steuerelement (MultiPage) Seiten bzw. einem Register-Steuerelement (TabStrip) Registerkarten hinzufügen. Doppelklicken Sie dazu in Windows auf das Steuerelement, klicken Sie mit der rechten Maustaste in den Registerkartenbereich des Steuerelements, und klicken Sie im Kontextmenü auf Neue Seite.

Private Sub UserForm_Initialize()
    Dim MyControl As Control

    MsgBox "UserForm1.Controls.Count = " _
        & Controls.Count

    For Each MyControl In Controls
        If (MyControl.Name Like "MultiPage*") Then
            MsgBox MyControl.Name _
                    & ".Pages.Count = " _
                    & MyControl.Pages.Count
        ElseIf (MyControl.Name Like "TabStrip*") Then
            MsgBox MyControl.Name & ".Tabs.Count = " _
                    & MyControl.Tabs.Count
        End If
    Next

End Sub


Beispiel für KeyDown-Ereignis, Textfeld-Steuerelement sowie die Eigenschaften CurLine, CurTargetX, CurX und Text

Im folgenden Beispiel werden die Einstellungen für die Eigenschaften CurLine, CurTargetX und CurX in einem mehrzeiligen Textfeld-Steuerelement (TextBox) erfasst. Diese Einstellungen ändern sich im KeyUp-Ereignis, wenn der Benutzer eine Eingabe in der Text-Eigenschaft vornimmt, die Einfügemarke verschiebt und die Auswahl mit Hilfe der Tastatur erweitert.

Wenn Sie dieses Beispiel verwenden möchten, gehen Sie wie im Folgenden beschrieben vor:

  1. Kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars.

  2. Fügen Sie dem Formular ein großes Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1 hinzu.

  3. Fügen Sie drei Textfeld-Steuerelemente (TextBox) mit den Namen TextBox2, TextBox3 und TextBox4 in einer Spalte hinzu.
Private Sub TextBox1_KeyUp(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
    TextBox2.Text = TextBox1.CurLine
    TextBox3.Text = TextBox1.CurX
    TextBox4.Text = TextBox1.CurTargetX
End Sub
Private Sub UserForm_Initialize()
    TextBox1.MultiLine = True

    TextBox1.Text = "Type your text here. User CTRL + ENTER to start a new line."
End Sub


Beispiel für Methoden Add, Cut und Paste, Page-Objekt sowie Multiseiten-Steuerelement

Im folgenden Beispiel wird mit Hilfe der Methoden Add, Cut und Paste ein Steuerelement aus einem Page-Objekt eines Multiseiten-Steuerelements (MultiPage) ausgeschnitten und eingefügt. Das beim Ausschneiden und Einfügen verwendete Steuerelement wird dem Formular dynamisch hinzugefügt.

Bei diesem Beispiel wird davon ausgegangen, dass der Benutzer das neue Steuerelement zuerst hinzufügt und dann ausschneidet und einfügt.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Drei Befehlsschaltfläche-Steuerelemente (CommandButton) mit den Namen CommandButton1, 2 und 3.

  • Ein Multiseiten-Steuerelement (MultiPage) mit dem Namen MultiPage1.
Dim MyTextBox As Control

Private Sub CommandButton1_Click()
    Set MyTextBox = MultiPage1.Pages(MultiPage1.Value).Controls_
    .Add("MSForms.TextBox.1", "MyTextBox", Visible)
    CommandButton2.Enabled = True
    CommandButton1.Enabled = False
End Sub

Private Sub CommandButton2_Click()
    MultiPage1.Pages(MultiPage1.Value).Controls.Cut
    CommandButton3.Enabled = True
    CommandButton2.Enabled = False
End Sub

Private Sub CommandButton3_Click()
    Dim MyPage As Object
    Set MyPage = _
        MultiPage1.Pages.Item(MultiPage1.Value)

    MyPage.Paste
    CommandButton3.Enabled = False
End Sub

Private Sub UserForm_Initialize()
    CommandButton1.Caption = "Add"
    CommandButton2.Caption = "Cut"
    CommandButton3.Caption = "Paste"

    CommandButton1.Enabled = True
    CommandButton2.Enabled = False
    CommandButton3.Enabled = False
End Sub


Beispiel für Cut- und Paste-Methode sowie Textfeld-Steuerelement

Im folgenden Beispiel wird mit Hilfe der Methoden Cut und Paste Text aus einem Textfeld-Steuerelement (TextBox) ausgeschnitten und in einem anderen Textfeld-Steuerelement eingefügt.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Zwei Textfeld-Steuerelemente (TextBox) mit den Namen TextBox1 und TextBox2.

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.
Private Sub UserForm_Initialize()
    TextBox1.Text = "From TextBox1!"
    TextBox2.Text = "Hello "

    CommandButton1.Caption = "Cut and Paste"
    CommandButton1.AutoSize = True
End Sub

Private Sub CommandButton1_Click()
    TextBox2.SelStart = 0
    TextBox2.SelLength = TextBox2.TextLength
    TextBox2.Cut

    TextBox1.SetFocus
    TextBox1.SelStart = 0

    TextBox1.Paste
    TextBox2.SelStart = 0
End Sub


Beispiel für Cycle-Eigenschaft

Im folgenden Beispiel wird die Cycle-Eigenschaft für ein Rahmen-Steuerelement (Frame) und zwei Page-Objekte in einem Multiseiten-Steuerelement (MultiPage) definiert.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Rahmen-Steuerelement (Frame) mit dem Namen Frame1.

  • Ein Multiseiten-Steuerelement (MultiPage) mit dem Namen MultiPage1, das die zwei Objekte Page1 und Page2 enthält.

  • Zwei Befehlsschaltfläche-Steuerelemente (CommandButton) mit den Namen CommandButton1 und CommandButton2.

Platzieren Sie in dem Formular, im Rahmen-Steuerelement (Frame) und in jedem Page-Objekt des Multiseiten-Steuerelements (MultiPage) einige Steuerelemente, damit Sie sehen, wie sich Cycle auf die Aktivierreihenfolge des Rahmen- und des Multiseiten-Steuerelements auswirkt.

Der Benutzer sollte mit der TAB-TASTE von einem Steuerelement zum nächsten wechseln, um zu beobachten, welche Wirkung Cycle auf die Aktivierreihenfolge hat. Durch Klicken auf CommandButton1 wird die Aktivierreihenfolge auf die Steuerelemente im Frame- und im Page-Objekt erweitert. Durch Klicken auf CommandButton2 wird die Aktivierreihenfolge eingeschränkt.

Private Sub RestrictCycles()
'Limit tab order for the Frame and Page objects
    Frame1.Cycle = fmCycleCurrentForm
    MultiPage1.Page1.Cycle = fmCycleCurrentForm
    MultiPage1.Page2.Cycle = fmCycleCurrentForm
End Sub

Private Sub UserForm_Initialize()
    RestrictCycles
End Sub

Private Sub CommandButton1_Click()
'Extend tab order subforms (the Frame and Page
'objects)
    Frame1.Cycle = fmCycleAllForms
    MultiPage1.Page1.Cycle = fmCycleAllForms
    MultiPage1.Page2.Cycle = fmCycleAllForms
End Sub

Private Sub CommandButton2_Click()
    RestrictCycles
End Sub


Beispiel für SpinDown- und SpinUp-Ereignis sowie Delay-Eigenschaft

Das folgende Beispiel veranschaulicht das Zeitintervall, das zwischen aufeinander folgenden Change-, SpinUp- und SpinDown-Ereignissen besteht, wenn ein Benutzer die Maustaste gedrückt hält, um den Wert in einem Drehfeld- (SpinButton) oder Bildlaufleiste-Steuerelement (ScrollBar) zu ändern.

In diesem Beispiel wählt der Benutzer eine Einstellung für die Verzögerung aus und hält dann eine der beiden Seiten eines Drehfeld-Steuerelements (SpinButton) gedrückt. Die SpinUp- und SpinDown-Ereignisse werden in einem Listenfeld-Steuerelement (ListBox) aufgezeichnet, wenn sie initiiert werden.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Drehfeld-Steuerelement (SpinButton) mit dem Namen SpinButton1.

  • Zwei Optionsfeld-Steuerelemente (OptionButton) mit den Namen OptionButton1 und OptionButton2.

  • Ein Listenfeld-Steuerelement (ListBox) mit dem Namen ListBox1.
Dim EventCount As Long

Private Sub ResetControl()
    ListBox1.Clear
    EventCount = 0
    SpinButton1.Value = 5000
End Sub

Private Sub UserForm_Initialize()
    SpinButton1.Min = 0
    SpinButton1.Max = 10000
    ResetControl

    SpinButton1.Delay = 50
    OptionButton1.Caption = "50 millisecond delay"
    OptionButton2.Caption = "250 millisecond delay"

    OptionButton1.Value = True
End Sub

Private Sub OptionButton1_Click()
    SpinButton1.Delay = 50
    ResetControl
End Sub

Private Sub OptionButton2_Click()
    SpinButton1.Delay = 250
    ResetControl
End Sub

Private Sub SpinButton1_SpinDown()
    EventCount = EventCount + 1
    ListBox1.AddItem EventCount
End Sub

Private Sub SpinButton1_SpinUp()
    EventCount = EventCount + 1
    ListBox1.AddItem EventCount
End Sub


Beispiel für Listenfeld-Steuerelement, DataObject-Objekt, MouseMove-Ereignis sowie StartDrag- und SetText-Methode

Im folgenden Beispiel wird eine Drag & Drop-Operation von einem Listenfeld-Steuerelement (ListBox) zu einem anderen veranschaulicht, wobei der durch Drag & Drop übertragene Text in einem DataObject-Objekt enthalten ist. Bei diesem Beispiel wird die Drag & Drop-Operation mit Hilfe der Methoden SetText und StartDrag im MouseMove-Ereignis implementiert.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss zwei Listenfeld-Steuerelemente (ListBox) mit den Namen ListBox1 und ListBox2 enthalten. Außerdem müssen Sie dem zweiten Listenfeld-Steuerelement (ListBox) Auswahlmöglichkeiten hinzufügen.

Private Sub ListBox2_BeforeDragOver(ByVal Cancel As _
    MSForms.ReturnBoolean, ByVal Data As _
    MSForms.DataObject, ByVal X As Single, _
    ByVal Y As Single, ByVal DragState As Long, _
    ByVal Effect As MSForms.ReturnEffect, _
    ByVal Shift As Integer)
    Cancel = True
    Effect = 1
End Sub

Private Sub ListBox2_BeforeDropOrPaste(ByVal _
    Cancel As MSForms.ReturnBoolean, _
    ByVal Action As Long, ByVal Data As _
    MSForms.DataObject, ByVal X As Single, _
    ByVal Y As Single, ByVal Effect As _
    MSForms.ReturnEffect, ByVal Shift As Integer)
    Cancel = True
    Effect = 1
    ListBox2.AddItem Data.GetText
End Sub

Private Sub ListBox1_MouseMove(ByVal Button As _
     Integer, ByVal Shift As Integer, ByVal X As _
     Single, ByVal Y As Single)
    Dim MyDataObject As DataObject
    If Button = 1 Then
        Set MyDataObject = New DataObject
        Dim Effect As Integer
        MyDataObject.SetText ListBox1.Value
        Effect = MyDataObject.StartDrag
    End If
End Sub

Private Sub UserForm_Initialize()
    For i = 1 To 10
        ListBox1.AddItem "Choice " _
            & (ListBox1.ListCount + 1)
    Next i
End Sub


Beispiel für Eigenschaften DragBehavior und EnterFieldBehavior

Im folgenden Beispiel wird anhand der Eigenschaften DragBehavior und EnterFieldBehavior gezeigt, welches unterschiedliche Verhalten beim Eingeben eines Steuerelements und beim Ziehen von Daten von einem Steuerelement zum anderen erzielt werden kann.

In diesem Beispiel werden zwei Textfeld-Steuerelemente (TextBox) verwendet. Sie können für jedes Steuerelement die Eigenschaften DragBehavior und EnterFieldBehavior definieren und beobachten, wie sich diese Einstellungen auf das Ziehen von einem Steuerelement zum anderen auswirken.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.

  • Zwei Umschaltfeld-Steuerelemente (ToggleButton) mit den Namen ToggleButton1 und ToggleButton2. Diese Steuerelemente sind mit TextBox1 verknüpft.

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox2.

  • Zwei Umschaltfeld-Steuerelemente (ToggleButton) mit den Namen ToggleButton3 und ToggleButton4. Diese Steuerelemente sind mit TextBox2 verknüpft.
Private Sub UserForm_Initialize()
    TextBox1.Text = "Once upon a time in a land ...,"
    ToggleButton1.Value = True
    ToggleButton1.Caption = "Drag Enabled"
    ToggleButton1.WordWrap = True
    TextBox1.DragBehavior = fmDragBehaviorEnabled

    ToggleButton2.Value = True
    ToggleButton2.Caption = "Recall Selection"
    ToggleButton2.WordWrap = True
    TextBox1.EnterFieldBehavior = _
        fmEnterFieldBehaviorRecallSelection

    TextBox2.Text = "XXX, YYYY"
    ToggleButton3.Value = False
    ToggleButton3.Caption = "Drag Disabled"
    ToggleButton3.WordWrap = True
    TextBox2.DragBehavior = fmDragBehaviorDisabled

    ToggleButton4.Value = False
    ToggleButton4.Caption = "Select All"
    ToggleButton4.WordWrap = True
    TextBox2.EnterFieldBehavior = _
        fmEnterFieldBehaviorSelectAll
End Sub

Private Sub ToggleButton1_Click()
    If ToggleButton1.Value = True Then
       ToggleButton1.Caption = "Drag Enabled"
       TextBox1.DragBehavior = fmDragBehaviorEnabled
    Else
       ToggleButton1.Caption = "Drag Disabled"
       TextBox1.DragBehavior = fmDragBehaviorDisabled
    End If
End Sub

Private Sub ToggleButton2_Click()
    If ToggleButton2.Value = True Then
        ToggleButton2.Caption = "Recall Selection"
        TextBox1.EnterFieldBehavior = _
            fmEnterFieldBehaviorRecallSelection
    Else
        ToggleButton2.Caption = "Select All"
        TextBox1.EnterFieldBehavior = _
            fmEnterFieldBehaviorSelectAll
    End If
End Sub

Private Sub ToggleButton3_Click()
    If ToggleButton3.Value = True Then
       ToggleButton3.Caption = "Drag Enabled"
       TextBox2.DragBehavior = fmDragBehaviorEnabled
    Else
       ToggleButton3.Caption = "Drag Disabled"
       TextBox2.DragBehavior = fmDragBehaviorDisabled
    End If
End Sub

Private Sub ToggleButton4_Click()
    If ToggleButton4.Value = True Then
        ToggleButton4.Caption = "Recall Selection"
        TextBox2.EnterFieldBehavior = _
            fmEnterFieldBehaviorRecallSelection
    Else
       ToggleButton4.Caption = "Select All"
       TextBox2.EnterFieldBehavior = _
            fmEnterFieldBehaviorSelectAll
    End If
End Sub


Beispiel für Eigenschaften Locked, DropButtonStyle und ShowDropButtonWhen

Das folgende Beispiel zeigt die unterschiedlichen Symbole, die Sie für einen Dropdownpfeil in einem Kombinationsfeld- (ComboBox) oder Textfeld-Steuerelement (TextBox) angeben können. In diesem Beispiel wählt der Benutzer einen Stil für einen Dropdownpfeil in einem Kombinationsfeld-Steuerelement (ComboBox) aus. Hierbei wird außerdem die Locked-Eigenschaft verwendet. Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit dem Namen ComboBox1.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1.

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1, das sich unterhalb von Label1 befindet.
Private Sub ComboBox1_Click()
    ComboBox1.DropButtonStyle = ComboBox1.Value
    TextBox1.DropButtonStyle = ComboBox1.Value
End Sub

Private Sub UserForm_Initialize()
    ComboBox1.ColumnCount = 2
    ComboBox1.BoundColumn = 2
    ComboBox1.TextColumn = 1

    ComboBox1.AddItem "Blank Button"
    ComboBox1.List(0, 1) = 0
    ComboBox1.AddItem "Down Arrow"
    ComboBox1.List(1, 1) = 1
    ComboBox1.AddItem "Ellipsis"
    ComboBox1.List(2, 1) = 2
    ComboBox1.AddItem "Underscore"
    ComboBox1.List(3, 1) = 3

    ComboBox1.Value = 0

    TextBox1.Text = "TextBox1"
    TextBox1.ShowDropButtonWhen = fmShowDropButtonWhenAlways
    TextBox1.Locked = True

    Label1.Caption = "TheDropButton also " _
        & "applies to a TextBox."
    Label1.AutoSize = True
    Label1.WordWrap = False
End Sub


Beispiel für DropDown-Methode

Im folgenden Beispiel wird mit Hilfe der DropDown-Methode die Liste in einem Kombinationsfeld-Steuerelement (ComboBox) angezeigt. Der Benutzer kann die Liste eines Kombinationsfeld-Steuerelements durch Klicken auf das Befehlsschaltfläche-Steuerelement (CommandButton) einblenden.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit dem Namen ComboBox1.

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.
Private Sub CommandButton1_Click()
    ComboBox1.DropDown
End Sub

Private Sub UserForm_Initialize()
    ComboBox1.AddItem "Turkey"
    ComboBox1.AddItem "Chicken"
    ComboBox1.AddItem "Duck"
    ComboBox1.AddItem "Goose"
    ComboBox1.AddItem "Grouse"
End Sub


Beispiel für Kontrollkästchen-Steuerelement sowie Enabled- und Locked-Eigenschaft

Das folgende Beispiel veranschaulicht die Eigenschaften Enabled und Locked und wie sie sich ergänzen. In diesem Beispiel wird jede Eigenschaft unabhängig von der anderen mit einem Kontrollkästchen-Steuerelement (CheckBox) angezeigt, so dass Sie die Einstellungen einzeln und kombiniert beobachten können. Hierbei wird außerdem ein zweites Textfeld-Steuerelement (TextBox) verwendet, damit Sie Daten zwischen den Textfeldern kopieren und einfügen und so die Aktionen überprüfen können, die von den Einstellungen dieser Eigenschaften unterstützt werden.

Anmerkung Sie können die Auswahl mit STRG+C in die Zwischenablage kopieren und mit STRG+V einfügen.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.

  • Zwei Kontrollkästchen-Steuerelemente (CheckBox) mit den Namen CheckBox1 und CheckBox2.

  • Ein zweites Textfeld-Steuerelement (TextBox) mit dem Namen TextBox2.
Private Sub CheckBox1_Change()
    TextBox2.Text = "TextBox2"
    TextBox1.Enabled = CheckBox1.Value
End Sub

Private Sub CheckBox2_Change()
    TextBox2.Text = "TextBox2"
    TextBox1.Locked = CheckBox2.Value
End Sub

Private Sub UserForm_Initialize()
    TextBox1.Text = "TextBox1"
    TextBox1.Enabled = True
    TextBox1.Locked = False

    CheckBox1.Caption = "Enabled"
    CheckBox1.Value = True

    CheckBox2.Caption = "Locked"
    CheckBox2.Value = False

    TextBox2.Text = "TextBox2"
End Sub


Beispiel für Eigenschaften EnterKeyBehavior und MultiLine

Im folgenden Beispiel wird die EnterKeyBehavior-Eigenschaft verwendet, um die Wirkung von ENTER in einem Textfeld-Steuerelement (TextBox) zu steuern. Der Benutzer kann in diesem Beispiel entweder ein einzeiliges oder ein mehrzeiliges Textfeld-Steuerelement angeben.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.

  • Zwei Umschaltfeld-Steuerelemente (ToggleButton) mit den Namen ToggleButton1 und ToggleButton2.
Private Sub UserForm_Initialize()
    TextBox1.EnterKeyBehavior = True
    ToggleButton1.Caption = "EnterKeyBehavior is True"
    ToggleButton1.Width = 70
    ToggleButton1.Value = True

    TextBox1.MultiLine = True
    ToggleButton2.Caption = "MultiLine is True"
    ToggleButton2.Width = 70
    ToggleButton2.Value = True

    TextBox1.Height = 100
    TextBox1.WordWrap = True
    TextBox1.Text = "Type your text here. If " _
        & "EnterKeyBehavior is True, " _
        & "press Enter to start a new line. Otherwise, press SHIFT+ENTER."
End Sub

Private Sub ToggleButton1_Click()
    If ToggleButton1.Value = True Then
        TextBox1.EnterKeyBehavior = True
        ToggleButton1.Caption = _
            "EnterKeyBehavior is True"
    Else
        TextBox1.EnterKeyBehavior = False
        ToggleButton1.Caption = _
            "EnterKeyBehavior is False"
    End If
End Sub

Private Sub ToggleButton2_Click()
    If ToggleButton2.Value = True Then
        TextBox1.MultiLine = True
        ToggleButton2.Caption = "MultiLine TextBox"
    Else
        TextBox1.MultiLine = False
        ToggleButton2.Caption = "Single-line TextBox"
    End If
End Sub


Beispiel für Methoden GetFormat, GetText und SetText

Im folgenden Beispiel wird mit Hilfe der Methoden GetFormat, GetText und SetText Text zwischen einem DataObject-Objekt und der Zwischenablage übertragen.

Der Benutzer gibt Text in einem Textfeld-Steuerelement (TextBox) ein und kann diesen Text dann in einem Standardtextformat in ein DataObject-Objekt übertragen, indem er auf CommandButton1 klickt. Durch Klicken auf CommandButton2 wird der Text aus dem DataObject-Objekt abgerufen. Mit CommandButton3 wird der Text aus TextBox1 in einem benutzerdefinierten Format in das DataObject-Objekt kopiert. Durch Klicken auf CommandButton4 wird der Text in einem benutzerdefinierten Format aus dem DataObject-Objekt abgerufen.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.

  • Vier Befehlsschaltfläche-Steuerelemente (CommandButton) mit den Namen CommandButton1, 2, 3 und 4.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1.
Dim MyDataObject As DataObject

Private Sub CommandButton1_Click()
'Put standard format on Clipboard
    If TextBox1.TextLength > 0 Then
        Set MyDataObject = New DataObject
        MyDataObject.SetText TextBox1.Text
        Label1.Caption = "Put on D.O."
        CommandButton2.Enabled = True
        CommandButton4.Enabled = False
    End If
End Sub

Private Sub CommandButton2_Click()
'Get standard format from Clipboard
    If MyDataObject.GetFormat(1) = True Then
        Label1.Caption = "Std format - " _
            & MyDataObject.GetText(1)
    End If
End Sub

Private Sub CommandButton3_Click()
'Put custom format on Clipboard
    If TextBox1.TextLength > 0 Then
        Set MyDataObject = New DataObject
        MyDataObject.SetText TextBox1.Text, 233
        Label1.Caption = "Custom on D.O."
        CommandButton4.Enabled = True
        CommandButton2.Enabled = False
    End If
End Sub

Private Sub CommandButton4_Click()
'Get custom format from Clipboard
    If MyDataObject.GetFormat(233) = True Then
        Label1.Caption = "Cust format - " _
            & MyDataObject.GetText(233)
End If
End Sub

Private Sub UserForm_Initialize()
    CommandButton2.Enabled = False
    CommandButton4.Enabled = False
End Sub


Beispiel für Methoden Copy, GetFromClipboard und GetText sowie DataObject-Objekt

Im folgenden Beispiel wird das Verschieben von Daten von einem Textfeld-Steuerelement (TextBox) in die Zwischenablage, von der Zwischenablage in ein DataObject-Objekt und von einem DataObject-Objekt in ein anderes Textfeld-Steuerelement (TextBox) veranschaulicht. Die GetFromClipboard-Methode überträgt die Daten von der Zwischenablage in ein DataObject-Objekt. Außerdem werden die Methoden Copy und GetText verwendet.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Zwei Textfeld-Steuerelemente (TextBox) mit den Namen TextBox1 und TextBox2.

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.
Dim MyData as DataObject

Private Sub CommandButton1_Click()
    'Need to select text before copying it to Clipboard
    TextBox1.SelStart = 0
    TextBox1.SelLength = TextBox1.TextLength
    TextBox1.Copy

    MyData.GetFromClipboard
    TextBox2.Text = MyData.GetText(1)
End Sub

Private Sub UserForm_Initialize()
    Set MyData = New DataObject
    TextBox1.Text = "Move this data to the " _
        & "Clipboard, to a DataObject, then to "
        & "TextBox2!"
End Sub


Beispiel für GroupName-Eigenschaft

Im folgenden Beispiel werden anhand der GroupName-Eigenschaft zwei Gruppen von Optionsfeld-Steuerelementen (OptionButton) auf dem gleichen Formular erstellt.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss fünf Optionsfeld-Steuerelemente (OptionButton) mit den Namen OptionButton1, 2, 3, 4 und 5 enthalten.

Private Sub UserForm_Initialize()
    OptionButton1.GroupName = "Widgets"
    OptionButton2.GroupName = "Widgets"
    OptionButton4.GroupName = "Widgets"

    OptionButton3.GroupName = "Gadgets-Group2"
    OptionButton5.GroupName = "Gadgets-Group2"
End Sub


Beispiel für Textfeld-Steuerelement, SetFocus-Methode sowie Eigenschaften EnterFieldBehavior, HideSelection, MultiLine und Value

Das folgende Beispiel veranschaulicht die HideSelection-Eigenschaft in Verbindung mit einem und mehreren Formularen. Der Benutzer kann Text in einem Textfeld-Steuerelement (TextBox) auswählen und mit der TAB-TASTE zu einem anderen Steuerelement in einem Formular wechseln. Außerdem kann er den Fokus in ein zweites Formular setzen. Hierbei werden außerdem die SetFocus-Methode sowie die Eigenschaften EnterFieldBehavior, MultiLine und Value verwendet.

Wenn Sie dieses Beispiel verwenden möchten, führen Sie folgende Schritte aus:

  1. Kopieren Sie diesen Beispielcode (mit Ausnahme der letzten Ereignissubroutine) in den Bereich Deklarationen eines Formulars.

  2. Fügen Sie ein großes Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1 hinzu, ein Umschaltfeld-Steuerelement (ToggleButton) mit dem Namen ToggleButton1 und ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.

  3. Fügen Sie ein zweites Formular mit dem Namen UserForm2 in dieses Projekt ein.

  4. Kopieren Sie die letzte Ereignissubroutine des unten stehenden Listings in den Bereich Deklarationen von UserForm2.

  5. Fügen Sie diesem Formular ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1 hinzu.

  6. Führen Sie UserForm1 aus.

' ***** Code für UserForm1 *****

Private Sub CommandButton1_Click()
    TextBox1.SetFocus
    UserForm2.Show    'Bring up the second form.
End Sub
Private Sub ToggleButton1_Click()
    If ToggleButton1.Value = True Then
        TextBox1.HideSelection = False
        ToggleButton1.Caption = "Selection Visible"
    Else
        TextBox1.HideSelection = True
        ToggleButton1.Caption = "Selection Hidden"
    End If
End Sub
Private Sub UserForm_Initialize()
    TextBox1.MultiLine = True
    TextBox1.EnterFieldBehavior = fmEnterFieldBehaviorRecallSelection

'Fill the TextBox
    TextBox1.Text = "SelText indicates the starting " _
        & "point of selected text, or the insertion " _
        & point if no text is selected." & Chr$(10) _
        & Chr$(13) & "The SelStart property is " _
        & "always valid, even when the control does " _
        & "not have focus. Setting SelStart to a " _
        & "value less than zero creates an error. " _
        & Chr$(10) & Chr$(13) & "Changing the value " _
        & "of SelStart cancels any existing " _
        & "selection in the control, places " _
        & "an insertion point in the text, and sets " _
        & "the SelLength property to zero."

    TextBox1.HideSelection = True
    ToggleButton1.Caption = "Selection Hidden"
    ToggleButton1.Value = False

End Sub

' ***** Code für UserForm2 *****

Private Sub CommandButton1_Click()
    UserForm2.Hide
End Sub


Beispiel für Index-Eigenschaft

Im folgenden Beispiel wird mit Hilfe der Index-Eigenschaft die Reihenfolge der Seiten und Registerkarten in einem Multiseiten-Steuerelement (MultiPage) und in einem Register-Steuerelement (TabStrip) geändert. Der Benutzer klickt auf CommandButton1, um die dritte Seite und Registerkarte an die vorderste Stelle im Multiseiten- (MultiPage) und Register-Steuerelement (TabStrip) zu verschieben. Mit CommandButton2 verschiebt er die ausgewählte Seite und Registerkarte an die hinterste Stelle im Multiseiten- und Register-Steuerelement.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Zwei Befehlsschaltfläche-Steuerelemente (CommandButton) mit den Namen CommandButton1 und CommandButton2.

  • Ein Multiseiten-Steuerelement (MultiPage) mit dem Namen MultiPage1.

  • Ein Register-Steuerelement (TabStrip) mit dem Namen TabStrip1.
Dim MyPageOrTab As Object

Private Sub CommandButton1_Click()
'Move third page and tab to front of control
    MultiPage1.page3.Index = 0
    TabStrip1.Tab3.Index = 0
End Sub

Private Sub CommandButton2_Click()
'Move selected page and tab to back of control
    Set MyPageOrObject = MultiPage1.SelectedItem
    MsgBox "MultiPage1.SelectedItem = " _
        & MultiPage1.SelectedItem.Name
    MyPageOrObject.Index = 4

    Set MyPageOrObject = TabStrip1.SelectedItem
    MsgBox "TabStrip1.SelectedItem = " _
        & TabStrip1.SelectedItem.Caption
    MyPageOrObject.Index = 4
End Sub

Private Sub UserForm_Initialize()
    MultiPage1.Width = 200
    MultiPage1.Pages.Add
    MultiPage1.Pages.Add
    MultiPage1.Pages.Add

    TabStrip1.Width = 200
    TabStrip1.Tabs.Add
    TabStrip1.Tabs.Add
    TabStrip1.Tabs.Add

    CommandButton1.Caption = _
        "Move third page/tab to front"
    CommandButton1.Width = 120

    CommandButton2.Caption = _
        "Move selected item to back"
    CommandButton2.Width = 120
 End Sub


Beispiel für Eigenschaften InsideHeight und InsideWidth

Im folgenden Beispiel wird mit Hilfe der Eigenschaften InsideHeight und InsideWidth die Größe eines Befehlsschaltflächen-Steuerelements (CommandButton) verändert. Der Benutzer klickt hierzu auf das Befehlsschaltflächen-Steuerelement.

Anmerkung InsideHeight und InsideWidth sind schreibgeschützte Eigenschaften.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Befehlsschaltflächen-Steuerelement (CommandButton) mit dem Namen CommandButton1.
Dim Resize As Single

Private Sub UserForm_Initialize()
    Resize = 0.75
    CommandButton1.Caption = "Resize Button"

End Sub

Private Sub CommandButton1_Click()
    CommandButton1.Move 10, 10, _
        UserForm1.InsideWidth * Resize, _
        UserForm1.InsideHeight * Resize
    CommandButton1.Caption = "Button resized " _
        & "using InsideHeight and InsideWidth!"
End Sub


Beispiel für Item-Methode und Optionsfeld-Steuerelement

Im folgenden Beispiel wird mit Hilfe der Item-Methode auf einzelne Elemente der Controls- und Pages-Auflistungen zugegriffen. Der Benutzer klickt auf ein Optionsfeld entweder für die Controls-Auflistung oder für das Multiseiten-Steuerelement (MultiPage) und dann auf das Befehlsschaltflächen-Steuerelement (CommandButton). Der Name des entsprechenden Steuerelements wird im Bezeichnungsfeld-Steuerelement (Label) zurückgegeben.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Befehlsschaltflächen-Steuerelement (CommandButton) mit dem Namen CommandButton1.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1.

  • Zwei Optionsfeld-Steuerelemente (OptionButton) mit den Namen OptionButton1 und OptionButton2.

  • Ein Multiseiten-Steuerelement (MultiPage) mit dem Namen MultiPage1.
Dim MyControl As Object
Dim ControlsIndex As Integer

Private Sub CommandButton1_Click()
    If OptionButton1.Value = True Then
        'Process Controls collection for UserForm
        Set MyControl = Controls.Item(ControlsIndex)
        Label1.Caption = MyControl.Name

        'Prepare index for next control on Userform
        ControlsIndex = ControlsIndex + 1
        If ControlsIndex >= Controls.Count Then
            ControlsIndex = 0
        End If

    ElseIf OptionButton2.Value = True Then
        'Process Current Page of Pages collection
        Set MyControl = MultiPage1.Pages _
            .Item(MultiPage1.Value)
        Label1.Caption = MyControl.Name
    End If
End Sub

Private Sub UserForm_Initialize()
    ControlsIndex = 0

    OptionButton1.Caption = "Controls Collection"
    OptionButton2.Caption = "Pages Collection"
    OptionButton1.Value = True

    CommandButton1.Caption = "Get Member Name"
End Sub


Beispiel für KeyPress-Ereignis

Im folgenden Beispiel werden mit Hilfe des KeyPress-Ereignisses Tastenanschläge von einem Textfeld-Steuerelement (TextBox) in ein zweites kopiert. Der Benutzer nimmt die Eingabe in dem entsprechend markierten Textfeld-Steuerelement (TextBox) vor.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Zwei Textfeld-Steuerelemente (TextBox) mit den Namen TextBox1 und TextBox2.
Private Sub TextBox1_KeyPress(ByVal KeyAscii As _
    MSForms.ReturnInteger)
    TextBox2.Text = TextBox2.Text & Chr(KeyAscii)

    'To handle keyboard combinations (using SHIFT,
     'CONTROL, OPTION, COMMAND, and another key),
    'or TAB or ENTER, use the KeyDown or KeyUp event.
End Sub

Private Sub UserForm_Initialize()
    Move 0, 0, 570, 380

    TextBox1.Move 30, 40, 220, 160
    TextBox1.MultiLine = True
    TextBox1.WordWrap = True
    TextBox1.Text = "Type text here."
    TextBox1.EnterKeyBehavior = True

    TextBox2.Move 298, 40, 220, 160
    TextBox2.MultiLine = True
    TextBox2.WordWrap = True
    TextBox2.Text = "Typed text copied here."
    TextBox2.Locked = True
 End Sub


Beispiel für Eigenschaften LargeChange und SmallChange

Das folgende Beispiel veranschaulicht die Eigenschaften LargeChange und SmallChange in Verbindung mit einem eigenständigen Bildlaufleiste-Steuerelement (ScrollBar). Der Benutzer kann die Werte für LargeChange und SmallChange auf eine beliebige ganze Zahl zwischen 0 und 100 setzen. In diesem Beispiel wird außerdem die MaxLength-Eigenschaft verwendet. Diese schränkt die maximale Anzahl der Zeichen ein, die für LargeChange und SmallChange eingegeben werden können.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1 und ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label2 und ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox2.

  • Ein Bildlaufleiste-Steuerelement (ScrollBar) mit dem Namen ScrollBar1.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label3.
Dim TempNum As Integer

Private Sub ScrollBar1_Change()
    Label3.Caption = ScrollBar1.Value
End Sub

Private Sub TextBox1_Change()
    If IsNumeric(TextBox1.Text) Then
        TempNum = CInt(TextBox1.Text)
        If TempNum >= 0 And TempNum <= 100 Then
            ScrollBar1.SmallChange = TempNum
        Else
            TextBox1.Text = ScrollBar1.SmallChange
        End If
    Else
        TextBox1.Text = ScrollBar1.SmallChange
    End If
End Sub

Private Sub TextBox2_Change()
    If IsNumeric(TextBox2.Text) Then
        TempNum = CInt(TextBox2.Text)
        If TempNum >= 0 And TempNum <= 100 Then
            ScrollBar1.LargeChange = TempNum
        Else
            TextBox2.Text = ScrollBar1.LargeChange
        End If
    Else
        TextBox2.Text = ScrollBar1.LargeChange
    End If
End Sub

Private Sub UserForm_Initialize()
    ScrollBar1.Min = -1000
    ScrollBar1.Max = 1000

    Label1.Caption = "SmallChange 0 to 100"
    ScrollBar1.SmallChange = 1
    TextBox1.Text = ScrollBar1.SmallChange
    TextBox1.MaxLength = 3

    Label2.Caption = "LargeChange 0 to 100"
    ScrollBar1.LargeChange = 100
    TextBox2.Text = ScrollBar1.LargeChange
    TextBox2.MaxLength = 3

    ScrollBar1.Value = 0
    Label3.Caption = ScrollBar1.Value
End Sub


Beispiel für Layout-Ereignis, LayoutEffect-Eigenschaft und Move-Methode

Im folgenden Beispiel wird mit Hilfe der Move-Methode ein ausgewähltes Steuerelement auf einem Formular verschoben. Das Layout-Ereignis und die LayoutEffect-Eigenschaft geben das Steuerelement an, das verschoben wurde (und das das Layout des UserForm-Objekts veränderte). Der Benutzer klickt auf das zu verschiebende Steuerelement und dann auf das Befehlsschaltflächen-Steuerelement (CommandButton). Der Name des zu verschiebenden Steuerelements wird in einem Meldungsfenster angezeigt.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit dem Namen ComboBox1.

  • Ein Optionsfeld-Steuerelement (OptionButton) mit dem Namen OptionButton1.

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.

  • Ein Umschaltfeld-Steuerelement (ToggleButton) mit dem Namen ToggleButton1.
Private Sub UserForm_Initialize()
    CommandButton1.Caption = "Move current control"
    CommandButton1.AutoSize = True
    CommandButton1.TakeFocusOnClick = False

    ToggleButton1.Caption = "Use Layout Event"
    ToggleButton1.Value = True
End Sub

Private Sub CommandButton1_Click()
    If ActiveControl.Name = "ToggleButton1" Then
        'Keep it stationary
    Else
        'Move the control, using Layout event when
          'ToggleButton1.Value is True
        ActiveControl.Move 0, 0, , , _
            ToggleButton1.Value
    End If
End Sub

Private Sub UserForm_Layout()
    Dim MyControl As Control

    MsgBox "In the Layout Event"

    'Find the control that is moving.
    For Each MyControl In Controls
        If MyControl.LayoutEffect = _
            fmLayoutEffectInitiate Then
            MsgBox MyControl.Name & " is moving."
            Exit For
        End If
    Next
End Sub

Private Sub ToggleButton1_Click()
    If ToggleButton1.Value = True Then
        ToggleButton1.Caption = "Use Layout Event"
    Else
        ToggleButton1.Caption = "No Layout Event"
    End If
End Sub


Beispiel für SetFocus-Methode sowie Eigenschaften LineCount und TextLength

Im folgenden Beispiel werden die Zeichen und die Textzeilen in einem Textfeld-Steuerelement (TextBox) mit Hilfe der Eigenschaften LineCount und TextLength sowie der SetFocus-Methode gezählt. Der Benutzer kann hierbei Text in einem Textfeld-Steuerelement (TextBox) eingeben und die aktuellen Werte der Eigenschaften LineCount und TextLength abrufen.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.

  • Zwei Bezeichnungsfeld-Steuerelemente (Label) mit den Namen Label1 und Label2.
'Type SHIFT+ENTER to start a new line in the text box.

Private Sub CommandButton1_Click()
    'Must first give TextBox1 the focus to get line
     'count
    TextBox1.SetFocus
    Label1.Caption = "LineCount = " _
        & TextBox1.LineCount
    Label2.Caption = "TextLength = " _
        & TextBox1.TextLength
End Sub

Private Sub UserForm_Initialize()
    CommandButton1.WordWrap = True
    CommandButton1.AutoSize = True
    CommandButton1.Caption = "Get Counts"

    Label1.Caption = "LineCount = "
    Label2.Caption = "TextLength = "

    TextBox1.MultiLine = True
    TextBox1.WordWrap = True
    TextBox1.Text = "Enter your text here."
End Sub


Beispiel für Listenfeld-Steuerelement und List-Eigenschaft

Im folgenden Beispiel werden die Spalten eines mehrspaltigen Listenfeld-Steuerelements (ListBox) vertauscht. Hierbei wird die List-Eigenschaft auf zwei Arten verwendet:

  1. Um auf einzelne Werte in dem Listenfeld-Steuerelement (ListBox) zuzugreifen und sie auszutauschen. Bei dieser Verwendung hat List Indizes, die die Zeile und die Spalte eines bestimmten Wertes angeben.

  2. Um anfangs Werte aus einem Datenfeld in dem Listenfeld-Steuerelement (ListBox) zu laden. Bei dieser Verwendung hat List keine Indizes.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss ein Listenfeld-Steuerelement (ListBox) mit dem Namen ListBox1 und ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1 enthalten.

Dim MyArray(6, 3)
'Array containing column values for ListBox.

Private Sub UserForm_Initialize()
    Dim i As Single

    ListBox1.ColumnCount = 3
'This list box contains 3 data columns

    'Load integer values MyArray
    For i = 0 To 5
        MyArray(i, 0) = i
        MyArray(i, 1) = Rnd
        MyArray(i, 2) = Rnd
    Next i

    'Load ListBox1
    ListBox1.List() = MyArray

End Sub
Private Sub CommandButton1_Click()
' Exchange contents of columns 1 and 3

    Dim i As Single
    Dim Temp As Single

    For i = 0 To 5
        Temp = ListBox1.List(i, 0)
        ListBox1.List(i, 0) = ListBox1.List(i, 2)
        ListBox1.List(i, 2) = Temp
    Next i
End Sub


Beispiel für Listenfeld-Steuerelement, Methoden AddItem und RemoveItem sowie Eigenschaften ListIndex und ListCount

Im folgenden Beispiel wird der Inhalt eines Listenfeld-Steuerelements (ListBox) mit Hilfe der Methoden AddItem und RemoveItem sowie der Eigenschaften ListIndex und ListCount hinzugefügt und gelöscht.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Listenfeld-Steuerelement (ListBox) mit dem Namen ListBox1.

  • Zwei Befehlsschaltfläche-Steuerelemente (CommandButton) mit den Namen CommandButton1 und CommandButton2.
Dim EntryCount As Single

Private Sub CommandButton1_Click()
    EntryCount = EntryCount + 1
    ListBox1.AddItem (EntryCount & " - Selection")
End Sub
Private Sub CommandButton2_Click()
    'Ensure ListBox contains list items
    If ListBox1.ListCount >= 1 Then
        'If no selection, choose last list item.
        If ListBox1.ListIndex = -1 Then
            ListBox1.ListIndex = _
                    ListBox1.ListCount - 1
        End If
        ListBox1.RemoveItem (ListBox1.ListIndex)
    End If
End Sub
Private Sub UserForm_Initialize()
    EntryCount = 0
    CommandButton1.Caption = "Add Item"
    CommandButton2.Caption = "Remove Item"
End Sub


Beispiel für ListRows-Eigenschaft

Im folgenden Beispiel wird mit Hilfe eines Drehfeld-Steuerelements (SpinButton) die Anzahl der Zeilen in der Dropdownliste eines Kombinationsfeld-Steuerelements (ComboBox) gesteuert. Der Benutzer ändert den Wert für das Drehfeld-Steuerelement (SpinButton) und klickt dann auf den Dropdownpfeil des Kombinationsfeld-Steuerelements (ComboBox), um die Liste anzuzeigen.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit dem Namen ComboBox1.

  • Ein Drehfeld-Steuerelement (SpinButton) mit dem Namen SpinButton1.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1.
Private Sub UserForm_Initialize()
    Dim i As Integer

    For i = 1 To 20
        ComboBox1.AddItem "Choice " & (ComboBox1.ListCount + 1)
    Next i

    SpinButton1.Min = 0
    SpinButton1.Max = 12
    SpinButton1.Value = ComboBox1.ListRows
    Label1.Caption = "ListRows = " & SpinButton1.Value
End Sub

Private Sub SpinButton1_Change()
    ComboBox1.ListRows = SpinButton1.Value
    Label1.Caption = "ListRows = " & SpinButton1.Value
End Sub


Beispiel für Eigenschaften ListStyle und MultiSelect

Im folgenden Beispiel wird mit Hilfe der Eigenschaften ListStyle und MultiSelect das Erscheinungsbild eines Listenfeld-Steuerelements (ListBox) gesteuert. Der Benutzer legt mit dem Umschaltfeld-Steuerelement (ToggleButton) einen Wert für ListStyle fest und wählt dann ein Optionsfeld-Steuerelement (OptionButton) für einen der MultiSelect-Werte aus. Das Erscheinungsbild des Listenfeld-Steuerelements (ListBox) ändert sich entsprechend, ebenso das Auswahlverhalten innerhalb des Listenfeld-Steuerelements.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Listenfeld-Steuerelement (ListBox) mit dem Namen ListBox1.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1.

  • Drei Optionsfeld-Steuerelemente (OptionButton) mit den Namen OptionButton1, 2 und 3.

  • Ein Umschaltfeld-Steuerelement (ToggleButton) mit dem Namen ToggleButton1.
Private Sub UserForm_Initialize()
    Dim i As Integer

    For i = 1 To 8
        ListBox1.AddItem "Choice" & (ListBox1.ListCount + 1)
    Next i

    Label1.Caption = "MultiSelect Choices"
    Label1.AutoSize = True

    ListBox1.MultiSelect = fmMultiSelectSingle
    OptionButton1.Caption = "Single entry"
    OptionButton1.Value = True
    OptionButton2.Caption = "Multiple entries"
    OptionButton3.Caption = "Extended entries"

    ToggleButton1.Caption = "ListStyle - Plain"
    ToggleButton1.Value = True
    ToggleButton1.Width = 90
    ToggleButton1.Height = 30
End Sub

Private Sub OptionButton1_Click()
    ListBox1.MultiSelect = fmMultiSelectSingle
End Sub

Private Sub OptionButton2_Click()
    ListBox1.MultiSelect = fmMultiSelectMulti
End Sub

Private Sub OptionButton3_Click()
    ListBox1.MultiSelect = fmMultiSelectExtended
End Sub

Private Sub ToggleButton1_Click()
    If ToggleButton1.Value = True Then
        ToggleButton1.Caption = "Plain ListStyle"
        ListBox1.ListStyle = fmListStylePlain
    Else
        ToggleButton1.Caption = "OptionButton " _
            & "or CheckBox"
        ListBox1.ListStyle = fmListStyleOption
    End If
End Sub


Beispiel für ListWidth-Eigenschaft

Im folgenden Beispiel wird mit Hilfe eines Drehfeld-Steuerelements (SpinButton) die Breite der Dropdownliste in einem Kombinationsfeld-Steuerelement (ComboBox) gesteuert. Der Benutzer ändert den Wert für das Drehfeld-Steuerelement und klickt dann auf den Dropdownpfeil des Kombinationsfeld-Steuerelements, um die Liste anzuzeigen.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit dem Namen ComboBox1.

  • Ein Drehfeld-Steuerelement (SpinButton) mit dem Namen SpinButton1.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1.
Private Sub SpinButton1_Change()
    ComboBox1.ListWidth = SpinButton1.Value
    Label1.Caption = "ListWidth = " _
        & SpinButton1.Value
End Sub

Private Sub UserForm_Initialize()
    Dim i As Integer

    For i = 1 To 20
        ComboBox1.AddItem "Choice " _
            & (ComboBox1.ListCount + 1)
    Next i

    SpinButton1.Min = 0
    SpinButton1.Max = 130
    SpinButton1.Value = Val(ComboBox1.ListWidth)
    SpinButton1.SmallChange = 5
    Label1.Caption = "ListWidth = " _
        & SpinButton1.Value
End Sub


Beispiel für MatchEntry-Eigenschaft und Optionsfeld-Steuerelement

Im folgenden Beispiel wird anhand der MatchEntry-Eigenschaft der Zeichenvergleich veranschaulicht, der für Kombinationsfeld- (ComboBox) und Listenfeld-Steuerelemente (ListBox) verfügbar ist. Der Benutzer kann in diesem Beispiel mit Hilfe der Optionsfeld-Steuerelemente (OptionButton) die Art des Vergleichs festlegen und dann eine Eingabe im Kombinationsfeld-Steuerelement (ComboBox) vornehmen, um ein Element aus dessen Liste anzugeben.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Drei Optionsfeld-Steuerelemente (OptionButton) mit den Namen OptionButton1, 2 und 3.

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit dem Namen ComboBox1.
Private Sub OptionButton1_Click()
    ComboBox1.MatchEntry = fmMatchEntryNone
End Sub

Private Sub OptionButton2_Click()
    ComboBox1.MatchEntry = fmMatchEntryFirstLetter
End Sub

Private Sub OptionButton3_Click()
    ComboBox1.MatchEntry = fmMatchEntryComplete
End Sub

Private Sub UserForm_Initialize()
    Dim i As Integer

    For i = 1 To 9
        ComboBox1.AddItem "Choice " & i
    Next i
    ComboBox1.AddItem "Chocoholic"

    OptionButton1.Caption = "No matching"
    OptionButton1.Value = True

    OptionButton2.Caption = "Basic matching"
    OptionButton3.Caption = "Extended matching"
End Sub


Beispiel für Eigenschaften MatchFound und MatchRequired, Change-Ereignis und Kontrollkästchen-Steuerelement

Im folgenden Beispiel wird anhand der Eigenschaften MatchFound und MatchRequired zusätzlicher Zeichenvergleich für Kombinationsfeld-Steuerelemente (ComboBox) veranschaulicht. Die Überprüfung des Vergleichs erfolgt im Change-Ereignis.

In diesem Beispiel gibt der Benutzer an, ob der Textteil eines Kombinationsfeld-Steuerelements (ComboBox) mit einem der im Kombinationsfeld-Steuerelement aufgelisteten Elemente identisch sein muss. Der Benutzer kann mit Hilfe eines Kontrollkästchen-Steuerelements (CheckBox) angeben, ob der Vergleich erforderlich ist, und dann eine Eingabe im Kombinationsfeld-Steuerelement vornehmen, um ein Element aus der zugehörigen Liste anzugeben.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit dem Namen ComboBox1.

  • Ein Kontrollkästchen-Steuerelement (CheckBox) mit dem Namen CheckBox1.
Private Sub CheckBox1_Click()
    If CheckBox1.Value = True Then
        ComboBox1.MatchRequired = True
        MsgBox "To move the focus from the " _
            & "ComboBox, you must match an entry in " _
            & "the list or press ESC."
    Else
        ComboBox1.MatchRequired = False
        MsgBox " To move the focus from the " _
            & "ComboBox, just tab to or click " _
            & "another control. Matching is optional."
    End If
End Sub

Private Sub ComboBox1_Change()
    If ComboBox1.MatchRequired = True Then
    'MSForms handles this case automatically
    Else
        If ComboBox1.MatchFound = True Then
            MsgBox "Match Found; matching optional."
        Else
            MsgBox "Match not Found; matching " _
                    & "optional."
        End If
    End If
End Sub

Private Sub UserForm_Initialize()
Dim i As Integer

For i = 1 To 9
    ComboBox1.AddItem "Choice " & i
Next i
ComboBox1.AddItem "Chocoholic"

CheckBox1.Caption = "MatchRequired"
CheckBox1.Value = True
End Sub


Beispiel für Eigenschaften Max, Min und MaxLength

Das folgende Beispiel veranschaulicht die Eigenschaften Max und Min in Verbindung mit einem eigenständigen Bildlaufleiste-Steuerelement (ScrollBar). Der Benutzer kann die Werte für Max und Min auf eine beliebige ganze Zahl zwischen –1.000 und 1.000 setzen. In diesem Beispiel wird außerdem die MaxLength-Eigenschaft verwendet, um die Anzahl der Zeichen zu beschränken, die für die Werte von Max und Min maximal eingegeben werden können.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1 und ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label2 und ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox2.

  • Ein Bildlaufleiste-Steuerelement (ScrollBar) mit dem Namen ScrollBar1.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label3.
Dim TempNum As Integer

Private Sub UserForm_Initialize()
    Label1.Caption = "Min -1000 to 1000"
    ScrollBar1.Min = -1000
    TextBox1.Text = ScrollBar1.Min
    TextBox1.MaxLength = 5

    Label2.Caption = "Max -1000 to 1000"
    ScrollBar1.Max = 1000
    TextBox2.Text = ScrollBar1.Max
    TextBox2.MaxLength = 5

    ScrollBar1.SmallChange = 1
    ScrollBar1.LargeChange = 100
    ScrollBar1.Value = 0
    Label3.Caption = ScrollBar1.Value
End Sub

Private Sub TextBox1_Change()
    If IsNumeric(TextBox1.Text) Then
        TempNum = CInt(TextBox1.Text)
        If TempNum >= -1000 And TempNum <= 1000 Then
            ScrollBar1.Min = TempNum
        Else
            TextBox1.Text = ScrollBar1.Min
        End If
    Else
        TextBox1.Text = ScrollBar1.Min
    End If
End Sub

Private Sub TextBox2_Change()
    If IsNumeric(TextBox2.Text) Then
        TempNum = CInt(TextBox2.Text)
        If TempNum >= -1000 And TempNum <= 1000 Then
            ScrollBar1.Max = TempNum
        Else
            TextBox2.Text = ScrollBar1.Max
        End If
    Else
        TextBox2.Text = ScrollBar1.Max
    End If
End Sub

Private Sub ScrollBar1_Change()
Label3.Caption = ScrollBar1.Value
End Sub


Beispiel für Eigenschaften MouseIcon und MousePointer

Das folgende Beispiel veranschaulicht, wie ein Mauszeiger für ein bestimmtes Steuerelement oder eine bestimmte Situation angegeben wird. Sie können mit Hilfe der MousePointer-Eigenschaft einen von mehreren Mauszeigern auswählen oder mit den Eigenschaften MousePointer und MouseIcon ein benutzerdefiniertes Symbol zuweisen.

Dieses Beispiel funktioniert auf folgende Arten:

  • Wählen Sie einen Mauszeiger im Listenfeld-Steuerelement (ListBox) aus, um den mit dem ersten Befehlsschaltfläche-Steuerelement (CommandButton) verknüpften Mauszeiger zu ändern.

  • Klicken Sie auf das erste Befehlsschaltfläche-Steuerelement (CommandButton), um dessen Mauszeiger mit dem zweiten Befehlsschaltfläche-Steuerelement zu verknüpfen.

  • Klicken Sie auf das zweite Befehlsschaltfläche-Steuerelement (CommandButton), um ein benutzerdefiniertes Symbol für dessen Mauszeiger zu laden.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Zwei Befehlsschaltfläche-Steuerelemente (CommandButton) mit den Namen CommandButton1 und CommandButton2.

  • Ein Listenfeld-Steuerelement (ListBox) mit dem Namen ListBox1.

Anmerkung In diesem Beispiel werden zwei Symboldateien verwendet (in Windows an der Dateinamenerweiterung .ico zu erkennen), die mit der Funktion LoadPicture geladen werden. Ändern Sie jeden Funktionsaufruf von LoadPicture so ab, dass er eine auf Ihrem System befindliche Symboldatei angibt.

Private Sub ListBox1_Click()
    If IsNull(ListBox1.Value) = False Then
        CommandButton1.MousePointer = ListBox1.Value

        If CommandButton1.MousePointer = _
            fmMousePointerCustom Then
            CommandButton1.MouseIcon = _
                 LoadPicture("c:\msvc20\cdk32\" _
                 & "samples\circ1\bix.ico")
        End If
    End If
End Sub

Private Sub CommandButton1_Click()
    CommandButton2.MousePointer = CommandButton1.MousePointer

    If CommandButton2.MousePointer = fmMousePointerCustom Then
        CommandButton2.MouseIcon = CommandButton1.MouseIcon
    End If
End Sub

Private Sub CommandButton2_Click()
    CommandButton2.MousePointer = fmMousePointerCustom
    CommandButton2.MouseIcon = LoadPicture("c:\msvc20\cdk32\samples\push\push.ico")
End Sub

Private Sub UserForm_Initialize()
    'Load ListBox with MousePointer choices
    ListBox1.ColumnCount = 2

    ListBox1.AddItem "fmMousePointerDefault"
    ListBox1.List(0, 1) = fmMousePointerDefault
    ListBox1.AddItem "fmMousePointerArrow"
    ListBox1.List(1, 1) = fmMousePointerArrow
    ListBox1.AddItem "fmMousePointerCross"
    ListBox1.List(2, 1) = fmMousePointerCross

    ListBox1.AddItem "fmMousePointerIBeam"
    ListBox1.List(3, 1) = fmMousePointerIBeam
    ListBox1.AddItem "fmMousePointerSizeNESW"
    ListBox1.List(4, 1) = fmMousePointerSizeNESW
    ListBox1.AddItem "fmMousePointerSizeNS"
    ListBox1.List(5, 1) = fmMousePointerSizeNS

    ListBox1.AddItem "fmMousePointerSizeNWSE"
    ListBox1.List(6, 1) = fmMousePointerSizeNWSE
    ListBox1.AddItem "fmMousePointerSizeWE"
    ListBox1.List(7, 1) = fmMousePointerSizeWE
    ListBox1.AddItem "fmMousePointerUpArrow"
    ListBox1.List(8, 1) = fmMousePointerUpArrow

    ListBox1.AddItem "fmMousePointerHourglass"
    ListBox1.List(9, 1) = fmMousePointerHourGlass
    ListBox1.AddItem "fmMousePointerNoDrop"
    ListBox1.List(10, 1) = fmMousePointerNoDrop
    ListBox1.AddItem "fmMousePointerAppStarting"
    ListBox1.List(11, 1) = fmMousePointerAppStarting

    ListBox1.AddItem "fmMousePointerHelp"
    ListBox1.List(12, 1) = fmMousePointerHelp
    ListBox1.AddItem "fmMousePointerSizeAll"
    ListBox1.List(13, 1) = fmMousePointerSizeAll
    ListBox1.AddItem "fmMousePointerCustom"
    ListBox1.List(14, 1) = fmMousePointerCustom

    ListBox1.BoundColumn = 2
    ListBox1.Value = fmMousePointerDefault

    MsgBox "ListBox1.Value =" & ListBox1.Value & "."
    CommandButton1.MousePointer = ListBox1.Value
End Sub


Beispiel für Eigenschaften AutoSize, MultiLine, WordWrap und ScrollBars sowie Textfeld-Steuerelement

Das folgende Beispiel zeigt die Eigenschaften MultiLine, WordWrap und ScrollBars bei einem Textfeld-Steuerelement (TextBox).

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.

  • Vier Umschaltfeld-Steuerelemente (ToggleButton) mit den Namen ToggleButton1, 2, 3 und 4.

Um den gesamten Text sehen zu können, der im Textfeld-Steuerelement (TextBox) platziert ist, setzen Sie MultiLine und WordWrap auf True, indem Sie auf die Umschaltfeld-Steuerelemente (ToggleButton) klicken.

Wenn MultiLine True ist, können Sie durch Drücken von UMSCHALT+EINGABE neue Textzeilen eingeben.

Die ScrollBars-Eigenschaft wird angezeigt, wenn Sie den Inhalt des Textfeld-Steuerelements (TextBox) manuell ändern.

Private Sub UserForm_Initialize()
'Initialize TextBox properties and toggle buttons

    TextBox1.Text = "Type your text here. "
        & "Enter SHIFT+ENTER to move to a new line."

    TextBox1.AutoSize = False
    ToggleButton1.Caption = "AutoSize Off"
    ToggleButton1.Value = False
    ToggleButton1.AutoSize = True

    TextBox1.WordWrap = False
    ToggleButton2.Caption = "WordWrap Off"
    ToggleButton2.Value = False
    ToggleButton2.AutoSize = True

    TextBox1.ScrollBars = 0
    ToggleButton3.Caption = "ScrollBars Off"
    ToggleButton3.Value = False
    ToggleButton3.AutoSize = True

    TextBox1.MultiLine = False
    ToggleButton4.Caption = "Single Line"
    ToggleButton4.Value = False
    ToggleButton4.AutoSize = True
 End Sub

Private Sub ToggleButton1_Click()
'Set AutoSize property and associated ToggleButton

    If ToggleButton1.Value = True Then
        TextBox1.AutoSize = True
        ToggleButton1.Caption = "AutoSize On"
    Else
        TextBox1.AutoSize = False
        ToggleButton1.Caption = "AutoSize Off"
    End If
End Sub
Private Sub ToggleButton2_Click()
'Set WordWrap property and associated ToggleButton

    If ToggleButton2.Value = True Then
        TextBox1.WordWrap = True
        ToggleButton2.Caption = "WordWrap On"
    Else
        TextBox1.WordWrap = False
        ToggleButton2.Caption = "WordWrap Off"
    End If
End Sub
Private Sub ToggleButton3_Click()
'Set ScrollBars property and associated ToggleButton

    If ToggleButton3.Value = True Then
        TextBox1.ScrollBars = 3
        ToggleButton3.Caption = "ScrollBars On"
    Else
        TextBox1.ScrollBars = 0
        ToggleButton3.Caption = "ScrollBars Off"
    End If
End Sub
Private Sub ToggleButton4_Click()
'Set MultiLine property and associated ToggleButton

    If ToggleButton4.Value = True Then
        TextBox1.MultiLine = True
        ToggleButton4.Caption = "Multiple Lines"
    Else
        TextBox1.MultiLine = False
        ToggleButton4.Caption = "Single Line"
    End If
End Sub


Beispiel für Eigenschaften MultiSelect und Selected

Im folgenden Beispiel wird anhand der Eigenschaften MultiSelect und Selected veranschaulicht, wie der Benutzer ein oder mehrere Elemente in einem Listenfeld-Steuerelement (ListBox) auswählen kann. Der Benutzer gibt eine Auswahlmethode an, indem er auf ein Optionsfeld klickt, und wählt dann ein oder mehrere Elemente in dem Listenfeld-Steuerelement (ListBox) aus. Er kann die ausgewählten Elemente in einem zweiten Listenfeld-Steuerelement anzeigen, indem er auf das Befehlsschaltfläche-Steuerelement (CommandButton) klickt.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Zwei Listenfeld-Steuerelemente (ListBox) mit den Namen ListBox1 und ListBox2.

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.

  • Drei Optionsfeld-Steuerelemente (OptionButton) mit den Namen OptionButton1, 2 und 3.
Dim i As Integer

Private Sub CommandButton1_Click()
    ListBox2.Clear

    For i = 0 To 9
        If ListBox1.Selected(i) = True Then
            ListBox2.AddItem ListBox1.List(i)
        End If
    Next i

End Sub

Private Sub OptionButton1_Click()
    ListBox1.MultiSelect = fmMultiSelectSingle
End Sub

Private Sub OptionButton2_Click()
    ListBox1.MultiSelect = fmMultiSelectMulti
End Sub

Private Sub OptionButton3_Click()
    ListBox1.MultiSelect = fmMultiSelectExtended
End Sub

Private Sub UserForm_Initialize()
    For i = 0 To 9
        ListBox1.AddItem "Choice " & (ListBox1.ListCount + 1)
    Next i

    OptionButton1.Caption = "Single Selection"
    ListBox1.MultiSelect = fmMultiSelectSingle
    OptionButton1.Value = True

    OptionButton2.Caption = "Multiple Selection"
    OptionButton3.Caption = "Extended Selection"

    CommandButton1.Caption = "Show selections"
    CommandButton1.AutoSize = True
End Sub


Beispiel für Name-Eigenschaft

Das folgende Beispiel zeigt die Name-Eigenschaft jedes Steuerelements in einem Formular an. Dabei werden alle direkt auf dem UserForm-Objekt platzierten Steuerelemente anhand der Controls-Auflistung durchlaufen.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1 und mehrere weitere Steuerelemente enthalten.

Private Sub CommandButton1_Click()
    Dim MyControl As Control

    For Each MyControl In Controls
        MsgBox "MyControl.Name = " & MyControl.Name
    Next
End Sub


Beispiel für Object-Eigenschaft

Angenommen, die Top-Eigenschaft eines neuen Steuerelements weicht von der Standard-Top-Eigenschaft in Microsoft Forms ab. In diesem Fall können Sie mit Hilfe folgender Syntax eine der beiden Eigenschaften verwenden:

  • Bei control.Top wird die Standard-Top-Eigenschaft verwendet.

  • Bei control.Object.Top wird die Top-Eigenschaft des hinzugefügten Steuerelements verwendet.


Beispiel für Layout-Ereignis sowie Eigenschaften OldLeft, OldTop, OldHeight und OldWidth

Im folgenden Beispiel werden die Eigenschaften OldLeft, OldTop, OldHeight und OldWidth innerhalb des Layout-Ereignisses verwendet, um die aktuelle Position und Größe eines Steuerelements beizubehalten. Der Benutzer klickt auf das Befehlsschaltfläche-Steuerelement (CommandButton) mit der Beschriftung Move ComboBox, um das Steuerelement zu verschieben, und beantwortet dann ein Meldungsfenster. Anschließend kann der Benutzer auf das Befehlsschaltfläche-Steuerelement (CommandButton) mit der Beschriftung Reset ComboBox klicken, um das Steuerelement für eine Wiederholung der Aktion zurückzusetzen.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Zwei Befehlsschaltfläche-Steuerelemente (CommandButton) mit den Namen CommandButton1 und CommandButton2.

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit dem Namen ComboBox1.
Dim Initialize As Integer
Dim ComboLeft, ComboTop, ComboWidth, _
    ComboHeight As Integer

Private Sub UserForm_Initialize()
    Initialize = 0
    CommandButton1.Caption = "Move ComboBox"
    CommandButton2.Caption = "Reset ComboBox"

    'Information for resetting ComboBox
    ComboLeft = ComboBox1.Left
    ComboTop = ComboBox1.Top
    ComboWidth = ComboBox1.Width
    ComboHeight = ComboBox1.Height
End Sub

Private Sub CommandButton1_Click()
    ComboBox1.Move 0, 0, , , True
End Sub

Private Sub UserForm_Layout()
    Dim MyControl As Control
    Dim MsgBoxResult As Integer
    'Suppress MsgBox on initial layout event.
    If Initialize = 0 Then
        Initialize = 1
        Exit Sub
    End If

    MsgBoxResult = MsgBox("In Layout event " _
        & "- Continue move?", vbYesNo)
    If MsgBoxResult = vbNo Then
        ComboBox1.Move ComboBox1.OldLeft, _
            ComboBox1.OldTop, ComboBox1.OldWidth, _
            ComboBox1.OldHeight
    End If
End Sub

Private Sub CommandButton2_Click()
    ComboBox1.Move ComboLeft, ComboTop, _
        ComboWidth, ComboHeight
End Sub


Beispiel für Parent-Eigenschaft

Im folgenden Beispiel wird anhand der Parent-Eigenschaft auf das Steuerelement oder Formular verwiesen, das ein bestimmtes Steuerelement enthält.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Zwei Bezeichnungsfeld-Steuerelemente (Label) mit den Namen Label1 und Label2.

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.

  • Ein oder mehrere weitere Steuerelemente Ihrer Wahl.
Dim MyControl As Object
Dim MyParent As Object
Dim ControlsIndex As Integer

Private Sub UserForm_Initialize()
    ControlsIndex = 0
    CommandButton1.Caption = "Get Control and Parent"
    CommandButton1.AutoSize = True
    CommandButton1.WordWrap = True
End Sub

Private Sub CommandButton1_Click()
    'Process Controls collection for UserForm
    Set MyControl = Controls.Item(ControlsIndex)
    Set MyParent = MyControl.Parent
    Label1.Caption = MyControl.Name
    Label2.Caption = MyParent.Name

    'Prepare index for next control on Userform
    ControlsIndex = ControlsIndex + 1
    If ControlsIndex >= Controls.Count Then
        ControlsIndex = 0
    End If
End Sub


Beispiel für PictureAlignment-Eigenschaft

Im folgenden Beispiel wird mit Hilfe der PictureAlignment-Eigenschaft ein Hintergrundbild eingerichtet. Außerdem werden die Ausrichtungsoptionen festgelegt, die durch PictureAlignment bereitgestellt werden.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Rahmen-Steuerelement (Frame) mit dem Namen Frame1.

  • Ein Drehfeld-Steuerelement (SpinButton) mit dem Namen SpinButton1.

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.
Dim Alignments(5) As String

Private Sub UserForm_Initialize()
    Alignments(0) = "0 - Top Left"
    Alignments(1) = "1 - Top Right"
    Alignments(2) = "2 - Center"
    Alignments(3) = "3 - Bottom Left"
    Alignments(4) = "4 - Bottom Right"

    'Specify a bitmap that exists on your system
    Frame1.Picture = LoadPicture("c:\winnt2\ball.bmp")

    SpinButton1.Min = 0
    SpinButton1.Max = 4
    SpinButton1.Value = 0

    TextBox1.Text = Alignments(0)
    Frame1.PictureAlignment = SpinButton1.Value
End Sub

Private Sub SpinButton1_Change()
    TextBox1.Text = Alignments(SpinButton1.Value)
    Frame1.PictureAlignment = SpinButton1.Value
End Sub

Private Sub TextBox1_Change()
    Select Case TextBox1.Text
    Case "0"
        TextBox1.Text = Alignments(0)
        Frame1.PictureAlignment = 0
    Case "1"
        TextBox1.Text = Alignments(1)
        Frame1.PictureAlignment = 1
    Case "2"
        TextBox1.Text = Alignments(2)
        Frame1.PictureAlignment = 2
    Case "3"
        TextBox1.Text = Alignments(3)
        Frame1.PictureAlignment = 3
    Case "4"
        TextBox1.Text = Alignments(4)
        Frame1.PictureAlignment = 4
    Case Else
        TextBox1.Text = Alignments(SpinButton1.Value)
        Frame1.PictureAlignment = SpinButton1.Value
    End Select
End Sub


Beispiel für Kombinationsfeld-Steuerelement, AddItem-Methode sowie Eigenschaften Picture und PicturePosition

Im folgenden Beispiel werden anhand eines Kombinationsfeld-Steuerelements (ComboBox) die Bildplatzierungsoptionen für ein Steuerelement gezeigt. Jedes Mal, wenn der Benutzer auf einen Eintrag in der Liste klickt, werden Bild und Titel auf dem Befehlsschaltfläche-Steuerelement (CommandButton) aktualisiert. Außerdem wird in diesem Beispiel die AddItem-Methode verwendet, um Auswahlmöglichkeiten in das Kombinationsfeld-Steuerelement (ComboBox) zu laden.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1.

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit dem Namen ComboBox1.
Private Sub UserForm_Initialize()
    Label1.Left = 18
    Label1.Top = 12
    Label1.Height = 12
    Label1.Width = 190
    Label1.Caption = "Select picture placement " _
        & "relative to the caption."

    'Add list entries to combo box. The value of each
    'entry matches the corresponding ListIndex value
    'in the combo box.
    ComboBox1.AddItem "Left Top"        'ListIndex = 0
    ComboBox1.AddItem "Left Center"     'ListIndex = 1
    ComboBox1.AddItem "Left Bottom"     'ListIndex = 2
    ComboBox1.AddItem "Right Top"       'ListIndex = 3
    ComboBox1.AddItem "Right Center"    'ListIndex = 4
    ComboBox1.AddItem "Right Bottom"    'ListIndex = 5
    ComboBox1.AddItem "Above Left"      'ListIndex = 6
    ComboBox1.AddItem "Above Center"    'ListIndex = 7
    ComboBox1.AddItem "Above Right"    'ListIndex = 8
    ComboBox1.AddItem "Below Left"      'ListIndex = 9
    ComboBox1.AddItem "Below Center"    'ListIndex = 10
    ComboBox1.AddItem "Below Right"    'ListIndex = 11
    ComboBox1.AddItem "Centered"        'ListIndex = 12
    'Use drop-down list
    ComboBox1.Style = fmStyleDropDownList
    'Combo box values are ListIndex values
    ComboBox1.BoundColumn = 0
    'Set combo box to first entry
    ComboBox1.ListIndex = 0

    ComboBox1.Left = 18
    ComboBox1.Top = 36
    ComboBox1.Width = 90
    ComboBox1.ListWidth = 90

    'Initialize CommandButton1
    CommandButton1.Left = 230
    CommandButton1.Top = 36
    CommandButton1.Height = 120
    CommandButton1.Width = 120

    'Note: Be sure to refer to a bitmap file that is
    'present on your system, and to include the path
    'in the filename.
    CommandButton1.Picture = _
         LoadPicture("c:\windows\argyle.bmp")
    CommandButton1.PicturePosition = ComboBox1.Value
End Sub

Private Sub ComboBox1_Click()
    Select Case ComboBox1.Value
    Case 0  'Left Top
        CommandButton1.Caption = "Left Top"
        CommandButton1.PicturePosition = _
            fmPicturePositionLeftTop

    Case 1  'Left Center
        CommandButton1.Caption = "Left Center"
        CommandButton1.PicturePosition = _
            fmPicturePositionLeftCenter

    Case 2  'Left Bottom
        CommandButton1.Caption = "Left Bottom"
        CommandButton1.PicturePosition = _
            fmPicturePositionLeftBottom

    Case 3  'Right Top
        CommandButton1.Caption = "Right Top"
        CommandButton1.PicturePosition = _
            fmPicturePositionRightTop

    Case 4  'Right Center
        CommandButton1.Caption = "Right Center"
        CommandButton1.PicturePosition = _
            fmPicturePositionRightCenter

    Case 5  'Right Bottom
        CommandButton1.Caption = "Right Bottom"
        CommandButton1.PicturePosition = _
            fmPicturePositionRightBottom

    Case 6  'Above Left
        CommandButton1.Caption = "Above Left"
        CommandButton1.PicturePosition = _
            fmPicturePositionAboveLeft

    Case 7  'Above Center
        CommandButton1.Caption = "Above Center"
        CommandButton1.PicturePosition = _
            fmPicturePositionAboveCenter

    Case 8  'Above Right
        CommandButton1.Caption = "Above Right"
        CommandButton1.PicturePosition = _
            fmPicturePositionAboveRight

    Case 9  'Below Left
        CommandButton1.Caption = "Below Left"
        CommandButton1.PicturePosition = _
            fmPicturePositionBelowLeft

    Case 10 'Below Center
        CommandButton1.Caption = "Below Center"
        CommandButton1.PicturePosition = _
            fmPicturePositionBelowCenter

    Case 11 'Below Right
        CommandButton1.Caption = "Below Right"
        CommandButton1.PicturePosition = _
            fmPicturePositionBelowRight

    Case 12 'Centered
        CommandButton1.Caption = "Centered"
        CommandButton1.PicturePosition = _
            fmPicturePositionCenter

    End Select

End Sub


Beispiel für PictureSizeMode-Eigenschaft

Im folgenden Beispiel werden anhand der PictureSizeMode-Eigenschaft drei Anzeigeoptionen für ein Bild veranschaulicht: Anzeigen des Bildes im Originalformat, Ändern der Größe des Bildes unter Beibehaltung der ursprünglichen Proportionen und Dehnen des Bildes, so dass es einen bestimmten Raum einnimmt.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Rahmen-Steuerelement (Frame) mit dem Namen Frame1.

  • Ein Drehfeld-Steuerelement (SpinButton) mit dem Namen SpinButton1.

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.

  • Drei Optionsfeld-Steuerelemente (OptionButton) mit den Namen OptionButton1, 2 und 3.

Anmerkung Dieses Beispiel ist eine erweiterte Version des Beispiels für die PictureAlignment-Eigenschaft, da diese beiden Eigenschaften sich gegenseitig ergänzen. Die Erweiterung besteht in den drei OptionButton-Ereignissubroutinen, die steuern, ob das Bild zugeschnitten, gezoomt oder gedehnt wird.

Dim Alignments(5) As String

Private Sub UserForm_Initialize()
    Alignments(0) = "0 - Top Left"
    Alignments(1) = "1 - Top Right"
    Alignments(2) = "2 - Center"
    Alignments(3) = "3 - Bottom Left"
    Alignments(4) = "4 - Bottom Right"

    'Specify a bitmap that exists on your system
    Frame1.Picture = LoadPicture("c:\winnt2\ball.bmp")

    SpinButton1.Min = 0
    SpinButton1.Max = 4
    SpinButton1.Value = 0

    TextBox1.Text = Alignments(0)
    Frame1.PictureAlignment = SpinButton1.Value

    OptionButton1.Caption = "Crop"
    OptionButton1.Value = True
    OptionButton2.Caption = "Stretch"
    OptionButton3.Caption = "Zoom"
End Sub

Private Sub OptionButton1_Click()
    If OptionButton1.Value = True Then
        Frame1.PictureSizeMode = fmPictureSizeModeClip
    End If
End Sub

Private Sub OptionButton2_Click()
    If OptionButton2.Value = True Then
        Frame1.PictureSizeMode = fmPictureSizeModeStretch
    End If
End Sub

Private Sub OptionButton3_Click()
    If OptionButton3.Value = True Then
        Frame1.PictureSizeMode = fmPictureSizeModeZoom
    End If
End Sub

Private Sub SpinButton1_Change()
    TextBox1.Text = Alignments(SpinButton1.Value)
    Frame1.PictureAlignment = SpinButton1.Value
End Sub

Private Sub TextBox1_Change()
    Select Case TextBox1.Text
    Case "0"
        TextBox1.Text = Alignments(0)
        Frame1.PictureAlignment = 0
    Case "1"
        TextBox1.Text = Alignments(1)
        Frame1.PictureAlignment = 1
    Case "2"
        TextBox1.Text = Alignments(2)
        Frame1.PictureAlignment = 2
    Case "3"
        TextBox1.Text = Alignments(3)
        Frame1.PictureAlignment = 3
    Case "4"
        TextBox1.Text = Alignments(4)
        Frame1.PictureAlignment = 4
    Case Else
        TextBox1.Text = Alignments(SpinButton1.Value)
        Frame1.PictureAlignment = SpinButton1.Value
    End Select
End Sub


Beispiel für Methoden Paste, PutInClipboard und SetText

Das folgende Beispiel veranschaulicht das Verschieben von Daten von einem Textfeld-Steuerelement (TextBox) in ein DataObject-Objekt, von einem DataObject-Objekt in die Zwischenablage und von dieser in ein anderes Textfeld-Steuerelement (TextBox). Die PutInClipboard-Methode überträgt Daten von einem DataObject-Objekt in die Zwischenablage. Darüber hinaus werden die Methoden SetText und Paste verwendet.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Zwei Textfeld-Steuerelemente (TextBox) mit den Namen TextBox1 und TextBox2.

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.
Dim MyData As DataObject

Private Sub CommandButton1_Click()
    Set MyData = New DataObject

    MyData.SetText TextBox1.Text
    MyData.PutInClipboard

    TextBox2.Paste
End Sub

Private Sub UserForm_Initialize()
    TextBox1.Text = "Move this data to a " _
        & "DataObject, to the Clipboard, then to " _
        & "TextBox2!"
End Sub


Beispiel für Bildlaufleiste-Steuerelement und Scroll-Ereignis

Das folgende Beispiel veranschaulicht das eigenständige Bildlaufleiste-Steuerelement (ScrollBar) und zeigt die Änderung seines Wertes, während der Benutzer das Bildlauffeld bewegt. Der Benutzer kann das Bildlauffeld verschieben, indem er auf einen der Pfeile am Ende des Steuerelements klickt, indem er auf den Bereich zwischen dem Bildlauffeld und einem der beiden Pfeile klickt oder indem er das Bildlauffeld zieht. Im letzteren Fall zeigt das Scroll-Ereignis eine Meldung mit dem Hinweis an, dass der neue Wert aus einem Bildlauf resultiert.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Bildlaufleiste-Steuerelement (ScrollBar) mit dem Namen ScrollBar1.

  • Zwei Bezeichnungsfeld-Steuerelemente (Label) mit den Namen Label1 und Label2. Label1 enthält Skalierungsinformationen für den Benutzer, Label2 zeigt den Differenzwert an.
Dim ScrollSaved As Integer
'Previous ScrollBar setting

Private Sub UserForm_Initialize()
    ScrollBar1.Min = -225
    ScrollBar1.Max = 289
    ScrollBar1.Value = 0

    Label1.Caption = "-225  -----Widgets-----   289"
    Label1.AutoSize = True

    Label2.Caption = ""
End Sub

Private Sub ScrollBar1_Change()
    Label2.Caption = " Widget Changes " _
        & (ScrollSaved - ScrollBar1.Value)
End Sub

Private Sub ScrollBar1_Exit(ByVal Cancel as MSForms.ReturnBoolean)
    Label2.Caption = " Widget Changes " _
        & (ScrollSaved - ScrollBar1.Value)
    ScrollSaved = ScrollBar1.Value
End Sub

Private Sub ScrollBar1_Scroll()
    Label2.Caption = (ScrollSaved – ScrollBar1 _
        .Value) & " Widget Changes by Scrolling"
End Sub


Beispiel für Eigenschaften ScrollBars und KeepScrollBarsVisible

Im folgenden Beispiel werden mit Hilfe der Eigenschaften ScrollBars und KeepScrollBarsVisible einer Seite eines Multiseiten-Steuerelements (MultiPage) und einem Rahmen-Steuerelement (Frame) Bildlaufleisten hinzugefügt. Der Benutzer klickt auf ein Optionsfeld, das wiederum einen Wert für KeepScrollBarsVisible angibt.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Multiseiten-Steuerelement (MultiPage) mit dem Namen MultiPage1.

  • Ein Rahmen-Steuerelement (Frame) mit dem Namen Frame1.

  • Vier Optionsfeld-Steuerelemente (OptionButton) mit den Namen OptionButton1, 2, 3 und 4.
Private Sub UserForm_Initialize()
    MultiPage1.Pages(0).ScrollBars = fmScrollBarsBoth
    MultiPage1.Pages(0).KeepScrollBarsVisible = fmScrollBarsNone

    Frame1.ScrollBars = fmScrollBarsBoth
    Frame1.KeepScrollBarsVisible = fmScrollBarsNone

    OptionButton1.Caption = "No scroll bars"
    OptionButton1.Value = True
    OptionButton2.Caption = "Horizontal scroll bars"
    OptionButton3.Caption = "Vertical scroll bars"
    OptionButton4.Caption = "Both scroll bars"
End Sub

Private Sub OptionButton1_Click()
    MultiPage1.Pages(0).KeepScrollBarsVisible = _
        fmScrollBarsNone
    Frame1.KeepScrollBarsVisible = fmScrollBarsNone
End Sub

Private Sub OptionButton2_Click()
    MultiPage1.Pages(0).KeepScrollBarsVisible = _
        fmScrollBarsHorizontal
    Frame1.KeepScrollBarsVisible = _
        fmScrollBarsHorizontal
End Sub

Private Sub OptionButton3_Click()
    MultiPage1.Pages(0).KeepScrollBarsVisible = _
        fmScrollBarsVertical
    Frame1.KeepScrollBarsVisible = _
        fmScrollBarsVertical
End Sub

Private Sub OptionButton4_Click()
    MultiPage1.Pages(0).KeepScrollBarsVisible = _
        fmScrollBarsBoth
    Frame1.KeepScrollBarsVisible = fmScrollBarsBoth
End Sub


Beispiel für Eigenschaften ScrollHeight, ScrollLeft, ScrollTop und ScrollWidth

Im folgenden Beispiel wird eine Seite eines Multiseiten-Steuerelements (MultiPage) als Bildlaufbereich verwendet. Der Benutzer kann die Bildlaufleisten auf Page2 des Multiseiten-Steuerelements verwenden, um Zugriff auf die Teile der Seite zu erhalten, die anfangs nicht angezeigt werden.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss ein Multiseiten-Steuerelement (MultiPage) mit dem Namen MultiPage1enthalten. Außerdem muss jede Seite des Multiseiten-Steuerelements (MultiPage) ein oder mehrere Steuerelemente aufweisen.

Anmerkung Jede Seite eines Multiseiten-Steuerelements (MultiPage) ist eindeutig. Page1 hat keine Bildlaufleisten. Page2 enthält horizontale und vertikale Bildlaufleisten.

Private Sub UserForm_Initialize()
    MultiPage1.Pages(1).ScrollBars = fmScrollBarsBoth
    MultiPage1.Pages(1).KeepScrollBarsVisible = _
        fmScrollBarsNone

    MultiPage1.Pages(1).ScrollHeight = 2 * _
        MultiPage1.Height
    MultiPage1.Pages(1).ScrollWidth = 2 * _
        MultiPage1.Width

    'Set ScrollHeight, ScrollWidth before setting
     'ScrollLeft, ScrollTop
    MultiPage1.Pages(1).ScrollLeft = _
        MultiPage1.Width / 2
    MultiPage1.Pages(1).ScrollTop = _
        MultiPage1.Height / 2
End Sub


Beispiel für Style-Eigenschaft

Im folgenden Beispiel wird die Style-Eigenschaft verwendet, um den Effekt einer Eingabe im Textbereich eines Kombinationsfeld-Steuerelements (ComboBox) zu ändern. Der Benutzer wählt einen Stil aus, indem er auf ein Optionsfeld-Steuerelement (OptionButton) klickt und dann Text im Kombinationsfeld-Steuerelement (ComboBox) eingibt, um ein Element auszuwählen. Wenn Style den Wert fmStyleDropDownList hat, muss der Benutzer ein Element in der Dropdownliste auswählen. Hat Style den Wert fmStyleDropDownCombo, dann kann der Benutzer Text im Textbereich eingeben, um ein Element in der Dropdownliste anzugeben.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Zwei Optionsfeld-Steuerelemente (OptionButton) mit den Namen OptionButton1 und OptionButton2.

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit dem Namen ComboBox1.
Private Sub OptionButton1_Click()
    ComboBox1.Style = fmStyleDropDownCombo
End Sub

Private Sub OptionButton2_Click()
    ComboBox1.Style = fmStyleDropDownList
End Sub

Private Sub UserForm_Initialize()
    Dim i As Integer

    For i = 1 To 10
        ComboBox1.AddItem "Choice " & i
    Next i

    OptionButton1.Caption = "Select like ComboBox"
    OptionButton1.Value = True
    ComboBox1.Style = fmStyleDropDownCombo

    OptionButton2.Caption = "Select like ListBox"
End Sub


Beispiel für Style-Eigenschaft und Bezeichnungsfeld-Steuerelement

Im folgenden Beispiel wird anhand der Style-Eigenschaft das Erscheinungsbild der Registerkarten in einem Multiseiten- (MultiPage) und einem Register-Steuerelement (TabStrip) festgelegt. Hierbei wird außerdem die Verwendung eines Bezeichnungsfeld-Steuerelements (Label) veranschaulicht. Der Benutzer wählt einen Stil aus, indem er auf ein Optionsfeld-Steuerelement (OptionButton) klickt.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1.

  • Drei Optionsfeld-Steuerelemente (OptionButton) mit den Namen OptionButton1, 2 und 3.

  • Ein Multiseiten-Steuerelement (MultiPage) mit dem Namen MultiPage1.

  • Ein Register-Steuerelement (TabStrip) mit dem Namen TabStrip1.

  • Ein beliebiges Steuerelement innerhalb des Register-Steuerelements (TabStrip).

  • Ein beliebiges Steuerelement auf jeder Seite des Multiseiten-Steuerelements (MultiPage).
Private Sub OptionButton1_Click()
    MultiPage1.Style = fmTabStyleTabs
    TabStrip1.Style = fmTabStyleTabs
End Sub

Private Sub OptionButton2_Click()
    'Note that the page borders are invisible
    MultiPage1.Style = fmTabStyleButtons
    TabStrip1.Style = fmTabStyleButtons
End Sub

Private Sub OptionButton3_Click()
    'Note that the page borders are invisible and
    'the page body begins where the tabs normally
     'appear.
    MultiPage1.Style = fmTabStyleNone
    TabStrip1.Style = fmTabStyleNone
End Sub

Private Sub UserForm_Initialize()
    Label1.Caption = "Page/Tab Style"
    OptionButton1.Caption = "Tabs"
    OptionButton1.Value = True
    MultiPage1.Style = fmTabStyleTabs
    TabStrip1.Style = fmTabStyleTabs

    OptionButton2.Caption = "Buttons"
    OptionButton3.Caption = "No Tabs or Buttons"
End Sub


Beispiel für Eigenschaften TabFixedHeight und TabFixedWidth

Im folgenden Beispiel wird mit Hilfe der Eigenschaften TabFixedHeight und TabFixedWidth die Größe der Register in einem Multiseiten- (MultiPage) und einem Register-Steuerelement (TabStrip) festgelegt. Der Benutzer klickt auf die Drehfeld-Steuerelemente (SpinButton), um Höhe und Breite der Registerkarten innerhalb des Multiseiten- und des Register-Steuerelements anzupassen.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Multiseiten-Steuerelement (MultiPage) mit dem Namen MultiPage1.

  • Ein Register-Steuerelement (TabStrip) mit dem Namen TabStrip1.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1 für die Steuerung der Breite.

  • Ein Drehfeld-Steuerelement (SpinButton) mit dem Namen SpinButton1 für die Steuerung der Breite.

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1 für die Steuerung der Breite.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label2 für die Steuerung der Höhe.

  • Ein Drehfeld-Steuerelement (SpinButton) mit dem Namen SpinButton2 für die Steuerung der Höhe.

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox2 für die Steuerung der Höhe.
Private Sub UpdateTabWidth()
    TextBox1.Text = SpinButton1.Value
    TabStrip1.TabFixedWidth = SpinButton1.Value
    MultiPage1.TabFixedWidth = SpinButton1.Value
End Sub

Private Sub UpdateTabHeight()
    TextBox2.Text = SpinButton2.Value
    TabStrip1.TabFixedHeight = SpinButton2.Value
    MultiPage1.TabFixedHeight = SpinButton2.Value
End Sub

Private Sub UserForm_Initialize()
    MultiPage1.Style = fmTabStyleButtons

    Label1.Caption = "Tab Width"
    SpinButton1.Min = 0
    SpinButton1.Max = _
        TabStrip1.Width / TabStrip1.Tabs.Count
    SpinButton1.Value = 0
    TextBox1.Locked = True

    UpdateTabWidth

    Label2.Caption = "Tab Height"
    SpinButton2.Min = 0
    SpinButton2.Max = TabStrip1.Height
    SpinButton2.Value = 0
    TextBox2.Locked = True

    UpdateTabHeight
End Sub

Private Sub SpinButton1_SpinDown()
    UpdateTabWidth
End Sub

Private Sub SpinButton1_SpinUp()
    UpdateTabWidth
End Sub

Private Sub SpinButton2_SpinDown()
    UpdateTabHeight
End Sub

Private Sub SpinButton2_SpinUp()
    UpdateTabHeight
End Sub


Beispiel für TabIndex-Eigenschaft

Im folgenden Beispiel wird anhand der TabIndex-Eigenschaft die Aktivierreihenfolge für einzelne Steuerelemente angezeigt und festgelegt. Der Benutzer kann die TAB-TASTE drücken, um jeweils zum nächsten Steuerelement in der Aktivierreihenfolge zu wechseln und den Wert für die TabIndex-Eigenschaft dieses Steuerelements anzuzeigen. Er kann auch auf ein Steuerelement klicken, um dessen TabIndex-Eigenschaft anzuzeigen. Um die TabIndex-Eigenschaft eines Steuerelements zu ändern, kann der Benutzer im Textfeld-Steuerelement (TextBox) einen neuen Wert eingeben und auf das Befehlsschaltfläche-Steuerelement CommandButton3 klicken. Wenn der Benutzer die TabIndex-Eigenschaft für eines der Steuerelemente ändert, werden auch die TabIndex-Werte für die anderen Steuerelemente in dem Rahmen-Steuerelement (Frame) aktualisiert.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1.

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.

  • Ein Rahmen-Steuerelement (Frame) mit dem Namen Frame1.

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox2 innerhalb des Rahmen-Steuerelements (Frame).

  • Zwei Befehlsschaltfläche-Steuerelemente (CommandButton) mit den Namen CommandButton1 und CommandButton2 innerhalb des Rahmen-Steuerelements (Frame).

  • Ein Bildlaufleiste-Steuerelement (ScrollBar) mit dem Namen ScrollBar1 innerhalb des Rahmen-Steuerelements (Frame).

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton3 (nicht innerhalb des Rahmen-Steuerelements).
Private Sub MoveToFront()
    Dim i, Temp As Integer

    Temp = Frame1.ActiveControl.TabIndex
    For i = 0 To Temp - 1
        Frame1.Controls.Item(i).TabIndex = i + 1
    Next i

    Frame1.ActiveControl.TabIndex = 0
    TextBox1.Text = Frame1.ActiveControl.TabIndex
End Sub

Private Sub CommandButton3_Click()
    Dim i, Temp As Integer

    If IsNumeric(TextBox1.Text) Then
        Temp = Val(TextBox1.Text)

     If Temp >= Frame1.Controls.Count Or Temp < 0
         Then
         'Entry out of range; move control to front
            'of tab order
            MoveToFront
                 ElseIf
                 Temp > Frame1.ActiveControl.TabIndex
            Then
            'Move entry down the list
            For i = Frame1.ActiveControl.TabIndex + _
                    1 To Temp
               Frame1.Controls.Item(i).TabIndex = _
                        i - 1
            Next i
            Frame1.ActiveControl.TabIndex = Temp
            TextBox1.Text = _
                 Frame1.ActiveControl.TabIndex
        Else
            'Move Entry up the list
            For i = Frame1.ActiveControl.TabIndex - _
                    1 To Temp
               Frame1.Controls.Item(i).TabIndex = _
                        i + 1
            Next i
            Frame1.ActiveControl.TabIndex = Temp
            TextBox1.Text = _
                 Frame1.ActiveControl.TabIndex
        End If
    Else
        'Text entry; move control to front of tab
          'order
        MoveToFront
    End If
End Sub

Private Sub UserForm_Initialize()
    Label1.Caption = "TabIndex"

    Frame1.Controls(0).SetFocus
    TextBox1.Text = Frame1.ActiveControl.TabIndex

    Frame1.Cycle = fmCycleCurrentForm

    CommandButton3.Caption = "Set TabIndex"
    CommandButton3.TakeFocusOnClick = False
End Sub

Private Sub TextBox2_Enter()
    TextBox1.Text = Frame1.ActiveControl.TabIndex
End Sub

Private Sub CommandButton1_Enter()
    TextBox1.Text = Frame1.ActiveControl.TabIndex
End Sub

Private Sub CommandButton2_Enter()
    TextBox1.Text = Frame1.ActiveControl.TabIndex
End Sub

Private Sub ScrollBar1_Enter()
    TextBox1.Text = Frame1.ActiveControl.TabIndex
End Sub


Beispiel für TabStop-Eigenschaft

Im folgenden Beispiel wird mit Hilfe der TabStop-Eigenschaft gesteuert, ob der Benutzer durch Drücken der TAB-TASTE den Fokus in ein bestimmtes Steuerelement setzen kann. Der Benutzer drückt die TAB-TASTE, um den Fokus zwischen den Steuerelementen in einem Formular zu verschieben, und klickt dann auf das Umschaltfeld-Steuerelement (ToggleButton), um die TabStop-Eigenschaft für das Befehlsschaltfläche-Steuerelement CommandButton1 zu ändern. Wenn TabStop den Wert False hat, erhält CommandButton1 nicht durch Drücken der TAB-TASTE den Fokus.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.

  • Ein Umschaltfeld-Steuerelement (ToggleButton) mit dem Namen ToggleButton1.

  • Ein oder zwei andere Steuerelemente, z. B. ein Optionsfeld- (OptionButton) oder ein Listenfeld-Steuerelement (ListBox).
Private Sub CommandButton1_Click()
    MsgBox "Clicked CommandButton1."
End Sub

Private Sub ToggleButton1_Click()
    If ToggleButton1 = True Then
        CommandButton1.TabStop = True
        ToggleButton1.Caption = "TabStop On"
    Else
        CommandButton1.TabStop = False
        ToggleButton1.Caption = "TabStop Off"
    End If
End Sub

Private Sub UserForm_Initialize()
    CommandButton1.Caption = "Show Message"

    ToggleButton1.Caption = "TabStop On"
    ToggleButton1.Value = True
    ToggleButton1.Width = 90
End Sub


Beispiel für Eigenschaften Height, Width, Left, Top, ClientHeight, ClientWidth, ClientLeft und ClientTop sowie Register- und Anzeige-Steuerelement

Im folgenden Beispiel werden die Abmessungen eines Anzeige-Steuerelements (Image) auf die Größe des Clientbereichs eines Register-Steuerelements (TabStrip) gesetzt, wenn der Benutzer auf ein Befehlsschaltfläche-Steuerelement (CommandButton) klickt. Bei diesem Codebeispiel werden folgende Eigenschaften verwendet: Height, Left, Top, Width, ClientHeight, ClientLeft, ClientTop und ClientWidth.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.

  • Ein Register-Steuerelement (TabStrip) mit dem Namen TabStrip1.

  • Ein Anzeige-Steuerelement (Image) mit dem Namen Image1.
Private Sub UserForm_Initialize()
    CommandButton1.Caption = "Size Image to Tab Area"
    CommandButton1.WordWrap = True
    CommandButton1.AutoSize = True
End Sub
Private Sub CommandButton1_Click()
    Image1.ZOrder(fmFront)
'Place Image in front of TabStrip

'ClientLeft and ClientTop are measured from the edge
'of the TabStrip, not from the edges of the form
'containing the TabStrip.
    Image1.Left = TabStrip1.Left + TabStrip1.ClientLeft
    Image1.Top = TabStrip1.Top + TabStrip1.ClientTop
    Image1.Width = TabStrip1.ClientWidth
    Image1.Height = TabStrip1.ClientHeight

End Sub


Beispiel für Tag-Eigenschaft

In diesem Beispiel werden mit Hilfe der Tag-Eigenschaft zusätzliche Informationen über die einzelnen Steuerelemente in einem UserForm-Objekt gespeichert. Der Benutzer klickt auf ein Steuerelement und dann auf das Befehlsschaltfläche-Steuerelement (CommandButton). Der Inhalt der Tag-Eigenschaft für das jeweilige Steuerelement wird im Textfeld-Steuerelement (TextBox) zurückgegeben.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.

  • Ein Bildlaufleiste-Steuerelement (ScrollBar) mit dem Namen ScrollBar1.

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit dem Namen ComboBox1.

  • Ein Multiseiten-Steuerelement (MultiPage) mit dem Namen MultiPage1.
Private Sub CommandButton1_Click()
    TextBox1.Text = ActiveControl.Tag
End Sub

Private Sub UserForm_Initialize()
    TextBox1.Locked = True
    TextBox1.Tag = "Display area for Tag properties."
    TextBox1.AutoSize = True

    CommandButton1.Caption = "Show Tag of Current " _
        & "Control."
    CommandButton1.AutoSize = True
    CommandButton1.WordWrap = True
    CommandButton1.TakeFocusOnClick = False
    CommandButton1.Tag = "Shows tag of control " _
        & "that has the focus."

    ComboBox1.Style = fmStyleDropDownList
    ComboBox1.Tag = "ComboBox Style is that of " _
        & "a ListBox."

    ScrollBar1.Max = 100
    ScrollBar1.Min = -273
    ScrollBar1.Tag = "Max = " & ScrollBar1.Max _
        & " , Min = " & ScrollBar1.Min

    MultiPage1.Pages.Add
    MultiPage1.Pages.Add
    MultiPage1.Tag = "This MultiPage has " _
        & MultiPage1.Pages.Count & " pages."
End Sub


Beispiel für TakeFocusOnClick-Eigenschaft

Bei diesem Beispiel wird mit Hilfe der TakeFocusOnClick-Eigenschaft gesteuert, ob ein Befehlsschaltfläche-Steuerelement (CommandButton) den Fokus erhält, wenn der Benutzer darauf klickt. Der Benutzer klickt auf ein anderes Steuerelement als CommandButton1 und dann auf CommandButton1. Wenn TakeFocusOnClick den Wert True hat, erhält CommandButton1 den Fokus, nachdem der Benutzer darauf geklickt hat. Der Benutzer kann den Wert von TakeFocusOnClick ändern, indem er auf das Umschaltfeld-Steuerelement (ToggleButton) klickt.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.

  • Ein Umschaltfeld-Steuerelement (ToggleButton) mit dem Namen ToggleButton1.

  • Ein oder zwei weitere Steuerelemente, z. B. ein Optionsfeld- (OptionButton) oder ein Listenfeld-Steuerelement (ListBox).
Private Sub CommandButton1_Click()
    MsgBox "Watch CommandButton1 to see if it " _
        & "takes the focus."
End Sub

Private Sub ToggleButton1_Click()
    If ToggleButton1 = True Then
        CommandButton1.TakeFocusOnClick = True
        ToggleButton1.Caption = "TakeFocusOnClick On"
    Else
        CommandButton1.TakeFocusOnClick = False
        ToggleButton1.Caption = "TakeFocusOnClick Off"
    End If
End Sub

Private Sub UserForm_Initialize()
    CommandButton1.Caption = "Show Message"

    ToggleButton1.Caption = "TakeFocusOnClick On"
    ToggleButton1.Value = True
    ToggleButton1.Width = 90
End Sub


Beispiel für TextColumn-Eigenschaft

Im folgenden Beispiel wird mit Hilfe der TextColumn-Eigenschaft diejenige Datenspalte in einem Listenfeld-Steuerelement (ListBox) angegeben, die Daten für dessen Text-Eigenschaft bereitstellt. Bei diesem Beispiel wird die dritte Spalte des Listenfeld-Steuerelements (ListBox) als diese Textspalte festgelegt. Wenn Sie einen Eintrag in dem Listenfeld-Steuerelement auswählen, wird der Wert der TextColumn-Eigenschaft im Bezeichnungsfeld-Steuerelement (Label) angezeigt.

Dieses Beispiel veranschaulicht außerdem, wie mit Hilfe der AddItem-Methode und der List-Eigenschaft Daten in ein mehrspaltiges Listenfeld-Steuerelement (ListBox) geladen werden.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Listenfeld-Steuerelement (ListBox) mit dem Namen ListBox1.

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.
Private Sub UserForm_Initialize()
ListBox1.ColumnCount = 3

ListBox1.AddItem "Row 1, Col 1"
ListBox1.List(0, 1) = "Row 1, Col 2"
ListBox1.List(0, 2) = "Row 1, Col 3"

ListBox1.AddItem "Row 2, Col 1"
ListBox1.List(1, 1) = "Row 2, Col 2"
ListBox1.List(1, 2) = "Row 2, Col 3"

ListBox1.AddItem "Row 3, Col 1"
ListBox1.List(2, 1) = "Row 3, Col 2"
ListBox1.List(2, 2) = "Row 3, Col 3"

ListBox1.TextColumn = 3
End Sub

Private Sub ListBox1_Change()
TextBox1.Text = ListBox1.Text
End Sub


Beispiel für Eigenschaften Enabled, EnterFieldBehavior, SelLength, SelStart und SelText

In diesem Beispiel werden die Auswahleigenschaften (SelLength, SelStart und SelText) registriert, die sich ändern, wenn der Benutzer die Einfügemarke verschiebt und die Auswahl mit Hilfe der Tastatur erweitert. Darüber hinaus werden in diesem Beispiel die Eigenschaften Enabled und EnterFieldBehavior verwendet.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein großes Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.

  • Drei Textfeld-Steuerelemente (TextBox) mit den Namen TextBox2, 3 und 4 in einer Spalte.
Private Sub TextBox1_KeyUp(ByVal KeyCode As _
    MSForms.ReturnInteger, ByVal Shift As Integer)
    TextBox2.Text = TextBox1.SelStart
    TextBox3.Text = TextBox1.SelLength
    TextBox4.Text = TextBox1.SelText
End Sub
Private Sub UserForm_Initialize()
    TextBox1.MultiLine = True
    TextBox1.EnterFieldBehavior = _
        fmEnterFieldBehaviorRecallSelection

    TextBox1.Text = "Type your text here. Use " _
        & "CTRL+ENTER to start a new line."
End Sub


Beispiel für TopIndex-Eigenschaft

In diesem Beispiel wird das Element angegeben, das sich in einem Listenfeld-Steuerelement (ListBox) an oberster Stelle befindet, und das Element, das in dem Listenfeld-Steuerelement den Fokus hat. Das an oberster Position in dem Listenfeld-Steuerelement befindliche Element wird in diesem Beispiel anhand der TopIndex-Eigenschaft angegeben. Mit Hilfe der ListIndex-Eigenschaft wird das Element angegeben, das den Fokus hat. Der Benutzer wählt ein Element in dem Listenfeld-Steuerelement aus. Die angezeigten Werte der Eigenschaften TopIndex und ListIndex werden aktualisiert, wenn der Benutzer ein Element auswählt oder auf das Befehlsschaltflächen-Steuerelement (CommandButton) klickt.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1.

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label2.

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox2.

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.

  • Ein Listenfeld-Steuerelement (ListBox) mit dem Namen ListBox1.
Private Sub CommandButton1_Click()
    ListBox1.TopIndex = ListBox1.ListIndex
    TextBox1.Text = ListBox1.TopIndex
    TextBox2.Text = ListBox1.ListIndex
End Sub

Private Sub ListBox1_Change()
    TextBox1.Text = ListBox1.TopIndex
    TextBox2.Text = ListBox1.ListIndex
End Sub

Private Sub UserForm_Initialize()
    Dim i As Integer

    For i = 0 To 24
        ListBox1.AddItem "Choice " & (i + 1)
    Next i
    ListBox1.Height = 66
    CommandButton1.Caption = "Move to top of list"
    CommandButton1.AutoSize = True
    CommandButton1.TakeFocusOnClick = False

    Label1.Caption = "Index of top item"
    TextBox1.Text = ListBox1.TopIndex

    Label2. Caption = "Index of current item"
    Label2.AutoSize = True
    Label2.WordWrap = False
    TextBox2.Text = ListBox1.ListIndex
End Sub


Beispiel für TripleState-Eigenschaft und Umschaltfeld-Steuerelement

Im folgenden Beispiel wird mit Hilfe der TripleState-Eigenschaft der Wert Null als zulässiger Wert eines Kontrollkästchen- (CheckBox) und eines Umschaltfeld-Steuerelements (ToggleButton) ermöglicht. Der Benutzer steuert den Wert von TripleState mit Hilfe von ToggleButton2. Er kann den Wert eines Kontrollkästchen- (CheckBox) oder Umschaltfeld-Steuerelements (ToggleButton) basierend auf dem Wert der TripleState-Eigenschaft festlegen.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Kontrollkästchen-Steuerelement (CheckBox) mit dem Namen CheckBox1.

  • Ein Umschaltfeld-Steuerelement (ToggleButton) mit dem Namen ToggleButton1.

  • Ein Umschaltfeld-Steuerelement (ToggleButton) mit dem Namen ToggleButton2.
Private Sub UserForm_Initialize()
    CheckBox1.Caption = "Value is True"
    CheckBox1.Value = True
    CheckBox1.TripleState = False

    ToggleButton1.Caption = "Value is True"
    ToggleButton1.Value = True
    ToggleButton1.TripleState = False

    ToggleButton2.Value = False
    ToggleButton2.Caption = "Triple State Off"
End Sub

Private Sub ToggleButton2_Click()
    If ToggleButton2.Value = True Then
        ToggleButton2.Caption = "Triple State On"
        CheckBox1.TripleState = True
        ToggleButton1.TripleState = True
    Else
        ToggleButton2.Caption = "Triple State Off"
        CheckBox1.TripleState = False
        ToggleButton1.TripleState = False
    End If
End Sub

Private Sub CheckBox1_Change()
    If IsNull(CheckBox1.Value) Then
        CheckBox1.Caption = "Value is Null"
    ElseIf CheckBox1.Value = False Then
        CheckBox1.Caption = "Value is False"
    ElseIf CheckBox1.Value = True Then
        CheckBox1.Caption = "Value is True"
    End If
End Sub

Private Sub ToggleButton1_Change()
    If IsNull(ToggleButton1.Value) Then
        ToggleButton1.Caption = "Value is Null"
    ElseIf ToggleButton1.Value = False Then
        ToggleButton1.Caption = "Value is False"
    ElseIf ToggleButton1.Value = True Then
        ToggleButton1.Caption = "Value is True"
    End If
End Sub


Beispiel für Value-Eigenschaft

Das folgende Beispiel veranschaulicht durch Anzeigen der Value-Eigenschaft eines ausgewählten Steuerelements die Werte, die die unterschiedlichen Arten von Steuerelementen haben können. Der Benutzer wählt ein Steuerelement aus, indem er die TAB-TASTE drückt oder auf das betreffende Steuerelement klickt. Je nach Art des Steuerelements kann der Benutzer auch einen Wert eingeben, indem er entweder Text im Textbereich des Steuerelements eingibt, einmal oder mehrmals auf das Steuerelement klickt oder innerhalb des Steuerelements ein Element, eine Seite oder eine Registerkarte auswählt. Der Benutzer kann den Wert für das ausgewählte Steuerelement anzeigen, indem er auf das Befehlsschaltflächen-Steuerelement (CommandButton) mit der entsprechenden Beschriftung klickt.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1.

  • Ein Kontrollkästchen-Steuerelement (CheckBox) mit dem Namen CheckBox1.

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit dem Namen ComboBox1.

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton2.

  • Ein Listenfeld-Steuerelement (ListBox) mit dem Namen ListBox1.

  • Ein Multiseiten-Steuerelement (MultiPage) mit dem Namen MultiPage1.

  • Zwei Optionsfeld-Steuerelemente (OptionButton) mit den Namen OptionButton1 und OptionButton2.

  • Ein Bildlaufleiste-Steuerelement (ScrollBar) mit dem Namen ScrollBar1.

  • Ein Drehfeld-Steuerelement (SpinButton) mit dem Namen SpinButton1.

  • Ein Register-Steuerelement (TabStrip) mit dem Namen TabStrip1.

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox2.

  • Ein Umschaltfeld-Steuerelement (ToggleButton) mit dem Namen ToggleButton1.
Dim i As Integer

Private Sub CommandButton1_Click()
    TextBox1.Text = "Value of " & ActiveControl.Name _
        & " is " & ActiveControl.Value
End Sub

Private Sub UserForm_Initialize()
    CommandButton1.Caption = "Get value of " _
        & "current control"
    CommandButton1.AutoSize = True
    CommandButton1.TakeFocusOnClick = False
    CommandButton1.TabStop = False

    TextBox1.AutoSize = True

    For i = 0 To 10
        ComboBox1.AddItem "Choice " & (i + 1)
        ListBox1.AddItem "Selection " & (100 - i)
    Next i

    CheckBox1.TripleState = True
    ToggleButton1.TripleState = True

    TextBox2.Text = "Enter text here."
End Sub


Beispiel für Zoom-Ereignis, Zoom-Eigenschaft und Bezeichnungsfeld-Steuerelement

Im folgenden Beispiel wird das Zoom-Ereignis verwendet, um den neuen Wert der Zoom-Eigenschaft auszuwerten, und dem Formular werden Bildlaufleisten hinzugefügt, falls erforderlich. Dabei wird der aktuelle Wert mit Hilfe eines Bezeichnungsfeld-Steuerelements (Label) angezeigt. Der Benutzer gibt die Größe des Formulars mit Hilfe des Drehfeld-Steuerelements (SpinButton) an und klickt dann auf das Befehlsschaltfläche-Steuerelement (CommandButton), um den Wert der Zoom-Eigenschaft festzulegen.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1.

  • Ein Drehfeld-Steuerelement (SpinButton) mit dem Namen SpinButton1.

  • Ein Befehlsschaltfläche-Steuerelement (CommandButton) mit dem Namen CommandButton1.

  • Weitere Steuerelemente, die an den Rändern des Formulars platziert sind.
Private Sub CommandButton1_Click()
    Zoom = SpinButton1.Value
End Sub

Private Sub SpinButton1_SpinDown()
    Label1.Caption = SpinButton1.Value
End Sub

Private Sub SpinButton1_SpinUp()
    Label1.Caption = SpinButton1.Value
End Sub

Private Sub UserForm_Initialize()
    SpinButton1.Min = 10
    SpinButton1.Max = 400
    SpinButton1.Value = 100
    Label1.Caption = SpinButton1.Value

    CommandButton1.Caption = "Zoom it!"
End Sub

Private Sub UserForm_Zoom(Percent As Integer)
    Dim MyResult As Double

    If Percent > 99 Then
        ScrollBars = fmScrollBarsBoth
        ScrollLeft = 0
        ScrollTop = 0

        MyResult = Width * Percent / 100
        ScrollWidth = MyResult

        MyResult = Height * Percent / 100
        ScrollHeight = MyResult
    Else
        ScrollBars = fmScrollBarsNone
        ScrollLeft = 0
        ScrollTop = 0
    End If
End Sub


Beispiel für Eigenschaften Max, Min und Zoom sowie Rahmen- und Bildlaufleiste-Steuerelement

Im folgenden Beispiel werden mit Hilfe der Zoom-Eigenschaft die in einem Formular, auf einer Seite oder in einem Rahmen angezeigten Informationen verkleinert oder vergrößert. Dabei werden ein Rahmen-Steuerelement (Frame), ein Textfeld-Steuerelement (TextBox) innerhalb des Rahmen-Steuerelements und ein Bildlaufleiste-Steuerelement (ScrollBar) verwendet. Der Vergrößerungsfaktor des Rahmen-Steuerelements (Frame) wird durch die Zoom-Eigenschaft geändert. Der Benutzer kann die Zoom-Eigenschaft mit Hilfe des Bildlaufleiste-Steuerelements (ScrollBar) einstellen. Das Textfeld-Steuerelement (TextBox) dient lediglich zum Veranschaulichen der Auswirkungen des Verkleinerns bzw. Vergrößerns.

In diesem Beispiel wird außerdem anhand der Eigenschaften Max und Min der Bereich der zulässigen Werte für das Bildlaufleiste-Steuerelement (ScrollBar) angegeben.

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label1.

  • Ein Bildlaufleiste-Steuerelement (ScrollBar) mit dem Namen ScrollBar1.

  • Ein zweites Bezeichnungsfeld-Steuerelement (Label) mit dem Namen Label2.

  • Ein Rahmen-Steuerelement (Frame) mit dem Namen Frame1.

  • Ein Textfeld-Steuerelement (TextBox) mit dem Namen TextBox1, das sich innerhalb des Rahmen-Steuerelements Frame1 befindet.
Private Sub UserForm_Initialize()
    ScrollBar1.Max = 400
    ScrollBar1.Min = 10
    ScrollBar1.Value = 100

    Label1.Caption = "10  -----Percent of " _
        & "Original Size---- 400"
    Label2.Caption = ScrollBar1.Value

    Frame1.TextBox1.Text = "Enter your text here."
    Frame1.TextBox1.MultiLine = True
    Frame1.TextBox1.WordWrap = True

    Frame1.Zoom = ScrollBar1.Value
End Sub

Private Sub ScrollBar1_Change()
    Frame1.Zoom = ScrollBar1.Value
    Label2.Caption = ScrollBar1.Value
End Sub


Beispiel für ZOrder-Methode und Textfeld-Steuerelement

In diesem Beispiel wird die Position eines Textfeld-Steuerelements (TextBox) in der Z-Reihenfolge festgelegt, so dass der Benutzer das gesamte Textfeld-Steuerelement (TextBox) anzeigen lassen kann (indem er es an die vorderste Stelle in der Z-Reihenfolge bringt) oder es hinter die anderen Steuerelemente platzieren kann (indem er es an die hinterste Stelle in der Z-Reihenfolge bringt).

Wenn Sie dieses Beispiel verwenden möchten, kopieren Sie diesen Beispielcode in den Bereich Deklarationen eines Formulars. Das Formular muss Folgendes enthalten:

  • Drei Textfeld-Steuerelemente (TextBox) mit den Namen TextBox1, 2 und 3.

  • Ein Umschaltfeld-Steuerelement (ToggleButton) mit dem Namen ToggleButton1.
Private Sub ToggleButton1_Click()
If ToggleButton1.Value = True Then
    TextBox2.ZOrder(fmTop)
    'Place TextBox2 on Top of z-order

    'Update ToggleButton caption to identify next state
    ToggleButton1.Caption = "Send TextBox2 to back"
Else
    TextBox2.ZOrder(1)
    'Place TextBox2 on Bottom of z-order

    'Update ToggleButton caption to identify next state
    ToggleButton1.Caption = "Bring TextBox2 to front"
End If
End Sub
Private Sub UserForm_Initialize()
'Set up text boxes to show z-order in the form
TextBox1.Text = "TextBox 1"
TextBox2.Text = "TextBox 2"
TextBox3.Text = "TextBox 3"

TextBox1.Height = 40
TextBox2.Height = 40
TextBox3.Height = 40

TextBox1.Width = 60
TextBox2.Width = 60
TextBox3.Width = 60

TextBox1.Left = 10
TextBox1.Top = 10

TextBox2.Left = 25      'Overlap TextBox2 on TextBox1
TextBox2.Top = 25

TextBox3.Left = 40      'Overlap TextBox3 on TextBox2, TextBox1
TextBox3.Top = 40

ToggleButton1.Value = False
ToggleButton1.Caption = "Bring TextBox2 to Front"
ToggleButton1.Left = 10
ToggleButton1.Top = 90
ToggleButton1.Width = 50
ToggleButton1.Height = 50

End Sub


Zugriffstaste

Ein einzelnes Zeichen wird als Abkürzung für die Auswahl eines Objekts verwendet. Durch Drücken der ALT-TASTE und anschließendes Drücken der Zugriffstaste wird der Fokus auf das Objekt gesetzt, und ein oder mehrere Ereignisse werden ausgelöst, die mit dem Objekt verbunden sind. Welche Ereignisse ausgelöst werden, ist von Objekt zu Objekt verschieden. Wurde einem Ereignis Code zugewiesen, dann wird dieser bei Auslösen des Ereignisses ausgeführt. Zugriffstasten werden auch als Tastenkombinationen oder Shortcuts bezeichnet.


Hintergrundfarbe

Die Farbe des Clientbereichs eines leeren Fensters oder Anzeigebildschirms, auf dem alle Darstellungen von Zeichnungen und Farben erfolgen.


gebunden

Beschreibt ein Steuerelement, dessen Inhalt mit einer bestimmten Datenquelle verbunden ist, z. B. eine Zelle oder einen Bereich aus mehreren Zellen auf einem Tabellenblatt.


Löschen

Ändern einer Einstellung auf "Aus" oder Entfernen eines Wertes.


Clientbereich

Der Teil eines Fensters, in dem eine Anwendung Bildschirmausgaben wie Text oder Grafiken anzeigt.


Kontextkennung

Eine eindeutige Zahl oder Zeichenfolge, die einem bestimmten Objekt in einer Anwendung entspricht. Kontextkennungen werden verwendet, um Verknüpfungen zwischen einer Anwendung und den zugehörigen Hilfethemen zu erstellen.


Steuerelementgruppe

Eine Gruppe von Steuerelementen, die inhaltlich oder logisch verbunden sind. Steuerelemente, die inhaltlich verbunden sind, werden normalerweise zusammen dargestellt, sie beeinflussen sich jedoch nicht unbedingt gegenseitig. Steuerelemente, die logisch miteinander verbunden sind, beeinflussen sich gegenseitig. Wird beispielsweise der Wert eines Optionsfeldes in einer Gruppe von Optionsfeldern auf True gesetzt, werden die Werte aller anderen Optionsfelder auf False gesetzt.


Steuerelementinfo

Ein kurzer Text, der ein Steuerelement, ein Page- oder ein Tab-Objekt beschreibt. Die Steuerelementinfo wird angezeigt, wenn der Mauszeiger kurz und ohne zu klicken über das Steuerelement gehalten wird. Eine Steuerelementinfo ist einer QuickInfo ähnlich. Microsoft Forms stellt zur Entwurfszeit QuickInfos für Entwickler bereit; Steuerelementinfos werden hingegen von den Entwicklern zur Laufzeit für die Endanwender bereitgestellt.


Cursor

Ein Teil eines Programms, das Datenzeilen an die Anwendung zurückgibt. Ein Cursor in einer Ergebnismenge zeigt die aktuelle Position in der Ergebnismenge an.


Zyklus

Dient zum Durchlaufen einer Gruppe von Objekten in einer festgelegten Reihenfolge.


Datenformat

Die Struktur oder Darstellung einer Dateneinheit. Eine Dateneinheit kann z. B. eine Datei, ein Datensatz einer Datenbank, eine Zelle in einem Tabellenblatt oder Text in einem Dokument einer Textverarbeitung sein.


Datenquelle

Die Quelle der Daten, an die ein Steuerelement gebunden ist, beispielsweise eine Zelle in einem Tabellenblatt. Der aktuelle Wert der Datenquelle kann in der Value-Eigenschaft eines Steuerelements gespeichert werden. Dennoch speichert das Steuerelement die Daten nicht; es zeigt lediglich die Informationen an, die in der Datenquelle gespeichert sind.


bestimmendes Steuerelement

Ein Verweis für die Befehle Ausrichten und Größe angleichen aus dem Menü Format. Wenn Sie Steuerelemente ausrichten, werden die ausgewählten Steuerelemente an dem bestimmenden Steuerelement ausgerichtet. Wenn Sie die Größe der Steuerelemente ändern, werden den ausgewählten Steuerelementen die Abmessungen des bestimmenden Steuerelements zugewiesen.

Das bestimmende Steuerelement wird durch weiße Ziehpunkte zur Größenänderung gekennzeichnet. Die Ziehpunkte zur Größenänderung der anderen ausgewählten Steuerelemente sind schwarz.


Quelle einer Ablegen-Operation

Der ausgewählte Text oder das ausgewählte Objekt, das während einer Drag & Drop-Operation gezogen wird.


Aufzählungskonstante

Zusätzliche Informationen zu den Aufzählungseinstellungen für ein Datenelement finden Sie in der Beschreibung der Eigenschaft, der Methode oder des Ereignisses, für die/das die Aufzählung verwendet wird.


Vordergrundfarbe

Die aktuell ausgewählte Farbe, um Zeichnungen oder Text auf dem Bildschirm anzuzeigen. Bei monochromen Anzeigen ist die Vordergrundfarbe die Farbe einer Bitmap oder einer anderen Grafik.


Rasterblock

Der Spalt zwischen zwei angrenzenden Rasterpunkten.


Input Method Editor (IME)

Eine Anwendung, die Ihre Eingaben in Zeichen einer DBCS-Sprache übersetzt, z. B. Japanisch oder Chinesisch. Wenn der Benutzer eine Eingabe vornimmt, zeigt der IME mögliche Entsprechungen an. Der Benutzer wählt den Eintrag aus, der am besten geeignet ist.


übernommene Eigenschaft

Eine Eigenschaft, die Charakteristika einer anderen Klasse angenommen hat.


Tastaturstatus

Ein Rückgabewert, der angibt, welche Tasten gedrückt sind und ob die Zustandstasten UMSCHALT, STRG und ALT gedrückt sind.


OLE-Container-Steuerelement

Ein Visual Basic-Steuerelement, das verwendet wird, um Objekte anderer Anwendungen mit einer Visual Basic-Anwendung zu verknüpfen und in diese einzubetten.


OLE-Status-Code

Der Abschnitt einer Datenstruktur, der die Fehlernummer enthält und Informationen über die Bedingungen zurückgibt, unter denen der Fehler aufgetreten ist. Die Datenstruktur ist durch die OLE-Spezifikation (OLE = Object Linking and Embedding) vorgegeben.


Platzhalter

Ein Zeichen, das ein anderes Zeichen aus Sicherheitsgründen verdeckt oder versteckt. Wenn ein Benutzer ein Kennwort eingibt, wird für jedes eingegebene Zeichen ein Sternchen auf dem Bildschirm angezeigt.


Eigenschaftenseite

Eine Zusammenstellung von Eigenschaften, die als Registerkarte in einem Eigenschaftenfenster dargestellt wird.


RGB

Ein System von Farbwerten, das verwendet wird, um Farben als eine Mischung aus Rot (R), Grün (G) und Blau (B) zu beschreiben. Die Farbe wird als eine Gruppe aus drei ganzen Zahlen definiert (R,G,B), wobei jede ganze Zahl im Bereich von 0 bis 255 liegt. Ein Wert von 0 zeigt an, dass diese Farbkomponente nicht vorhanden ist. Ein Wert von 255 zeigt dagegen an, dass diese Farbkomponente mit ihrer höchsten Intensität verwendet wird.


Systemfarben

Farben, die vom Betriebssystem für einen bestimmten Monitortyp oder für eine bestimmte Grafikkarte definiert werden. In Windows ist jede Farbe einem bestimmten Teil der Benutzeroberfläche zugeordnet, z. B. mit einem Fenstertitel oder einem Menü.


Ziel

Ein Objekt, auf dem der Benutzer ein gezogenes Objekt ablegt.


transparent

Beschreibt den Hintergrund des Objekts, wenn der Hintergrund nicht sichtbar ist. Anstelle des Hintergrunds sehen Sie, was sich hinter dem Objekt befindet, beispielsweise eine Abbildung oder ein Bild, das als Hintergrundbild in Ihrer Anwendung verwendet wird. Verwenden Sie die BackStyle-Eigenschaft, um den Hintergrund als transparent festzulegen.


ungebunden

Beschreibt ein Steuerelement, das nicht mit einer Zelle eines Tabellenblattes verbunden ist. Im Gegensatz dazu ist ein gebundenes Steuerelement mit der Zelle eines Tabellenblattes als Datenquelle verbunden. Das Tabellenblatt ermöglicht den erforderlichen Zugriff, um den Wert eines Steuerelements anzuzeigen und zu bearbeiten.